package cn.hh.common.constants;

/**
 * @author shisl
 * @package cn.hh.common.constants
 * @class CommonConstants
 * @date 2023/1/10 上午11:07
 * @description
 */
public interface CommonConstants {

    /**
     * 角色关联权限的缓存key
     */
    String ROLE_AUTH_CACHE_KEY = "role:auth:%s";

    String UTF8 = "utf-8";

    String BASE64_PREFIX = "data:image/;base64,";

    /**
     * 站内信消息 SEND 系统发送，SHARE 用户分享
     */
    String PARTY_INNER_MSG_SOURCE_SEND = "SEND";
    String PARTY_INNER_MSG_SOURCE_SHARE = "SHARE";

    /**
     * websocket
     */
    String WEBSOCKET_SN_KEY = "websocket:sn:%s";
    String WEBSOCKET_PC_KEY = "websocket:pc:channel";
    String WEBSOCKET_PC_TOKEN_KEY = "websocket:pc:token:%s";

    String WEBSOCKET_SN_SOURCE_KEY = "websocket:sn:%s:%s";
    String WEBSOCKET_PC_SOURCE_KEY = "websocket:pc:source:channel";
    String WEBSOCKET_PC_TOKEN_SOURCE_KEY = "websocket:pc:token:%s:%s";


    //websocket连接
    String WEBSOCKET_CONNECT_PC = "token";
    String WEBSOCKET_CONNECT_APP = "sn";
    String WEBSOCKET_CONNECT_SOURCE = "source";
    //来源
    String WEBSOCKET_SOURCE = "source";
    //来源--pc端
    String WEBSOCKET_SOURCE_PC = "pc";
    //来源--app端
    String WEBSOCKET_SOURCE_APP = "app";
    //来源--塘栖PC端
    String WEBSOCKET_SOURCE_TQ_PC = "TQ";
    //来源--塘栖服务端
    String WEBSOCKET_SOURCE_TQ_SERVER = "TQSERVER";
    //来源--HHFACE端
    String WEBSOCKET_SOURCE_HHFACE_APP = "HHFACE";
    //操作
    String WEBSOCKET_OP = "op";
    //关闭应用
    String WEBSOCKET_OP_CLOSE_APP = "CLOSE_APP";
    //卸载应用
    String WEBSOCKET_OP_UNINSTALL_APP = "UNINSTALL_APP";
    //重启设备
    String WEBSOCKET_OP_REBOOT = "REBOOT";
    //停止下载
    String WEBSOCKET_OP_STOP_DOWNLOAD = "STOP_DOWNLOAD";
    //取消安装升级
    String WEBSOCKET_OP_CANCEL_UPGRADE = "CANCEL_UPGRADE";
    //安装升级
    String WEBSOCKET_OP_INSTALL_UPGRADE = "INSTALL_UPGRADE";
    //上报设备状态（sn、在离线、软硬件版本、包名、ip地址等）
    String WEBSOCKET_OP_REPORT_STATUS = "REPORT_STATUS";
    //安装升级进度（任务id，下载进度（下载中），升级状态（下载中、安装中、安装成功、安装完成））
    String WEBSOCKET_OP_UPGRADE_PROCESSING = "UPGRADE_PROCESSING";
    //拉取日志
    String WEBSOCKET_OP_FETCH_LOG = "FETCH_LOG";
    //下载日志
    String WEBSOCKET_OP_DOWNLOAD_LOG = "DOWNLOAD_LOG";
    //上报在线日志
    String WEBSOCKET_OP_REPORT_LOG = "REPORT_LOG";
    //设备业务参数
    String WEBSOCKET_OP_QUERY_DEVICE_BIZ_DATA = "QUERY_DEVICE_BIZ_DATA";
    //支付宝五年陈数据
    String WEBSOCKET_OP_SEND_ZFB_FIVE_YEAR_DATA = "SEND_ZFB_FIVE_YEAR_DATA";
    //下发用户数据回调
    String WEBSOCKET_OP_ISSUE_CALLBACK = "ISSUE_CALLBACK";

    //hhface心跳
    String WEBSOCKET_OP_TRACKING = "HHFACE_HEART_TRACKING";


}
