package cn.hh.common.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author shisl
 * @package cn.hh.common.enumeration
 * @class TaskStatusEnum
 * @date 2023/12/13 下午2:10
 * @description 安装任务状态 0:等待中(设备离线 可取消) 1:下载中(可取消)
 * 2:等待安装(静默升级 可取消) 3:安装中 4:安装成功 5:安装失败  6:已取消
 */
@AllArgsConstructor
@Getter
public enum TaskStatusEnum {

    WAITING(0, "等待中"),
    DOWNLOADING(1, "下载中"),
    WAIT_INSTALL(2, "等待安装"),
    INSTALLING(3, "安装中"),
    INSTALL_SUCCESS(4, "安装成功"),
    INSTALL_FAILED(5, "安装失败"),
    CANCEL(6, "已取消");

    private Integer code;
    private String desc;

    public static TaskStatusEnum getByCode(Integer code) {
        TaskStatusEnum[] values = TaskStatusEnum.values();
        for (TaskStatusEnum item : values) {
            if (code.intValue() == item.getCode().intValue()) {
                return item;
            }
        }
        return null;
    }



}
