package cn.hh.common.restful;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hh.common.restful
 * @class BusinessException
 * @date 2022/12/20 上午11:16
 * @description
 */
public class BusinessException extends RuntimeException implements Serializable {

    private static final long serialVersionUID = -1L;

    private Integer code;

    public BusinessException() {
        super(RestCode.FAIL.getMsg());
        this.code = RestCode.FAIL.getCode();
    }

    public BusinessException(String message) {
        super(message);
        this.code = RestCode.FAIL.getCode();
    }

    public BusinessException(Integer code, String message) {
        super(message);
        this.code = code;
    }

    public BusinessException(RestCode resCode) {
        super(resCode.getMsg());
        this.code = resCode.getCode();
    }

    public BusinessException(String message, Throwable cause) {
        super(message, cause);
        this.code = RestCode.FAIL.getCode();
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }


}
