package cn.hh.common.restful;

import lombok.Getter;

/**
 * @author shisl
 * @package cn.hh.common.restful
 * @class RestCode
 * @date 2022/12/20 上午11:18
 * @description
 */
@Getter
public enum RestCode {
    SUCCESS(200, "成功"),
    FAIL(400, "失败"),
    UNAUTHORIZED(401, "无权访问"),
    FORBIDDEN(403, "禁止访问该资源"),
    NOT_FOUND(404, "未发现该资源"),
    REQUEST_TIMEOUT(408, "请求超时"),
    INTERNAL_SERVER_ERROR(500, "服务器异常"),
    SERVICE_UNAVAILABLE(503, "服务无法获得"),
    GATEWAY_TIMEOUT(504, "网关超时"),
    REMOTE_INVOCATION_FAIL(900, "远程服务调用失败"),
    INVALID_TOKEN(10001, "无效token"),
    PARAMS_ERROR(10003, "参数有误"),
    METHOD_ARGUMENT_NOT_VALID_EXCEPTION(10004, "数据校验错误"),
    DUPLICATE_KEY_EXCEPTION(10005, "数据重复"),
    USER_NOT_EXIST(40001, "用户不存在"),
    DATA_NOT_EXIST(40004, "数据不存在或已删除"),
    ;

    public int code;
    private String msg;

    RestCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
