package cn.hh.common.serializer;

import org.springframework.data.redis.serializer.RedisSerializer;
import org.springframework.data.redis.serializer.SerializationException;
import org.springframework.lang.Nullable;
import org.springframework.stereotype.Component;

/**
 * @author shisl
 * @package cn.hh.common.serializer
 * @class LongSerializer
 * @date 2022/12/19 下午5:08
 * @description
 */
@Component
public class LongSerializer implements RedisSerializer<Long> {

    /**
     * Serialize the given object to binary data.
     *
     * @param aLong object to serialize. Can be {@literal null}.
     * @return the equivalent binary data. Can be {@literal null}.
     */
    @Nullable
    @Override
    public byte[] serialize(@Nullable Long aLong) throws SerializationException {
        if (null != aLong){
            return aLong.toString().getBytes();
        }
        else{
            return new byte[0];
        }
    }

    /**
     * Deserialize an object from the given binary data.
     *
     * @param bytes object binary representation. Can be {@literal null}.
     * @return the equivalent object instance. Can be {@literal null}.
     */
    @Nullable
    @Override
    public Long deserialize(@Nullable byte[] bytes) throws SerializationException {
        if (bytes.length > 0){
            return Long.parseLong(new String(bytes));
        }
        else{
            return null;
        }
    }
}
