package cn.hh.hhface.bean.account;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.account
 * @class AccountVo
 * @date 2023/12/10 下午1:30
 * @description
 */
@Data
public class AccountVo implements Serializable {

    private Long id;

    @ApiModelProperty(value = "登录用户名")
    private String username;

    @ApiModelProperty(value = "登录密码")
    private String password;

    @ApiModelProperty(value = "账号类型 0-admin 1-普通用户")
    private Integer type;

    @ApiModelProperty(value = "管理员姓名")
    private String nickname;

    @ApiModelProperty(value = "联系人手机号")
    private String phone;

    @ApiModelProperty(value = "公司名称")
    private String company;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * appId 32位 9805f4fb52a90a6941935fc3290673f4
     */
    private String appId;

    /**
     * 权限校验的appKey
     */
    private String appKey;
    /**
     * 权限校验的appSecret
     */
    private String appSecret;

    /**
     * 权限校验的privateKey 16位随机数 包含字母和数据
     */
    private String privateKey;


}
