package cn.hh.hhface.bean.apk;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.apk
 * @class AppApkEditDto
 * @date 2023/12/29 下午5:58
 * @description
 */
@Data
public class AppApkEditDto {

    private Long id;

    @ApiModelProperty(value = "创建者账号")
    private Long accountId;

    @ApiModelProperty(value = "创建者账号")
    private List<Long> accountIds;

    @ApiModelProperty(value = "应用类型 1:K8小程序容器 AppTypeEnum", required = true)
    private Integer appType;

    @ApiModelProperty(value = "安装包名称", required = true)
    private String apkTitle;

    @ApiModelProperty(value = "安装包版本", required = true)
    private String apkVersion;

    @ApiModelProperty(value = "文件md5 file表f_md5", required = true)
    private String fileMd5;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "安装包的地址")
    private String apkPath;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "包名")
    private String packageName;
}
