package cn.hh.hhface.bean.apk;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.apk
 * @class AppApkPageDto
 * @date 2023/12/12 下午5:20
 * @description
 */
@Data
public class AppApkPageDto implements Serializable {

    @ApiModelProperty(value = "账号")
    private Long accountId;

    @ApiModelProperty(value = "当前执行查询的账号")
    private Long ownerAccountId;

    @ApiModelProperty(value = "安装包名称")
    private String apkTitle;

    @ApiModelProperty(value = "安装包版本")
    private String apkVersion;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;


}
