package cn.hh.hhface.bean.apk;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.apk
 * @class AppApkVo
 * @date 2023/12/12 下午5:20
 * @description
 */
@Data
public class AppApkVo implements Serializable {

    private Long id;

    private Long accountId;

    @ApiModelProperty(value = "安装包名称")
    private String apkTitle;

    @ApiModelProperty(value = "安装包版本")
    private String apkVersion;

    @ApiModelProperty(value = "账号名称")
    private String accountName;

    @ApiModelProperty(value = "应用类型 1:K8小程序容器 AppTypeEnum")
    private Integer appType;

    @ApiModelProperty(value = "安装包的地址")
    private String apkPath;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "文件md5 file表f_md5")
    private String fileMd5;

    @ApiModelProperty(value = "文件id file表f_id")
    private Integer fileId;

    @ApiModelProperty(value = "文件name file表f_name")
    private String fileName;

    @ApiModelProperty(value = "文件大小 file表f_size")
    private Long fileSize;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "包名")
    private String packageName;

    /**
     * 安装包绑定的账号id [1,2,3,4,5,6]
     */
    private String accountIdJson;

    private List<Long> accountIds;
    private List<String> accountNames;

    @ApiModelProperty(value = "是否可编辑/删除 true/false")
    private Boolean isOwner = Boolean.FALSE;

}
