package cn.hh.hhface.bean.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.device
 * @class DeviceInfoVo
 * @date 2023/12/10 下午4:35
 * @description
 */
@Data
public class DeviceInfoVo implements Serializable {

    @ApiModelProperty(value = "设备编码")
    private String sn;

    @ApiModelProperty(value = "IP地址")
    private String ipAddress;

    @ApiModelProperty(value = "OMC在线状态 0:离线 1：在线")
    private Integer omcOnline;

    @ApiModelProperty(value = "业务应用在线状态 0:离线 1：在线")
    private Integer bizAppOnline;

    @ApiModelProperty(value = "固件版本号")
    private String firmwareVersion;

    @ApiModelProperty(value = "系统版本")
    private String sysVersion;

    @ApiModelProperty(value = "业务应用版本")
    private String bizAppVersion;

    @ApiModelProperty(value = "业务应用包名")
    private String bizAppApkName;

    @ApiModelProperty(value = "设备型号")
    private String deviceModel;

    @ApiModelProperty(value = "ota应用版本号")
    private String otaAppVersion;

    @ApiModelProperty(value = "ota应用包名")
    private String otaAppApkName;

    @ApiModelProperty(value = "最后一次tracking心跳时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastTrackingTime;


}
