package cn.hh.hhface.bean.device;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.device
 * @class DeviceDto
 * @date 2023/12/10 下午4:35
 * @description
 */
@Data
public class DevicePageDto implements Serializable {

    private Long id;

    @ApiModelProperty(value = "账户id")
    private Long accountId;

    @ApiModelProperty(value = "设备编码")
    private String sn;

    @ApiModelProperty(value = "设备型号")
    private String deviceModel;

    @ApiModelProperty(value = "ota应用包名")
    private String otaAppApkName;

    @ApiModelProperty(value = "业务应用包名")
    private String bizAppApkName;

    @ApiModelProperty(value = "OMC在线状态 0:离线 1：在线")
    private Integer omcOnline;

    @ApiModelProperty(value = "业务应用在线状态 0:离线 1：在线")
    private Integer bizAppOnline;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;


}
