package cn.hh.hhface.bean.isssue;

import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.isssue
 * @class WebsocketMsgReq
 * @date 2024/9/14 上午10:46
 * @description
 */
@Data
public class WebsocketMsgReq implements Serializable {

    /**
     * 设备编号 客户端必要参数
     */
    private String sn;
    /**
     * 消息来源 <br />
     * TQ：塘栖<br />
     * TQSERVER：塘栖服务端<br />
     * HHFACE：HHFACE客户端
     */
    private String source;
    /**
     * 业务操作类型：<br />
     * ISSUE_ALL: 全量下发 <br />
     * ISSUE_INCREMENT：增量下发<br />
     * FACE_DELETED：人脸删除<br />
     * FACE_DELETED_ALL：人脸全部删除<br />
     * ISSUE_CALLBACK：人员下发回调<br />
     * FACE_DELETED_ALL_CALLBACK：人脸全部删除回调<br />
     * FACE_DELETED_CALLBACK：人员删除毁掉<br />
     * ISSUE_DEVICE_USER_REPORT：设备人员数据上报
     * ISSUE_DEVICE_FETCH：获取未完成下发列表<br />
     */
    private String op;
    /**
     * 消息内容
     */
    private String msg;

    /**
     * 数据
     */
    private Object data;


}
