package cn.hh.hhface.bean.task;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.task
 * @class AppApkDeviceTaskPageDto
 * @date 2023/12/13 下午1:47
 * @description
 */
@Data
public class AppApkDeviceTaskPageDto {

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "设备号")
    private String sn;

    @ApiModelProperty(value = "安装包名称")
    private String apkTitle;

    @ApiModelProperty(value = "设备状态 0:离线 1:在线")
    private Integer deviceOnline;

    @ApiModelProperty(value = "升级类型 1:强制 / 2:静默 UpgradeTypeEnum")
    private Integer upgradeType;

    @ApiModelProperty(value = "安装任务状态 0:等待中(设备离线 可取消) 1:下载中(可取消) 2:等待安装(静默升级 可取消) 3:安装中 4:安装成功 5:安装失败  6:已取消")
    private Integer status;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;
}