package cn.hh.hhface.bean.task;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hh.hhface.bean.task
 * @class AppApkDeviceTaskVo
 * @date 2023/12/13 下午1:48
 * @description
 */
@Data
public class AppApkDeviceTaskVo {

    private Long id;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "账号名称")
    private String accountName;

    @ApiModelProperty(value = "设备号")
    private String sn;

    @ApiModelProperty(value = "设备状态 0:离线 1:在线")
    private Integer deviceOnline;

    @ApiModelProperty(value = "安装包id")
    private Long appApkId;

    @ApiModelProperty(value = "安装包名称")
    private String apkTitle;

    @ApiModelProperty(value = "安装包版本")
    private String apkVersion;

    @ApiModelProperty(value = "安装包的地址")
    private String apkPath;

    @ApiModelProperty(value = "应用类型 1:K8小程序容器 AppTypeEnum")
    private Integer appType;

    @ApiModelProperty(value = "升级类型 1:强制 / 2:静默 UpgradeTypeEnum")
    private Integer upgradeType;

    /**
     * TaskStatusEnum
     */
    @ApiModelProperty(value = "安装任务状态 0:等待中(设备离线 可取消) 1:下载中(可取消) 2:等待安装(静默升级 可取消) 3:安装中 4:安装成功 5:安装失败  6:已取消")
    private Integer status;

    @ApiModelProperty(value = "设备请求时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date requestTime;

    @ApiModelProperty(value = "设备安装完成时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date installTime;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "包名")
    private String packageName;


}
