package cn.hh.hhface.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author shisl
 * @package cn.hh.hhface.config
 * @class WebSocketProperties
 * @date 2023/12/10 下午5:59
 * @description WebSocketProperties配置类
 */
@Data
@Component
@ConfigurationProperties(prefix = "websocket.netty")
public class WebSocketProperties {

    private Integer port = 19089; // 监听端口
    private String path = "/hhfacews"; // 请求路径
    private Integer boss = 4; // 2 bossGroup线程数
    private Integer work = 4; // 2 workGroup线程数

}
