package cn.hh.hhface.controller;

import cn.hh.common.restful.RestResponse;
import cn.hh.common.restful.RestResult;
import cn.hh.hhface.bean.isssue.WebsocketMsgReq;
import cn.hh.hhface.service.WebsocketService;
import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author shisl
 * @package cn.hh.hhface.controller
 * @class HhFaceIssueController
 * @date 2024/9/14 上午10:43
 * @description hhface下发api 接收结构为websocket文本消息
 */
@RestController
@RequestMapping("/api/v1/hhface/issue")
public class HhFaceIssueController {

    @Autowired
    private WebsocketService websocketService;

    @ApiOperation("hhface下发api 接收结构为websocket文本消息")
    @PostMapping("/message/send")
    public RestResult<Boolean> sendMessage(@RequestBody WebsocketMsgReq msgReq) {
        websocketService.handleTqServerWebsocketOp(JSONObject.parseObject(JSONObject.toJSONString(msgReq)), null, null);
        return RestResponse.ok(Boolean.TRUE);
    }


}
