package com.yx.face.boot;

import cn.hutool.core.date.DateUtil;
import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.io.IOException;
import java.util.Date;

/**
 * @description:
 * @ClassName LocalDateDeserialize
 * @Author WXG
 * @Date 2023/12/25 10:47
 */
@JsonDeserialize
public class DateDeserialize extends JsonDeserializer<Date> {
    public static DateDeserialize instance = new DateDeserialize();

    @Override
    public Date deserialize(JsonParser jsonParser, DeserializationContext ctxt) throws IOException {
        String dateTime = jsonParser.readValueAs(String.class);
        //解析Json
        return DateUtil.parse(dateTime);
    }


}
