package com.yx.face.boot.uitls;

import cn.hutool.core.util.StrUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.net.InetAddress;
import java.net.UnknownHostException;

@Component
@Slf4j
public class AddressUtil {

    @Value("${server.port}")
    private String serverPort;
    @Value("${server.servlet.web.prefix}")
    private String webPrefix;
    @Value("${web.address}")
    private String webAddress;

    public static String address;

    @PostConstruct
    public void setAddress() throws UnknownHostException {
        if(StrUtil.isNotBlank(webAddress)){
            AddressUtil.address = webAddress;
        }else {
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("http://").append(InetAddress.getLocalHost().getHostAddress()).append(":").append(webPrefix).append("/");
            AddressUtil.address = stringBuilder.toString();
        }
        log.info("初始化webAddress:{}",address);
    }



}
