package com.yx.face.boot.uitls;

import lombok.extern.slf4j.Slf4j;
import net.sourceforge.pinyin4j.PinyinHelper;

/**
 * @author shisl
 * @package com.yx.face.boot.uitls
 * @class Chinese2PinyinUtil
 * @date 2024/8/26 下午5:25
 * @description
 */
@Slf4j
public class Chinese2PinyinUtil {

    public static String getPinyinFirstLetter(String chinese) {
        if (Preconditions.isBlank(chinese)) {
            return null;
        }

        StringBuilder pinyin = new StringBuilder();
        // 将中文字符串转换为拼音数组
        for (char ch : chinese.toCharArray()) {
            String[] pinyinArray = PinyinHelper.toHanyuPinyinStringArray(ch);

            // 如果字符是中文，则获取其拼音的首字母
            if (pinyinArray != null && pinyinArray.length > 0) {
                pinyin.append(pinyinArray[0].charAt(0));
            } else {
                // 非中文字符直接拼接
                pinyin.append(ch);
            }
        }
        return pinyin.toString();
    }

    ;

}
