package com.yx.face.model.entity;

/**
 * @author shisl
 * @package com.yx.face.model.entity
 * @class AdminAuth
 * @date 2023/4/25 上午10:16
 * @description
 */
import com.yx.face.model.enums.AdminAuthTypeEnum;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.util.Date;
@Data
@Accessors(chain = true)
@Table(name = "admin_auth")
public class AdminAuth {
    /*
     * 主键自增id
     * */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "app_id")
    private String appId;

    /**
     * 权限校验的appKey
     */
    @Column(name = "app_key")
    private String appKey;
    /**
     * 权限校验的appSecret
     */
    @Column(name = "app_secret")
    private String appSecret;

    /**
     * 权限校验的privateKey 16位随机数 包含字母和数据
     */
    @Column(name = "private_key")
    private String privateKey;

    /**
     * 权限类型
     *
     * @see AdminAuthTypeEnum
     */
    @Column(name = "type")
    private Integer type;
    /**
     * 账号id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 接口地址
     */
    @Column(name = "interface_address")
    private String interfaceAddress;


    /**
     * 接口地址绑区域JSON 例如：[{\"interfAddr\":\"三方接口地址\",\"zoneId\":\"所在区域ID\"},{\"interfAddr\":\"三方接口地址\",\"zoneId\":\"所在区域ID\"}]
     *  InterfAddrJsonVo
     *
     */
    @Column(name = "interf_addr_json")
    private String interfAddrJson;

    /**
     * 数据创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    @Column(name = "is_deleted")
    private Boolean isDeleted;

}
