package com.yx.face.model.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 场所码信息表
 *
 * @author lileilei
 * @since 2022-07-06
 */
@Data
@Accessors(chain = true)
@Table(name = "admin_place_info")
@ApiModel(description = "场所码信息表")
public class AdminPlaceInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "序号")
    private Integer id;

    @ApiModelProperty(value = "注册到某个地址码")
    private String addressCode;

    @ApiModelProperty(value = "场所码单位名称")
    private String unitName;

    @ApiModelProperty(value = "场所码单位地址")
    private String unitAddress;

    @ApiModelProperty(value = "场所码管理员健康码信息")
    private String managerHealthCode;

    @ApiModelProperty(value = "账号id")
    private Integer adminId;

    @ApiModelProperty(value = "场所码区域代码 PlaceAreaEnum int值 ")
    private Integer placeAreaCode;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
