package com.yx.face.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 常客
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "appointment_person")
public class AppointmentPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户白名单id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @Column(name = "name")
    private String name;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    @Column(name = "phone")
    private String phone;

    /**
     * 头像
     */
    @ApiModelProperty("头像")
    @Column(name = "avatar")
    private String avatar;

    /**
     * 状态 1已认证 2.未认证
     */
    @ApiModelProperty("状态 1已认证 2.未认证")
    @Column(name = "status")
    private Integer status;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 人员类型，0：内宾，1：外宾
     */
    @ApiModelProperty("人员类型，0：内宾，1：外宾")
    @Column(name = "type")
    private Integer type;

    /**
     * 管理员id
     */
    @ApiModelProperty("管理员id")
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    @Column(name = "id_number")
    private String idNumber;

}
