package com.yx.face.model.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author wxg
 * @since 2022-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "disinfect_record")
public class DisinfectRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消杀人员表id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 消杀人员姓名
     */
    @Column(name = "name")
    private String name;

    /**
     * 消杀人员手机号
     */
    @Column(name = "phone")
    private String phone;

    /**
     * 消杀人员身份证号
     */
    @Column(name = "id_number")
    private String idNumber;

    /**
     * 消杀人员user_id
     */
    @Column(name = "user_id")
    private Long userId;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 管理员id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 消杀区域id
     */
    @Column(name = "disinfect_area_id")
    private Integer disinfectAreaId;

    /**
     * 消杀区域名称
     */
    @Column(name = "disinfect_area_name")
    private String disinfectAreaName;

    /**
     * 消杀区域地址
     */
    @Column(name = "disinfect_area_address")
    private String disinfectAreaAddress;

    /**
     * 状态 1-完成 2-未完成
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 消杀时间段id
     */
    @Column(name = "disinfect_time_break_id")
    private String disinfectTimeBreakId;

    /**
     * 消杀时间日期 年月日
     */
    @Column(name = "disinfect_time_date")
    private String disinfectTimeDate;

    /**
     * 消杀时间开始时间
     */
    @Column(name = "disinfect_time_start")
    private String disinfectTimeStart;

    /**
     * 消杀时间结束时间
     */
    @Column(name = "disinfect_time_end")
    private String disinfectTimeEnd;

    /**
     * 消杀备注
     */
    @Column(name = "disinfect_remarks")
    private String disinfectRemarks;

}
