package com.yx.face.model.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @description:
 * @ClassName DownFace
 * @Author WXG
 * @Date 2022/1/18 18:28
 */
@ApiModel("人脸下发")
@Data
@Accessors(chain = true)
public class DownFaceNew {

    @ApiModelProperty(value = "设备编号 必须")
    private String sn;

    @ApiModelProperty(value = "唯一序号 一般是user_info的id 必须,如有特殊情况，也可以不为userId但需要保证唯一，不与userId冲突")
    private Long userId;

    @ApiModelProperty(value = "姓名 必须")
    private String name;

    @ApiModelProperty(value = "照片 必须")
    private String photo;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "身份证号")
    private String cardid;

    @ApiModelProperty(value = "物理卡号")
    private String cardIdEx;

    @ApiModelProperty(value = "有效开始时间 默认当前时间-10")
    private Date validPeriodStart;

    @ApiModelProperty(value = "有效结束时间默认 访客：一天 | 常客：一年 | 黑名单：一百年")
    private Date validPeriodEnd;

    @ApiModelProperty(value = "权限级别 104：访客 | 105：常客 | 101：黑名单 | 必须")
    private Integer rightno;

    @ApiModelProperty(value = "人员类型 通行证人脸：1 | 常客：2 | 访客：3")
    private Integer userType;

    @ApiModelProperty(value = "人脸特征值")
    private String facialFeature;

    @ApiModelProperty(value = "所属账号id")
    private Integer adminId;

}
