package com.yx.face.model.entity;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.entity
 * @class DragonAuth
 * @date 2023/11/7 上午9:36
 * @description 巨龙接口授权
 */
@Data
@Accessors(chain = true)
@Table(name = "dragon_auth")
public class DragonAuth {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    /**
     * 权限校验的appKey
     */
    @Column(name = "app_key")
    private String appKey;
    /**
     * 权限校验的appSecret
     */
    @Column(name = "app_secret")
    private String appSecret;

    /**
     * 权限校验的privateKey 16位随机数 包含字母和数据
     */
    @Column(name = "private_key")
    private String privateKey;

    /**
     * 布控开关
     */
    @Column(name = "bk_switch")
    private Boolean bkSwitch;

    /**
     * appId 32位 9805f4fb52a90a6941935fc3290673f4
     */
    @Column(name = "app_id")
    private String appId;

    /**
     * 数据创建时间
     */
    @Column(name = "create_time")
    private Date createTime;


    @Column(name = "is_deleted")
    private Boolean isDeleted;

    /**
     * 照片开关
     */
    @Column(name = "xp_switch")
    private Boolean xpSwitch;

    /**
     * 照片开关
     */
    @Column(name = "dz_switch")
    private Boolean dzSwitch;

    /**
     * 调用次数 null不限制
     */
    @Column(name = "limit_times")
    private Integer limitTimes;

    /**
     * 已调用次数
     */
    @Column(name = "had_req_times")
    private Integer hadReqTimes;

    /**
     * 单位时间调用频次 0或null不限制
     */
    @Column(name = "limit_frequency")
    private Integer limitFrequency;

    /**
     * 调用频次单位时间 单位秒 0或null不限制
     */
    @Column(name = "limit_frequency_time")
    private Integer limitFrequencyTime;

    /**
     * 最后一次请求时间
     */
    @Column(name = "latest_req_time")
    private Date latestReqTime;

    /**
     * 省常口查询开关 默认0:关闭
     */
    @Column(name = "search_switch_province")
    private Boolean searchSwitchProvince;

    /**
     * 公安部查询开关 默认0:关闭
     */
    @Column(name = "search_switch_gongan")
    private Boolean searchSwitchGongan;



}
