package com.yx.face.model.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.entity
 * @class FkjFloorConfig
 * @date 2024/1/4 下午4:20
 * @description
 */
@Data
@Table(name = "fkj_floor_config")
public class FkjFloorConfig implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ApiModelProperty(value = "账号id")
    private Integer adminId;

    @ApiModelProperty(value = "FkjFloorInitConfig楼层配置数组JSON字符串 [{\"hexadecimalFloor\":16,\"actualityFloor\":\"M\"}]")
    private String floorConfig ;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
