package com.yx.face.model.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

/**
 *
 *
 * @author lileilei
 * @since 2022-08-29
 */
@Data
@Accessors(chain = true)
@ApiModel(description = "")
public class HealthCodeConfig implements Serializable  {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @ApiModelProperty(value = "设备sn")
    private String sn;

    @ApiModelProperty(value = "设备地点")
    private String address;

    @ApiModelProperty(value = "公司名字")
    private String companyName;

    @ApiModelProperty(value = "负责人")
    private String head;

    @ApiModelProperty(value = "负责人电话")
    private String headPhone;

    @ApiModelProperty(value = "是否开启场所码")
    private Boolean enableStatus;

    @ApiModelProperty(value = "注册到某个地址码")
    private String addressCode;

    @ApiModelProperty(value = "场所码单位名称")
    private String unitName;

    @ApiModelProperty(value = "场所码单位地址")
    private String unitAddress;

    @ApiModelProperty(value = "场所码管理员健康码信息")
    private String managerHealthCode;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty("每秒请求数")
    private Integer requestNumber;

    @ApiModelProperty("总请求上限数")
    private Integer requestNumberLimit;

    @ApiModelProperty("已请求次数")
    private Integer requestedTimes;

    @ApiModelProperty("注册状态")
    private Boolean registerStatus;

    @ApiModelProperty("剩余请求次数")
    @Transient
    private Integer validRequestTimes;
}
