package com.yx.face.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "place")
public class Place implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 场所标题
     */
    @Column(name = "title")
    @ApiModelProperty("场所标题")
    private String title;

    /**
     * 场所图片
     */
    @Column(name = "picture")
    @ApiModelProperty("场所图片")
    private String picture;

    /**
     * 禁用身份证前缀
     */
    @Column(name = "disable_id_card")
    @ApiModelProperty("禁用身份证前缀")
    private String disableIdCard;

    /**
     * 账号id
     */
    @Column(name = "admin_id")
    @ApiModelProperty("账号id")
    private Integer adminId;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    @ApiModelProperty("是否启用健康码，0：否，1：是")
    @Column(name = "health_code_status")
    private Integer healthCodeStatus;

    @ApiModelProperty("场所说明")
    @Column(name = "instructions")
    private String instructions;

}
