package com.yx.face.model.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 场所记录表
 *
 * @author lileilei
 * @since 2022-06-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "place_record")
@ApiModel(description = "场所记录表")
public class PlaceRecord implements Serializable  {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "身份证")
    private String idNumber;

    @ApiModelProperty(value = "健康码状态")
    private String level;

    @ApiModelProperty(value = "采样时间")
    private Date checkTime;

    @ApiModelProperty(value = "报告时间")
    private Date reportTime;

    @ApiModelProperty(value = "核酸检测结果")
    private String checkResult;

    @ApiModelProperty(value = "1 未去过中高风险地区 2 去过中高风险地区 3 未查询到结果")
    private String travelValidation;

    @ApiModelProperty(value = "0 未接种 1-接种完成 2-未完全接种. 3- 完成加强针")
    private String vaccinated;

    @ApiModelProperty(value = "注册到某个地址码")
    private String addressCode;

    @ApiModelProperty(value = "场所码单位名称")
    private String unitName;

    @ApiModelProperty(value = "场所码单位地址")
    private String unitAddress;

    @ApiModelProperty(value = "场所码管理员健康码信息")
    private String managerHealthCode;

    @ApiModelProperty(value = "用户健康码信息")
    private String healthCode;

    @ApiModelProperty(value = "账号id")
    private Integer adminId;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
