package com.yx.face.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "reservation_record")
public class ReservationRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @Column(name = "start_time")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @Column(name = "end_time")
    private Date endTime;

    /**
     * 预约人员id
     */
    @Column(name = "appointment_person_id")
    private Integer appointmentPersonId;

    /**
     * 场所id
     */
    @Column(name = "place_id")
    private Integer placeId;

    /**
     * 场所附表id
     */
    @Column(name = "place_detail_id")
    private Integer placeDetailId;

    /**
     * 账号id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 标题：字段冗余，避免更新之后数据的变更
     */
    private String title;
    /*
    * 自定义字段
    * */
    @Column(name = "content")
    private String content;
}
