package com.yx.face.model.entity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.entity
 * @class SpiIotUserWhitelist
 * @date 2023/4/19 上午11:13
 * @description
 */
@Data
@Table(name = "spi_iot_user_whitelist")
public class SpiIotUserWhitelist {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 姓名
     */
    private String name;
    /**
     * 身份证号
     */
    private String idNumber;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 头像
     */
    private String avatar;

    /**
     * 关联信息（设备和有效期）jsonStr
     */
    private String bizContent;

    /**
     * 是否删除
     */
    private Boolean isDeleted;
    /**
     * 版本号
     */
    private Integer version = 1;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;


}
