package com.yx.face.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 统计-人员进出统计数据
 * </p>
 *
 * @author wxg
 * @since 2024-08-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("stat_data")
public class StatData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 账号
     */
    @TableField("admin_id")
    private Integer adminId;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 手机号
     */
    @TableField("phone")
    private String phone;

    /**
     * 身份证号
     */
    @TableField("id_number")
    private String idNumber;

    /**
     * 物理卡号
     */
    @TableField("card_id_ex")
    private String cardIdEx;

    /**
     * 状态 1-在场 2-离场 3-其他
     */
    @TableField("status")
    private Integer status;

    /**
     * 人员类别 1-员工 2-访客 3-其他
     */
    @TableField("people_type")
    private Integer peopleType;

    /**
     * 停留时长
     */
    @TableField("between_time")
    private String betweenTime;

    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

}
