package com.yx.face.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 用户基础信息表(UserInfo)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */
@Data
@Table(name = "user_info")
@Accessors(chain = true)
public class UserInfo {
    /**
     * 用户信息id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    /**
     * 头像
     */
    private String avatar;
    /**
     * 用户姓名
     */
    private String username;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 身份号码
     */
    @Column(name = "id_number")
    private String idNumber;
    /**
     * 物理卡号
     */
    @Column(name = "card_id_ex")
    private String cardIdEx;
    /**
     * 国家代码
     */
    @Column(name = "country_code")
    private String countryCode;
    /**
     * 通用小程序的openid
     */
    @Column(name = "common_open_id")
    private String commonOpenId;
    /**
     * 预约小程序的openid
     */
    @Column(name = "appointment_open_id")
    private String appointmentOpenId;
    /**
     * 楼宇小程序的openid
     */
    @Column(name = "building_open_id")
    private String buildingOpenId;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 人员类型 0-内宾 1-外宾
     */
    @Column(name = "type")
    private Integer type;
    /**
     * 支付宝userId
     */
    @Column(name = "zfb_user_id")
    private String zfbUserId;
    /**
     * 性别 通过身份证解析或护照OCR获取
     * 1985-09-03
     */
    @Column(name = "gender_str")
    private String genderStr;
    /**
     * 出生日期 通过身份证解析或护照OCR获取
     */
    private String birthday;

    @ApiModelProperty(value = "护照照片")
    private String hztx;

    @ApiModelProperty(value = "人脸特征值")
    private String facialFeature;


}

