package com.yx.face.model.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;

/**
 * <p>
 * 人员openId表
 * </p>
 *
 * @author wxg
 * @since 2022-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "user_info_open")
public class UserInfoOpen implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 人员openId表id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 消杀人员user_id
     */
    @Column(name = "user_id")
    private Long userId;

    /**
     * 用户绑定微信的openid
     */
    @Column(name = "open_id")
    private String openId;

    /**
     * 不同的小程序，在后台有对应的枚举类
     */
    @Column(name = "type")
    private Integer type;

}
