package com.yx.face.model.entity;

import com.yx.face.boot.handle.IntegerTypeHandler;
import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import tk.mybatis.mapper.annotation.ColumnType;

import javax.persistence.*;
import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author wxg
 * @since 2021-11-04
 */
@Data
@Accessors(chain = true)
@Table(name ="user_whitelist")
public class UserWhitelist{

    /**
     * 用户白名单id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    private String hid;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String phone;
    /**
     * 状态 1已认证 2.未认证
     */
    private Integer status;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 角色类型 默认1普通员工 2 管理员
     */
    private Integer type;
    /*
    * 管理员id
    * */
    @Column(name = "admin_id")
    private Integer adminId;

    /*
     * 身份证
     * */
    @Column(name = "id_number")
    private String idNumber;

    /*
     * 头像
     * */
    @Column(name = "avatar")
    private String avatar;
    /*
    * 录入类型 1.常客录入 2.人工录入
    * */
    @Column(name = "input_type")
    private Integer inputType;

    private List<ContextVO> addCustomList;

    @Column(name = "content")
    private String content;

    /**
     * 推送类型 0 小程序 1初次添加 2人工录入 3 访客机 4.身份证认证 5.物理卡号认证
     */
    @Column(name="push_type")
    private Integer pushType;

    /**
     * 公司名称
     */
    @Column(name = "enterprise_full_name")
    private String enterpriseFullName;

    @ApiModelProperty("是否更改有效期 0否，1是")
    private Boolean validityPeriodStatus;

    @ApiModelProperty("开始有效期")
    private Date startTime;

    @ApiModelProperty("结束有效期")
    private Date endTime;
    /*
     * 1.楼宇公有 2.企业公有 3.企业私有
     * */
    @Column(name = "admin_area_type")
    private Integer adminAreaType;
    /*
    * user_info表Id
    * */
    @Column(name = "user_id")
    private Long userId;
    /*
     * 物理卡号
     * */
    @Column(name = "card_id_ex")
    private String cardIdEx;

    /**
     * 人员类型
     * @see com.yx.face.model.enums.UserWhitePersonnelTypeEnum
     */
    @Column(name = "personnel_type")
    private Integer personnelType;
    /**
     * 入库状态 0-关闭 1-开通（学校场景使用）
     * 其它场景置空
     */
    @Column(name = "warehousing_status")
    private Boolean warehousingStatus;

    @ApiModelProperty("通行区域区域列表")
    @ColumnType(typeHandler = IntegerTypeHandler.class,column = "zone_pass_json")
    private List<Integer> zoneDevicePassIdList;

    @ApiModelProperty("性别 0-女 1-男")
    private Integer sex;
    @ApiModelProperty("部门")
    private String deptId;
    @ApiModelProperty("部门名称")
    private String deptName;
    @ApiModelProperty("职务")
    private String dutyId;
    @ApiModelProperty("职务名称")
    private String dutyName;
    @ApiModelProperty("工种")
    private String workId;
    @ApiModelProperty("工种名称")
    private String workName;
    @ApiModelProperty("出生年月")
    private Date birthDay;
    @ApiModelProperty("家庭住址")
    private String homeAddress;
    @ApiModelProperty("工号")
    private String jobNumber;

}
