package com.yx.face.model.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学校场景入库
 * </p>
 *
 * @author wxg
 * @since 2023-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "user_whitelist_school")
public class UserWhitelistSchool implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 学生的常客表id
     */
    @Column(name = "user_whitelist_id")
    private Integer userWhitelistId;

    /**
     * 家长的user_id
     */
    @Column(name = "user_id")
    private Long userId;

    /**
     * 入库的vid
     */
    @Column(name = "vid")
    private String vid;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

}
