package com.yx.face.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.entity
 * @class Visitee
 * @date 2023/7/28 下午10:33
 * @description 访客机受访人信息
 */
@Data
@Table(name = "fkj_visitee")
public class Visitee implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ApiModelProperty(value = "账号id")
    private Integer adminId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "身份证号")
    private String idNumber;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "单位名称")
    private String company;

    @ApiModelProperty(value = "部门")
    private String unitName;

    @ApiModelProperty(value = "房间号")
    private String room;

    @ApiModelProperty(value = "楼层")
    private String floor;

    @ApiModelProperty(value = "显示标题")
    private String showTitle;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "绑定区域 [1,2,3] 全部是null")
    private String zoneIds;

    @ApiModelProperty(value = "拼音首字母")
    private String pinyinFirstLetter;

    @Transient
    @ApiModelProperty(value = "账户名称")
    private String username;
    @Transient
    @ApiModelProperty(value = "绑定区域名称 全部是null")
    private String zoneNames;


}
