package com.yx.face.model.entity;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @description: 管理人员信息表(Admin)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:42 <br>
 */
@Data
@Accessors(chain = true)
@Table(name = "zone_device_r")
public class ZoneDeviceR {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 区域名称
     */
    private String name;

    /**
     * 账户id 设备号集合
     */
    private Integer adminId;

    /**
     * 设备号集合 xxx,xxxx
     */
    private String snJson;

    /**
     * 行星云推送消息
     */
    private String spiPushMsg;

    /**
     * 是否删除默认：0 false 未删除
     */
    private Boolean deleted;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date createTime;


}

