package com.yx.face.model.entity.issue;

import com.yx.face.model.entity.Base;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.entity.issue
 * @class IssueDevice
 * @date 2024/4/15 下午2:13
 * @description 下发到设备的人脸信息明细
 */
@Data
@Accessors(chain = true)
@Table(name = "issue_device_item")
public class IssueDeviceItem extends Base {

    @ApiModelProperty(value = "issue_Device表id")
    @Column(name = "issue_device_id")
    private Long issueDeviceId;

    @ApiModelProperty(value = "user_info表id")
    @Column(name = "user_id")
    private Integer userId;

    @ApiModelProperty(value = "adminId+userId+sn DigestUtil.md5Hex ")
    @Column(name = "org_id")
    private String orgId;

    @ApiModelProperty(value = "姓名")
    @Column(name = "user_name")
    private String userName;

    @ApiModelProperty(value = "手机号")
    @Column(name = "phone")
    private String phone;

    @ApiModelProperty(value = "身份证号")
    @Column(name = "id_number")
    private String idNumber;

    @ApiModelProperty(value = "物理卡号")
    @Column(name = "card_id_ex")
    private String cardIdEx;

    @ApiModelProperty(value = "照片")
    @Column(name = "photo")
    private String photo;

    @ApiModelProperty(value = "人脸特征值")
    @Column(name = "facial_feature")
    private String facialFeature;

    @ApiModelProperty(value = "人员类型 员工/访客")
    @Column(name = "user_type")
    private Integer userType;

    @ApiModelProperty(value = "有效期开始时间")
    @Column(name = "start_time")
    private Date startTime;

    @ApiModelProperty(value = "有效期结束时间")
    @Column(name = "end_time")
    private Date endTime;

    @ApiModelProperty(value = "下发时间")
    @Column(name = "issue_time")
    private Date issueTime;

    @ApiModelProperty(value = "下发状态 下发中  processing/成功 success/失败 failed  IssueStatusEnum")
    @Column(name = "issue_status")
    private String issueStatus;

    @ApiModelProperty(value = "备注")
    @Column(name = "remarks")
    private String remarks;


}
