package com.yx.face.model.entity.issue;

import com.yx.face.boot.handle.IntegerTypeHandler;
import com.yx.face.model.entity.Base;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import tk.mybatis.mapper.annotation.ColumnType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.entity.issue
 * @class IssueDeviceUser
 * @date 2024/4/17 下午6:43
 * @description
 */
@Data
@Accessors(chain = true)
@Table(name = "issue_device_user")
public class IssueDeviceUser extends Base {

    @ApiModelProperty(value = "设备sn")
    @Column(name = "device_sn")
    private String deviceSn;

    @ApiModelProperty(value = "设备人员数量")
    @Column(name = "user_count")
    private Integer userCount;

    @ApiModelProperty(value = "ip地址")
    @Column(name = "internet_ip")
    private String internetIp;

    @ApiModelProperty(value = "HHFACE版本号")
    @Column(name = "hh_face_Version")
    private String HhFaceVersion;

    @ApiModelProperty("用户集合ids  [1,2,3,4,5,6]")
    @ColumnType(typeHandler = IntegerTypeHandler.class, column = "user_ids")
    private List<Integer> userIds;

    @ApiModelProperty(value = "最后一次tracking心跳时间")
    @Column(name = "last_tracking_time")
    private Date lastTrackingTime;


}
