package com.yx.face.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/5/23 13:14
 * @description:
 */
@AllArgsConstructor
@Getter
public enum AdminPlaceTypeEnum {
    /**
     * 场所类型，0：通用场所，1：预约场所，2：楼宇场所
     */
    COMMON_PLACE(0, "通用场所"),
    APPOINTMENT_PLACE(1, "预约场所"),
    BUILDING_PLACE(2, "楼宇场所"),
    SCHOOL_PLACE(3, "学校场所")
    ;

    private Integer code;

    private String desc;

    public static AdminPlaceTypeEnum getEnum(Integer code){
        if(code == null){
            return null;
        }
        for (AdminPlaceTypeEnum commonEnum : values()){
            if(code.equals(commonEnum.getCode())){
                return commonEnum;
            }
        }
        return null;
    }
}
