package com.yx.face.model.enums;

import com.yx.face.boot.uitls.Preconditions;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author shisl
 * @package com.yx.face.model.enums
 * @class CountryCodeEnum
 * @date 2022/12/2 下午4:02
 * @description 世界各国和地区名称代码 GB/T 2659-2000
 */
@Getter
@AllArgsConstructor
public enum CountryCodeEnum {

    AFG("AF",	"AFG",	"阿富汗"),
    ALB("AL",	"ALB",	"阿尔巴尼亚"),
    DZA("DZ",	"DZA",	"阿尔及利亚"),
    ASM("AS",	"ASM",	"美属萨摩亚"),
    AND("AD",	"AND",	"安道尔"),
    AGO("A0",	"AGO",	"安哥拉"),
    AIA("AT",	"AIA",	"安丰拉"),
    ATA("AQ",	"ATA",	"南极洲"),
    ATG("AG",	"ATG",	"安提瓜和巴布达"),
    ARG("AR",	"ARG",	"阿根廷"),
    ARM("AM",	"ARM",	"亚美尼亚"),
    ABW("AW",	"ABW",	"阿鲁巴"),
    AUS("AU",	"AUS",	"澳大利亚"),
    AUT("AT",	"AUT",	"奥地利"),
    AZE("AZ",	"AZE",	"阿塞拜疆"),
    BHS("BS",	"BHS",	"巴哈马"),
    BHR("BH",	"BHR",	"巴林"),
    BGD("BD",	"BGD",	"孟加拉国"),
    BRB("BB",	"BRB",	"巴巴多斯"),
    BLR("BY",	"BLR",	"白俄罗斯"),
    BEL("BE",	"BEL",	"比利时"),
    BLZ("BZ",	"BLZ",	"伯利兹"),
    BEN("BJ",	"BEN",	"贝宁"),
    BMU("BM",	"BMU",	"百慕大"),
    BTN("BT",	"BTN",	"不丹"),
    BOL("BO",	"BOL",	"玻利维亚"),
    BIH("BA",	"BIH",	"波黑"),
    BWA("BW",	"BWA",	"博茨瓦纳"),
    BVT("BV",	"BVT",	"布维岛"),
    BRA("BR",	"BRA",	"巴西"),
    IOT("I0",	"IOT",	"英属印度洋领土"),
    BRN("BN",	"BRN",	"文莱"),
    BGR("BG",	"BGR",	"保加利亚"),
    BFA("BF",	"BFA",	"布基纳法索"),
    BDI("BI",	"BDI",	"布隆迪"),
    KHM("KH",	"KHM",	"柬埔塞"),
    CMR("CM",	"CMR",	"喀麦隆"),
    CAN("CA",	"CAN",	"加拿大"),
    CPV("CV",	"CPV",	"佛得角"),
    CYM("KY",	"CYM",	"开曼群岛"),
    CAF("CF",	"CAF",	"中非"),
    TCD("TD",	"TCD",	"乍得"),
    CHL("CL",	"CHL",	"智利"),
    CHN("CN",	"CHN",	"中国"),
    HKG("HK",	"HKG",	"香港"),
    MAC("MO",	"MAC",	"澳门"),
    TWN("TW",	"TWN",	"台湾"),
    CSR("CS",	"CSR",	"圣诞岛"),
    CCK("cc",	"CCK",	"科科斯(基林)群岛"),
    COL("Co",	"COL",	"哥伦比亚"),
    COM("KM",	"COM",	"科摩罗"),
    COG("CG",	"COG",	"刚果(布)"),
    COD("CD",	"COD",	"刚果(金)"),
    COK("CK",	"COK",	"库克群岛"),
    CR ("CR",	"CR",  "哥斯达黎加"),
    CIV("CI",	"CIV",	"科特迪瓦"),
    HRV("HR",	"HRV",	"克罗地亚"),
    CUB("CU",	"CUB",	"古田"),
    CYP("CY",	"CYP",	"塞浦路斯"),
    CZE("CZ",	"CZE",	"捷克"),
    DNK("DK",	"DNK",	"丹麦"),
    DJI("DJ",	"DJI",	"吉布提"),
    DMA("DM",	"DMA",	"多米尼克"),
    DOM("DO",	"DOM",	"多米尼加共和国"),
    TMP("TP",	"TMP",	"东帝汶"),
    ECU("EC",	"ECU",	"厄瓜多尔"),
    EGY("EG",	"EGY",	"埃及"),
    SLV("SV",	"SLV",	"萨尔瓦多"),
    GNQ("GQ",	"GNQ",	"赤道几内亚"),
    ERT("ER",	"ERT",	"厄立特里亚"),
    EST("EE",	"EST",	"爱沙尼亚"),
    ETH("ET",	"ETH",	"埃寒俄比亚"),
    FLK("FK",	"FLK",	"福克兰群岛(马尔维纳斯)"),
    FRO("FO",	"FRO",	"法罗群岛"),
    FTI("FT",	"FTI",	"斐济"),
    FIN("FI",	"FIN",	"芬兰"),
    FRA("FR",	"FRA",	"法国"),
    GUF("GF",	"GUF",	"法属圭亚那"),
    PYF("PF",	"PYF",	"法属波利尼西亚"),
    ATF("TF",	"ATF",	"法属南部领土"),
    GAB("GA",	"GAB",	"加蓬"),
    GMB("GM",	"GMB",	"冈比亚Gambia"),
    GEO("GE",	"GEO",	"格鲁吉亚"),
    DEU("DE",	"DEU",	"德国"),
    GHA("GH",	"GHA",	"加纳"),
    GIB("GI",	"GIB",	"直布罗陀"),
    GRC("GR",	"GRC",	"希腊"),
    GRL("GL",	"GRL",	"格陵兰"),
    GRD("GD",	"GRD",	"格林纳达"),
    GLP("GP",	"GLP",	"瓜德罗普"),
    GUM("GU",	"GUM",	"关岛"),
    GTM("GT",	"GTM",	"危地马拉"),
    GIN("GN",	"GIN",	"几内亚"),
    GNB("GW",	"GNB",	"几内亚比绍"),
    GUY("GY",	"GUY",	"圭亚那"),
    HTI("HT",	"HTI",	"海地"),
    HMD("HM",	"HMD",	"赫德岛和麦克唐纳岛"),
    HND("HN",	"HND",	"洪都拉斯"),
    HUN("HU",	"HUN",	"匈牙利"),
    TSL("IS",	"TSL",	"冰岛"),
    IND("IN",	"IND",	"印度"),
    IDN("ID",	"IDN",	"印度尼西亚"),
    IRN("IR",	"IRN",	"伊朗"),
    IRO("IQ",	"IRO",	"伊拉克"),
    IRL("IE",	"IRL",	"爱尔兰"),
    ISR("IL",	"ISR",	"以色列"),
    TTA("IT",	"TTA",	"意大利"),
    TAM("TM",	"TAM",	"牙买加"),
    TPN("JP",	"TPN",	"日本"),
    JOR("JO",	"JOR",	"约旦"),
    KAZ("KZ",	"KAZ",	"哈萨克斯坦"),
    KEN("KE",	"KEN",	"肯尼亚"),
    KIR("KI",	"KIR",	"基里巴斯"),
    PRK("KP",	"PRK",	"朝鲜"),
    KOR("KR",	"KOR",	"韩国"),
    KWT("KW",	"KWT",	"科威特"),
    KGZ("KG",	"KGZ",	"吉尔吉斯斯坦"),
    LAO("LA",	"LAO",	"老挝"),
    LVA("LV",	"LVA",	"拉脱维亚"),
    LBN("LB",	"LBN",	"黎巴嫩"),
    LSO("LS",	"LSO",	"莱索托"),
    LBR("LR",	"LBR",	"利比里亚"),
    LBY("LY",	"LBY",	"利比亚"),
    LIE("LI",	"LIE",	"列支敦士登"),
    LTU("LT",	"LTU",	"立陶宛"),
    LUX("LU",	"LUX",	"卢森堡"),
    MKD("MK",	"MKD",	"前南马其顿"),
    MDG("MG",	"MDG",	"马达加斯加"),
    MWT("MW",	"MWT",	"马拉维"),
    MYS("My",	"MYS",	"马来西亚"),
    MDV("MV",	"MDV",	"马尔代夫"),
    MLI("ML",	"MLI",	"马里"),
    MLT("MT",	"MLT",	"马耳他"),
    MHL("MH",	"MHL",	"马绍尔群岛"),
    MTO("MO",	"MTO",	"马提尼克"),
    MRT("MR",	"MRT",	"毛里塔尼亚"),
    MUS("MU",	"MUS",	"毛里求斯"),
    MYT("VT",	"MYT",	"马约特"),
    MEX("MX",	"MEX",	"墨西哥"),
    FSM("FM",	"FSM",	"密克罗尼西亚联"),
    MDA("MD",	"MDA",	"摩尔多瓦"),
    MCO("MC",	"MCO",	"摩纳哥"),
    MNG("MN",	"MNG",	"蒙古国"),
    MSR("MS",	"MSR",	"蒙特塞拉特"),
    MAR("MA",	"MAR",	"摩洛哥"),
    MOZ("MZ",	"MOZ",	"莫桑比克"),
    MMR("MM",	"MMR",	"缅甸"),
    NAM("NA",	"NAM",	"纳米比亚"),
    NRU("NR",	"NRU",	"瑙鲁"),
    NPL("NP",	"NPL",	"尼泊尔"),
    NLD("NL",	"NLD",	"荷兰"),
    ANT("AN",	"ANT",	"荷属安的列斯"),
    NCL("NC",	"NCL",	"新喀里多尼亚"),
    NZL("NZ",	"NZL",	"新西兰"),
    NIC("NI",	"NIC",	"尼加拉瓜"),
    NER("NE",	"NER",	"尼日尔"),
    NGA("NG",	"NGA",	"尼日利亚"),
    NIU("NU",	"NIU",	"纽埃"),
    NFK("NF",	"NFK",	"诺福克岛"),
    MNP("MP",	"MNP",	"北马里亚纳"),
    NOR("NO",	"NOR",	"挪威"),
    OMN("OM",	"OMN",	"阿曼"),
    PAK("PK",	"PAK",	"巴基斯坦"),
    PLW("PW",	"PLW",	"帕劳"),
    PST("PS",	"PST",	"巴勒斯坦"),
    PAN("PA",	"PAN",	"巴拿马"),
    PNG("PG",	"PNG",	"巴布亚新几内亚"),
    PRY("PY",	"PRY",	"巴拉圭"),
    PER("PE",	"PER",	"秘鲁"),
    PHL("PH",	"PHL",	"菲律宾"),
    PCN("PN",	"PCN",	"皮特凯恩群岛"),
    POL("PL",	"POL",	"波兰"),
    PRT("PT",	"PRT",	"葡萄牙"),
    PRI("PR",	"PRI",	"波多黎各"),
    QAT("QA",	"QAT",	"卡塔尔"),
    REU("RE",	"REU",	"留尼汪"),
    ROM("RO",	"ROM",	"罗马尼亚"),
    RUS("RU",	"RUS",	"俄罗斯联邦"),
    RWA("RW",	"RWA",	"卢旺达"),
    SHN("Sh",	"SHN",	"圣赫勒拿"),
    KNA("KN",	"KNA",	"圣基茨和尼维斯"),
    LCA("LC",	"LCA",	"圣卢西亚"),
    SPM("PM",	"SPM",	"圣皮埃尔和密克"),
    VCT("vc",	"VCT",	"圣文森特和格林纳丁斯"),
    WSM("ws",	"WSM",	"萨摩亚"),
    SMR("SM",	"SMR",	"圣马力诺"),
    STp("St",	"STp",	"圣多美和普林西比"),
    SAU("SA",	"SAU",	"沙特阿拉伯"),
    SEN("SN",	"SEN",	"塞内加尔"),
    SYC("sc",	"SYC",	"塞舌尔"),
    SLE("SL",	"SLE",	"塞拉利昂"),
    SGP("SG",	"SGP",	"新加坡"),
    SVK("SK",	"SVK",	"斯洛伐克"),
    SVN("SI",	"SVN",	"斯洛文尼亚"),
    SLB("SB",	"SLB",	"所罗门群岛"),
    SOM("SO",	"SOM",	"索马里"),
    ZAF("ZA",	"ZAF",	"南非"),
    SGS("GS",	"SGS",	"南乔治亚岛和南桑德韦奇岛"),
    ESP("ES",	"ESP",	"西班牙"),
    LKA("LK",	"LKA",	"斯里兰卡"),
    SDN("SD",	"SDN",	"苏丹"),
    SUR("SR",	"SUR",	"苏里南"),
    SJM("SJ",	"SJM",	"斯瓦尔巴群岛"),
    SWZ("SZ",	"SWZ",	"斯威士兰"),
    SWE("SE",	"SWE",	"瑞典"),
    CHE("CH",	"CHE",	"瑞士"),
    SYR("SY",	"SYR",	"叙利亚"),
    TJK("TJ",	"TJK",	"塔吉克斯坦"),
    TZA("TZ",	"TZA",	"坦桑尼亚"),
    THA("TH",	"THA",	"泰国"),
    TGO("TG",	"TGO",	"多哥"),
    TKL("TK",	"TKL",	"托克劳"),
    TON("TO",	"TON",	"汤加"),
    TTO("TT",	"TTO",	"特立尼达和多巴哥"),
    TUN("TN",	"TUN",	"突尼斯"),
    TUR("TR",	"TUR",	"十耳其"),
    TKM("TM",	"TKM",	"土库曼斯坦"),
    TCA("TC",	"TCA",	"特克斯科斯群岛"),
    TUV("TV",	"TUV",	"图瓦卢"),
    UGA("UG",	"UGA",	"乌干达"),
    UKR("UA",	"UKR",	"乌克兰"),
    ARE("AE",	"ARE",	"阿联酋"),
    GBR("GB",	"GBR",	"英国"),
    USA("US",	"USA",	"美国"),
    UMI("UM",	"UMI",	"美国本土外小岛屿"),
    URY("UY",	"URY",	"乌拉圭"),
    UZB("UZ",	"UZB",	"乌兹别克斯坦"),
    VUT("VU",	"VUT",	"瓦努阿图"),
    VAT("VA",	"VAT",	"梦蒂冈"),
    VEN("VE",	"VEN",	"委内瑞拉"),
    VNM("VN",	"VNM",	"越南"),
    VGB("VG",	"VGB",	"英属维尔京群岛"),
    VIR("VI",	"VIR",	"美属维尔京群岛"),
    WLF("WF",	"WLF",	"瓦利斯和富图纳"),
    ESH("EH",	"ESH",	"西撒哈拉"),
    YEM("YE",	"YEM",	"也门"),
    YUG("YU",	"YUG",	"南斯拉夫"),
    ZMB("ZM",	"ZMB",	"赞比亚"),
    ZWE("ZW",	"ZWE",	"津巴布韦");

    private String twoCode;
    private String threeCode;
    private String countryName;


    public static CountryCodeEnum getCountryCodeEnumByThreeCode(String threeCode) {
        if (Preconditions.isNotBlank(threeCode)) {
            for (CountryCodeEnum countryCodeEnum : values()) {
                if (countryCodeEnum.getThreeCode().equals(threeCode)) {
                    return countryCodeEnum;
                }
            }
        }
        return null;
    }


}
