package com.yx.face.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @description:
 * @ClassName PassEnum
 * @Author WXG
 * @Date 2023/12/5 17:10
 */
@AllArgsConstructor
@Getter
public enum PassEnum {

    COMMON(0, "进出"),
    IN(1, "进"),
    OUT(2, "出");

    private Integer code;
    private String desc;

    public static PassEnum getEnumByCode(Integer code){
        if(Objects.isNull(code)){
            return null;
        }
        for (PassEnum passEnum : values()){
            if(passEnum.code.equals(code)){
                return passEnum;
            }
        }
        return null;
    }
}
