package com.yx.face.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @description:
 * @ClassName PassEnum
 * @Author WXG
 * @Date 2023/12/5 17:10
 */
@AllArgsConstructor
@Getter
public enum StatAgeTypeEnum {

    AGE_20(1, "20岁以下"),
    AGE_35(2, "20-35岁"),
    AGE_50(3, "36-50岁"),
    AGE_65(4, "51-65岁"),
    AGE_OTHER(5, "65岁以上"),
    ;

    private Integer code;
    private String desc;

    public static StatAgeTypeEnum getEnumByCode(Integer code){
        if(Objects.isNull(code)){
            return null;
        }
        for (StatAgeTypeEnum passEnum : values()){
            if(passEnum.code.equals(code)){
                return passEnum;
            }
        }
        return null;
    }
}
