package com.yx.face.model.enums.issue;

import com.yx.face.boot.uitls.Preconditions;
import lombok.Getter;

/**
 * @author shisl
 * @package com.yx.face.model.enums.issue
 * @class IssueStatusEnum
 * @date 2024/4/15 下午2:27
 * @description 下发状态 等待中 pending/下发中 processing/中断 interruption/成功 success/失败 failed/已取消 cancel
 */
@Getter
public enum IssueStatusEnum {

    PENDING("pending", "等待中"),
    PROCESSING("processing", "下发中"),
    INTERRUPTION("interruption", "中断"),
    SUCCESS("success", "成功"),
    FAILED("failed", "失败"),
    CANCEL("cancel", "已取消"),
    ;

    private String code;
    private String desc;

    IssueStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static IssueStatusEnum getByCode(String code) {
        if (Preconditions.isBlank(code)) {
            return null;
        }
        for (IssueStatusEnum item : IssueStatusEnum.values()) {
            if (item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }

}
