package com.yx.face.model.enums.issue;

import com.yx.face.boot.core.Constants;
import com.yx.face.boot.uitls.Preconditions;
import lombok.Getter;

/**
 * @author shisl
 * @package com.yx.face.model.enums.issue
 * @class IssuedTypeEnum
 * @date 2024/4/15 下午2:23
 * @description 下发类型 全量下发issue_all/增量下发issue_increment
 */
@Getter
public enum IssueTypeEnum {

    ISSUE_ALL("all", "全量下发", Constants.OP_ISSUE_ALL),
    ISSUE_INCREMENT("increment", "增量下发", Constants.OP_ISSUE_INCREMENT),
    FACE_DELETED("face_delete", "删除", Constants.OP_FACE_DELETED),
    FACE_DELETED_ALL("face_delete_all", "全量删除", Constants.OP_FACE_DELETED_ALL),
    ISSUE_CANCEL("cancel", "取消下发", Constants.OP_ISSUE_CANCEL)
    ;

    private String code;
    private String desc;
    private String opCode;

    IssueTypeEnum(String code, String desc, String opCode) {
        this.code = code;
        this.desc = desc;
        this.opCode = opCode;
    }

    public static IssueTypeEnum getByCode(String code) {
        if (Preconditions.isBlank(code)) {
            return null;
        }
        for (IssueTypeEnum item : IssueTypeEnum.values()) {
            if (item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }


}
