package com.yx.face.boot.uitls;


import org.apache.commons.codec.digest.DigestUtils;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.multipart.MultipartFile;

import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Base64;
import java.util.Date;
import java.util.LinkedList;
import java.util.List;

/**
 * @description: 创建临时文件 <br>
 * @date: 2020/10/21 10:49 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 */
public class FileUtils {

    private static Logger log = LoggerFactory.getLogger(FileUtils.class);


    public static String getDirectory(String basePath) {
        return basePath.concat(DateUtils.parseDateToStr("yyyyMMdd", new Date()));
    }
    public static String transformBase64Image(String base64Image, String path, String fileName) {
        if (base64Image == null || base64Image.trim().length() < 1) {
            return null;
        }
        try {
            Path directory = Paths.get(path);
            if (!Files.exists(directory)) {
                Files.createDirectories(directory);
            }
            Base64.Decoder decoder = Base64.getDecoder();
            byte[] bytes = decoder.decode(base64Image);
            for (int i = 0; i < bytes.length; ++i) {
                if (bytes[i] < 0) {// 调整异常数据
                    bytes[i] += 256;
                }
            }
            path = path.concat(fileName);
            OutputStream out = new FileOutputStream(path);
            out.write(bytes);
            out.flush();
            out.close();
        } catch (Exception e) {
            log.info(e.getMessage());
            return null;
        }
        return path;
    }
}
