package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.FaceDevice;
import com.yx.face.model.vo.FaceDeviceLessVO;
import com.yx.face.model.vo.WhiteVisitorCertificationVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @description: 人脸设备信息表(FaceDevice)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:45 <br>
 */

public interface FaceDeviceDao extends TKMapper<FaceDevice> {

    Integer selectAdminId(@Param("sn") String sn);

    WhiteVisitorCertificationVO getFaceDeviceOne(@Param("sn") String sn);

    List<String> selectList(@Param("adminId") Integer adminId);

    FaceDevice getFaceDeviceBySn(@Param("sn") String sn);

    List<FaceDeviceLessVO> getSnListByUserWhitelistId(@Param("userWhitelistId") Integer userWhitelistId);

    FaceDeviceLessVO getBySn(@Param("sn") String sn);
}

