package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.FaceLog;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


/**
 * @description: 天波人脸设备进出记录表(FaceLog)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:46 <br>
 */

public interface FaceLogDao extends TKMapper<FaceLog> {
    /*黄牛模型开始*/
    //1.查询10天之内出现次数大于等于5次 并且不是常客的记录
    List<String> getCattleList(String faceTime);

    //2.根据身份证找到最新的一条数据
    List<FaceLog> getByIdnumber(@Param("idNumber") String idNumber, @Param("faceTime") String faceTime);

    /*黄牛模型结束*/
    Date getRecent(@Param("userId") Long userId, @Param("sn") String sn);

    List<Long> getByAdminIds(@Param("adminIds") List<Integer> adminIds, @Param("createTime") String format);

    void deleteLastMonthData(@Param("adminIds") List<Integer> adminIds, @Param("createTime") String format);

    Integer getContextByFaceLogWhite(@Param("adminId")Integer adminId,@Param("cardId")String cardId);

    Integer getContextByFaceLogVisitor(@Param("adminId")Integer adminId,@Param("cardId")String cardId);

}

