package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.UserWhitelist;
import com.yx.face.model.entity.UserWhitelistDetail;
import com.yx.face.model.vo.UserWhitelistVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @ClassName UserWhitelistDao
 * @Author WXG
 * @Date 2021/11/5 14:18
 */
public interface UserWhitelistDao extends TKMapper<UserWhitelist> {

    UserWhitelist getByPhoneAndId(@Param("phone")String phone ,@Param("id") Integer id,@Param("adminId") Integer adminId);

    Long setUserId(@Param("id") Integer id);

    List<Long> selectId(@Param("userIds") List<Long> userIds, @Param("adminId") Integer adminId);

    Integer getWhiteVisitorType(@Param("adminId") Integer adminId, @Param("idNumber") String idNumber);

    UserWhitelistVO selectUserWhitelistOn(@Param("idNumber") String idNumber, @Param("phone") String phone);

    List<UserWhitelistVO> selectList(@Param("userId") Integer userId);

    List<UserWhitelistVO> selectUserWhiteListByDevice(@Param("userIds") List<Integer> userIds,@Param("deviceId")Integer deviceId);

    List<UserWhitelistVO> selectUserWhiteList(@Param("userIds") List<Integer> userIds);

    UserWhitelist getByIdNumberAndId(@Param("idNumber") String idNumber, @Param("id") Integer id, @Param("adminId") Integer adminId);

    List<UserWhitelist> selectByPhoneOrIdNumber(@Param("idNumber")String idNumber, @Param("phone")String phone, @Param("adminIdList")List<Integer> adminIdList);

    UserWhitelistDetail selectWhiteListFromById(@Param("id") Integer id, @Param("time") String time);

}
