package com.yx.face.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.dto.iot
 * @class IotUserWhitelistDto
 * @date 2023/4/19 上午11:27
 * @description
 */
@ApiModel("iot设备人员")
@Data
public class IotUserWhitelistDto implements Serializable {

    /**
     * 身份证号
     */
    private String idNumber;
    /**
     * 设备sn
     */
    private String sn;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 操作标识
     */
    private OpFlagEnum opFlag;

    @ApiModelProperty(value = "姓名 必须")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;


    @Getter
    enum OpFlagEnum {

        INSERT(1, "添加"),
        UPDATE(2, "修改"),
        DELETE(3, "删除");

        private Integer code;

        private String desc;

        OpFlagEnum(int code, String desc) {
            this.code = code;
            this.desc = desc;
        }
    }


}
