package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.vo
 * @class FaceDeviceVO
 * @date 2023/5/9 下午5:33
 * @description
 */
@ApiModel("人脸设备信息表VO model")
@Accessors(chain = true)
@Data
public class FaceDeviceVO {

    @ApiModelProperty(value = "设备id")
    private Integer deviceId;

    @ApiModelProperty(value = "设备编号")
    private String sn;



    @ApiModelProperty(value = "停用-0|启用-1")
    private Integer enable;

    @ApiModelProperty(value = "离线-0|在线-1")
    private Integer online;

    @ApiModelProperty(value = "设备联网IP")
    private String interIp;

    @ApiModelProperty(value = "绑定人员数")
    private Integer userCount;

    @ApiModelProperty(value = "通行数量")
    private Integer passCount;

    @ApiModelProperty(value = "app版本")
    private String appVersion;

    @ApiModelProperty(value = "管理员id")
    private Integer adminId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "未授权-0|已授权-1")
    private Integer auth;



    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "省份")
    private String provinceName;

    @ApiModelProperty(value = "城市")
    private String cityName;

    @ApiModelProperty(value = "县区")
    private String areaName;

    @ApiModelProperty(value = "账户名称")
    private String username;

    @ApiModelProperty(value = "第三方Id")
    private Integer thirdPartyId;

    @ApiModelProperty(value = "名称or标签")
    private String name;
    @ApiModelProperty(value = " 不限-0|进-1|出-2")
    private Integer pass;
    @ApiModelProperty(value = "第三方名称")
    private String thirdPartyName;
    @ApiModelProperty(value = "设备类型名称")
    private String faceDeviceTypeName;

    @ApiModelProperty(value = "设备类型Id")
    private Integer faceDeviceTypeId;

    @ApiModelProperty("场所码id")
    private Integer adminPlaceInfoId;

    @ApiModelProperty("是否更改有效期 0否，1是")
    private Integer validityPeriodStatus;

    @ApiModelProperty("开始有效期")
    private Date startTime;

    @ApiModelProperty("结束有效期")
    private Date endTime;
    @ApiModelProperty(value = "区域类型 1-公有区域 2-私有区域")
    private Integer areaType;

    @ApiModelProperty(value = "私有区域Id")
    private Integer privateAreaId;

    @ApiModelProperty(value = "私有区域名称")
    private String privateAreaName;

    @ApiModelProperty(value = "1.楼宇公有 2.企业公有 3.企业私有")
    private Integer adminAreaType;

    @ApiModelProperty(value = "楼宇Id")
    private Integer buildingId;

    @ApiModelProperty("场所码注册状态，0：否 ，1：是")
    private Boolean placeRegisterStatus;

}
