package com.yx.face.service.impl;


import cn.hutool.core.bean.BeanUtil;
import com.alibaba.fastjson.JSONArray;
import com.yx.face.dao.AdminDao;
import com.yx.face.model.entity.Admin;
import com.yx.face.model.vo.AdminVO;
import com.yx.face.model.vo.ContextVO;
import com.yx.face.service.AdminService;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;
import tk.mybatis.mapper.weekend.WeekendSqls;

import javax.annotation.Resource;
import java.util.List;
import java.util.Objects;


/**
 * @description: 管理人员信息表(Admin)表服务实现类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-05-06 11:15:50 <br>
 */

@Service
public class AdminServiceImpl implements AdminService {
    @Resource
    private AdminDao adminDao;

    @Override
    public AdminVO getAdminInfoById(Integer adminId) {
        Admin admin = adminDao.selectByPrimaryKey(adminId);
        if (Objects.isNull(admin)) {
            return null;
        }
        AdminVO adminVO = BeanUtil.copyProperties(admin, AdminVO.class);
        adminVO.setAdminId(admin.getId());
        adminVO.setContextVOList(JSONArray.parseArray(admin.getContent(), ContextVO.class));
        return adminVO;
    }

    @Override
    public List<Admin> queryByTenantId(Integer adminId) {
        List<Admin> adminList = adminDao.selectByExample(Example.builder(Admin.class).where(WeekendSqls.<Admin>custom().andEqualTo(Admin::getTenantId, adminId)).build());
        return adminList;
    }

}

