package com.yx.face.service.impl;

import com.yx.face.dao.TaskInfoDao;
import com.yx.face.model.entity.TaskInfo;
import com.yx.face.service.TaskInfoService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:TaskInfoServiceImpl
 * @date 2022/10/12
 **/
@Service
public class TaskInfoServiceImpl implements TaskInfoService {

    @Resource
    private TaskInfoDao taskInfoDao;

    @Override
    public List<TaskInfo> getOverdueTask() {
        return taskInfoDao.getOverdueTask();
    }

    @Override
    public Integer batchDelete(List<TaskInfo> onlineTaskList) {
        List<Integer> idList = onlineTaskList.stream().map(e->e.getId()).collect(Collectors.toList());
        String ids =StringUtils.join(idList,",");
        Integer num = taskInfoDao.deleteByIds(ids);
        return num;
    }
}
