package com.yx.face.service.impl;

import com.yx.face.dao.UserControlEarlyWarningListDao;
import com.yx.face.dao.UserControlEarlyWarningListLogDao;
import com.yx.face.model.entity.UserControlEarlyWarningListLog;
import com.yx.face.model.vo.AdminAndUserEarlyWarningVO;
import com.yx.face.service.AdminService;
import com.yx.face.service.UserControlEarlyWarningListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * <p>
 * 预警人员 服务实现类
 * </p>
 *
 * @author wxg
 * @since 2022-01-24
 */
@Service
public class UserControlEarlyWarningListServiceImpl implements UserControlEarlyWarningListService {

    @Resource
    private UserControlEarlyWarningListDao userControlEarlyWarningListDao;
    @Resource
    private UserControlEarlyWarningListLogDao userControlEarlyWarningListLogDao;

    @Autowired
    private AdminService adminService;

    /**
     * 插入匹配人员预警信息
     *
     * @param deviceSn 设备编号
     * @param idNumber 身份证
     * @param faceLogId  进出记录id
     */
    @Async
    @Override
    public void addWarningInformation(String deviceSn, String idNumber, Long faceLogId) {
        // null 代表未查到
        AdminAndUserEarlyWarningVO adminAndUserEarlyWarningVO = userControlEarlyWarningListDao.getAdminWarningInformation(deviceSn, idNumber, 1);
        if (adminAndUserEarlyWarningVO != null) {
            System.out.println(adminAndUserEarlyWarningVO);
            UserControlEarlyWarningListLog userControlEarlyWarningListLog = new UserControlEarlyWarningListLog();
            Date date = new Date();
            userControlEarlyWarningListLog.setUpdateTime(date);
            userControlEarlyWarningListLog.setCreateTime(date);
            userControlEarlyWarningListLog.setControlUnit(adminAndUserEarlyWarningVO.getControlUnit());
            userControlEarlyWarningListLog.setControlPhone(adminAndUserEarlyWarningVO.getControlPhone());
            userControlEarlyWarningListLog.setControlName(adminAndUserEarlyWarningVO.getControlName());
            userControlEarlyWarningListLog.setAdminId(adminAndUserEarlyWarningVO.getAdminId());
            userControlEarlyWarningListLog.setStatus(1);
            userControlEarlyWarningListLog.setFaceLogId(faceLogId);
            System.out.println(userControlEarlyWarningListLog);
            userControlEarlyWarningListLogDao.insert(userControlEarlyWarningListLog);
        }

    }
}
