package com.yx.face.service.job;

import com.yx.face.dao.FkjQrcodeDao;
import com.yx.face.model.entity.FkjQrcode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import tk.mybatis.mapper.entity.Example;
import tk.mybatis.mapper.weekend.WeekendSqls;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.service.job
 * @class FkjQrcodeTask
 * @date 2023/7/29 下午9:41
 * @description 访客机job
 */
@Configuration
@EnableScheduling
@EnableAsync
@Slf4j
public class FkjQrcodeTask {

    @Resource
    private FkjQrcodeDao fkjQrcodeDao;

    /**
     *  删除过期的二维码
     */
    @Scheduled(cron = "0 */1 * * * ?", zone = "Asia/Shanghai")
    public void opDeviceOffline() {
        log.info("--->开始执行访客机过期二维码删除");
        Date currentTime = new Date();
        int delCount = fkjQrcodeDao.deleteByExample(Example.builder(FkjQrcode.class)
                .where(WeekendSqls.<FkjQrcode>custom().andLessThan(FkjQrcode::getEndTime, currentTime)).build());
        log.info("--->结束执行访客机过期二维码删除，执行数{}", delCount);
    }

}
