package com.yx.face.service.job;

import com.yx.face.service.job.zeroTask.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * @description:
 * @ClassName ZeroTask
 * @Author WXG
 * @Date 2022/12/12 9:10
 */
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
@EnableAsync
@Slf4j
public class ZeroTask {

    @Resource
    private AdminDataShowTask adminDataShowTask;
    @Resource
    private ClearShortTermFaceLogTask clearShortTermFaceLogTask;
    @Resource
    private UserInfoTask userInfoTask;
    @Resource
    private ClearVisitorDataTask clearVisitorDataTask;
    @Resource
    private ClearFaceLogTask clearFaceLogTask;
    @Resource
    private ClearStatTask clearStatTask;

    //测试
    //@Scheduled(cron = "0 1/1 * * * ?", zone = "Asia/Shanghai")
    /*每天0点执行的定时任务*/
    @Scheduled(cron = "0 0 0 * * ?", zone = "Asia/Shanghai")
    @Async
    public void zeroTask() {
        /*清除redis中的数据*/
        adminDataShowTask.toClearRedisByAdmin();
        /*根据访客配置删除访客的数据*/
        clearVisitorDataTask.clearVisitorDataTask();
        /*清除近期的通行证数据*/
        clearShortTermFaceLogTask.toClearShortTermFaceLog();
        /*清除userInfo中只有手机号的脏数据*/
        userInfoTask.toClearUserInfo();
        /*清除FaceLog数据*/
        clearFaceLogTask.toClearFaceLog();
        /*清楚7天前的统计数据*/
        clearStatTask.clearTask();
    }
}
