package com.yx.face.service.job.zeroTask;

import com.yx.face.boot.uitls.RedisUtil;
import com.yx.face.dao.AdminDao;
import com.yx.face.model.entity.Admin;
import com.yx.face.model.entity.AdminData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.annotation.Resource;
import java.util.List;

/**
 * @description:
 * @ClassName AdminDataShowTask
 * @Author WXG
 * @Date 2021/11/12 20:52
 */
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
@EnableAsync
@Slf4j
public class AdminDataShowTask {


    @Resource
    AdminDao adminDao;
    @Autowired
    private RedisUtil redisUtil;

    private String RName = "adminData" ;
    /*
    * 每天0点清空redis中的数据
    * */
    @Async
    public void toClearRedisByAdmin() {
        log.info("----------开始------清除Redis通行数据-------------");
        Admin a = new Admin();
        a.setType((byte)5);
        List<Admin> list = adminDao.select(a);
        for (Admin admin : list) {
            Integer adminId = admin.getId();
            AdminData adminData = (AdminData)redisUtil.get(RName + adminId);
            if(adminData!=null){
                Integer todayNum = 0;
                Integer redNum = 0;
                Integer yellowNum = 0;
                Integer greenNum = 0;
                Integer notKnowNum = 0;
                Integer twExceptionNum = 0;
                Integer twNormal = 0;
                Integer contactRedNum = 0;
                Integer contactYellowNum =0;
                Integer exceptionNum = 0;
                Integer inoculationNum = 0;
                Integer noInoculationNum = 0;
                Integer nucleicNum = 0;
                adminData.setTodayNum(todayNum);
                adminData.setRedNum(redNum);
                adminData.setYellowNum(yellowNum);
                adminData.setGreenNum(greenNum);
                adminData.setNotKnowNum(notKnowNum);
                adminData.setTwExceptionNum(twExceptionNum);
                adminData.setTwNormal(twNormal);
                adminData.setContactRedNum(contactRedNum);
                adminData.setContactYellowNum(contactYellowNum);
                adminData.setExceptionNum(exceptionNum);
                adminData.setInoculationNum(inoculationNum);
                adminData.setNoInoculationNum(noInoculationNum);
                adminData.setNucleicNum(nucleicNum);
                redisUtil.set(RName + adminId,adminData);
            }
        }
        log.info("----------完成------清除Redis通行数据-------------");
    }
}
