package com.yx.face.service.job.zeroTask;

import cn.hutool.core.date.DatePattern;
import cn.hutool.core.date.DateUtil;
import com.yx.face.dao.ShortTermFaceLogDao;
import com.yx.face.dao.ShortTermFaceLogDetailDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @description: 每天0点清除短期进出记录中一个月前的数据
 * @ClassName ClearShortTermFaceLog
 * @Author WXG
 * @Date 2022/9/15 17:26
 */
@Component   //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
@Slf4j
public class ClearShortTermFaceLogTask {

    @Resource
    private ShortTermFaceLogDao shortTermFaceLogDao;
    @Resource
    private ShortTermFaceLogDetailDao shortTermFaceLogDetailDao;

    public static void main(String[] args) {
        Date dateTime = DateUtil.lastMonth();
        String formatzero = DateUtil.format(dateTime, DatePattern.NORM_DATE_PATTERN);
        dateTime = DateUtil.parse(formatzero);
        String format = DateUtil.format(dateTime, DatePattern.NORM_DATETIME_PATTERN);
        System.out.println(format);
    }

    @Async
    public void toClearShortTermFaceLog() {
        log.info("----------开始------清除短期通行证的数据-------------");
        Date dateTime = DateUtil.lastMonth();
        String formatzero = DateUtil.format(dateTime, DatePattern.NORM_DATE_PATTERN);
        dateTime = DateUtil.parse(formatzero);
        String format = DateUtil.format(dateTime, DatePattern.NORM_DATETIME_PATTERN);
        shortTermFaceLogDao.deleteLastMonthData(format);
        log.info("----------完成------清除短期通行证的数据-------------");
        log.info("----------开始------清除短期通行证附表的数据-------------");
        shortTermFaceLogDetailDao.deleteLastMonthData(format);
        log.info("----------完成------清除短期通行证附表的数据-------------");
    }
}
