package com.yx.face.service.job.zeroTask;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.yx.face.dao.*;
import com.yx.face.model.entity.*;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

import java.time.LocalDate;

/**
 * @description:
 * @ClassName ClearVisitorDataTask
 * @Author WXG
 * @Date 2022/12/12 9:19
 */
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
@EnableAsync
@Slf4j
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class ClearStatTask {
    private final StatAgeDao statAgeDao;
    private final StatDataDao statDataDao;
    private final StatDataItemDao statDataItemDao;
    private final StatPeopleDao statPeopleDao;
    private final StatSexDao statSexDao;
    private final StatSourceDao statSourceDao;
    @Async
    public void clearTask() {
        log.info("----------开始------清除统计数据-------------");
        LocalDate now = LocalDate.now();
        LocalDate localDate = now.minusDays(7);

        statAgeDao.delete(Wrappers.<StatAge>lambdaQuery().lt(StatAge::getStatDate,localDate));
        statDataDao.delete(Wrappers.<StatData>lambdaQuery().lt(StatData::getCreateTime,localDate));
        statDataItemDao.delete(Wrappers.<StatDataItem>lambdaQuery().lt(StatDataItem::getCreateTime,localDate));
        statPeopleDao.delete(Wrappers.<StatPeople>lambdaQuery().lt(StatPeople::getStatDate,localDate));
        statSexDao.delete(Wrappers.<StatSex>lambdaQuery().lt(StatSex::getStatDate,localDate));
        statSourceDao.delete(Wrappers.<StatSource>lambdaQuery().lt(StatSource::getStatDate,localDate));

        log.info("----------完成------清除统计数据-------------");
    }
}
