package com.yx.face.service.job.zeroTask;

import com.yx.face.dao.UserInfoDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.annotation.Resource;

/**
 * @description:
 * @ClassName UserInfoTask
 * @Author WXG
 * @Date 2021/11/16 16:56
 */
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
@EnableAsync
@Slf4j
public class UserInfoTask {

    @Resource
    private UserInfoDao userInfoDao;

    /*
     * 每天0点清掉user_info中只有手机号的数据
     * */
    @Async
    public void toClearUserInfo() {
        log.info("----------开始------清除user_info中的脏数据-------------");
        userInfoDao.deleteUserInfo();
        log.info("----------完成------清除user_info中的脏数据-------------");
    }
}
