package com.yixin.ms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


@ApiModel("健康码查询DTO")
@Data
@Accessors(chain = true)
public class ShortTermDTO {

    @ApiModelProperty(value = "token")
    private String token;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "设备编码")
    private String sn;

    @ApiModelProperty(value = "手机号")
    private String phone;

    /*
     * barCode有两种情况
     * 1.带url的  000026https://h5.dingtalk.com/healthAct/index.html?stateCouncilBarCode=ffd631d12c5ee80fe77fe0fb4347b4e8&flag=1#/result
     *   提取barCode参数的信息获取信息
     * 2.景区的是纯数字
     *   调用接口获取身份信息  身份证 姓名
     *
     * */
    @ApiModelProperty(value = "健康码barCode")
    private String healthCode;

    /**
     * 0人脸 cardid 身份证
     * 1卡
     * 2 身份证 cardid 身份证
     * 3 二维码 cardid 二维码
     * 4 远程
     * 6 IC卡+人脸
     */
    private String verifyType;


    //** ----------------20230726 连续任务参数 ------------
    @ApiModelProperty(value = "任务id 唯一 三方接口返回")
    private String taskId;

    @ApiModelProperty(value = "用户选择结果")
    private String value;

    /** @see com.yixin.ms.model.enums.ActionEnum*/
    @ApiModelProperty(value = "核验的方式 checkVerify/check/verify")
    private String action;
    @ApiModelProperty(value = "照片")
    private String photo;
    @ApiModelProperty(value = "信息")
    private ExtInfoDto extInfo;
    /**
     * @see com.yixin.ms.model.enums.HhFaceVersionEnum
     */
    @ApiModelProperty(value = "hhFace版本")
    private String hhFaceVersion;
    @ApiModelProperty(value = "健康码barCode")
    private String qrcode;
    @ApiModelProperty(value = "卡号")
    private String cardIdEx;
}

