package com.yixin.ms.model.enums;

import com.alibaba.fastjson.JSONObject;
import com.yixin.ms.boot.uitls.Preconditions;
import lombok.Getter;

import javax.naming.ldap.PagedResultsControl;

/**
 * @author shisl
 * @package com.yixin.ms.model.enums
 * @class PlaceAreaEnum
 * @date 2022/12/2 下午4:02
 * @description 场所码区域
 */
@Getter
public enum PlaceAreaEnum {

    ZHE_JIANG(0, "杭州", "330100"),
    JIA_XIN(1, "嘉兴", "330400"),
    SHAO_XING(2, "绍兴", "330600");

    private int placeAreaCode;

    private String desc;

    private String cityCode;

    PlaceAreaEnum(int placeAreaCode, String desc, String cityCode) {
        this.placeAreaCode = placeAreaCode;
        this.desc = desc;
        this.cityCode = cityCode;
    }

    public static PlaceAreaEnum getByPlaceAreaCode(Integer placeAreaCode) {
        if (Preconditions.isNotBlank(placeAreaCode)) {
            for (PlaceAreaEnum placeAreaEnum : values()) {
                if (placeAreaEnum.getPlaceAreaCode() == placeAreaCode.intValue()) {
                    return placeAreaEnum;
                }
            }
        }
        return PlaceAreaEnum.ZHE_JIANG;
    }


}
