package com.yixin.ms.model.enums;

import com.yixin.ms.boot.uitls.Preconditions;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/8/4 11:16
 * @description:
 */
@Getter
@AllArgsConstructor
public enum ThirdPlatformPassIconEnum {

    APASS(1, 1, true, "https://tx.hz-hanghui.com:8088/yx-fyzd/file/icon/apass.png"),
    AWARN(2, 2, true, "https://tx.hz-hanghui.com:8088/yx-fyzd/file/icon/awarn.png"),
    AFORBID(3, 3, true, "https://tx.hz-hanghui.com:8088/yx-fyzd/file/icon/aforbid.png"),
    BSUCCESS(4, 1, false, "https://tx.hz-hanghui.com:8088/yx-fyzd/file/icon/bsuccess.png"),
    BWARNING(5, 2, false, "https://tx.hz-hanghui.com:8088/yx-fyzd/file/icon/bwarning.png"),
    BFAIL(6, 3, false, "https://tx.hz-hanghui.com:8088/yx-fyzd/file/icon/bfail.png");


    private int code;
    private int iconCode;
    private Boolean isAIcon;
    private String url;

    public static String iconOf(Integer iconCode, Boolean isAIcon) {
        if (Preconditions.isBlank(iconCode) && isAIcon) {
            return null;
        }

        if (Preconditions.isBlank(iconCode) && !isAIcon) {
            return null;
        }

        for (ThirdPlatformPassIconEnum passIconEnum : values()) {
            if (passIconEnum.getIconCode() == iconCode.intValue()
                    && passIconEnum.getIsAIcon().booleanValue() == isAIcon.booleanValue()) {
                return passIconEnum.getUrl();
            }
        }
        return null;
    }


}
