package com.yixin.ms.server.vo;

import com.yixin.ms.boot.uitls.Preconditions;
import lombok.Data;
import lombok.Getter;
import lombok.experimental.Accessors;


@Data
@Accessors(chain = true)
public class QuTongIdentityVO {



    @Getter
    public enum RespCodeEnum {

        SUCCESS(1000000, "登记成功，请通行"),
        M_CODE(1000010, "请先用支付宝扫码完成访客申请！"),
        H_CODE(1000020, "请先用支付宝扫码完成访客申请！"),
        H_CODE_REFUSED(1000021, "拜访申请被拒绝，禁止通行！"),
        H_CODE_PROCESSING(1000022, "拜访申请已发送审核，请稍后!"),
        OTHER(1000030, "请先用支付宝扫码完成访客申请!"),
        CODE_STATUS_EXCEPTION(4000000, "审核码状态异常"),
        DEVICE_ID_NULL(4000001, "设备编号为空"),
        NAME_NULL(4000002, "信息缺失,请先在支付宝完成实名认证"),
        IDCARD_NULL(4000003, "信息缺失,请先在支付宝完成实名认证"),
        MOBILE_NULL(4000004, "信息缺失,请先在支付宝完成实名认证"),
        MOBILE_FORMAT_NULL(4000005, "手机格式不正确"),
        IDCARD_FORMAT_NULL(4000006, "身份证格式不正确"),
        DEVICE_TYPE_NULL(4000007, "设备类型为空"),
        DEVICE_NOT_EXIST(9000000, "设备未绑定"),
        DATA_EXCEPTION(5000000, "衢通码数据异常");

        private Integer code;

        private String desc;

        RespCodeEnum(Integer code, String desc) {
            this.code = code;
            this.desc = desc;
        }

        public static RespCodeEnum getByCode(Integer code) {
            if (Preconditions.isBlank(code)) {
                return RespCodeEnum.DATA_EXCEPTION;
            }
            for (RespCodeEnum respCodeEnum : values()) {
                if (code.intValue() == respCodeEnum.getCode().intValue()) {
                    return respCodeEnum;
                }
            }
            return RespCodeEnum.DATA_EXCEPTION;
        }
    }
}
