package com.yx.face.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.concurrent.TimeUnit;

/**
 * @author shisl
 * @package com.yx.face.annotation
 * @class RepeatSubmit
 * @date 2023/5/23 下午1:22
 * @description
 */
@Documented
@Target(ElementType.METHOD)//可以用在方法上
@Retention(RetentionPolicy.RUNTIME)//保留到虚拟机运行时,可通过反射获取
public @interface RepeatSubmit {

    /**
     * 防重提交，支持两种，一个是方法参数，一个是令牌
     */
    enum Type { PARAM, TOKEN }
    /**
     * 默认防重提交，是方法参数
     * @return
     */
    Type limitType() default Type.PARAM;
    /**
     * 加锁过期时间，默认是5秒
     * @return
     */
    long lockTime() default 3;

    /**
     * 加锁过期时间，默认是5秒
     * @return
     */
    TimeUnit timeUnit() default TimeUnit.SECONDS;

}
