package com.yx.face.boot.component.alipay;

import cn.hutool.crypto.digest.DigestUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alipay.api.AlipayClient;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.msg.AlipayMsgClient;
import com.alipay.api.msg.MsgHandler;
import com.yx.face.model.dto.iot.AlipayUserCreateOpenMqRequest;
import com.yx.face.model.dto.iot.AlipayUserDeleteOpenMqRequest;
import com.yx.face.model.enums.AlipayCertTypeEnum;
import com.yx.face.service.AlipayOpenApiService;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

/**
 * @author shisl
 * @package com.yx.face.boot.component.alipay
 * @class AlipayConfig
 * @date 2023/5/22 上午10:58
 * @description
 */
@Slf4j
@Data
@Configuration
@Component
public class AlipayConfig {

    @Bean(name = "alipayOpenApiClient")
    @Qualifier(value = "alipayOpenApiClient")
    public AlipayClient alipayOpenApiClient(AlipayOpenApiProperties alipayOpenApiProperties) {
        return new DefaultAlipayClient(alipayOpenApiProperties.getALIPAY_SERVICE_URL(),
                alipayOpenApiProperties.getAppId(), alipayOpenApiProperties.getAlipayPrivateKey(),
                alipayOpenApiProperties.getFormat(), alipayOpenApiProperties.getCharset(),
                alipayOpenApiProperties.getAlipayPublicKey(), alipayOpenApiProperties.getSignType());
    }

    @Bean(name = "alipayOpenApiClient4701")
    @Qualifier(value = "alipayOpenApiClient4701")
    public AlipayClient alipayOpenApiClient4701(AlipayOpenApiProperties alipayOpenApiProperties) {
        return new DefaultAlipayClient(
                alipayOpenApiProperties.getALIPAY_SERVICE_URL(),
                alipayOpenApiProperties.getAppId4701(),
                alipayOpenApiProperties.getAlipayPrivateKey4701(),
                alipayOpenApiProperties.getFormat(),
                alipayOpenApiProperties.getCharset(),
                alipayOpenApiProperties.getAlipayPublicKey4701(),
                alipayOpenApiProperties.getSignType());
    }

    public static void main(String[] args) {
        System.out.println("------>" + DigestUtil.md5Hex(AlipayCertTypeEnum.IDENTITY_CARD.getCode() +"HangZhouJianSheXueXiao"+ "320502199005113019"));
        System.out.println("------>" + DigestUtil.md5Hex(AlipayCertTypeEnum.IDENTITY_CARD.getCode() + "320502199005113019"));

    }

}
