package com.yx.face.boot.component.alipay;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author shisl
 * @package com.yx.face.boot.component.alipay
 * @class AlipayOpenApiProperties
 * @date 2023/5/22 上午10:56
 * @description 支付宝开放平台
 */
@Data
@Component
public class AlipayOpenApiProperties {

    @Value("${alipay.open.api.appid}")
    private String appId;

    @Value("${alipay.open.api.private-key}")
    private String alipayPrivateKey;

    @Value("${alipay.open.api.public-key}")
    private String alipayPublicKey;

    @Value("${alipay.open.api.service-url}")
    private String ALIPAY_SERVICE_URL;

    @Value("${alipay.open.api.openchannelServiceUrl}")
    private String OPENCHANNEL_SERVICE_URL;

    @Value("${alipay.open.api.format}")
    private String format;

    @Value("${alipay.open.api.charset}")
    private String charset;

    @Value("${alipay.open.api.sign-type}")
    private String signType;

    @Value("${alipay.open.api.decrypt-key}")
    private String decryptKey;

    @Value("${alipay.open.api.componentOutId}")
    private String componentOutId;

    @Value("${alipay.open.api.isvPid}")
    private String isvPid;

    @Value("${alipay.open.api.orgOutId}")
    private String orgOutId;


    @Value("${alipay.open.api.appid4701}")
    private String appId4701;
    @Value("${alipay.open.api.private-key4701}")
    private String alipayPrivateKey4701;
    @Value("${alipay.open.api.public-key4701}")
    private String alipayPublicKey4701;
    @Value("${alipay.open.api.decrypt-key4701}")
    private String decryptKey4701;



}
