package com.yx.face.boot.rabbitConfig.service.impl;


import com.yx.face.boot.rabbitConfig.po.Mail;
import com.yx.face.boot.rabbitConfig.service.Producer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 消费生产使用实现类
 */
@Transactional
@Service("producer")
@Slf4j
public class ProducerImpl implements Producer {
	@Autowired
	RabbitTemplate rabbitTemplate;

	public void sendMail(String queue, Mail mail) {
		log.error("进入实现类{},队列{}",mail,queue);
		rabbitTemplate.setDefaultReceiveQueue(queue);
		rabbitTemplate.convertAndSend(queue,mail);
	}

}
