package com.yx.face.boot.restful;


public enum RestCode {

    SUCCESS(200, "成功"),
    FAIL(400, "失败"),
    UNAUTHORIZED(401, "未授权"),
    FORBIDDEN(403, "禁止访问该资源"),
    NOT_FOUND(404, "未发现该资源"),
    REQUEST_TIMEOUT(408, "请求超时"),
    INTERNAL_SERVER_ERROR(500, "数据处理异常"),
    SERVICE_UNAVAILABLE(503, "服务无法获得"),
    GATEWAY_TIMEOUT(504, "网关超时"),
    REMOTE_INVOCATION_FAIL(900, "远程服务调用失败"),
    INVALID_TOKEN(101408, "无效token"),
    DEVICE_NOT_FOUND(40000, "设备未注册"),
    ADDRESS_CODE_UNBOUND(40001, "暂未开启场所码"),
    PARAMS_IDCARD_INCOMPLETE(40002, "身份证/姓名参数不全"),
    HEALTH_CODE_INFO_NOT_FOUND(40003, "未获取到健康码信息"),
    SCENIC_NOT_CONFIG(40004, "景区预约账号未配置，请检查"),
    SCENIC_QUERY_EXCEPTION(40005, "景区预约服务系统异常，请稍后重试"),
    INVALID_QR_CODE(40006, "请扫描正确的二维码"),
    INVALID_HEALTH_CODE(40007, "请打开支付宝选择杭州健康码重试");

    public int code;
    private String msg;

    RestCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
