package com.yx.face.boot.uitls;

import com.alibaba.fastjson.JSON;
import com.yx.face.boot.cache.DefaultCacheManager;
import com.yx.face.model.vo.AdminVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * <B>项目名称：</B>face-server<BR>
 * <B>包名称：  </B>com.yx.face.boot.uitls<BR>
 * <B>主类名称：</B>CacheUtils<BR>
 * <B>概要说明：</B>CacheUtils<BR>
 *
 * @author ljj
 * @since 2022年11月24日 16:34:28
 */
@Slf4j
@Component
public class CacheUtils {

    /**
     * 写入缓存
     * @param adminId
     * @param value
     * @return
     */
    public AdminVO putValue(Integer adminId,AdminVO value){
        DefaultCacheManager.getInstance().create(DefaultCacheManager.ADMIN_INFO_CACHE_ID).put(String.valueOf(adminId),value);
        return value;
    }

    /**
     * 读取缓存
     * @param adminId
     * @return
     */
    public AdminVO getValue(Integer adminId){
        AdminVO value = null;
        try{
            String adminJson = JSON.toJSONString(DefaultCacheManager.getInstance().cacheMap
                    .get(DefaultCacheManager.ADMIN_INFO_CACHE_ID).getIfPresent(String.valueOf(adminId)));
            value = JSON.parseObject(adminJson,AdminVO.class);
        }catch (Exception e){
            return null;
        }
        return value;
    }

    /**
     * 删除缓存
     * @param adminId
     * @return
     */
    public Boolean removeValue(Integer adminId){
        DefaultCacheManager.getInstance().remove(String.valueOf(adminId));
        return Boolean.TRUE;
    }
}
