package com.yx.face.boot.uitls;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.yx.face.model.vo.AdminEffectiveVO;
import com.yx.face.model.vo.AdminVO;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:
 * @ClassName EffectiveUtil
 * @Author WXG
 * @Date 2022/12/22 9:50
 */
public class EffectiveUtil {
    /**
     * @param adminVO 账号信息
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param type 类型 1-常客 2-访客 默认走常客逻辑
     * @return
     */
    public static AdminEffectiveVO dataCover(AdminVO adminVO,String startTime,String endTime,Integer type){
        AdminEffectiveVO adminEffectiveVO = new AdminEffectiveVO();
        Date timeStart;
        Date timeEnd;
        if(StrUtil.isNotEmpty(startTime) && StrUtil.isNotEmpty(endTime)){
            timeStart = DateUtil.parseDateTime(startTime);
            timeEnd = DateUtil.parseDateTime(endTime);
        }else {
            if(!type.equals(2)){//常客逻辑
                if (adminVO.getUserWhitelistEffectiveTime() != null) {
                    timeStart = DateUtil.date();
                    int timelong = adminVO.getUserWhitelistEffectiveTime().multiply(new BigDecimal(1440)).intValue();
                    timeEnd = DateUtils.addMinutes(new Date(), timelong);
                } else {
                    timeStart = DateUtil.date();
                    timeEnd = DateUtils.addYears(DateUtil.date(), 1);
                }

            }else{//访客逻辑
                if (adminVO.getUserVisiterEffectiveTime() != null) {
                    timeStart = DateUtil.date();
                    int timelong = adminVO.getUserVisiterEffectiveTime().multiply(new BigDecimal(1440)).intValue();
                    timeEnd = DateUtils.addMinutes(new Date(), timelong);
                } else {
                    timeStart = DateUtil.date();
                    timeEnd = DateUtils.addDays(DateUtil.date(), 15);
                }

            }
        }
        if(!type.equals(2)) {//常客逻辑
            adminEffectiveVO.setWhiteStartTime(timeStart);
            adminEffectiveVO.setWhiteEndTime(timeEnd);
        }else {//访客逻辑
            adminEffectiveVO.setVisitorStartTime(timeStart);
            adminEffectiveVO.setVisitorEndTime(timeEnd);
        }
        return adminEffectiveVO;
    }
}
