package com.yx.face.controller;

import com.alibaba.fastjson.JSONObject;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.SaveFaceLogDto;
import com.yx.face.model.vo.ClockWayPushVO;
import com.yx.face.service.FaceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @ProjectName: face-server
 * @Package: com.yx.face.controller
 * @ClassName: FaceLogPutController
 * @Author: shihongbo
 * @Description:
 * @Date: 2022/3/17 16:51
 * @Version: 1.0
 */
@Slf4j
@Api(tags = "三方推送人脸数据 API")
@RestController
@RequestMapping("/faceLogApi")
public class FaceLogPutController {

    @Autowired
    private FaceService faceService;

    @ApiOperation("接收第三方推送数据")
    @PostMapping("saveFaceLog")
    public RestResult<Boolean> saveFaceLog(@Valid @RequestBody SaveFaceLogDto saveFaceLogDto) {
        return RestResponse.ok(faceService.saveFaceLog(saveFaceLogDto));
    }

    @ApiOperation("银川公安数据推送")
    @PostMapping("/yinchuan/gongan/data/push")
    public RestResult<Boolean> pushUserData2YinChuanGongAn(@RequestBody ClockWayPushVO pushVO) {
        log.info("--->银川公安数据推送原始入参:{}", JSONObject.toJSONString(pushVO));
        faceService.pushUserData2YinChuanGongAn(pushVO);
        return RestResponse.ok(Boolean.TRUE);
    }


}
