package com.yx.face.controller;

import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.InOutStatisticsDto;
import com.yx.face.model.entity.InOutStatistics;
import com.yx.face.service.InOutStatisticsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "进出记录统计")
@RestController
@RequestMapping("inOutStatistics")
@AllArgsConstructor(onConstructor_ = @Autowired)
public class InOutStatisticsController {

    private final InOutStatisticsService inOutStatisticsService;

    /**
     * 进出记录统计数据
     *
     * @param dto InOutStatisticsDto
     * @return RestResult<PageInfo < InOutStatistics>>
     */
    @ApiOperation("进出记录统计数据")
    @PostMapping("data")
    public RestResult<InOutStatistics> dataByTime(@RequestBody InOutStatisticsDto dto) throws Exception {
        return RestResult.ok(inOutStatisticsService.dataByTime(dto));
    }
}
