package com.yx.face.controller;


import cn.hutool.core.bean.BeanUtil;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.dao.SystemNoticeDao;
import com.yx.face.model.dto.SystemNoticeDTO;
import com.yx.face.model.entity.SystemNotice;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 系统公告 前端控制器
 * </p>
 *
 * @author wxg
 * @since 2022-09-20
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "D 系统公告 API")
@RestController
@RequestMapping("systemNotice")
public class SystemNoticeController {


    final private SystemNoticeDao systemNoticeDao;

    @ApiOperation("获取公告信息")
    @PostMapping("getNotice")
    public RestResult<SystemNoticeDTO> getNotice() {
        SystemNotice systemNotice = systemNoticeDao.selectOne(new SystemNotice());
        SystemNoticeDTO systemNoticeDTO = BeanUtil.copyProperties(systemNotice, SystemNoticeDTO.class);
        systemNoticeDTO.setSystemNoticeId(systemNotice.getId());
        return RestResponse.ok(systemNoticeDTO);
    }

    @ApiOperation("编辑公告")
    @PostMapping("edit")
    public RestResult<Boolean> edit(@RequestBody SystemNoticeDTO systemNoticeDTO) {
        if(systemNoticeDTO == null || systemNoticeDTO.getSystemNoticeId() == null){
            return RestResponse.error("数据有误");
        }
        SystemNotice systemNotice = BeanUtil.copyProperties(systemNoticeDTO, SystemNotice.class);
        systemNotice.setId(systemNoticeDTO.getSystemNoticeId());
        int insert = systemNoticeDao.updateByPrimaryKeySelective(systemNotice);
        if (insert == 1) return RestResponse.ok(true);
        else return RestResponse.error("操作失败");
    }
}
