package com.yx.face.controller;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.vo.AutoTaskVO;
import com.yx.face.service.TaskInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:下发删除自动化任务管理
 * @date 2022/10/11
 **/
@Api(tags = "A 下发删除自动化任务 API")
@RestController
@RequestMapping("/autoTaskInfo")
public class TaskInfoController {

    @Resource
    private TaskInfoService taskInfoService;

    @ApiOperation("任务列表")
    @PostMapping("/getByPage")
    public RestResult<PageInfo<AutoTaskVO>> getByPage(@RequestBody RestDTO dto){
        return taskInfoService.getByPage(dto);
    }

    @ApiOperation("任务详情")
    @PostMapping("getDetailById")
    public RestResult<AutoTaskVO> getDetailById(@RequestParam Integer taskId){
        return taskInfoService.getDetailById(taskId);
    }

    @ApiOperation("取消任务")
    @PostMapping("cancelTask")
    public RestResult<Boolean> cancelTask(@RequestParam Integer taskId){
        return taskInfoService.cancelTask(taskId);
    }

    @ApiOperation("初始化下发任务唯一标识")
    @PostMapping("initIssueTaskId")
    public RestResult<Boolean> initIssueTaskId(){
        return taskInfoService.initIssueTaskId();
    }
}
