package com.yx.face.controller.admin;


import com.github.pagehelper.PageInfo;
import com.yx.face.boot.core.BaseController;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.IssueAllDTO;
import com.yx.face.model.dto.AppointmentPersonModifyDTO;
import com.yx.face.model.dto.AppointmentPersonQueryDTO;
import com.yx.face.model.vo.AppointmentDetailVO;
import com.yx.face.model.vo.AppointmentPersonVO;
import com.yx.face.service.AppointmentPersonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 常客 前端控制器
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */
@Api(tags = "人员列表")
@RestController
@RequestMapping("admin/appointmentPerson")
public class AppointmentPersonController extends BaseController {
    @Autowired
    private AppointmentPersonService appointmentPersonService;

    @ApiOperation("查询")
    @PostMapping("/getPageList")
    public RestResult<PageInfo<AppointmentPersonVO>> query(@RequestBody RestDTO<AppointmentPersonQueryDTO> dto){
        return RestResponse.ok(appointmentPersonService.query(dto));
    }

    @ApiOperation("删除")
    @DeleteMapping("/{id}")
    public RestResult<Boolean> remove(@PathVariable("id") Integer id){
        return RestResponse.ok(appointmentPersonService.remove(id));
    }

    @ApiOperation("修改预约人员")
    @PutMapping
    public RestResult<Boolean> modify(@RequestBody AppointmentPersonModifyDTO dto){
        return RestResponse.ok(appointmentPersonService.modify(dto));
    }

    @ApiOperation("详情")
    @GetMapping("/detail/{id}")
    public RestResult<AppointmentDetailVO> detail(@PathVariable("id") Integer id){
        return RestResponse.ok(appointmentPersonService.detail(id));
    }

    @ApiOperation("重新下发")
    @PostMapping("/issue/{id}")
    public RestResult<Boolean> issue(@PathVariable("id") Integer id){
        return RestResponse.ok(appointmentPersonService.issue(id));
    }

    @ApiOperation("全量下发")
    @PostMapping("/issueAll")
    public RestResult<Boolean> issueAll(@RequestBody IssueAllDTO dto){
        return RestResponse.ok(appointmentPersonService.issueAll(dto));
    }
}
