package com.yx.face.controller.admin;

import com.yx.face.boot.core.BaseController;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.boot.restful.ServiceException;
import com.yx.face.model.dto.FixDataDto;
import com.yx.face.service.FixDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.controller.admin
 * @class FixDataController
 * @date 2022/10/13 上午11:21
 * @description
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "B 修复数据")
@RestController
@RequestMapping("fix/data")
public class FixDataController extends BaseController {

    @Autowired
    private FixDataService fixDataService;

    @ApiOperation("修复近期进出记录数据问题")
    @PostMapping("/fixShortItemFaceLogData")
    public RestResult<String> fixShortItemFaceLogData(@RequestBody FixDataDto dto) {
        if (dto.getName() == null
                && (dto.getCardids() == null || dto.getCardids().size() == 0)) {
            throw new ServiceException("参数不全");
        }
        fixDataService.fixShortItemFaceLogData(dto);
        return RestResponse.ok("success");
    }

    @ApiOperation("补全受访人拼音首字母")
    @PostMapping("/fixVisiteeData")
    public RestResult<String> fixVisiteeData() {
        fixDataService.fixVisiteeData();
        return RestResponse.ok("success");
    }

    @ApiOperation("补全访客记录所属区域")
    @PostMapping("/fixVisitorListDetailData")
    public RestResult<String> fixVisitorListDetailData() {
        fixDataService.fixVisitorListDetailData();
        return RestResponse.ok("success");
    }

    @ApiOperation("补全用户底库人脸特征值数据")
    @PostMapping("/completeUserInfoFacialFeature")
    public RestResult<String> completeUserInfoFacialFeature(@RequestBody List<Long> userIds) {
        fixDataService.completeUserInfoFacialFeature(userIds);
        return RestResponse.ok("succcess");
    }


}
