package com.yx.face.controller.admin;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.HealthCodeConfigPageDTO;
import com.yx.face.model.entity.HealthCodeConfig;
import com.yx.face.service.HealthCodeConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *
 *
 * @author lileilei
 * @since 2022-08-29
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "开放健康码服务配置")
@RestController
@RequestMapping("admin/healthCodeConfig")
public class HealthCodeConfigController {
    @Autowired
    private HealthCodeConfigService healthCodeConfigService;

    @ApiOperation("分页")
    @PostMapping("/getPageList")
    public RestResult<PageInfo<HealthCodeConfig>> getPageList(@RequestBody RestDTO<HealthCodeConfigPageDTO> dto){
        return RestResponse.ok(healthCodeConfigService.getPageList(dto));
    }

    @ApiOperation("删除")
    @DeleteMapping("/del/{id}")
    public RestResult del(@PathVariable("id") Integer id){
        return RestResponse.ok(healthCodeConfigService.del(id));
    }

    @ApiOperation("保存")
    @PostMapping("/save")
    public RestResult save(@RequestBody HealthCodeConfig config){
        return healthCodeConfigService.save(config);
    }

}
