package com.yx.face.controller.admin;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.TaskInfoPageDTO;
import com.yx.face.model.vo.TaskInfoPageVO;
import com.yx.face.service.IssuedTaskInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 下发任务列表
 *
 * @author lileilei
 * @since 2022-07-13
 */

@Api(tags = "下发任务列表")
@RestController
@RequestMapping("/admin/issuedTaskInfo")
public class IssuedTaskInfoController {

    @Autowired
    private IssuedTaskInfoService issuedTaskInfoService;

    @ApiOperation("分页")
    @PostMapping("/getPageList")
    public RestResult<PageInfo<TaskInfoPageVO>> getPageList(@RequestBody RestDTO<TaskInfoPageDTO> dto){
        return RestResponse.ok(issuedTaskInfoService.getPageList(dto));
    }

    @ApiOperation("取消下发")
    @PostMapping("/cancel/{id}")
    public RestResult<Boolean> cancel(@PathVariable Integer id){
        return RestResponse.ok(issuedTaskInfoService.cancel(id));
    }
}
