package com.yx.face.controller.admin;


import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.PlaceDTO;
import com.yx.face.model.dto.PlaceDetailDTO;
import com.yx.face.model.vo.PlaceVO;
import com.yx.face.service.PlaceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */

@Api(tags = "预约配置")
@RestController
@RequestMapping("admin/place")
public class PlaceController {
    @Autowired
    private PlaceService placeService;

    @ApiOperation("查询")
    @GetMapping("query")
    public RestResult<PlaceVO> query(){
        return RestResponse.ok(placeService.query());
    }

    @ApiOperation("基础信息保存")
    @PostMapping("save")
    public RestResult<Boolean> save(@RequestBody PlaceDTO dto){
        return RestResponse.ok(placeService.save(dto));
    }

    @ApiOperation("预约信息保存")
    @PostMapping("appointmentSave")
    public RestResult<Boolean> appointmentSave(@RequestBody PlaceDetailDTO placeDetailDTO){
        return RestResponse.ok(placeService.appointmentSave(placeDetailDTO));
    }
    @ApiOperation("修改状态预约信息")
    @PostMapping("appointmentUpdate")
    public RestResult<Boolean> appointmentUpdate(@RequestBody PlaceDetailDTO placeDetailDTO){
        return RestResponse.ok(placeService.appointmentUpdate(placeDetailDTO));
    }
    @ApiOperation("删除预约信息")
    @GetMapping("appointmentDelete")
    public RestResult<Boolean> appointmentDelete(@RequestParam("placeDetailId")Integer placeDetailId){
        return RestResponse.ok(placeService.appointmentDelete(placeDetailId));
    }
}
