package com.yx.face.controller.admin;


import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.search.UserCattleDetail;
import com.yx.face.model.search.UserCattleSearch;
import com.yx.face.model.vo.FaceLogVO;
import com.yx.face.model.vo.UserCattleVO;
import com.yx.face.service.UserCattleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 黄牛 前端控制器
 * </p>
 *
 * @author wxg
 * @since 2022-01-11
 */
@Slf4j
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "B 黄牛 API")
@RestController
@RequestMapping("admin/userCattle")
public class UserCattleController {

    private final UserCattleService userCattleService;
    @ApiOperation("黄牛列表分页")
    @PostMapping("/getPageList")
    public RestResult<PageInfo<UserCattleVO>> getPageList(@RequestBody RestDTO<UserCattleSearch> dto) {
        reBuildQuery(dto);
        PageInfo<UserCattleVO> pageList = userCattleService.getPageList(dto);
        if (pageList != null) {
            return RestResponse.ok(pageList);
        }
        return RestResponse.error("获取列表分页失败");
    }
    private void reBuildQuery(@RequestBody RestDTO<UserCattleSearch> dto) {
        UserCattleSearch object = dto.getData();
        if (object == null) {
            object = new UserCattleSearch();
        }
        dto.setData(object);
    }

    @ApiOperation("添加黑名单")
    @GetMapping("/addBlack")
    public RestResult<Boolean> addBlack(Integer userCattleId){
        Integer insert = null;
        try {
            insert = userCattleService.addBlack(userCattleId);
        } catch (Exception exception) {
            exception.printStackTrace();
        }
        if (insert == 1) return RestResponse.ok(true);
        else return RestResponse.error("添加失败");
    }
    @ApiOperation("获取通行的详情列表")
    @PostMapping("/getFaceLogList")
    public RestResult<List<FaceLogVO>> getFaceLogList(@RequestBody UserCattleDetail userCattleDetail){
      return RestResponse.ok(userCattleService.getFaceLogList(userCattleDetail));
    }
}
