package com.yx.face.controller.api;

import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.vo.AdminVO;
import com.yx.face.service.AdminService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:
 * @date 2022/11/23
 **/
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "A 小程序获取管理员信息")
@RestController
@RequestMapping("api/admin")
public class ApiAdminController {

    @Resource
    private AdminService adminService;

    @ApiOperation(value = "获取管理员信息")
    @GetMapping("getAdminInfoById")
    public RestResult<AdminVO> getAdminInfoById(@RequestParam("adminId") Integer adminId){
        return RestResponse.ok(adminService.getInfo(adminId));
    }
}
