package com.yx.face.controller.api;


import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.boot.restful.ServiceException;
import com.yx.face.model.vo.BussinessNumberVO;
import com.yx.face.service.BussinessNumberService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author wxg
 * @since 2022-03-17
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "C 商户号管理")
@RestController
@RequestMapping("api/bussinessNumber")
public class ApiBussinessNumberController {
    private final BussinessNumberService bussinessNumberService;

    @ApiOperation("小程序 商户号列表(id 和 name)")
    @GetMapping("/getListByAdminId")
    public RestResult<List<BussinessNumberVO>> getListByAdminId(@ApiParam(name = "adminId", value = "管理员Id",required = true)Integer adminId) {
        if(adminId == null)throw new ServiceException("adminId不能为空");
        List<BussinessNumberVO> list = bussinessNumberService.getListByAdminId(adminId);
        if (list != null) {
            return RestResponse.ok(list);
        }
        return RestResponse.error("获取商户号列表失败");
    }

}
