package com.yx.face.controller.api;

import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.JkmDTO;
import com.yx.face.model.dto.XcInfoDTO;
import com.yx.face.model.vo.JkmHsVO;
import com.yx.face.service.ApiHealthCodeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @description:
 * @ClassName ApiHealthCodeController
 * @Author WXG
 * @Date 2022/8/11 10:24
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "A 小程序获取健康码相关API")
@RestController
@RequestMapping("api/healthCode")
public class ApiHealthCodeController {

    private final ApiHealthCodeService apiHealthCodeService;

    @ApiOperation("发送行程码的短信验证码")
    @GetMapping("sendMessage")
    public RestResult<Boolean> sendMessage(@ApiParam(name = "phone", value = "手机号",required = true)String phone) {
        return apiHealthCodeService.sendMessage(phone);
    }

    @ApiOperation("获取行程信息")
    @PostMapping("getXcInfo")
    public RestResult<String> getXcInfo(@RequestBody XcInfoDTO xcInfoDTO) {
        return apiHealthCodeService.getXcInfo(xcInfoDTO);
    }

    @ApiOperation("获取健康码和核酸信息")
    @PostMapping("getJkmAndHs")
    public RestResult<JkmHsVO> getJkmAndHs(@RequestBody JkmDTO jkmDTO) {
        return apiHealthCodeService.getJkmAndHs(jkmDTO);
    }
}
