package com.yx.face.controller.api;

import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.dragon.PdPersonBasicVO;
import com.yx.face.model.dto.dragon.RequestMsgEncryption;
import com.yx.face.model.dto.dragon.RequestMsgVO;
import com.yx.face.service.DragonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.controller
 * @class DragonOpenApiController
 * @date 2023/5/5 下午2:19
 * @description
 */
@Api(tags = "巨龙开放接口")
@RestController
@RequestMapping("/dragon/api/v1")
public class DragonOpenApiController {

    @Autowired
    private DragonService dragonService;

    @ApiOperation(value = "查询用户基本信息 加密")
    @PostMapping("/userInfo/query")
    public RestResult queryUserInfo(@RequestBody RequestMsgEncryption req) {
        return dragonService.queryUserInfo(req);
    }

    @ApiOperation(value = "查询用户基本信息 加密 异步")
    @PostMapping("/userInfo/callback/query")
    public RestResult asyncQueryUserInfo(@RequestBody RequestMsgEncryption req) {

        return dragonService.asyncQueryUserInfo(req);
    }

    @ApiOperation(value = "(新版本)查询用户基本信息 加密")
    @PostMapping("/user/sync/query")
    public RestResult queryUserInfoV2(@RequestBody RequestMsgEncryption req) {
        return dragonService.queryUserInfoV2(req);
    }

    @ApiOperation(value = "(新版本)查询用户基本信息 加密 异步")
    @PostMapping("/user/async/query")
    public RestResult asyncQueryUserInfoV2(@RequestBody RequestMsgEncryption req) {

        return dragonService.asyncQueryUserInfoV2(req);
    }

    @ApiOperation(value = "调试查询用户基本信息")
    @PostMapping("/userInfo/query/test")
    public RestResult<PdPersonBasicVO> testQueryUserInfo(@RequestBody RequestMsgVO req) {
        return dragonService.testQueryUserInfo(req);
    }


}
