package com.yx.face.controller.api;

import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.issue.WebsocketMsgReq;
import com.yx.face.service.issue.HhfaceIssueService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author shisl
 * @package com.yx.face.controller.api
 * @class HhFaceCallbackController
 * @date 2024/09/14 下午4:34
 * @description
 */
@Api(tags = "支付宝开放接口")
@RestController
@RequestMapping("/api/v1/hhface")
public class HhFaceCallbackController {

    @Autowired
    private HhfaceIssueService hhfaceIssueService;

    @ApiOperation(value = "接收hhface websocket中间件发送的业务消息")
    @PostMapping("/issue/message/callback")
    public RestResult sendMsg2Server(@RequestBody WebsocketMsgReq msgReq) {
        hhfaceIssueService.sendGeneralCallbackMessage2Mq(msgReq);
        return RestResponse.ok();
    }


}
