package com.yx.face.controller.api;

import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.api.middleware.SendMsg2ServerDto;
import com.yx.face.model.dto.issue.WebsocketMsgReq;
import com.yx.face.service.middleware.MiddlewareService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author shisl
 * @package com.yx.face.controller.api
 * @class MiddlewareController
 * @date 2024/1/21 下午4:34
 * @description
 */
@Api(tags = "支付宝开放接口")
@RestController
@RequestMapping("/api/v1/websocket/report")
public class MiddlewareController {

    @Autowired
    private MiddlewareService middlewareService;

    @ApiOperation(value = "接收中间件发送的业务消息")
    @PostMapping("/sendMsg2Server")
    public RestResult sendMsg2Server(@RequestBody SendMsg2ServerDto req) {
        middlewareService.sendMsg2Server(req);
        return RestResponse.ok();
    }


}
