package com.yx.face.controller.disinfect;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.entity.ProblemReport;
import com.yx.face.model.vo.AdminVO;
import com.yx.face.model.vo.disinfect.*;
import com.yx.face.service.disinfect.ProblemReportService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:
 * @date 2022/11/09
 **/
@Api(tags = "A 问题上报")
@RestController
@RequestMapping("/problemReport")
public class ProblemReportController {

    @Resource
    private ProblemReportService problemReportService;

    @ApiOperation("小程序  查询管理员是否开启问题上报，区域消杀")
    @PostMapping("/getAuthFlagByAdminId")
    public RestResult<AdminVO> getAuthFlagByAdminId(@RequestParam Integer adminId){
        return problemReportService.getAuthFlagByAdminId(adminId);
    }

    @ApiOperation("小程序  问题上报")
    @PostMapping("/addProblemReport")
    public RestResult<ProblemReport> addProblemReport(@RequestBody ProblemReportAddVO problemReportAddVO){
        return problemReportService.addProblemReport(problemReportAddVO);
    }

    @ApiOperation("小程序  上报记录列表")
    @PostMapping("/getProblemReportList")
    public RestResult<List<ProblemReportListVO>> getProblemReortList(@RequestBody ProblemReportListQueryVO problemReportListQueryVO){
        return problemReportService.getProblemReortList(problemReportListQueryVO);
    }

    @ApiOperation("小程序  处理结果满意度评价")
    @PostMapping("/evaluate")
    public RestResult<ProblemReport> evaluate(@RequestBody ReportEvaluateVO reportEvaluateVO){
        return problemReportService.evaluate(reportEvaluateVO);
    }

    @ApiOperation("后台  问题上报列表分页")
    @PostMapping("/getProblemReportPage")
    public RestResult<PageInfo<ProblemReportPageVO>> getByPage(@RequestBody RestDTO<ProblemReportSearch> dto){
        return problemReportService.getByPage(dto);
    }

    @ApiOperation("后台  管理员修改")
    @PostMapping("/updateProblemReport")
    public RestResult<ProblemReport> updateProblemReport(@RequestBody ProblemReportUpdateVO problemReportUpdateVO){
        return problemReportService.updateProblemReport(problemReportUpdateVO);
    }

    @ApiOperation("后台  问题上报数据报表")
    @PostMapping("/getProblemReportData")
    public RestResult<ProblemReportData> getProblemReortData(){
        return problemReportService.getProblemReortData();
    }

    @ApiOperation("查询问题上报详情 小程序与后台通用")
    @PostMapping("/getProblemReportDetailById")
    public RestResult<ProblemReportDetailVO> getProblemReportDetailById(@RequestParam Integer reportId){
        return problemReportService.getProblemReportDetailById(reportId);
    }

}
