package com.yx.face.controller.disinfect.backstage;


import com.github.pagehelper.PageInfo;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.yx.face.boot.component.security.Authority;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.search.DisinfectRecordSearch;
import com.yx.face.model.vo.disinfect.DisinfectRecordVO;
import com.yx.face.service.disinfect.DisinfectRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author wxg
 * @since 2022-11-11
 */
@Slf4j
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "E 后台-区域消杀 API")
@RestController
@RequestMapping("admin/disinfectRecord")
public class DisinfectRecordController {

    private final DisinfectRecordService disinfectRecordService;

    @ApiOperation("消杀记录-列表分页")
    @PostMapping("/getPageList")
    @ApiOperationSupport(order = 21)
    @Authority(value = {5})
    public RestResult<PageInfo<DisinfectRecordVO>> getPageList(@RequestBody RestDTO<DisinfectRecordSearch> dto) {
        reBuildQuery(dto);
        PageInfo<DisinfectRecordVO> pageList = disinfectRecordService.getPageList(dto);
        if (pageList != null) {
            return RestResponse.ok(pageList);
        }
        return RestResponse.error("获取消杀人员列表分页失败");
    }
    private void reBuildQuery(@RequestBody RestDTO<DisinfectRecordSearch> dto) {
        DisinfectRecordSearch object = dto.getData();
        if (object == null) {
            object = new DisinfectRecordSearch();
        }
        dto.setData(object);
    }

}
