package com.yx.face.controller.export;

import com.yx.face.constant.ExportDocConstant;
import com.yx.face.model.dto.MonthExportDTO;
import com.yx.face.model.dto.TodayExportDTO;
import com.yx.face.model.dto.WeekExportDTO;
import com.yx.face.model.vo.export.ExportRecordVO;
import com.yx.face.service.FaceLogExportService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;

/**
 * @author lejingjing
 * @version 1.0
 * @Description: 导出word
 * @date 2022/11/15
 **/
@Slf4j
@Api(tags = "word报表导出")
@RestController
@RequestMapping(value = "/faceLogExport")
public class FaceLogExportController {

    @Resource
    private FaceLogExportService faceLogExportService;

    @Resource
    private HttpServletResponse response;

    @ApiOperation(value = "导出当天通行记录", notes = "导出当天通行记录")
    @PostMapping("/todayRecords/doc")
    public void todayExportDoc(@RequestBody ExportRecordVO exportRecordVO) throws Exception {
        TodayExportDTO todayExportDTO = faceLogExportService.exportTodayWord(exportRecordVO);
        faceLogExportService.exportDocToClient(response,ExportDocConstant.TODAY_EXPORT_FILE,
                ExportDocConstant.TODAY_TEMPLATE_FILE, todayExportDTO);
    }

    @ApiOperation(value = "导出本周通行记录", notes = "导出本周通行记录")
    @PostMapping("/weekedRecords/doc")
    public void weekendExportDoc(@RequestBody ExportRecordVO exportRecordVO) throws Exception {
        WeekExportDTO weekExportDTO = faceLogExportService.exportWeekWord(exportRecordVO);
        faceLogExportService.exportDocToClient(response,ExportDocConstant.WEEK_EXPORT_FILE,
                ExportDocConstant.WEEK_TEMPLATE_FILE, weekExportDTO);
    }

    @ApiOperation(value = "导出本月通行记录", notes = "导出本月通行记录")
    @PostMapping("/monthRecords/doc")
    public void monthExportDoc(@RequestBody ExportRecordVO exportRecordVO) throws Exception {
        MonthExportDTO monthExportDTO = faceLogExportService.exportMonthWord(exportRecordVO);
        faceLogExportService.exportDocToClient(response,ExportDocConstant.MONTH_EXPORT_FILE,
                ExportDocConstant.MONTH_TEMPLATE_FILE, monthExportDTO);
    }

}
