package com.yx.face.controller.smartlock;

import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.smartlock.SmartlockDeviceNotifyMsgReq;
import com.yx.face.model.dto.smartlock.SmartlockUserChangePwdReq;
import com.yx.face.service.smartlock.AdminSmartlockDeviceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author shisl
 * @package com.yx.face.controller.smartlock
 * @class AdminSmartlockDeviceController
 * @date 2023/8/9 下午4:59
 * @description
 */
@Slf4j
@Api(tags = "智能门锁")
@RestController
@RequestMapping("/api/smartlock")
public class AdminSmartlockDeviceController {

    @Autowired
    private AdminSmartlockDeviceService adminSmartlockDeviceService;

    @ApiOperation("操作管理员")
    @PostMapping("/userChangePwd")
    public RestResult<Boolean> userChangePwd(@RequestBody SmartlockUserChangePwdReq saveFaceLogDto) {
        adminSmartlockDeviceService.userChangePwd(saveFaceLogDto);
        return RestResponse.ok(true);
    }

    @ApiOperation("门锁业务回调地址")
    @PostMapping("/notifyMsg")
    public RestResult<Boolean> notifyMsg(@RequestBody SmartlockDeviceNotifyMsgReq req) {
        adminSmartlockDeviceService.notifyMsg(req);
        return RestResponse.ok(true);
    }

    @ApiOperation("门锁业务注册回调地址")
    @GetMapping("/init/callbackUrl")
    public RestResult<Boolean> callbackUrl() {
        adminSmartlockDeviceService.subscribeCallbackUrl();
        return RestResponse.ok(true);
    }



}
