package com.yx.face.controller.spi;

import com.alipay.api.AlipayApiException;
import com.yx.face.service.SpiServerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author shisl
 * @package com.yx.face.controller.spi
 * @class SpiServiceController
 * @date 2022/11/13 下午1:57
 * @description
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "支付宝健康码SPI服务")
@RestController
@RequestMapping("spi")
public class SpiServiceController {

    private final SpiServerService spiServerService;

    @ApiOperation("SPI网关")
    @PostMapping("/service/gateway")
    public String spiService(@RequestParam Map<String, String> params) throws AlipayApiException {

        return spiServerService.spiGatewayService(params);
    }

}
