package com.yx.face.dao;

import com.yx.face.boot.aop.DeviceCacheAnnotation;
import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.Admin;
import com.yx.face.model.entity.RiskArea;
import com.yx.face.model.vo.AdminVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.UpdateProvider;
import tk.mybatis.mapper.provider.base.BaseUpdateProvider;
import com.yx.face.boot.aop.DeviceCacheEnum;

import java.util.List;
import java.util.Map;

/**
 * @description: 管理人员信息表(Admin)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-05-21 13:37:03 <br>
 */

public interface AdminDao extends TKMapper<Admin> {

    /**
     * @param  <br>
     * @return java.util.List<com.yixin.review.model.vo.AdminInfoVO> <br>
     * @description: 根据类型获取管理员 <br>
     * @date: 2021/4/7 17:39 <br>
     * @author: PWB <br>
     */
    List<AdminVO> getAdmins(Map<String,Object> map);

    AdminVO getAuthInfo(@Param("id") Integer id);

    List<AdminVO> getAdminlist(AdminVO info);

    List<Long> getAdminListSearch(Map<String, Object> map);

    List<AdminVO> getByAdminlist(List<Integer> list);

    List<AdminVO> getAdminListNew(Map<String, Object> map);

    @DeviceCacheAnnotation(value = DeviceCacheEnum.admin_updateByPrimaryKeySelective)
    void updateByTenantId(Admin adminInfo);

    List<RiskArea> riskAreaList(RiskArea riskArea);

    @Override
    @UpdateProvider(type = BaseUpdateProvider.class, method = "dynamicSQL")
    @DeviceCacheAnnotation(value = DeviceCacheEnum.admin_updateByPrimaryKeySelective)
    int updateByPrimaryKeySelective(Admin record);

    List<Integer> selectBelowAdminIdList(Admin admin);
}

