package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.dto.AppointmentPersonQueryDTO;
import com.yx.face.model.entity.AppointmentPerson;
import com.yx.face.model.vo.AdminVO;
import com.yx.face.model.vo.AppointmentPersonVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预约人员信息 Mapper 接口
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */
public interface AppointmentPersonDao extends TKMapper<AppointmentPerson> {

    /**
     * 查询预约人员
     * @param adminVO
     * @param uws
     * @return
     */
    List<AppointmentPersonVO> selectListBySearch(@Param("adminVo") AdminVO adminVO, @Param("uws") AppointmentPersonQueryDTO uws);

    /**
     * 查询批量下发预约人员信息
     * @param adminId
     * @return
     */
    List<AppointmentPersonVO> selectList(Integer adminId);
}
