package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.FaceLog;
import com.yx.face.model.excel.FaceLogVoExcel;
import com.yx.face.model.search.UserCattleDetail;
import com.yx.face.model.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @description: 天波人脸设备进出记录表(FaceLog)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:46 <br>
 */

public interface FaceLogDao extends TKMapper<FaceLog> {

    List<FaceLogVO> getFaceLogs(Map<String,Object> map);
    /*大屏使用*/
    List<FaceLogVO> getFaceLogsShowData(Map<String,Object> map);
    /*大屏使用*/
    Integer getCount(Map<String, Object> map);

    Date getRecent(@Param("userId") Long userId, @Param("sn") String sn);

    List<FaceLogVoExcel> getFaceLogsExcel(@Param("query") QueryUserVo query);

    FaceLogVO getDetails(@Param("id") Integer id);

    List<FaceLogVO> getYellow(@Param("adminId")Integer adminId,@Param("faceTime")String faceTime,@Param("jkm")String jkm);

    List<FaceLogVO> getByAdminIdAndIdNumber(UserCattleDetail userCattleDetail);

    /*2022-02-27对face_log查询就行优化 单表查询*/
    List<FaceLogVO> getFaceLogsNew(Map<String, Object> map);

    String getContext(Integer id );

    String getContextById(Integer adminId);

    String getContextByWhiteId(Integer id);

    Integer getVisitorCount(@Param("adminId")Integer adminId,@Param("idNumber")String idNumber);

    void updateVisitorContent(@Param("content") String content,@Param("adminId") Integer adminId, @Param("idNumber")String idNumber);

    void updateContentWhite(@Param("content")String content, @Param("adminId")Integer adminId, @Param("idNumber")String idNumber);

    Integer getContextByFaceLogVisitor(@Param("adminId")Integer adminId,@Param("cardId")String cardId);

    Integer getContextByFaceLogWhite(@Param("adminId")Integer adminId,@Param("cardId")String cardId);

    FaceLogVO getFaceLog(Integer logId);

    String  getContentVisitorById(@Param("adminId")Integer adminId, @Param("idNumber")String idNumber);

    String  getContentWhiteById(@Param("adminId")Integer adminId, @Param("idNumber")String idNumber);

    void updateVisitorContentById(Integer adminId);

    void updateContentWhiteById(Integer adminId);

    UserInfoVO getUser(Integer id);

    Integer selectUserVisitorList(@Param("adminId")Integer adminId, @Param("idNumber")String idNumber);

    Integer selectWhiteListByAdminId(@Param("adminId") Integer adminId,@Param("idNumber") String idNumber);

    List<UserListFromVO> getWhiteListFrom(Integer id);

    List<FaceLog> getFaceLogAll(Integer id);

    List<FaceLogVO> getContentByWhiteCardIds(@Param("whiteCardIds") Set<String> whiteCardIds,@Param("adminId") Integer adminId);

    List<FaceLogVO> getContentByVisitorCardIds(@Param("visitorCarIds") Set<String> visitorCardIds,@Param("adminId") Integer adminId);

    List<UserWhitelistVO> queryWhiteList();

    List<UserVisitorListVO> queryVisitorList();

    void clearWhiteContent(@Param("id") Long id,@Param("s") String s);

    void clearVisitor(@Param("id") Long id, @Param("s") String s2);

    List<FaceLogVO> getFaceLogByAdminIdAndFaceTime(@Param("adminIds")List<Integer> adminIds,@Param("passType")Integer passType,
                                                   @Param("startTime") String startTime, @Param("endTime")String endTime);

    List<FaceLogVO> getFaceLogByHealthCode(@Param("adminIds") List<Integer> adminIds,@Param("passType")Integer passType,
                                           @Param("startTime") String startTime,@Param("endTime")String endTime, @Param("jkm") String jkm);

    List<Long> getContactNum(@Param("pre5Min") Date pre5Min, @Param("after5Min")Date after5Min, @Param("deviceSn")String deviceSn, @Param("id") Long id);

    Integer figureUpByDateFromFaceLog(@Param("adminIds")List<Integer> adminIdList,  @Param("startTime")String startDate,
                                               @Param("endTime")String endDate, @Param("passType")Integer passType);

    List<Map<String, Object>> getMonthGroupByWeek(@Param("adminIds")List<Integer> adminIdList, @Param("startTime")String beginDateOfMonth,
                                                  @Param("endTime")String endDateOfMonth, @Param("passType")Integer passType);

    Integer count(@Param("adminIds") List<Integer> adminIds);

    Set<Long> getContactHealthCodeNum(@Param("heathCode") String code, @Param("adminIds") List<Integer> adminIds, @Param("devicePassType") Integer type,
                                         @Param("startTime") String beginDateOfMonth, @Param("endTime") String endDateOfMonth);
}

