package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.dto.HealthCodeConfigPageDTO;
import com.yx.face.model.entity.HealthCodeConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper 接口
 *
 * @author lileilei
 * @since 2022-08-29
 */
public interface HealthCodeConfigDao extends TKMapper<HealthCodeConfig> {

    /**
     * 查询开放健康码配置分页列表
     *
     * @param data
     * @return
     */
    List<HealthCodeConfig> selectListBySearch(@Param("data") HealthCodeConfigPageDTO data);

    void updateById(@Param("data") HealthCodeConfig config);

    void increaseRequestedTimesById(@Param("id") Integer id);
}
