package com.yx.face.dao;


import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.PrivateArea;
import com.yx.face.model.entity.PrivateAreaDevice;
import com.yx.face.model.search.PrivateAreaDeviceSearch;
import com.yx.face.model.vo.FaceDeviceVO;
import com.yx.face.model.vo.PrivateAreaDeviceVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 私有区域设备关联表 Mapper 接口
 * </p>
 *
 * @author wxg
 * @since 2022-06-29
 */
public interface PrivateAreaDeviceDao extends TKMapper<PrivateAreaDevice> {
    /*私有区域设备列表分页查询*/
    List<PrivateAreaDeviceVO> privateAreaDevicePageList(PrivateAreaDeviceSearch data);
    /*私有区域为绑定设备列表获取*/
    List<FaceDeviceVO> getPrivateAreaDeviceList(Integer privateAreaId);
    /*私有区域已经绑定设备列表获取*/
    List<PrivateAreaDeviceVO> getPrivateAreaInDeviceList(Integer privateAreaId);
    /*根据私有区域列表获取相关设备数据*/
    List<String> selectByPrivateAreaIdList(List<Integer> privateAreaIdList);

    PrivateArea selectByDeviceIdAndAdminId(@Param("deviceId") Integer deviceId, @Param("adminId")Integer adminId);
}
