package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.dto.PrivateAreaWhitelistListDTO;
import com.yx.face.model.entity.PrivateAreaWhitelist;
import com.yx.face.model.search.PrivateAreaWhiteListSearch;
import com.yx.face.model.search.WhitelistPrivateAreaWhiteListSearch;
import com.yx.face.model.vo.PrivateAreaWhitelistVO;
import com.yx.face.model.vo.UserWhitelistVO;
import com.yx.face.model.vo.WhitelistPrivateAreaVO;

import java.util.List;

/**
 * <p>
 * 私有区域人员表 Mapper 接口
 * </p>
 *
 * @author wxg
 * @since 2022-06-29
 */
public interface PrivateAreaWhitelistDao extends TKMapper<PrivateAreaWhitelist> {
    /*私有区域人员列表分页查询*/
    List<PrivateAreaWhitelistVO> privateAreaWhitelistPageList(PrivateAreaWhiteListSearch data);
    /*未加入私有区域人员列表*/
    List<UserWhitelistVO> getPrivateAreaWhitelistList(PrivateAreaWhitelistListDTO privateAreaWhitelistListDTO);
    /*获取常客的私有区域列表*/
    List<WhitelistPrivateAreaVO> privateAreaPageListByWhitelistId(WhitelistPrivateAreaWhiteListSearch data);
}
