package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.dto.FixDataDto;
import com.yx.face.model.entity.ShortTermFaceLog;
import com.yx.face.model.vo.FaceLogVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @description: 天波人脸设备进出记录表(FaceLog)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:46 <br>
 */

public interface ShortTermFaceLogDao extends TKMapper<ShortTermFaceLog> {
    List<FaceLogVO> getFaceLogsNew(Map<String, Object> map);

    List<ShortTermFaceLog> list(FixDataDto dto);

    void updateLogs(@Param("userName") String userName, @Param("cardid") String cardid, @Param("logIds") List<Long> logIds);

    List<FaceLogVO> getFaceLogByAdminIdAndFaceTime(@Param("adminIds")List<Integer> adminIds,@Param("passType")Integer passType,
                                             @Param("startTime") String startTime, @Param("endTime")String endTime);

    List<FaceLogVO> getFaceLogByHealthCode(@Param("adminIds") List<Integer> adminIds,@Param("passType")Integer passType,
                                           @Param("faceTime") String faceTime, @Param("jkm") String jkm);

    List<Long> getContactNum(@Param("pre5Min") Date pre5Min, @Param("after5Min")Date after5Min, @Param("deviceSn")String deviceSn, @Param("id") Long id);

    Integer figureUpByDateFromShortTermFaceLog(@Param("adminIds")List<Integer> adminIdList,  @Param("startTime")String startDate,
                                               @Param("endTime")String endDate, @Param("passType")Integer passType);

    List<Map<String,Object>> getDayGroupByHour(@Param("adminIds")List<Integer> adminIdList, @Param("startTime")String startDate,
                                               @Param("endTime")String endDate, @Param("passType")Integer passType);

    List<Map<String, Object>> getWeekGroupByDay(@Param("adminIds")List<Integer> adminIdList, @Param("startTime")String startDate,
                                                @Param("endTime")String endDate, @Param("passType")Integer passType);

    Set<Long> selectConcactHealthCodeFaces(@Param("healthCode") String code, @Param("adminIds") List<Integer> adminIds,@Param("devicePassType")Integer devicePassType,
                                           @Param("startTime") String startDate, @Param("endTime") String endDate);

}

