package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.UserInfo;
import com.yx.face.model.query.QueryUser;
import com.yx.face.model.vo.UserInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description: 用户基础信息表(UserInfo)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */

public interface UserInfoDao extends TKMapper<UserInfo> {


    List<UserInfoVO> getUsersByFacePass(@Param("query") QueryUser query);

    String selectWhiteVisitorType(@Param("admin") String admin);

    Long getUserInfoPhoneAndIdNumber(@Param("idNumber") String idNumber, @Param("phone") String phone);

    Integer deletePhone(@Param("phone") String phone);

    List<UserInfoVO> getUserInfoByUserIds(@Param("userIds") List<Long> userIds);

    Long selectByPhone(String phone);

    Long selectZfbUserIdByPhone(String phone);

    List<UserInfo> selectOpenIdByIdNumberList(@Param("type")Integer type, @Param("idNumberList")List<String> idNumberList);
}

