package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.UserVisitorList;
import com.yx.face.model.entity.UserVisitorListDetail;
import com.yx.face.model.vo.UserVisitorListVO;
import com.yx.face.model.vo.UserWhitelistVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/**
 * @description:
 * @ClassName UserWhitelistDao
 * @Author WXG
 * @Date 2021/11/5 14:18
 */
public interface UserVisitorListDao extends TKMapper<UserVisitorList> {

    List<UserVisitorListVO> selectListBySearch(Map<String, Object> map);

    List<UserVisitorListVO> selectListByBuildingSearch(Map<String, Object> map);

    UserVisitorList getByPhoneAndId(@Param("phone") String phone, @Param("adminId") Integer adminId);

    UserVisitorList selectByPhoneAndAdminId(@Param("phone") String phone, @Param("adminId") Integer adminId);

    UserWhitelistVO selectListOne(@Param("id") Integer id);

    List<Long> selectId(@Param("userIds") List<Long> userIds, @Param("adminId") Integer adminId);

    UserVisitorList selectByIdNumberAndAdminId(@Param("idNumber") String idNumber, @Param("adminId") Integer adminId);

    List<UserWhitelistVO> selectList(@Param("userId")Integer userId);

    List<UserWhitelistVO> selectUserVisitorList(@Param("userIds") List<Integer> userIds);

    List<UserWhitelistVO> selectList(@Param("userIds") List<Integer> userIds);

    UserVisitorListDetail selectByVisitorId(Integer id);

    UserVisitorListDetail selectVisitorFromById(@Param("id") Integer id,@Param("time")String time);

    List<UserVisitorListDetail> selectVisitorFromByUserVisitorListIds(@Param("userVisitorListIds") List<Integer> userVisitorListIds);

    Integer selectById(Integer id);

    UserWhitelistVO selectVisitorListOne(Integer id);

    UserVisitorList getVisitorList(@Param("adminId") Integer adminId, @Param("cardId") String cardId);

    Integer selectCountToday(Integer userWhitelistId);

    List<UserVisitorList> selectNullUserIdList();

    UserVisitorList getByPhoneAndIdNumber(@Param("idNumber")String idNumber, @Param("phone")String phone, @Param("adminId")Integer adminId);

    UserVisitorList selectUniqueById(Integer visitorId);

    List<UserVisitorList> getVisitorListByAdminId(@Param("adminId")Integer adminId);

    UserVisitorList getByOpenId(@Param("openId")String openId, @Param("adminId")Integer adminId);
}
