package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.api.building.vo.UserWhitelistBuildingVO;
import com.yx.face.model.entity.UserWhitelist;
import com.yx.face.model.entity.UserWhitelistDetail;
import com.yx.face.model.vo.UserWhitelistVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @description:
 * @ClassName UserWhitelistDao
 * @Author WXG
 * @Date 2021/11/5 14:18
 */
public interface UserWhitelistDao extends TKMapper<UserWhitelist> {

    UserWhitelist getByPhoneAndId(@Param("phone") String phone, @Param("id") Integer id, @Param("adminId") Integer adminId);

    UserWhitelist getByCardIdExAndId(@Param("cardIdEx") String cardIdEx, @Param("id") Integer id, @Param("adminId") Integer adminId);

    List<UserWhitelistVO> selectListBySearch(Map<String, Object> map);

    List<UserWhitelistVO> selectList(@Param("userId") Integer userId);

    List<UserWhitelistVO> selectUserWhiteList(@Param("userIds") List<Integer> userIds);

    List<UserWhitelistVO> selectUserWhiteListByDevice(@Param("userIds") List<Integer> userIds, @Param("deviceId") Integer deviceId);

    UserWhitelistVO selectListOne(@Param("id") Integer id);

    Long setUserId(@Param("id") Integer id);

    List<Long> selectId(@Param("userIds") List<Long> userIds, @Param("adminId") Integer adminId);

    Long setUserOne(@Param("id") Integer id, @Param("adminId") Integer adminId);

    UserWhitelist getByIdNumberAndId(@Param("idNumber") String idNumber, @Param("id") Integer id, @Param("adminId") Integer adminId);

    int deleteAdminIdAll(@Param("adminId") Integer adminId);

    Integer getWhiteVisitorType(@Param("adminId") Integer adminId, @Param("idNumber") String idNumber);

    List<Long> getExtend1(@Param("adminId") Integer adminId);

    UserWhitelistVO selectUserWhitelistOn(@Param("idNumber") String idNumber, @Param("phone") String phone);

    UserWhitelistVO selectUserWhitelistById(Long id);

    UserWhitelistDetail selectWhiteListFromById(@Param("id") Integer id, @Param("time") String time);

    List<UserWhitelistDetail> selectWhiteListFromByUserWhitelistIds(@Param("userWhitelistIds") List<Integer> userWhitelistIds);

    UserWhitelistDetail getWhiteListFrom(Integer id);

    List<UserWhitelist> selectByPhoneOrIdNumber(@Param("idNumber") String idNumber, @Param("phone") String phone, @Param("adminIdList") List<Integer> adminIdList);

    void updateAdminAreaType(Integer adminId);

    /*
     * @创建者  WXG
     * @描述  全量下发修改有效时间
     * @时间  2022/8/17 15:30
     * @参数
     **/
    void updateEffective(@Param("timeStart") Date timeStart, @Param("timeEnd") Date timeEnd, @Param("adminId") Integer adminId);

    /*用于userId的填充*/
    List<UserWhitelist> selectNullUserIdList();

    List<Integer> getWhiteListIdByAdminId(@Param("adminId") Integer adminId);

    List<Long> getUserIdsByAdminId(@Param("adminId") Integer adminId);

    List<UserWhitelist> selectAllList();

    List<UserWhitelistBuildingVO> selectByPhoneInCompany(@Param("phone") String phone, @Param("adminId") Integer adminId);

    UserWhitelist selectByUserId(@Param("userId") Object userId, @Param("adminId") Integer adminId);

    void batchUpdateByIds(@Param("ids") List<Integer> ids, @Param("whitelist") UserWhitelist list);

    List<UserWhitelist> selectByZoneIds(@Param("zoneDevicePassIdList") List<Integer> zoneDevicePassIdList, @Param("adminId") Integer adminId);

    List<UserWhitelist> selectByZoneId(@Param("zoneId") Integer zoneId, @Param("adminIds") List<Integer> adminIds);
}
