package com.yx.face.dao.issue;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.boot.mybatis.LanguageDriverUpdateIn;
import com.yx.face.model.entity.issue.IssueDevice;
import org.apache.ibatis.annotations.Lang;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.dao.issue
 * @class IssueDeviceDao
 * @date 2024/4/15 下午5:07
 * @description 设备人员下发
 */
@Repository
public interface IssueDeviceDao extends TKMapper<IssueDevice> {

    @Lang(LanguageDriverUpdateIn.class)
    @Update("UPDATE issue_device SET issue_status = #{issueStatus}, remarks = #{remarks} WHERE id in (#{issueDeviceIds}) ")
    void updateStatusAndRemark(@Param("issueDeviceIds") List<Long> issueDeviceIds, String issueStatus, String remarks);


}
