package com.yx.face.model.api.appointment.dto;

import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @description:
 * @ClassName AppointmentDTO
 * @Author WXG
 * @Date 2022/5/24 18:43
 */
@Data
public class AppointmentDTO {

    @ApiModelProperty(value = "用户Id",required = true)
    @NotNull(message = "用户Id")
    private Integer userId;

    @ApiModelProperty(value = "场所附表Id",required = true)
    @NotNull(message = "场所附表Id")
    private Integer placeDetailId;

    @ApiModelProperty(value = "管理员Id",required = true)
    @NotNull(message = "管理员Id不能为空")
    private Integer adminId;

    @ApiModelProperty(value = "人员类型 0-内宾 1-外宾",required = true)
    @NotNull(message = "人员类型不能为空")
    private Integer type;

    @ApiModelProperty(value = "自定义字段列表")
    private List<ContextVO> addCustomList;
}
