package com.yx.face.model.api.building.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName CompanyCommitDTO
 * @Author WXG
 * @Date 2022/6/6 14:08
 */
@Data
@Accessors(chain = true)
public class CompanyCommitDTO {
    @ApiModelProperty(value = "账号Id")
    private Integer adminId;

    @ApiModelProperty(value = "楼宇Id")
    @NotNull(message = "楼宇Id不能为空!")
    private Integer tenantId;

    @ApiModelProperty(value = "企业简称")
    private String enterpriseSimpleName;

    @ApiModelProperty(value = "实际控制人姓名")
    @NotEmpty(message = "实际控制人姓名不能为空!")
    private String actualName;

    @ApiModelProperty(value = "实际控制人电话")
    @NotEmpty(message = "实际控制人电话不能为空!")
    private String actualPhone;

    @ApiModelProperty(value = "员工人数")
    @NotNull(message = "员工人数不能为空!")
    private String employeesNumber;

    @ApiModelProperty(value = "租赁楼幢")
    @NotEmpty(message = "租赁楼幢不能为空!")
    private String leaseBuilding;

    @ApiModelProperty(value = "租赁楼层")
    @NotEmpty(message = "租赁楼层不能为空!")
    private String leaseFloor;

    @ApiModelProperty(value = "租赁房间号")
    @NotEmpty(message = "租赁房间号不能为空!")
    private List<String> roomNumber;

    @ApiModelProperty(value = "租赁有效期")
    @NotNull(message = "租赁有效期不能为空!")
    private Date leaseTerm;




    @ApiModelProperty(value = "企业全称")
    @NotEmpty(message = "企业全称不能为空!")
    private String enterpriseFullName;

    @ApiModelProperty(value = "公司代码")
    @NotEmpty(message = "公司代码不能为空!")
    private String companyCode;

    @ApiModelProperty(value = "公司法人")
    @NotEmpty(message = "公司法人不能为空!")
    private String legalPerson;

    @ApiModelProperty(value = "公司类型")
    @NotEmpty(message = "公司类型不能为空!")
    private String companyType;

    @ApiModelProperty(value = "注册地址")
    @NotEmpty(message = "注册地址不能为空!")
    private String registrationAddress;

    @ApiModelProperty(value = "主营范围")
    @NotEmpty(message = "主营范围不能为空!")
    private String mainBusinessScope;

    @ApiModelProperty(value = "注册资金")
    @NotEmpty(message = "注册资金不能为空!")
    private String registeredCapital;

    @ApiModelProperty(value = "注册时间")
    @NotNull(message = "注册时间不能为空!")
    private Date registrationTime;


    @ApiModelProperty(value = "用户名")
    @NotEmpty(message = "用户名不能为空!")
    private String username;

    @ApiModelProperty(value = "密码")
    @NotEmpty(message = "密码不能为空!")
    @Length(min=6, max=20,message = "密码长度需要大于等于6位，且不能过长")
    private String password;

    @ApiModelProperty(value = "用户id")
    @NotNull(message = "用户id不能为空!")
    private Integer userId;
}
