package com.yx.face.model.api.building.dto;

import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @description:
 * @ClassName UserAdminDTO
 * @Author WXG
 * @Date 2022/5/25 10:05
 */
@Data
@Accessors(chain = true)
public class UserWhiteCheckDTO {
    @ApiModelProperty(value = "用户Id",required = true)
    @NotNull(message = "用户Id不能为空!")
    private Integer userId;

    @ApiModelProperty(value = "楼宇账号Id",required = true)
    @NotNull(message = "楼宇账号Id不能为空!")
    private Integer adminId;

    @ApiModelProperty(value = "公司账号Id",required = true)
    @NotNull(message = "公司账号Id不能为空!")
    private Integer companyAdminId;

    @ApiModelProperty(value = "二维码类型记录标识，0：通用码，1：常客码",required = false)
    private Integer type = 0;

    @ApiModelProperty(value = "自定义字段")
    private List<ContextVO> addCustomList;
    @ApiModelProperty("健康码")
    private String jkm;
    @ApiModelProperty("健康码图片")
    private String jkmPhoto;
    @ApiModelProperty("核酸")
    private String hs;
    @ApiModelProperty("核酸检测时间")
    private String hsCheckTime;
    @ApiModelProperty("核酸结果时间")
    private String hsResultTime;
    @ApiModelProperty("核酸图片")
    private String hsPhoto;
    @ApiModelProperty("行程信息1 代表没有去过高风险地区 2 代表去过高风险地区 3 代表用户没有行程记录")
    private String xc;
    @ApiModelProperty("行程码图片")
    private String xcPhoto;
    @ApiModelProperty("获取行程码的手机号")
    private String xcPhone;
}
