package com.yx.face.model.api.building.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @description:
 * @ClassName UserWhiteHandleDTO
 * @Author WXG
 * @Date 2022/6/6 15:54
 */
@Data
@ApiModel("常客审批访客DTO model")
@Accessors(chain = true)
public class UserWhiteHandleDTO {
    @ApiModelProperty(value = "访客记录Id")
    @NotNull(message = "访客记录Id不能为空!")
    private Integer userVisitorListDetailId;

    @ApiModelProperty("审核状态 0:待审核 1:已拒绝 2:已同意")
    @NotNull(message = "审核状态不能为空!")
    private Integer reviewStatus;

    @ApiModelProperty("设备列表 根据改设备列表进行下发")
    private List<String> snList;

    @ApiModelProperty(value = "人员类型 0:访客 1:同事 2:亲属")
    private Integer personnelType;

    @ApiModelProperty("备注信息")
    private String remark;
}
