package com.yx.face.model.api.building.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/*
 * @创建者  WXG
 * @描述  常客邀约DTO
 * @时间  2022/6/1 16:41
 * @参数
 **/
@Data
@Accessors(chain = true)
public class UserWhiteInviteDTO {
    @ApiModelProperty(value = "常客Id",required = true)
    @NotNull(message = "常客Id不能为空!")
    private Integer userWhitelistId;

    @ApiModelProperty(value = "开始时间")
    @NotEmpty(message = "开始时间不能为空!")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    @NotEmpty(message = "结束时间不能为空!")
    private String endTime;

    @ApiModelProperty(value = "人员类型 0:访客 1:同事 2:亲属")
    @NotNull(message = "人员类型不能为空!")
    private Integer personnelType;

    @ApiModelProperty(value = "通道权限")
    private List<String> snList;

    @ApiModelProperty(value = "邀请方式 0:微信 1:短信")
    @NotNull(message = "邀请方式不能为空!")
    private Integer invitationWay;

    @ApiModelProperty(value = "人员手机号")
    @NotNull(message = "人员手机号不能为空!")
    private List<String> phoneList;

    @ApiModelProperty("访问事由")
    private String reason ;

}
