package com.yx.face.model.api.building.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName VisitorySubmitDTO
 * @Author WXG
 * @Date 2022/6/2 13:57
 */
@Data
@Accessors(chain = true)
public class   VisitorySubmitDTO {
    @ApiModelProperty(value = "访问记录Id 有-修改 无新增")
    private Integer userVisitorListDetailId;

    @ApiModelProperty(value = "访问事由")
    private String reason;

    @ApiModelProperty(value = "常客id")
    private Integer userWhitelistId;

    @ApiModelProperty(value = "受访楼宇Id")
    @NotNull(message = "楼宇Id不能为空")
    private Integer visiteeBuildingId;

    @ApiModelProperty(value = "受访公司Id")
    private Integer visiteeCompanyId;

    @ApiModelProperty(value = "开始时间")
    @NotNull(message = "开始时间不能为空")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "结束时间不能为空")
    private Date endTime;

    @ApiModelProperty("访问人Id")
    @NotNull(message = "访问人请先实名认证")
    private Integer userId;

    @ApiModelProperty("来访单位")
    private String company;

    @ApiModelProperty("受访人姓名")
    private String visiteeXm;

    @ApiModelProperty("受访人的单位名称")
    private String visiteeCompany;

    @ApiModelProperty("车牌号码")
    private String carno;

    @ApiModelProperty(value = "自定义字段")
    private List<ContextVO> addCustomList;
    @ApiModelProperty("健康码")
    private String jkm;
    @ApiModelProperty("健康码图片")
    private String jkmPhoto;
    @ApiModelProperty("核酸")
    private String hs;
    @ApiModelProperty("核酸检测时间")
    private String hsCheckTime;
    @ApiModelProperty("核酸结果时间")
    private String hsResultTime;
    @ApiModelProperty("核酸图片")
    private String hsPhoto;
    @ApiModelProperty("行程信息1 代表没有去过高风险地区 2 代表去过高风险地区 3 代表用户没有行程记录")
    private String xc;
    @ApiModelProperty("行程码图片")
    private String xcPhoto;
    @ApiModelProperty("获取行程码的手机号")
    private String xcPhone;
}
