package com.yx.face.model.api.building.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @ClassName OCR
 * @Author WXG
 * @Date 2021/10/20 9:58
 */
@ApiModel("营业执照VO model")
@Data
public class BusinessLicenseVO {

    @ApiModelProperty(value = "统一社会信用代码")
    private String companyCode;

    @ApiModelProperty(value = "组织机构代码")
    private String organizationCode;

    @ApiModelProperty(value = "税务登记证号")
    private String taxNo;

    @ApiModelProperty(value = "社保登记号")
    private String socialNo;

    @ApiModelProperty(value = "统计证证号")
    private String statisticalNo;

    @ApiModelProperty(value = "公司名称")
    private String enterpriseFullName;

    @ApiModelProperty(value = "公司类型")
    private String companyType;

    @ApiModelProperty(value = "公司地址")
    private String registeredAddress;

    @ApiModelProperty(value = "法定代表人")
    private String legalPerson;

    @ApiModelProperty(value = "注册资本")
    private String registeredCapital;

    @ApiModelProperty(value = "注册时间")
    private Date registrationTime;

    @ApiModelProperty(value = "营业期限")
    private String businessTerm;

    @ApiModelProperty(value = "经营范围")
    private String mainBusinessScope;

    @ApiModelProperty(value = "登记机关")
    private String registrationAuthority;

    @ApiModelProperty(value = "登记日期")
    private Date dateOfRegistration;

    @ApiModelProperty(value = "二维码")
    private String qrCode;

    @ApiModelProperty(value = "副本")
    private String copy;
}
