package com.yx.face.model.api.building.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName CompanyVO
 * @Author WXG
 * @Date 2022/6/6 14:57
 */
@ApiModel("公司信息VO model")
@Data
public class CompanyVO {

    @ApiModelProperty(value = "账号Id")
    private Integer adminId;

    @ApiModelProperty(value = "楼宇Id")
    private Integer tenantId;

    @ApiModelProperty(value = "楼宇名称")
    private String tenantName;

    @ApiModelProperty(value = "企业简称")
    private String enterpriseSimpleName;

    @ApiModelProperty(value = "实际控制人姓名")
    private String actualName;

    @ApiModelProperty(value = "实际控制人电话")
    private String actualPhone;

    @ApiModelProperty(value = "员工人数")
    private String employeesNumber;

    @ApiModelProperty(value = "租赁楼幢")
    private String leaseBuilding;

    @ApiModelProperty(value = "租赁楼层")
    private String leaseFloor;

    @ApiModelProperty(value = "租赁房间号")
    private List<String> roomNumber;

    @ApiModelProperty(value = "租赁有效期")
    private Date leaseTerm;

    @ApiModelProperty(value = "企业全称")
    private String enterpriseFullName;

    @ApiModelProperty(value = "公司代码")
    private String companyCode;

    @ApiModelProperty(value = "公司法人")
    private String legalPerson;

    @ApiModelProperty(value = "公司类型")
    private String companyType;

    @ApiModelProperty(value = "公司地址")
    private String registeredAddress;

    @ApiModelProperty(value = "主营范围")
    private String mainBusinessScope;

    @ApiModelProperty(value = "注册资金")
    private String registeredCapital;

    @ApiModelProperty(value = "注册时间")
    private Date registrationTime;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "审核状态 0:待审核 1:已拒绝 2:已同意")
    private Integer reviewStatus;

    @ApiModelProperty(value = "数据创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
