package com.yx.face.model.api.building.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName VisitoryVisitListVO
 * @Author WXG
 * @Date 2022/6/2 15:27
 */
@Data
@Accessors(chain = true)
public class VisitoryVisitListVO {
    @ApiModelProperty(value = "访问记录Id")
    private Long userVisitorListDetailId;

    @ApiModelProperty(value = "访问事由")
    private String reason;

    @ApiModelProperty(value = "受访人姓名")
    private String visiteeXm;

    @ApiModelProperty(value = "受访人的单位名称")
    private String visiteeCompany;

    @ApiModelProperty(value = "受访人手机号")
    private String visiteePhone;


    @ApiModelProperty(value = "开始时间")
    @NotNull(message = "开始时间不能为空")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    @NotNull(message = "结束时间不能为空")
    private Date endTime;

    @ApiModelProperty("访问人姓名")
    private String name;

    @ApiModelProperty("访问人手机号")
    private String phone;

    @ApiModelProperty("访问人身份证")
    private String idNumber;

    @ApiModelProperty("访问人照片")
    private String photo;

    @ApiModelProperty("拜访人单位")
    private String company;

    @ApiModelProperty("访问人用户Id")
    private Integer userId;

    @ApiModelProperty("审核状态 0:待审核 1:已拒绝 2:已同意 3:已入场")
    private Integer reviewStatus;

    @ApiModelProperty("通行列表")
    private List<String> throughList;

    @ApiModelProperty(value = "设备",hidden = true)
    private String sn;

    @ApiModelProperty(value = "人员类型 0:访客 1:同事 2:亲属")
    private Integer personnelType;

    @ApiModelProperty(value = "自定义字段")
    private String content;

    @ApiModelProperty(value = "自定义字段列表")
    private List<ContextVO> contents;

    @ApiModelProperty("健康码")
    private String jkm;
    @ApiModelProperty("健康码图片")
    private String jkmPhoto;
    @ApiModelProperty("核酸")
    private String hs;
    @ApiModelProperty("核酸检测时间")
    private String hsCheckTime;
    @ApiModelProperty("核酸结果时间")
    private String hsResultTime;
    @ApiModelProperty("核酸图片")
    private String hsPhoto;
    @ApiModelProperty("行程信息1 代表没有去过高风险地区 2 代表去过高风险地区 3 代表用户没有行程记录")
    private String xc;
    @ApiModelProperty("行程码图片")
    private String xcPhoto;
    @ApiModelProperty("获取行程码的手机号")
    private String xcPhone;

    @ApiModelProperty("是否签离 true-签离 false-未签离")
    private Boolean isSignOut;
    @ApiModelProperty("备注信息")
    private String remark;
    @ApiModelProperty("入场时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    private Date inTime;
    @ApiModelProperty("通过照片")
    private String inPhoto;
    @ApiModelProperty("设备地点")
    private String snAddr;
    @ApiModelProperty("通用码码值")
    private String commonQrCode;
    @ApiModelProperty("梯控码码值")
    private String ladderQrCode;
}
