package com.yx.face.model.api.district;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.dto.userZone
 * @class DistrictEncryptionRequest
 * @date 2024/3/19 下午5:58
 * @description
 */
@Data
public class DistrictEncryptionRequest implements Serializable {

    @ApiModelProperty(value = "接入方唯一标识")
    @NotBlank(message = "appId不能为空")
    private String appId;

    @ApiModelProperty(value = "签名md5(appKey+appSecret+timestamp) 小写32位")
    @NotBlank(message = "签名不能为空")
    private String sign;

    @ApiModelProperty(value = "时间戳毫秒 1666881956513")
    @NotNull(message = "时间戳不能为空")
    private Long reqTimestamp;

    @ApiModelProperty(value = "加密后的内容")
    private String bizContent;

}
