package com.yx.face.model.api.fkj.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.api.fkj.dto
 * @class FkjEthQrCodeDto
 * @date 2023/7/28 下午9:15
 * @description
 */
@Data
@ApiModel("访客单机版二维码生成请求参数")
public class FkjEthQrCodeDto implements Serializable {

    public static String hexadecimalPrefix = "A4";
    public static String door = " 00";
    public static String group = " 01";
    public static String backups_start = " 00 00 00 00 00";
    public static String year_month_day_hour_start = " 00 00 00 00";
    public static String year_month_day_hour_end = " 00 00 00 00";
    //floor
    public static String backups_end = " 00 00 00 00 00 00 00";
    public static String sum = " 00";

    @ApiModelProperty(value = "设备编码", required = true)
    @NotBlank(message = "设备编码不能为空")
    private String sn;

    @ApiModelProperty(value = "楼层", required = true)
    @NotNull(message = "楼层不能为空")
    @Pattern(regexp = "^[-,1-9a-zA-Z]{1,}\\d*$", message = "楼层格式不正确")
    private String floor;

}
