package com.yx.face.model.api.fkj.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.api.fkj.dto
 * @class FkjEthQrCodeDto
 * @date 2023/7/28 下午9:15
 * @description
 */
@Data
@ApiModel("捷顺访客二维码生成请求参数")
public class FkjJshunQrCodeDto implements Serializable {

    @ApiModelProperty(value = "设备编码", required = true)
    @NotBlank(message = "设备编码不能为空")
    private String sn;

    @ApiModelProperty(value = "人员编号（用户身份证号）", required = true)
    @NotBlank(message = "人员编号不能为空")
    private String personCode;

    @ApiModelProperty(value = "小区编号(单位)", required = true)
    @NotBlank(message = "小区编号不能为空")
    private String areaCode;

    @ApiModelProperty(value = "邀访事由")
    private String visitorContent;

    @ApiModelProperty(value = "访客姓名", required = true)
    @NotBlank(message = "访客姓名不能为空")
    private String visitorName;

    @ApiModelProperty(value = "访客电话（手机号）")
    private String visitorTel;

    @ApiModelProperty(value = "访客车牌号 车牌作为传参时统一格式，带横杠，例如 粤-B88888")
    private String carNo;


}
