package com.yx.face.model.api.fkj.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.api.fkj.dto
 * @class FkjEthQrCodeDto
 * @date 2023/7/28 下午9:15
 * @description
 */
@Data
@ApiModel("捷顺访客列表dataItems请求参数")
public class FkjJshunVisitorQrCodeDto implements Serializable {

    @ApiModelProperty(value = "设备编码", required = true)
    @NotBlank(message = "设备编码不能为空")
    private String sn;

    @ApiModelProperty(value = "服务标识")
    private String serviceId = "3c.visitor.invite";

    @ApiModelProperty(value = "请求类型")
    private String requestType = "DATA";

    @ApiModelProperty(value = "人员编号", required = true)
    private String personCode;

    @ApiModelProperty(value = "小区编号(单位)", required = true)
    private String areaCode;

    @ApiModelProperty(value = "商户编号")
    private String businesserCode;

    @ApiModelProperty(value = "访客类型")
    private Integer visitorType = 3;

    /**
     * "timeDesc": "{\"sd\":\"2015-06-07 15:00:00\",\"ed\":\"2015-06-09 23:00:00\",\"st\":\"15:00\",\"et\":\"17:30\",\"w\":\"0000011\"}"
     */
    @ApiModelProperty(value = "时间描述")
    private String timeDesc;

    @ApiModelProperty(value = "邀访事由")
    private String visitorContent;

    @ApiModelProperty(value = "列表")
    private List<FkjJshunVisitorDto> dataItems;


}
