package com.yx.face.model.api.fkj.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.api.fkj.dto
 * @class FkjQrCodeDto
 * @date 2023/8/24 上午9:37
 * @description
 */
@Data
@ApiModel("访客二维码生成请求参数")
public class FkjQrCodeDto implements Serializable {

    @ApiModelProperty(value = "访客身份证号", required = true)
    @NotBlank(message = "访客身份证号不能为空")
    private String idNumber;

    @ApiModelProperty(value = "访客姓名", required = true)
    @NotBlank(message = "访客姓名不能为空")
    private String name;

    @ApiModelProperty(value = "访客电话（手机号）")
    private String phone;

    @ApiModelProperty(value = "账号id")
    private Integer adminId;


}
