package com.yx.face.model.api.fkj.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.api.fkj.dto
 * @class FkjVguangQrCodeDto
 * @date 2023/8/24 上午9:37
 * @description
 */
@Data
@ApiModel("微光互联访客二维码生成请求参数")
public class FkjVguangQrCodeDto implements Serializable {

    @ApiModelProperty(value = "设备编码", required = true)
    @NotBlank(message = "设备编码不能为空")
    private String sn;

    @ApiModelProperty(value = "用户身份证号", required = true)
    @NotBlank(message = "用户身份证号不能为空")
    private String personCode;

    @ApiModelProperty(value = "访客姓名", required = true)
    @NotBlank(message = "访客姓名不能为空")
    private String visitorName;

    @ApiModelProperty(value = "访客电话（手机号）")
    private String visitorTel;


}
