package com.yx.face.model.api.fkj.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.regex.Matcher;

/**
 * @author shisl
 * @package com.yx.face.model.api.fkj.dto
 * @class visiteeDto
 * @date 2023/7/28 下午10:14
 * @description
 */
@Data
@ApiModel("添加/编辑受访人请求参数")
public class VisiteeDto implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    private Integer adminId;

    @ApiModelProperty(value = "姓名")
    @Size(max = 20, message = "姓名最大长度不超过20")
    private String name;

    @ApiModelProperty(value = "手机号")
    @Size(max = 20, message = "姓名最大长度不超过20")
    private String phone;

    @ApiModelProperty(value = "身份证号")
    @Size(max = 20, message = "身份证号最大长度不超过20")
    private String idNumber;

    @ApiModelProperty(value = "单位名称")
    @Size(max = 20, message = "单位名称最大长度不超过20")
    private String company;

    @ApiModelProperty(value = "部门")
    @Size(max = 20, message = "部门最大长度不超过20")
    private String unitName;

    @ApiModelProperty(value = "房间号")
    @Size(max = 20, message = "房间号最大长度不超过20")
    private String room;

    @ApiModelProperty(value = "楼层", required = true)
    @NotBlank(message = "楼层不能为空")
    @Size(min = 1, max = 500, message = "楼层最大长度不超过500")
//    @Pattern(regexp = "^-?[1-9]\\d*$",message = "楼层只能是数字")
    @Pattern(regexp = "^[-,1-9a-zA-Z]{1,}\\d*$", message = "楼层格式不正确")
    private String floor;

    @ApiModelProperty(value = "显示标题", required = true)
    @NotBlank(message = "显示标题不能为空")
    @Size(min = 1, max = 20, message = "显示标题最大长度不超过20")
    private String showTitle;

    @ApiModelProperty(value = "绑定区域 [1,2,3] 全部是null  单个添加")
    private String zoneIds;

    @ApiModelProperty(value = "绑定区域 区域名称,A区域,B区域 全部是null 导入")
    private String zoneNames;

    public static void main(String[] args) {
        // 定义正则表达式
        String regex = "^[-,1-9a-zA-Z]{1,}\\d*$";

        // 需要测试的字符串
        String text = "-M1,2,3";

        // 编译正则表达式
        java.util.regex.Pattern pattern = java.util.regex.Pattern.compile(regex);

        // 创建匹配器
        Matcher matcher = pattern.matcher(text);

        // 查找匹配的子串
        boolean found = matcher.find();

        // 输出结果
        System.out.println("找到匹配: " + found);
    }


}
