package com.yx.face.model.api.fkj.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.api.fkj.dto
 * @class FkjEthQrCodeDto
 * @date 2023/7/28 下午9:15
 * @description
 */
@Data
@ApiModel("访客二维码生成响应参数")
@AllArgsConstructor
public class FkjQrCodeVo implements Serializable {

    @ApiModelProperty(value = "账号名称")
    private String adminName;

    @ApiModelProperty(value = "账号id")
    private Integer adminId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "受访人姓名")
    private String visiteeName;

    @ApiModelProperty(value = "身份证号")
    private String idNumber;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "单机版二维码")
    private String ethQrcode;

    @ApiModelProperty(value = "微光互联二维码")
    private String vguangQrcode;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "支付宝小程序单机二维码标题")
    private String zfbMiniEthTitle;
    @ApiModelProperty(value = "支付宝小程序联机二维码标题")
    private String zfbMiniVguangTitle;


}
