package com.yx.face.model.api.fkj.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.api.fkj.vo
 * @class VisiteeVo
 * @date 2023/7/28 下午10:57
 * @description
 */
@Data
@ApiModel("受访人列表响应参数")
public class VisiteeVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "拼音首字母")
    private String pinyinFirstLetter;

    @ApiModelProperty(value = "身份证号")
    private String idNumber;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "单位名称")
    private String company;

    @ApiModelProperty(value = "部门")
    private String unitName;

    @ApiModelProperty(value = "房间号")
    private String room;

    @ApiModelProperty(value = "楼层", required = true)
    private String floor;

    @ApiModelProperty(value = "显示标题", required = true)
    private String showTitle;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
