package com.yx.face.model.api.user;

import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.api.user
 * @class OpenUserWhitelistCreateRequest
 * @date 2024/3/22 下午1:37
 * @description
 */
@Data
public class OpenUserWhitelistCreateResponse implements Serializable {

    @ApiModelProperty(value = "自定义用户id  全局唯一  最大长度32位", required = true)
    private String hid;

    @ApiModelProperty(value = "身份证")
    private String idNumber;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "开始有效期")
    private String startTime;

    @ApiModelProperty(value = "结束有效期")
    private String endTime;

    @ApiModelProperty(value = "物理卡号")
    private String cardIdEx;

    @ApiModelProperty(value = "自定义字段")
    private List<ContextVO> customFieldList;

    @ApiModelProperty(value = "通行区域区域列表")
    private List<Integer> zoneDevicePassIdList;

}
