package com.yx.face.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @ClassName ConfirmFaceNotifyNewDTO
 * @Author WXG
 * @Date 2022/9/2 11:24
 */
@Data
@ApiModel("实名认证newDTO")
public class ConfirmFaceNotifyNewDTO {

    @ApiModelProperty(value = "支付宝用户id", required = true)
    private String userId;

    @ApiModelProperty(value = "姓名", required = true)
    private String username;

    @ApiModelProperty(value = "身份证", required = true)
    private String idNumber;

    @ApiModelProperty("物理卡号 小程序非实名认证的时候使用")
    private String cardIdEx;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty(value = "照片")
    private String avatar;

    /*
    * 在身份证/手机号/物理卡号，都为空的情况下，必须传入下面的两个参数获取到openId作为创建userInfo的依据
    * */
    @ApiModelProperty(value = "小程序使用 1-浙江 2-预约 3-楼宇")
    private Integer type;
    @ApiModelProperty(value = "微信小程序 登录时获取的code")
    private String code;
}
