package com.yx.face.model.dto;

import com.yx.face.model.entity.AdminDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import java.math.BigDecimal;

/**
 * @author: lileilei
 * @date: 2022/6/1 10:40
 * @description:
 */
@Data
@Accessors(chain = true)
public class EnterpriseAccountDTO extends AdminDetail {
    @ApiModelProperty("企业账号id")
    private Integer id;

    @ApiModelProperty("姓名")
    private String nickname;

    @ApiModelProperty("账号名称")
    private String username;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("注册时间")
    private String registrationTimeStr;

    @ApiModelProperty("租赁有效期")
    private String leaseTermStr;

    /**
     * 详细地址
     */
    @ApiModelProperty("详细地址")
    private String address;

    /**
     * 省份地址编码
     */
    @Column(name = "province_id")
    private Integer provinceId;
    /**
     * 省份
     */
    @Column(name = "province_name")
    private String provinceName;
    /**
     * 城市地址编码
     */
    @Column(name = "city_id")
    private Integer cityId;
    /**
     * 城市
     */
    @Column(name = "city_name")
    private String cityName;
    /**
     * 县区地址编码
     */
    @Column(name = "area_id")
    private Integer areaId;
    /**
     * 县区
     */
    @Column(name = "area_name")
    private String areaName;
    /**
     * 街道编号
     */
    @Column(name = "street_id")
    private Integer streetId;
    /**
     * 街道 乡 镇名称
     */
    @Column(name = "street_name")
    private String streetName;

    @ApiModelProperty("是否开启私有区域 1-开启 2-不开启")
    private Integer isOpenPrivateArea;

    @ApiModelProperty("常客有效时长（单位/天）")
    private BigDecimal userWhitelistEffectiveTime;

    @ApiModelProperty("访客有效时长（单位/天）")
    private BigDecimal userVisiterEffectiveTime;

    @ApiModelProperty("企业账号的配置-小程序是否可被搜索选择 1-可以 0-不可以")
    private Integer isCanSearch;

}
