package com.yx.face.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @description:
 * @ClassName ExamUserWhitelistDTO
 * @Author WXG
 * @Date 2023/4/14 10:38
 */
@Data
@Accessors(chain = true)
public class ExamUserWhitelistDTO {

    @ApiModelProperty("姓名")
    private String name;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("身份证号")
    @NotBlank(message = "身份证号不能为空")
    private String idNumber;
    @ApiModelProperty("管理员id")
    private Integer adminId;
    @ApiModelProperty("场次")
    private String examSession;
    @ApiModelProperty("准考证号")
    private String examCode;
    @ApiModelProperty("报考类型")
    private String examType;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("考试开始时间")
    @NotNull(message = "考试开始时间不能为空")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty("考试结束时间")
    @NotNull(message = "考试结束时间不能为空")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

}
