package com.yx.face.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 人脸设备信息表(FaceDevice)DTO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:46 <br>
 */

@ApiModel("人脸设备信息表DTO model")
@Data
public class FaceDeviceDTO {

    @ApiModelProperty(value = "设备id")
    private Integer deviceId;

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "名称or标签")
    private String name;

    @ApiModelProperty(value = "停用-0|启用-1")
    private Integer enable;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = " 不限-0|进-1|出-2")
    private Integer pass;

    @ApiModelProperty(value = "管理员id")
    private Integer adminId;

    @ApiModelProperty(value = "第三方id")
    private Integer thirdPartyId;

    @ApiModelProperty(value = "设备类型id")
    private Integer faceDeviceTypeId;

    @ApiModelProperty(value = "单位编号")
    private String companyId;

    @ApiModelProperty("场所码id")
    private Integer adminPlaceInfoId;

    @ApiModelProperty(value = "区域类型 1-公有区域 2-私有区域")
    private Integer areaType;

    @ApiModelProperty(value = "私有区域id")
    private Integer privateAreaId;

    @ApiModelProperty(value = "1.楼宇公有 2.企业公有 3.企业私有")
    private Integer adminAreaType;

    @ApiModelProperty(value = "设备类型")
    private String devType;
}

