package com.yx.face.model.dto;

import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName UserWhitelistDTO
 * @Author WXG
 * @Date 2021/11/5 14:19
 */
@ApiModel(" 常客白名单DTO model")
@Data
public class UserWhitelistDTO {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @ApiModelProperty(value = "自定义用户id  全局唯一  最大长度32位")
    private String hid;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "身份证")
    private String idNumber;

    @ApiModelProperty(value = "管理员id")
    private Integer adminId;

    @ApiModelProperty(value = "录入类型 1.常客录入 2.人工录入")
    private Integer inputType;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "自定义字段")
    private List<ContextVO> addCustomList;

    @ApiModelProperty(value = "自定义字段")
    private String content;

    @ApiModelProperty(value = "推送类型 0 小程序 1初次添加 2人工录入 3 访客机 4.身份证认证 5.物理卡号认证")
    private Integer pushType;

    @ApiModelProperty("私有区域IdList")
    private List<Integer> privateAreaIdList;

    @ApiModelProperty(value = "1.楼宇公有 2.企业公有 3.企业私有")
    private Integer adminAreaType;

    @ApiModelProperty("开始有效期")
    private String startTime;

    @ApiModelProperty("结束有效期")
    private String endTime;

    @ApiModelProperty("物理卡号")
    private String cardIdEx;

    @ApiModelProperty(value = "是否校验身份证号",hidden = true)
    private Boolean isCheckIdNumber =Boolean.TRUE;

    @ApiModelProperty("人员类型 从接口获取")
    private Integer personnelType;

    @ApiModelProperty("通行区域区域列表")
    private List<Integer> zoneDevicePassIdList;

    @ApiModelProperty("部门名称")
    private String deptName;
    @ApiModelProperty("职务名称")
    private String dutyName;
    @ApiModelProperty("工种名称")
    private String workName;
    @ApiModelProperty("家庭住址")
    private String homeAddress;
    @ApiModelProperty("工号")
    private String jobNumber;

}
