package com.yx.face.model.dto.dragon;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.dto.dragon
 * @class RequestMsgVO
 * @date 2023/11/6 下午1:28
 * @description
 */
@Data
@ApiModel("常口用户信息查询入参")
public class RequestMsgVO implements Serializable {

    /**
     * 请求类型 0综合查询 1人口基本信息 2省常口信息 3违法犯罪人员信息 4在逃人员基本信息 5七类重点人员基本信息 6拘留人员基本信息
     * 目前只支持：1，2，5
     */
    @ApiModelProperty(value = "请求类型 0综合查询 1人口基本信息 2省常口信息 3违法犯罪人员信息 4在逃人员基本信息 5七类重点人员基本信息 6拘留人员基本信息")
    private Integer type;

    /**
     * 人员证件号
     */
    @ApiModelProperty(value = "人员证件号")
    private String number;

    /**
     * 现场人脸Base64照片
     */
    @ApiModelProperty(value = "现场人脸Base64照片")
    private String photo;

    @ApiModelProperty(value = "数据类型")
    private String dataType;

    /**
     * 人员证件号
     */
    @ApiModelProperty(value = "人员证件号(对外查询)")
    private String sfzh;

}