package com.yx.face.model.dto.fkj;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.dto.fkj
 * @class FkjFloorInitConfig
 * @date 2024/1/4 下午2:36
 * @description
 */
@Data
public class FkjFloorInitConfig implements Serializable {

    @ApiModelProperty(value = "十六进制楼层 1-64层")
    private int hexadecimalFloor;

    @ApiModelProperty(value = "实际楼层 对外显示文本 负数偏移量4 正数偏移量3")
    private String actualityFloor;

    public FkjFloorInitConfig() {

    }

    FkjFloorInitConfig(int hexadecimalFloor, String actualityFloor) {
        this.hexadecimalFloor = hexadecimalFloor;
        this.actualityFloor = actualityFloor;
    }

    public static List<FkjFloorInitConfig> initFloorConfig() {
        List<FkjFloorInitConfig> list = new ArrayList<>();
        for (int i = 1, len = 65; i < len; i++) {
            list.add(new FkjFloorInitConfig(i, String.valueOf(i - 4 < 0 ? i - 4 : i - 3)));
        }
        return list;
    }

}
