package com.yx.face.model.dto.fkj;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @description:
 * @ClassName VisitorReportDto
 * @Author WXG
 * @Date 2024/4/8 18:06
 */
@Data
public class VisitorReportDto {
    @ApiModelProperty("姓名")
    @NotBlank(message = "请输入姓名")
    private String xm;//姓名
    @ApiModelProperty("手机号")
    private String phone;//手机号
    @ApiModelProperty("身份证")
    @NotBlank(message = "请输入身份证")
    private String sfzh;//身份证
    @ApiModelProperty("设备编号")
    @NotBlank(message = "请传入设备编号")
    private String machine_id;//设备编号
    @ApiModelProperty("来访单位")
    private String company;//来访单位
    @ApiModelProperty("车牌号码")
    private String carno;//车牌号码，可选
    @ApiModelProperty("访问事由")
    private String reason;//访问事由
    @ApiModelProperty("人数")
    private String num_peoples;//人数
    @ApiModelProperty("是否携带身份证")
    private String has_idcard;// 是否携带身份证
    @ApiModelProperty("健康码")
    private String health_code;//健康码
    @ApiModelProperty("疫苗针数")
    private String vaccine_num;//疫苗针数，可能是空字符串，或 “1”、“2”
    @ApiModelProperty("体温")
    private String temperature;//体温
    @ApiModelProperty("受访人姓名")
    private String visitee_xm;//受访人姓名
    @ApiModelProperty("受访人部门")
    private String visitee_bm;//受访人部门
    @ApiModelProperty("受访人的单位名称")
    private String visitee_company;//受访人的单位名称
    @ApiModelProperty("受访人单位的房间号")
    private String visitee_room;//受访人单位的房间号
    @ApiModelProperty("受访人电话")
    private String visiteePhone;//受访人电话，李工版本没有该参数，我们自己写的访客机才有
    @ApiModelProperty("派出所代码")
    private String pcsdm;//派出所代码（新增） 如：330104502
    @ApiModelProperty("派出所名称")
    private String pcsname;//派出所名称（新增），如：采荷派出所
    @ApiModelProperty("身份证（或公安网）相片，base64编码")
    private String xp;//身份证（或公安网）相片，base64编码
    @ApiModelProperty("现场采集照片，base64编码")
    private String scene_xp;//现场采集照片，base64编码
    @ApiModelProperty("来访时间，格式 2019-04-03 12:00:00")
    private String time;//来访时间，格式 2019-04-03 12:00:00
    @ApiModelProperty("访客机所在的使用单位如：浙江杭州上城区A单位")
    private String org;//访客机所在的使用单位如：浙江杭州上城区A单位
    @ApiModelProperty("门向，如东门、西门等")
    private String door;//门向，如东门、西门等
    @ApiModelProperty("楼层")
    private String visitee_floor = "";//楼层
}
