package com.yx.face.model.dto.iot;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.rest.request
 * @class AlipayOpenIotvspUserwithimageCreateRequest
 * @date 2023/8/22 下午2:06
 * @description 用户直接入库
 */
@Data
public class AlipayOpenIotvspUserwithimageRequest extends AlipayOpenApiBaseRequest {

    /**
     * 组件编码
     */
    @ApiModelProperty(value = "组件编码")
    private String componentOutId;
    /**
     * 用户核身唯一标识
     */
    @ApiModelProperty(value = "用户核身唯一标识")
    private String vid;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名", required = true)
    private String certName;
    /**
     * 证件号码
     */
    @ApiModelProperty(value = "证件号码", required = true)
    private String certNo;
    /**
     * 证件类型，IDENTITY_CARD身份证，PASS_PORT护照，STU_NUM学生学号，COMPANY_NUM工号，TAIWAN_CARD台胞证，HK_MC_CARD港澳证件
     */
    @ApiModelProperty(value = "证件类型, IDENTITY_CARD身份证，PASS_PORT护照，STU_NUM学生学号，COMPANY_NUM工号，TAIWAN_CARD台胞证，HK_MC_CARD港澳证件")
    private String certType;
    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String phone;
    /**
     * 头像
     */
    @ApiModelProperty(value = "图片")
    private String image;
    /**
     * 扩展信息
     */
    @ApiModelProperty(value = "扩展信息")
    private String ext;
    /**
     * 标签外标最多5个
     */
    @ApiModelProperty(value = "标签外标最多5个")
    private String labelOutNo;


}
