package com.yx.face.model.dto.issue;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.dto.issue
 * @class IssueDeviceReq
 * @date 2024/4/17 下午4:54
 * @description
 */
@Data
public class IssueDeviceCallbackReq implements Serializable {

    @ApiModelProperty(value = "任务编号")
    private String traceId;

    @ApiModelProperty(value = "设备sn")
    private String deviceSn;

    @ApiModelProperty(value = "下发人员数量")
    private Integer issueFaceCount;

    @ApiModelProperty(value = "下发类型 IssueTypeEnum")
    private String issueType;

    @ApiModelProperty(value = "下发状态 IssueStatusEnum")
    private String issueStatus;

    @ApiModelProperty(value = "已下发人员数量")
    private Integer hadIssuedFaceCount;

    @ApiModelProperty(value = "已下发人员中成功数量")
    private Integer hadIssuedFaceSuccessCount;

    @ApiModelProperty(value = "已下发人员中失败数量")
    private Integer hadIssuedFaceFailedCount;

    @ApiModelProperty(value = "下发百分比")
    private Integer issuePercent = 0;

    @ApiModelProperty(value = "消息")
    private String msg;

    @ApiModelProperty(value = "下发的人员数据")
    private List<IssueDeviceItemCallbackReq> items;

}
