package com.yx.face.model.dto.issue;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.dto.issue
 * @class IssueDeviceItemSearch
 * @date 2024/4/18 下午3:05
 * @description
 */
@Data
public class IssueDeviceItemSearch implements Serializable {


    @ApiModelProperty(value = "下发设备列表ID", required = true)
    private Long issueDeviceId;

    @ApiModelProperty(value = "姓名")
    private String userName;
    @ApiModelProperty(value = "手机号")
    private String phone;
    @ApiModelProperty(value = "身份证号")
    private String idNumber;
    @ApiModelProperty(value = "物理卡号")
    private String cardIdEx;
    private List<Integer> zoneIds;
    @ApiModelProperty(value = "人员类型 105 员工/ 104访客")
    private Integer userType;
    @ApiModelProperty(value = "有效期开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty(value = "有效期结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "下发状态 下发中  processing/成功 success/失败 failed  IssueStatusEnum")
    private String issueStatus;


}
