package com.yx.face.model.dto.issue;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.dto.issue
 * @class IssueDeviceItemVo
 * @date 2024/4/18 下午3:04
 * @description
 */
@Data
public class IssueDeviceItemVo implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "user_info表id")
    private Integer userId;
    @ApiModelProperty(value = "姓名")
    private String userName;
    @ApiModelProperty(value = "手机号")
    private String phone;
    @ApiModelProperty(value = "身份证号")
    private String idNumber;
    @ApiModelProperty(value = "物理卡号")
    private String cardIdEx;
    @ApiModelProperty(value = "照片")
    private String photo;
    @ApiModelProperty(value = "人员类型 104：访客 | 105：常客 | 101：黑名单")
    private Integer userType;
    @ApiModelProperty(value = "有效期开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty(value = "有效期结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "下发时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date issueTime;
    @ApiModelProperty(value = "下发状态 下发中  processing/成功 success/失败 failed  IssueStatusEnum")
    private String issueStatus;
    @ApiModelProperty(value = "备注")
    private String remarks;

}
