package com.yx.face.model.dto.issue;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.dto.issue
 * @class IssueDeviceVo
 * @date 2024/4/18 下午2:33
 * @description
 */
@Data
public class IssueDeviceVo implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "任务编号")
    private String traceId;

    @ApiModelProperty(value = "设备sn")
    private String deviceSn;

    @ApiModelProperty(value = "所属账号id")
    private Integer adminId;
    @ApiModelProperty(value = "所属账号名称")
    private String adminUserName;

    @ApiModelProperty(value = "下发人员数量")
    private Integer issueFaceCount;
    @ApiModelProperty(value = "已下发人员数量")
    private Integer hadIssueFaceCount;

    @ApiModelProperty(value = "下发类型 IssueTypeEnum")
    private String issueType;

    @ApiModelProperty(value = "下发状态 IssueStatusEnum")
    private String issueStatus;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "离线-0|在线-1")
    private Integer online;
    @ApiModelProperty(value = "名称or标签 设备地点")
    private String name;
    @ApiModelProperty(value = "设备类型名称")
    private String faceDeviceTypeName;
    @ApiModelProperty(value = "设备类型Id")
    private Integer faceDeviceTypeId;


}
