package com.yx.face.model.dto.smartlock;

import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.dto.smartlock
 * @class ServiceData
 * @date 2023/9/14 下午3:22
 * @description
 */

@Data
public class ServiceData implements Serializable {

    /**
     * 服务 ID
     */
    String serviceId;

    /**
     * 服务类型
     * 当前只支持类型 LOCK_DEVICE_DATA_CHANGED
     */
    String serviceType;

    /**
     * 服务数据，根据不同的服务类型产生不同的通知数据，具
     * 体请查看具体设备的推送数据
     */
    LockDeviceDataChanged data;

    /**
     * 时间格式：yyyyMMdd'T'HHmmss'Z'，如
     * 20151212T121212Z。
     */
    String eventTime;
}