package com.yx.face.model.dto.smartlock;

import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.dto.smartlock
 * @class SmartlockDeviceAddUserReq
 * @date 2023/8/3 下午2:00
 * @description
 */
@Data
public class SmartlockDeviceAddUserReq implements Serializable {

    /**
     * 设备编码
     */
    String deviceSn;

    /**
     * 设备操作类型
     */
    String type = TypeCommand.USER_ADD.getCommand();

    /**
     * PASSWORD 权限类型为 密码
     * FINGERPRINT 权限类型为指纹
     * CPU_CARDID 权限类型为IC卡
     * CARD_ID 权限类型为身份证ID、卡片ID等
     * PUC_IDEN_CODE 权限类型为身份证识别码
     * FACE 人脸特征值
     */
    String userType = "PUC_IDEN_CODE";

    /**
     * VALIDTYPE_VALID_PERIOD 时间有效用户
     */
    String validType;

    /**
     * 当用户类型为时间有效用户
     * (VALIDTYPE_VALID_PERIOD)
     * 时需要通过这个参数提供有效期开始时间,时间格
     * 式为”yyyy-MM-dd hh:mm:ss”
     * 注：建议使用当前日期及当前小时
     */
    String validPeriodStartTime;

    /**
     * 当用户类型为时间有效用户
     * (VALIDTYPE_VALID_PERIOD)
     * 时需要通过这个参数提供有效期结束时间,时间格
     * 式为”yyyy-MM-dd hh:mm:ss”
     */
    String validPeriodEndTime;

    /**
     * ASCII字符串
     * * PASSWORD 密码
     * HEX字符串
     * * FINGERPRINT 指纹
     * * CARD_ID 卡片物理ID
     * * APP APP用户
     * * CTID 身份证副本
     * * RCC_ID RCC卡片物理ID
     * * CARD_AID 卡片应用ID
     * * RCC_AID RCC卡片应用ID
     * * CPU_CARDID CPU卡ID
     * * PUC_IDEN_CODE 身份证号码
     * * FACE 人脸特征值
     */
    String userData = "PUC_IDEN_CODE";

    /**
     * 权限使用人名字，客户根据自己需求填写
     */
    String userName;


}
