package com.yx.face.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ProjectName: airport-review-smoke
 * @Package: com.yixin.review.model.excel
 * @ClassName: FaceLogVoExcel
 * @Author: 崔哥
 * @Description: 人脸进出记录
 * @Date: 2021/9/3 15:04
 * @Version: 1.0
 */
//@ContentRowHeight(10) // 文本行高度
//@HeadRowHeight(20) // 标题高度
//@ColumnWidth(25)
@ApiModel("人脸进出记录导出Excel")
@Data
public class FaceLogVoExcel {

    @ColumnWidth(18)
    @ExcelProperty(value = "设备编号")
    private String deviceSn;
    @ColumnWidth(15)
    @ExcelProperty(value = "设备地点")
    private String deviceName;
    @ExcelProperty(value = "用户姓名")
    private String name;
    @ExcelProperty(value = "现场照片")
    private String photo;
    @ColumnWidth(15)
    @ExcelProperty(value = "证件号")
    private String cardid;
    @ExcelProperty(value = "卡号")
    private String cardidex;
    @ColumnWidth(15)
    @ExcelProperty(value = "手机号码")
    private String phone;
    @ExcelProperty(value = "进/出")
    private String outType;
    @ExcelProperty(value = "验证类型")
    private String verifyType;
    @ExcelProperty(value = "人员类型")
    private String rightno;
    @ColumnWidth(100)
    @ExcelProperty(value = "时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ExcelProperty(value = "是否有效")
    private String status;
    @ExcelProperty(value = "原因")
    private String reasonType;
    @ExcelProperty(value = "来访单位")
    private String company;
    @ExcelProperty(value = "体温")
    private String temperature;
    @ExcelProperty(value = "车牌号码")
    private String carno;
    @ExcelProperty(value = "访问事由")
    @ApiModelProperty(value = "访问事由")
    private String reason;
    @ExcelProperty(value = "来访时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private String time;
    @ExcelProperty(value = "访客机所在的使用单位")
    private String org;
    @ExcelProperty(value = "受访人的单位名称")
    private String visiteeCompany;
    @ExcelProperty(value = "受访人姓名")
    private String visiteeXm;
    @ExcelProperty(value = "受访人部门")
    private String visiteeBm;
    @ExcelProperty(value = "受访人单位的房间号")
    private String visiteeRoom;
    @ExcelProperty(value = "派出所代码")
    private String pcsdm;
    @ExcelProperty(value = "派出所名称")
    private String pcsname;
    @ExcelProperty(value = "访客机编号")
    private String machineId;

    @ApiModelProperty(value = "自定义字段")
    private String content1;

    @ApiModelProperty(value = "自定义字段")
    private String content2;

    @ApiModelProperty(value = "自定义字段")
    private String content3;

    @ApiModelProperty(value = "自定义字段")
    private String content4;

    @ApiModelProperty(value = "自定义字段")
    private String content5;

    @ApiModelProperty(value = "106 (管理员)105（操作员）104（普通员工 默认）103（访客）102（禁止） 101(黑名单） ")
    private Integer rightNoInt;
    private String showPhone;
    @ApiModelProperty(value = "证件号")
    private String showCardid;
    @ApiModelProperty(value = "用户姓名")
    private String showName;



}
