package com.yx.face.model.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "admin_detail")
public class AdminDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 常客码地址
     */
    @ApiModelProperty("常客码地址")
    @Column(name = "regular_code")
    private String regularCode;

    /**
     * 预约码内宾地址
     */
    @ApiModelProperty("预约码内宾地址")
    @Column(name = "reservation_code")
    private String reservationCode;

    /**
     * 预约码外宾地址
     */
    @ApiModelProperty("预约码外宾地址")
    @Column(name = "reservation_en_code")
    private String reservationEnCode;

    /**
     * 账号id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    @ApiModelProperty("楼宇码地址")
    @Column(name = "building_code")
    private String buildingCode;

    @ApiModelProperty("楼宇常客码地址")
    @Column(name = "building_regular_code")
    private String buildingRegularCode;

    @ApiModelProperty("支付宝通用常客码地址")
    @Column(name = "zfb_regular_code")
    private String zfbRegularCode;

    @ApiModelProperty("支付宝楼宇码地址")
    @Column(name = "zfb_building_code")
    private String zfbBuildingCode;

    @ApiModelProperty("支付宝楼宇常客码地址")
    @Column(name = "zfb_building_regular_code")
    private String zfbBuildingRegularCode;

    @ApiModelProperty("支付宝访客机二维码地址")
    @Column(name = "zfb_fkj_code")
    private String zfbFkjCode;

    @ApiModelProperty("企业全称")
    @Column(name = "enterprise_full_name")
    private String enterpriseFullName;

    @ApiModelProperty("企业简称")
    @Column(name = "enterprise_simple_name")
    private String enterpriseSimpleName;

    @ApiModelProperty("主营范围")
    @Column(name = "main_business_scope")
    private String mainBusinessScope;

    @ApiModelProperty("经营挂牌名称")
    @Column(name = "for_the_name")
    private String forTheName;

    @ApiModelProperty("实际控制人姓名")
    @Column(name = "actual_name")
    private String actualName;

    @ApiModelProperty("实际控制人电话")
    @Column(name = "actual_phone")
    private String actualPhone;

    @ApiModelProperty("员工人数")
    @Column(name = "employees_number")
    private String employeesNumber;

    @ApiModelProperty("租赁楼幢")
    @Column(name = "lease_building")
    private String leaseBuilding;

    @ApiModelProperty("租赁楼层")
    @Column(name = "lease_floor")
    private String leaseFloor;

    @ApiModelProperty("租赁房间号")
    @Column(name = "room_number")
    private String roomNumber;

    @ApiModelProperty("租赁有效期")
    @Column(name = "lease_term")
    private Date leaseTerm;

    @ApiModelProperty("营业执照信息录入方式，0：OCR录入，1：手动录入")
    @Column(name = "information_input_type")
    private Integer informationInputType;

    @ApiModelProperty("公司代码")
    @Column(name = "company_code")
    private String companyCode;

    @ApiModelProperty("公司法人")
    @Column(name = "legal_person")
    private String legalPerson;

    @ApiModelProperty("公司类型")
    @Column(name = "company_type")
    private String companyType;

    @ApiModelProperty("注册资金")
    @Column(name = "registered_capital")
    private String registeredCapital;

    @ApiModelProperty("注册时间")
    @Column(name = "registration_time")
    private Date registrationTime;

    @ApiModelProperty("用户id")
    @Column(name = "user_id")
    private Integer userId;

    @ApiModelProperty("注册地址")
    @Column(name = "registration_address")
    private String registrationAddress;
}

