package com.yx.face.model.model.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author wxg
 * @since 2022-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "disinfect_area")
public class DisinfectArea implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消杀区域表id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 管理员id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 消杀区域名称
     */
    @Column(name = "disinfect_area_name")
    private String disinfectAreaName;

    /**
     * 消杀区域地址
     */
    @Column(name = "disinfect_area_address")
    private String disinfectAreaAddress;

    /**
     * 消杀区域公告
     */
    @Column(name = "disinfect_area_notice")
    private String disinfectAreaNotice;

    /**
     * 消杀区域负责人
     */
    @Column(name = "disinfect_area_onus")
    private String disinfectAreaOnus;

    /**
     * 消杀区域负责人手机号
     */
    @Column(name = "disinfect_area_phone")
    private String disinfectAreaPhone;

    /**
     * 每日消杀次数，根据消杀的时间段
     */
    @Column(name = "disinfect_num")
    private Integer disinfectNum;

    /**
     * 每日消杀的时间段 存json数组，包含 id 开始时间 结束时间
     */
    @Column(name = "disinfect_time_break")
    private String disinfectTimeBreak;

    /**
     * 消杀区域二维码
     */
    @Column(name = "disinfect_qrcode")
    private String disinfectQrcode;

    /**
     * 是否删除 0-未删 1-已删
     */
    @Column(name = "is_del")
    private Boolean isDel;

}
