package com.yx.face.model.model.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 消杀人员表
 * </p>
 *
 * @author wxg
 * @since 2022-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "disinfect_user")
public class DisinfectUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消杀人员表id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 姓名
     */
    @Column(name = "name")
    private String name;

    /**
     * 身份证号
     */
    @Column(name = "id_number")
    private String idNumber;

    /**
     * 消杀权限 1-消杀 2-检查，存json数组
     */
    @Column(name = "disinfect_auth")
    private String disinfectAuth;

    /**
     * 负责的区域列表id 存json数组
     */
    @Column(name = "disinfect_area_id_list")
    private String disinfectAreaIdList;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 管理员id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 是否删除 0-未删 1-已删
     */
    @Column(name = "is_del")
    private Boolean isDel;

}
