package com.yx.face.model.model.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.util.Date;

/**
 * <p>
 * 考试用户白名单
 * </p>
 *
 * @author wxg
 * @since 2023-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "exam_user_whitelist")
public class ExamUserWhitelist{

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 姓名
     */
    @Column(name = "name")
    private String name;

    /**
     * 手机号
     */
    @Column(name = "phone")
    private String phone;

    /**
     * 身份证号
     */
    @Column(name = "id_number")
    private String idNumber;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 管理员id
     */
    @Column(name = "admin_id")
    private Integer adminId;


    /**
     * 场次
     */
    @Column(name = "exam_session")
    private String examSession;

    /**
     * 准考证号
     */
    @Column(name = "exam_code")
    private String examCode;

    /**
     * 报考类型
     */
    @Column(name = "exam_type")
    private String examType;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 开始时间
     */
    @Column(name = "start_time")
    private Date startTime;

    /**
     * 结束时间
     */
    @Column(name = "end_time")
    private Date endTime;

    /**
     * 状态 0:未入场 1:已入场
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 是否删除 0-未删除  1-已删除
     */
    @Column(name = "is_deleted")
    private Boolean isDeleted;

    /**
     * 入场时间
     */
    @Column(name = "in_time")
    private Date inTime;

    /**
     * 照片
     */
    @Column(name = "photo")
    private String photo;


}
