package com.yx.face.model.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 人脸设备信息表(FaceDevice)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-08 21:24:00 <br>
 */
@Data
@Accessors(chain = true)
@Table(name = "face_device")
public class FaceDevice {

    /**
     * 设备id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 设备编号
     */


    private String sn;

    /**
     * 名称or标签 地点
     */


    private String name;

    /**
     * 停用-0|启用-1
     */


    private Integer enable;

    /**
     * 离线-0|在线-1
     */


    private Integer online;

    /**
     * 设备联网IP
     */


    @Column(name = "inter_ip")
    private String interIp;

    /**
     * 绑定人员数
     */


    @Column(name = "user_count")
    private Integer userCount;

    /**
     * 通行数量
     */


    @Column(name = "pass_count")
    private Integer passCount;

    /**
     * app版本
     */


    @Column(name = "app_version")
    private String appVersion;

    /**
     * 管理员id
     */


    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 备注
     */


    private String remark;

    /**
     * 未授权-0|已授权-1
     */


    private Integer auth;

    /**
     * 不限-0|进-1|出-2
     */


    private Integer pass;

    /**
     * 更新时间
     */


    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */


    @Column(name = "create_time")
    private Date createTime;
    /*
    * 第三方id
    * */
    @Column(name = "third_party_id")
    private Integer thirdPartyId;

    /*
     * 设备类型id
     * */
    @Column(name = "face_device_type_id")
    private Integer faceDeviceTypeId;

    @ApiModelProperty("场所码注册状态，0：否 ，1：是")
    private Boolean placeRegisterStatus;

    /*
     * 区域类型 1-公有区域 2-私有区域
     * */
    @Column(name = "area_type")
    private Integer areaType;

    /*
     * 1.楼宇公有 2.企业公有 3.企业私有
     * */
    @Column(name = "admin_area_type")
    private Integer adminAreaType;
    @ApiModelProperty("场所码id")
    private Integer adminPlaceInfoId;

    @ApiModelProperty("是否更改有效期 0否，1是")
    private Boolean validityPeriodStatus;

    @ApiModelProperty("开始有效期")
    private Date startTime;

    @ApiModelProperty("结束有效期")
    private Date endTime;

    @ApiModelProperty("任务列表id")
    private Integer issuedTaskInfoId;

    @Column(name = "report_time")
    private Date reportTime;

    @ApiModelProperty(value = "设备类型")
    @Column(name = "dev_type")
    private String devType;

}

