package com.yx.face.model.model.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.yx.face.model.entity.Base;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.po
 * @class IotvspUserInfo
 * @date 2023/5/5 下午4:29
 * @description iotvsp用户库
 */
@Data
@Accessors(chain = true)
@Table(name = "iotvsp_user_info")
public class IotvspUserInfo extends Base {

    /**
     * 证件类型，IDENTITY_CARD身份证，PASS_PORT护照，STU_NUM学生学号，COMPANY_NUM工号，TAIWAN_CARD台胞证，HK_MC_CARD港澳证件
     */
    private String certType;
    /**
     * 证件号码
     */
    private String certNo;
    /**
     * 用户姓名
     */
    private String certName;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 扩展信息
     */
    private String ext;

    /**
     * 用户id，和录入人员获取unique_id顺序一致
     */
    @Column(name = "vid")
    private String vid;

    /**
     * 用户入库响应回来的unique_id
     */
    private String uniqueId;

    /**
     * 机构编码
     */
    @Column(name = "org_out_id")
    private String orgOutId;

    /**
     * isv的商户id
     */
    @ApiModelProperty(value = "isv的商户id")
    @JSONField(name = "isv_pid")
    private String isvPid;

    /**
     * 业务id状态，默认0入库中   1成功 2失败
     */
    @ApiModelProperty(value = "业务id状态，默认0入库中 1成功 2失败")
    @JSONField(name = "state")
    private Integer state = 0;
    /**
     * 消息
     */
    @JSONField(name = "msg")
    private String msg;


}
