package com.yx.face.model.model.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 下发任务列表
 *
 * @author lileilei
 * @since 2022-07-13
 */
@Data
@Accessors(chain = true)
@Table(name = "issued_task_info")
@ApiModel(description = "下发任务列表")
public class IssuedTaskInfo implements Serializable  {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @ApiModelProperty(value = "设备sn")
    private String sn;

    @ApiModelProperty(value = "下发类型:0-批量导入，1-全量下发")
    private String issuedType;

    @ApiModelProperty(value = "状态：0-处理中，1-下发中，2-已完成，3-已取消")
    private String status;

    @ApiModelProperty(value = "错误信息列表")
    private String msgAddress;

    @ApiModelProperty(value = "账号id")
    private Integer adminId;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
