package com.yx.face.model.model.entity;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "place_detail")
public class PlaceDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 预约开始时间
     */
    @Column(name = "start_time")
    @ApiModelProperty("预约开始时间")
    private Date startTime;

    /**
     * 预约结束时间
     */
    @Column(name = "end_time")
    @ApiModelProperty("预约结束时间")
    private Date endTime;

    /**
     * 限定人数
     */
    @Column(name = "limit_number")
    @ApiModelProperty("限定人数")
    private Integer limitNumber;

    /**
     * 剩余人数
     */
    @Column(name = "remaining_number")
    private Integer remainingNumber;

    /**
     * 场所id
     */
    @Column(name = "place_Id")
    private Integer placeId;

    /**
     * 账号id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "upDate_time")
    private Date upDateTime;

    /**
     * 删除标识，0:未删，1:已删
     */
    @Column(name = "del_flag")
    private Boolean delFlag;

    @ApiModelProperty("场所说明")
    @Column(name = "instructions")
    private String instructions;

    @ApiModelProperty("场所预约日期时间段")
    @Column(name = "date_time_range")
    private String dateTimeRange;

    @ApiModelProperty("预约开始小时格式化时间")
    @Column(name = "start_time_str")
    private String startTimeStr;

    @ApiModelProperty("预约开始小时格式化时间")
    @Column(name = "end_time_str")
    private String endTimeStr;

    @ApiModelProperty("天数日期格式化时间")
    @Column(name = "date_time_str")
    private String dateTimeStr;

    @ApiModelProperty("完整开始结束格式化时间")
    @Column(name = "full_time_str")
    private String fullTimeStr;

    /**
     * 状态 1-启用 0-停用
     */
    @Column(name = "status")
    private Boolean status;
}
