package com.yx.face.model.model.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 进出记录自定义字段附表
 * </p>
 *
 * @author wxg
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "short_term_face_log_detail")
public class ShortTermFaceLogDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 进出记录自定义字段附表id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 进出记录id
     */
    @Column(name = "face_log_id")
    private Long faceLogId;

    /**
     * 自定义字段Id
     */
    @Column(name = "context_id")
    private String contextId;

    /**
     * 自定义字段值
     */
    @Column(name = "context_custom_name_val")
    private String contextCustomNameVal;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

}
