package com.yx.face.model.model.entity;

import com.yx.face.model.enums.TaskInfoOnlineStatus;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:TaskInfo
 * @date 2022/10/10
 **/
@Data
@Accessors(chain = true)
@Table(name = "task_info")
public class TaskInfo {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    /*设备号*/
    private String sn;
    /*请求体*/
    private String body;
    /**
     * 任务类型：
     * 1 单个下发
     * 2 全量下发
     * 3 增量下发
     * 4 单个删除
     * 5 全量删除
     */
    private Integer type;
    /*重试次数*/
    private Integer retry;
    /*创建时间*/
    private Date createTime;
    /*更新时间*/
    private Date updateTime;
    /*状态*/
    private Integer status;
    /**
     *  0:离线任务
     *  1:在线任务 仅限于增量下发与全量下发
     *    由于增量下发与全量下发依赖于第三方设备异步操作，无法实时感知人脸下发情况
     *    下发指令推送出去为进行中
     *    第三方回调接口推送异步下发处理结果，判断处理成功状态改为处理中
     */
    private Integer onlineFlag = TaskInfoOnlineStatus.OffLine.getCode();
    /*结果内容*/
    private String executeResult;
    /*任务id*/
    private Long faceRequestLogId;
    /*用户id*/
    private Long userId;
    /*用户下发类型 105-常客 104-访客 101-黑名单 201-预约人员*/
    private Integer userType;
    /*全量删除的时候存在设备被删除的可能，这个参数用于该处类型编码*/
    private String code;
    /*设备所属账号Id*/
    private Integer createId;
}
