package com.yx.face.model.model.entity;

import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

/**
 * 访客实体类
 * 崔
 */
@Data
@Table(name = "user_visitor_list")
public class UserVisitorList {

    /**
     * 用户白名单id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String phone;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 管理员id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 身份证
     * */
    @Column(name = "id_number")
    private String idNumber;

    /**
     * 头像
     * */
    @Column(name = "avatar")
    private String avatar;

    @ApiModelProperty(value = "自定义字段")
    private List<ContextVO> addCustomList;

    @ApiModelProperty(value = "自定义字段")
    @Column(name = "content")
    private String content;

    /**
     * 推送类型 0小程序，1初次添加，2人工录入 ，3访客机
     */
    @Column(name="push_type")
    private Integer pushType;
    /*
     * user_info表Id
     * */
    @Column(name = "user_id")
    private Long userId;

    @Column(name = "open_id")
    private String openId;
}
