package com.yx.face.model.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;

@Data
@Table(name = "user_whitelist_detail")
public class UserWhitelistDetail implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    @ApiModelProperty("常客id")
    @Column(name = "user_whitelist_id")
    private Integer userWhitelistId;

    @ApiModelProperty("图片暂时没用")
    @Column(name = "img_base")
    private byte[] imgBase;

    @ApiModelProperty("来访单位")
    private String company;//来访单位

    @ApiModelProperty("车牌号码，")
    private String carno;//车牌号码，可选

    @ApiModelProperty("访问事由")
    private String reason ;//访问事由

    @ApiModelProperty("人数")
    @Column(name = "num_peoples")
    private  String numPeoples;//人数

    @ApiModelProperty("是否携带身份证")
    @Column(name = "has_idcard")
    private String hasIdCard;// 是否携带身份证

    @ApiModelProperty("健康码")
    @Column(name = "health_code")
    private  String healthCode;//健康码

    @ApiModelProperty("疫苗针数")
    @Column(name = "vaccine_num")
    private String vaccineNum;//疫苗针数，可能是空字符串，或 “1”、“2”

    @ApiModelProperty("体温")
    private  String temperature;//体温

    @ApiModelProperty("受访人姓名")
    @Column(name = "visitee_xm")
    private String visiTeeXm ;//受访人姓名

    @ApiModelProperty("受访人部门")
    @Column(name = "visitee_bm")
    private String visiTeeBm ;//受访人部门

    @ApiModelProperty("受访人的单位名称")
    @Column(name = "visitee_company")
    private  String visiTeeCompany;//受访人的单位名称

    @ApiModelProperty("受访人单位的房间号")
    @Column(name = "visitee_room")
    private String visiTeeRoom;//受访人单位的房间号

    @ApiModelProperty("派出所代码")
    private String pcsdm ;//派出所代码（新增） 如：330104502

    @ApiModelProperty("派出所名称")
    private String pcsname;//派出所名称（新增），如：采荷派出所

    @ApiModelProperty("身份证")
    private String xp ;//身份证（或公安网）相片，base64编码

    @ApiModelProperty("现场采集照片")
    @Column(name = "scene_xp")
    private String sceneXp ="";//现场采集照片，base64编码

    @ApiModelProperty("来访时间")
    private String time ;//来访时间，格式 2019-04-03 12:00:00

    @ApiModelProperty("访客机编号")
    @Column(name = "machine_id")
    private String sn;//访客机编号

    @ApiModelProperty("访客机所在的使用单位如：浙江杭州上城区A单位")
    private String org ;//访客机所在的使用单位如：浙江杭州上城区A单位

    @ApiModelProperty("门向，如东门、西门等")
    private String door ;//门向，如东门、西门等

    @ApiModelProperty("健康码")
    private String jkm;
    @ApiModelProperty("健康码图片")
    private String jkmPhoto;
    @ApiModelProperty("核酸")
    private String hs;
    @ApiModelProperty("核酸检测时间")
    private String hsCheckTime;
    @ApiModelProperty("核酸结果时间")
    private String hsResultTime;
    @ApiModelProperty("核酸图片")
    private String hsPhoto;
    @ApiModelProperty("行程信息1 代表没有去过高风险地区 2 代表去过高风险地区 3 代表用户没有行程记录")
    private String xc;
    @ApiModelProperty("行程码图片")
    private String xcPhoto;
    @ApiModelProperty("获取行程码的手机号")
    private String xcPhone;

    @ApiModelProperty("楼层")
    private Integer floor;

}
