package com.yx.face.model.model.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 天波人脸设备进出记录表
 * </p>
 *
 * @author wxg
 * @since 2023-10-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Table(name = "warning_log")
@ApiModel(value="WarningLog对象", description="预警记录")
public class WarningLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @ApiModelProperty(value = "设备SN")
    private String deviceSn;

    @ApiModelProperty(value = "用户id下发时的用户id")
    private Long userId;

    @ApiModelProperty(value = "用户姓名")
    private String name;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "通行照片")
    private String photo;

    @ApiModelProperty(value = "身份证号")
    private String cardid;

    @ApiModelProperty(value = "物理卡号")
    @Column(name = "cardIdEx")
    private String cardIdEx;

    @ApiModelProperty(value = "0-人脸 1-卡 2-身份证 3-二维码 4-远程 6-IC卡+人脸 ")
    private Integer verifyType;

    @ApiModelProperty(value = "106 (管理员) 105（操作员） 104（普通员工 默认） 103（访客） 102（禁止） 101 (黑名单） ")
    private Integer rightno;

    @ApiModelProperty(value = "考勤时间格式 yyyy-MM-dd HH:mm:ss")
    private Date faceTime;

    @ApiModelProperty(value = "0 通用 1进门 2出门")
    private Integer outType;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "设备编号id")
    private Integer faceDeviceId;

    @ApiModelProperty(value = "设备地点")
    private String faceDeviceName;

    @ApiModelProperty(value = "设备类型id")
    private Integer faceDeviceTypeId;

    @ApiModelProperty(value = "设备类型名称")
    private String faceDeviceTypeName;

    @ApiModelProperty(value = "账号")
    private Integer adminId;

    @ApiModelProperty(value = "账号名称")
    private String username;

    @ApiModelProperty(value = "是否确认 false-未确认 true-确认")
    private Boolean isSure;

    @ApiModelProperty(value = "是否拉黑 false-未拉黑 true-拉黑")
    private Boolean isBlack;

    @ApiModelProperty(value = "预警原因")
    private String warningMsg;

    @ApiModelProperty(value = "备注")
    private String remark;

}
