package com.yx.face.model.model.entity.issue;

import com.yx.face.model.entity.Base;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author shisl
 * @package com.yx.face.model.entity.issue
 * @class IssueDevice
 * @date 2024/4/15 下午2:13
 * @description 下发设备列表
 */
@Data
@Accessors(chain = true)
@Table(name = "issue_device")
public class IssueDevice extends Base {

    @ApiModelProperty(value = "任务编号")
    @Column(name = "trace_id")
    private String traceId;

    @ApiModelProperty(value = "设备sn")
    @Column(name = "device_sn")
    private String deviceSn;

    @ApiModelProperty(value = "所属账号id")
    @Column(name = "admin_id")
    private Integer adminId;
    @ApiModelProperty(value = "所属账号名称")
    @Column(name = "admin_user_name")
    private String adminUserName;

    @ApiModelProperty(value = "下发人员数量")
    @Column(name = "issue_face_count")
    private Integer issueFaceCount;
    @ApiModelProperty(value = "已下发人员数量")
    @Column(name = "had_issue_face_count")
    private Integer hadIssueFaceCount;

    @ApiModelProperty(value = "下发类型 IssueTypeEnum")
    @Column(name = "issue_type")
    private String issueType;

    @ApiModelProperty(value = "下发状态 IssueStatusEnum")
    @Column(name = "issue_status")
    private String issueStatus;

    @ApiModelProperty(value = "备注")
    @Column(name = "remarks")
    private String remarks;


}
