package com.yx.face.model.model.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author: lileilei
 * @date: 2022/5/23 13:14
 * @description:
 */
@AllArgsConstructor
@Getter
public enum AdminTypeEnum {
    /**
     * 管理员类型 1.管理员 2.省级总账号 3.省级 4.市级 5.区级 99.企业
     */
    ADMINISTRATOR(Byte.valueOf("1"), "管理员"),
    PROVINCIAL_MASTER_ACCOUNT(Byte.valueOf("2"), "省级总账号"),
    PROVINCIAL_LEVEL(Byte.valueOf("3"), "省级"),
    MUNICIPAL(Byte.valueOf("4"), "市级"),
    DISTRICT(Byte.valueOf("5"), "区级"),
    ENTERPRISE(Byte.valueOf("99"), "企业");

    private Byte code;

    private String desc;

    public static AdminTypeEnum getAdminTypeEnumByCode(Byte code){
        if(Objects.isNull(code)){
            return null;
        }
        for (AdminTypeEnum adminTypeEnum : values()){
            if(adminTypeEnum.code.equals(code)){
                return adminTypeEnum;
            }
        }
        return null;
    }


}
