package com.yx.face.model.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/8/9 16:22
 * @description:
 */
@AllArgsConstructor
@Getter
public enum ColorEnum {
    RED("#f60c0f", "红色", "RED", "10"),
    YELLOW("#ffc303", "黄色", "YELLOW", "01"),
    GREEN("#09a661", "绿色", "GREEN", "00"),
    WHITE("#ffffff", "白色", "WHITE",""),
    GRAY("#808080", "灰色", "GRAY","");

    private String value;
    private String desc;
    private String code;
    private String status;

    public static ColorEnum getByValue(String value) {
        for (ColorEnum colorEnum : values()) {
            if(colorEnum.getValue().equals(value)){
                return colorEnum;
            }
        }
        return ColorEnum.GRAY;
    }

    public static ColorEnum getByCode(String code) {
        for (ColorEnum colorEnum : values()) {
            if(colorEnum.getCode().equals(code)){
                return colorEnum;
            }
        }
        return ColorEnum.GRAY;
    }


}
