package com.yx.face.model.model.enums;

import com.alibaba.fastjson.JSONObject;
import com.yx.face.boot.uitls.Preconditions;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.enums
 * @class PlaceAreaEnum
 * @date 2022/12/2 下午4:02
 * @description 场所码区域
 */
@Getter
@AllArgsConstructor
public enum PlaceAreaEnum {

    ZHE_JIANG(0, "杭州", "330100"),
    JIA_XIN(1, "嘉兴", "330400"),
    SHAO_XING(2, "绍兴", "330600");

    private int placeAreaCode;

    private String desc;
    private String cityCode;

    public static PlaceAreaEnum getByPlaceAreaCode(Integer placeAreaCode) {
        if (Preconditions.isNotBlank(placeAreaCode)) {
            for (PlaceAreaEnum placeAreaEnum : values()) {
                if (placeAreaEnum.getPlaceAreaCode() == placeAreaCode) {
                    return placeAreaEnum;
                }
            }
        }
        return PlaceAreaEnum.ZHE_JIANG;
    }

    public static List<JSONObject> getList() {
        List<JSONObject> list = new ArrayList<>();
        for (PlaceAreaEnum placeAreaEnum : values()) {
            JSONObject object = new JSONObject();
            object.put("placeAreaCode", placeAreaEnum.getPlaceAreaCode());
            object.put("desc", placeAreaEnum.getDesc());
            list.add(object);
        }
        return list;
    }


}
