package com.yx.face.model.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author lejingjing
 * @version 1.0
 * @Description 任务类型
 * @date 2022/10/10
 **/
@Getter
@AllArgsConstructor
public enum TaskTypeEnum {

    ALL_ISSUE(1,"ALL_ISSUE","全量下发"),
    SINGLE_ISSUE(2,"SINGLE_ISSUE","单个下发"),
    INCREMENT_ISSUE(3,"INCREMENT_ISSUE","增量下发"),
    SINGLE_REMOVE(4,"SINGLE_REMOVE","单个删除"),
    ALL_REMOVE(5,"ALL_REMOVE","全量删除");

    private Integer type;

    private String code;
    private String desc;

    public static TaskTypeEnum getTaskTypeByType(Integer type){
        if(Objects.isNull(type)){
            return null;
        }
        for(TaskTypeEnum taskTypeEnum:values()){
            if(taskTypeEnum.type.equals(type)){
                return taskTypeEnum;
            }
        }
        return null;
    }
}
