package com.yx.face.model.search;

import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @ClassName FaceServerLogSearch
 * @Author WXG
 * @Date 2021/11/9 19:31
 */
@ApiModel("进出日志search model")
@Data
public class FaceServerLogSearch {

    @ApiModelProperty(value = "账户名称")
    private String username;

    @ApiModelProperty(value = "用户名")
    private String name;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "设备编号")
    private String deviceSn;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "省份地址编码 全输查")
    private Integer provinceId;

    @ApiModelProperty(value = "城市地址编码 全输查")
    private Integer cityId;

    @ApiModelProperty(value = "县区地址编码 全输查")
    private Integer areaId;

    @ApiModelProperty(value = "第三方id")
    private Integer thirdPartyId;

    @ApiModelProperty(value = "设备类型id")
    private Integer faceDeviceTypeId;

    @ApiModelProperty(value = "体温是否异常 0 正常 1 异常")
    private String twStatus;

    @ApiModelProperty(value = "健康码状态00 绿码 01 黄码 10 红码")
    private String jkmStatus;

    @ApiModelProperty(value = "阴性 阳性")
    private String hsStatus;

    @ApiModelProperty(value = "疫苗状态 0针 等等依次累加")
    private String ymStatus;

    @ApiModelProperty(value = "行程  1无异常信息 2有异常信息")
    private String xcInfo;

    @ApiModelProperty(value = "不限-0|进-1|出-2")
    private Integer pass;

    @ApiModelProperty(value = "0人脸 1卡 2身份证 3二维码 4远程 6IC卡+人脸")
    private Integer verifyType;

    @ApiModelProperty(value = "104：访客 | 105：常客 | 101：黑名单 | 301:预约人员")
    private Integer rightno;

    @ApiModelProperty(value = "短期通行进出记录标识")
    private Boolean shortTermFlag = false;

    @ApiModelProperty(value = "导出数据标识")
    private Boolean outflag = false;

    @ApiModelProperty(value = "自定义字段查询")
    private List<ContextVO> contents;

    @ApiModelProperty(value = "是否有效 true-有效 false-无效")
    private Boolean status;
    /** @see com.yx.face.model.enums.FaceLogStatusEnum */
    @ApiModelProperty(value = "原因")
    private Integer reasonType;

}
