package com.yx.face.model.search;

import com.yx.face.model.vo.ContextVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName UserWhitelistSearch
 * @Author WXG
 * @Date 2021/11/5 14:19
 */
@ApiModel(" 常客白名单Search model")
@Data
public class UserWhitelistSearch {

    @ApiModelProperty(value = "姓名  模糊查询")
    private String name;

    @ApiModelProperty(value = "所属账号")
    private String username;

    @ApiModelProperty(value = "手机号  全输查询")
    private String phone;

    @ApiModelProperty(value = "身份证  全输查询")
    private String idNumber;

    @ApiModelProperty(value = "物理卡号  模糊查询")
    private String cardIdEx;

    @ApiModelProperty(value = "省份地址编码 全输查")
    private Integer provinceId;

    @ApiModelProperty(value = "城市地址编码 全输查")
    private Integer cityId;

    @ApiModelProperty(value = "县区地址编码 全输查")
    private Integer areaId;

    @ApiModelProperty(value = "1已认证2未认证")
    private Integer status;

    @ApiModelProperty(value = "推送类型 0 小程序 1初次添加 2人工录入 3 访客机 4.身份证认证 5.物理卡号认证")
    private Integer pushType;

    @ApiModelProperty(value = "自定义字段查询")
    private List<ContextVO> contents;

    @ApiModelProperty(value = "自定义字段查询")
    private String content;

    @ApiModelProperty(value = "自定义字段查询")
    private String content1;

    @ApiModelProperty(value = "自定义字段查询")
    private String content2;

    @ApiModelProperty(value = "自定义字段查询")
    private String content3;

    @ApiModelProperty(value = "自定义字段查询")
    private String content4;

    @ApiModelProperty("入库状态 0-关闭 1-开通（学校场景使用）")
    private Boolean warehousingStatus;

    @ApiModelProperty("人员类型")
    private Integer personnelType;

    @ApiModelProperty("通行区域区域列表 可多选")
    private List<Integer> zoneDevicePassIdList;

    @ApiModelProperty("有效期状态 0-待生效 1-有效 2-已到期")
    private Integer validPeriodStatus;

    @ApiModelProperty("开始有效期")
    private Date startTime;

    @ApiModelProperty("结束有效期")
    private Date endTime;

}
