package com.yx.face.model.update;

import com.yx.face.model.dto.AdminInoutWarnConfigDTO;
import com.yx.face.model.vo.ScreenPhotoVO;
import com.yx.face.model.vo.third.InterfAddrJsonVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @ClassName AdminUpdate
 * @Author WXG
 * @Date 2021/11/10 12:53
 */
@ApiModel("管理人员修改updae")
@Data
public class AdminUpdate {

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "管理员姓名")
    private String name;

    @ApiModelProperty(value = "管理员联系电话")
    private String phone;

    @ApiModelProperty(value = "是否开启下发 0(默认)不开启  1开启")
    private Integer isPush;

    @ApiModelProperty("是否开启物理卡号：1-开启 2-不开启")
    private Integer cardPhysics;

    @ApiModelProperty("1常客2访客")
    private List<String> whiteVisitorType;

    @ApiModelProperty("核酸有效期时间，单位小时，0:不限")
    private Integer nucleicExpirationTime;

    @ApiModelProperty("常客有效时长（单位/天）")
    private BigDecimal userWhitelistEffectiveTime;

    @ApiModelProperty("访客有效时长（单位/天）")
    private BigDecimal userVisiterEffectiveTime;

    @ApiModelProperty("风险区列表")
    private List<String> riskAreaList;

    @ApiModelProperty("实名认证年龄段-开始年龄")
    private Integer realAuthenticationAgeStart;

    @ApiModelProperty("实名认证年龄段-结束年龄")
    private Integer realAuthenticationAgeEnd;

    @ApiModelProperty("三码 1-健康码 2-核酸 3-行程码")
    private List<String> threeCodeList;

    @ApiModelProperty("核酸时长（单位小时）")
    private Integer hsHour;

    @ApiModelProperty("不允许进入的年龄段提示信息")
    private String notAllowAgeMsg;
    /**
     * 是否报警 true/false
     */
    private Boolean isAlarm = false;

    @ApiModelProperty("不允许进入的年龄段-开始年龄")
    private Integer notAllowAgeStart;

    @ApiModelProperty("不允许进入的年龄段-结束年龄")
    private Integer notAllowAgeEnd;

    @ApiModelProperty(value = "没有行程信息是否开门 1-开门（默认）0-关门")
    private Boolean noXcOpenDoor;

    @ApiModelProperty(value = "24小时内核酸报告未出是否开门：1-开门（默认）0-关门")
    private Boolean noHsOpenDoor;

    @ApiModelProperty(value = "去过中高风险地区是否开门 1-开门（默认）0-关门")
    private Boolean riskXcOpenDoor;

    @ApiModelProperty(value = "不允许通行的身份证地区代码，用/分隔")
    private String noAllowAreaCode;

    @ApiModelProperty(value = "行程码需检测是否开门 1-开门（默认）0-关门")
    private Boolean xcNeedCheckOpenDoor;

    @ApiModelProperty(value = "是否限制三天三检 1:是   0:否（默认")
    private Integer limitGather;

    @ApiModelProperty(value = "屏保图片,支持批量")
    private List<ScreenPhotoVO> screenShowPhotos;
    @ApiModelProperty(value = "首页屏幕图片")
    private String homeImgUrl;

    @ApiModelProperty(value = "是否开启访客零点清除功能 1-开启 0-关闭")
    private Boolean isOpenVisitorClear;

    /**------ 账户添加配置信息2023-02-06 ------**/
    @ApiModelProperty(value = "是否开启健康码功能 0:关闭 1:开启 ")
    private Integer isOpenHealthCode;

    @ApiModelProperty(value = "顶部标题 设备显示配置")
    private String topTitle;
    /**------ 账户添加配置信息2023-04-13 ------**/
    @ApiModelProperty("二维码是否显示 true/false")
    private Boolean showQrcode = false;
    @ApiModelProperty(value = "二维码的码值")
    private String qrcodeText;
    @ApiModelProperty(value = "广告图片的地址 ")
    private String advertise;

    @ApiModelProperty(value = "考试设备列表")
    private List<String>  examDeviceList;

    @ApiModelProperty(value = "商户平台id ")
    private Long tenantPlatformId;

    /**
     * ------ 账户添加配置信息2023-04-25 ------
     **/
    @ApiModelProperty(value = "联动平台服务是否开启 true/false")
    private Boolean openThirdLinkPlatform;
    @ApiModelProperty(value = "成功-通行结果")
    private String subLineSuccess;
    @ApiModelProperty(value = "失败-通行结果")
    private String subLineFail;
    @ApiModelProperty(value = "左副框上层")
    private String mainLineLeft;
    @ApiModelProperty(value = "左副框下层")
    private String subLineLeft;
    @ApiModelProperty(value = "右副框上层")
    private String mainLineRight;
    @ApiModelProperty(value = "右副框下层")
    private String subLineRight;
    @ApiModelProperty(value = "成功-语音播报内容")
    private String openVoiceMsgSuccess;
    @ApiModelProperty(value = "失败-语音播报内容")
    private String openVoiceMsgFail;
    @ApiModelProperty(value = "接口地址")
    private String interfaceAddress;

    @ApiModelProperty("打卡方式 0 不启用 1 通用 2 钉钉")
    private String clockWayType;

    @Deprecated //已弃用
    @ApiModelProperty("打卡信息推送地址 已弃用")
    private String clockWayPushUrl;

    @ApiModelProperty(value = "三方打卡信息推送 接口地址 [{\"interfAddr\":\"三方接口地址\",\"punchReportFields\":\"打卡上报字段, 多个逗号分割\",\"zoneId\":\"所在区域ID\"}]")
    private List<InterfAddrJsonVo> clockWayPushInterfaceAddresses;

    @ApiModelProperty(value = "三方API 接口地址 [{\"interfAddr\":\"三方接口地址\",\"zoneId\":\"所在区域ID\"},{\"interfAddr\":\"三方接口地址\",\"zoneId\":\"所在区域ID\"}]")
    private List<InterfAddrJsonVo> interfaceAddresses;

    @ApiModelProperty(value = "人脸数据保留天数")
    private Integer faceLogHoldDays;

    @ApiModelProperty(value = "设备结果页类型 false:老版  true:新版")
    private Boolean latestResultPage;

    @ApiModelProperty(value = "支付宝小程序单机二维码标题")
    private String zfbMiniEthTitle;
    @ApiModelProperty(value = "支付宝小程序联机二维码标题")
    private String zfbMiniVguangTitle;

    @ApiModelProperty(value = "进出预警配置")
    private AdminInoutWarnConfigDTO adminInoutWarnConfigDTO;

}
