package com.yx.face.model.vo;

import com.yx.face.model.enums.AdminAuthTypeEnum;
import com.yx.face.model.vo.third.InterfAddrJsonVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:43 <br>
 */
@ApiModel("接口授权VO")
@Data
public class AdminAuthVO {

    /**
     * 主键自增id
     */
    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "商户唯一")
    private String appId;

    /**
     * 权限校验的appKey
     */
    @ApiModelProperty(value = "权限校验的appKey")
    private String appKey;

    /**
     * 权限校验的appSecret
     */
    @ApiModelProperty(value = "权限校验的appSecret")
    private String appSecret;

    /**
     * 权限校验的privateKey 16位随机数 包含字母和数据
     */
    @ApiModelProperty(value = "权限校验的privateKey 16位随机数 包含字母和数据")
    private String privateKey;

    /**
     * 权限类型
     *
     * @see AdminAuthTypeEnum
     */
    @ApiModelProperty(value = "权限类型")
    private Integer type;

    /**
     * 账号id
     */
    @ApiModelProperty(value = "账号id")
    private Integer adminId;

    /**
     * 接口地址
     */
    @ApiModelProperty(value = "接口地址")
    private String interfaceAddress;


    @ApiModelProperty(value = "三方API 接口地址 [{\"interfAddr\":\"三方接口地址\",\"zoneId\":\"所在区域ID\"},{\"interfAddr\":\"三方接口地址\",\"zoneId\":\"所在区域ID\"}]")
    private List<InterfAddrJsonVo> interfaceAddresses;



}

