package com.yx.face.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.vo
 * @class ClockWayPushVO
 * @date 2023/6/7 下午3:26
 * @description 通用打卡推送
 */
@Data
public class ClockWayPushVO implements Serializable {

    /**
     * 天波人脸记录id
     */
    private Long id;

    /**
     * 记录唯一序号
     */
    private Long recordid;

    /**
     * 0：离线（即开门提示逻辑由设备离线处理事后上报）
     * 1：在线（即开门提示逻辑由平台实时控制
     */
    private Integer action;

    /**
     * 设备SN
     */
    private String deviceSn;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String name;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 照片
     */
    private String photo;

    /**
     * 10进制（当verifytype=2 时，表示身份证号码）
     */
    private String cardid;

    /**
     * 物理卡号（卡号2）
     */
    private String cardidex;

    /**
     * 0人脸
     * 1卡
     * 2 身份证
     * 3 二维码
     * 4 远程
     * 6 IC卡+人脸
     */
    private Integer verifyType;

    /**
     * 106 (管理员)
     * 105（操作员）
     * 104（普通员工 默认）
     * 103（访客）
     * 102（禁止）
     * 101 (黑名单）
     */
    private Integer rightno;

    /**
     * 考勤时间格式 yyyy-MM-dd HH:mm:ss
     */
    private String faceTime;

    /**
     * 终端上设置的组织id
     */
    private String orgid;

    /**
     * 0 通用
     * 1进门
     * 2出门
     */
    private Integer outType;

    /**
     * 身份证信息JSON串
     * name 姓名
     * sex 性别
     * nation民族
     * born出生年月
     * address地址
     * apartment签发机关
     * period有效期限
     * no身份证号
     * country国籍
     * cn_name中文名
     * Idcard_version证件版本
     * card_type身份证类型
     * photo 身份证照片
     */
    private String idCard;

    /**
     * 体温测量度数
     */
    private String extend3;

    /**
     * 佩戴口罩
     * 0：未戴
     * 1：已戴
     * 2：未启用口罩检测/开启仅检测体温
     */
    private String extend1;

    /**
     * 人脸相似度分值
     */
    private String verifyScore;

    /**
     * 体温是否异常 0 正常 1 异常
     */
    private String twStatus;

    /**
     * 健康码状态00 绿码 01 黄码 10 红码
     */
    private String jkmStatus;

    /**
     * .
     * 健康码状态 0 健康码 1 国康码
     */
    private String jkmType;

    /**
     * 阴性 阳性
     */
    private String hsStatus;

    /**
     * 疫苗状态 0针 等等依次累加
     */
    private String ymStatus;

    /**
     * 行程信息
     */
    private String xcInfo;

    /**
     * admin id
     */
    private Integer adminId;

    /**
     * 健康码组装数据
     */
    private String extend5;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 性别
     */
    private String gender;
    /**
     * 生日 出生日期
     */
    private String birthday;

    //---------------------访客机字段-------------------
    @ApiModelProperty("来访单位")
    private String company;

    /**
     * 体温
     */
    @ApiModelProperty("体温")
    private String temperature;

    @ApiModelProperty("车牌号码，")
    private String carno;

    @ApiModelProperty("访问事由")
    private String reason;

    /**
     * 来访时间，格式 2019-04-03 12:00:00
     */
    @ApiModelProperty("来访时间")
    private String time;

    /**
     * 访客机所在的使用单位如：浙江杭州上城区A单位
     */
    @ApiModelProperty("访客机所在的使用单位如：浙江杭州上城区A单位")
    private String org;

    /**
     * 受访人的单位名称
     */
    @ApiModelProperty("受访人的单位名称")
    private String visiteeCompany;

    /**
     * 受访人姓名
     */
    @ApiModelProperty("受访人姓名")
    private String visiteeXm;

    /**
     * 受访人部门
     */
    @ApiModelProperty("受访人部门")
    private String visiteeBm;
    /**
     * 受访人单位的房间号
     */
    @ApiModelProperty("受访人单位的房间号")
    private String visiteeRoom;

  /**
     * 派出所代码（新增） 如：330104502
     */
    @ApiModelProperty("派出所代码")
    private String pcsdm;

    /**
     * 派出所名称（新增），如：采荷派出所
     */
    @ApiModelProperty("派出所名称")
    private String pcsname;

    /**
     * 访客机编号
     */
    @ApiModelProperty("访客机编号")
    private String machineId;


    /**==========20230718 ==========**/
    @ApiModelProperty(value = "省份")
    private String provinceName;

    @ApiModelProperty(value = "城市")
    private String cityName;

    @ApiModelProperty(value = "县区")
    private String areaName;

    @ApiModelProperty(value = "街道/乡/镇")
    private String streetName;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "设备地址")
    private String deviceAddress;

    @ApiModelProperty(value = "自定义字段")
    private List<ContextVO> customFieldList;



}
