package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class ExamUserWhitelistVO{
    @ApiModelProperty(value = "id")
    private Long examUserWhitelistId;
    @ApiModelProperty(value = "姓名")
    private String name;
    @ApiModelProperty(value = "手机号")
    private String phone;
    @ApiModelProperty(value = "身份证号")
    private String idNumber;
    @ApiModelProperty(value = "场次")
    private String examSession;
    @ApiModelProperty(value = "准考证号")
    private String examCode;
    @ApiModelProperty(value = "报考类型")
    private String examType;
    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "状态 0:未入场 1:已入场")
    private Integer status;
    @ApiModelProperty(value = "入场时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inTime;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "所属账号")
    private String username;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("开始有效期")
    private Date startTime;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束有效期")
    private Date endTime;
    @ApiModelProperty("照片")
    private String photo;

}
