package com.yx.face.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/6/22 17:06
 * @description:
 */
@Data
@Accessors(chain = true)
public class PlaceInfoVO {

    @ApiModelProperty("设备编号")
    private String sn;

    @ApiModelProperty("城市编码")
    private String cityCode;

    private Integer adminId;

    @ApiModelProperty(value = "注册到某个地址码")
    private String addressCode;

    @ApiModelProperty(value = "场所码单位名称")
    private String unitName;

    @ApiModelProperty(value = "场所码单位地址")
    private String unitAddress;

    @ApiModelProperty(value = "场所码管理员健康码信息")
    private String managerHealthCode;

    @ApiModelProperty(value = "场所码区域代码 PlaceAreaEnum int值 ")
    private Integer placeAreaCode;

    @ApiModelProperty("核酸有效期时间，单位小时，0:不限")
    private Integer nucleicExpirationTime;

    @ApiModelProperty("景区预约标识")
    private Boolean scenicFlag;

    @ApiModelProperty(value = "是否开启场所码")
    private Boolean enableStatus;

    @ApiModelProperty("每秒请求数")
    private Integer requestNumber;

    @ApiModelProperty("总请求上限数")
    private Integer requestNumberLimit;

    @ApiModelProperty("已请求次数")
    private Integer requestedTimes;

    @ApiModelProperty(value = "没有行程信息是否开门 1-开门（默认）0-关门")
    private Boolean noXcOpenDoor;

    @ApiModelProperty(value = "24小时内核酸报告未出是否开门：1-开门（默认）0-关门")
    private Boolean noHsOpenDoor;

    @ApiModelProperty(value = "去过中高风险地区是否开门 1-开门（默认）0-关门")
    private Boolean riskXcOpenDoor;

    @ApiModelProperty(value = "不允许通行的身份证地区代码，用/分隔")
    private String noAllowAreaCode;

    @ApiModelProperty(value = "行程码需检测是否开门 1-开门（默认）0-关门")
    private Boolean xcNeedCheckOpenDoor;

    @ApiModelProperty(value = "是否限制三天三检 1:是   0:否（默认")
    private Integer limitGather;

    /**
     * ------ 账户添加配置信息2023-02-06 ------
     **/
    @ApiModelProperty(value = "是否开启健康码功能 0:关闭 1:开启 ")
    private Integer isOpenHealthCode;

    @ApiModelProperty(value = "顶部标题 设备显示配置")
    private String topTitle;

    @ApiModelProperty("不允许进入的年龄段 格式：20-50")
    private String notAllowAge;

    @ApiModelProperty("不允许进入的年龄段提示信息")
    private String notAllowAgeMsg;
    /**
     * 是否报警 true/false
     */
    @ApiModelProperty("是否报警 true/false")
    private Boolean isAlarm = false;

    @ApiModelProperty(value = "场所类型，0：通用场所，1：预约场所 2:楼宇场景")
    private Integer placeType;

    /**
     * ------ 账户添加配置信息2023-04-13 ------
     **/
    @ApiModelProperty("二维码是否显示 true/false")
    private Boolean showQrcode = false;
    @ApiModelProperty(value = "二维码的码值")
    private String qrcodeText;
    @ApiModelProperty(value = "广告图片的地址 ")
    private String advertise;
    /*
     * 是否开启考试 1-开启 0-不开启
     * */
    private Boolean isOpenExam;
    @ApiModelProperty(value = "考试设备列表")
    private String examDevices;

    @ApiModelProperty(value = "商户平台id ")
    private Long tenantPlatformId;

    /**
     * ------ 账户添加配置信息2023-04-25 ------
     **/
    private String appKey;
    /**
     * 权限校验的appSecret
     */
    private String appSecret;
    /**
     * 权限校验的privateKey 16位随机数 包含字母和数据
     */
    private String privateKey;
    /**
     * 接口地址
     */
    private String interfaceAddress;

    @ApiModelProperty(value = "联动平台服务是否开启 true/false")
    private Boolean openThirdLinkPlatform;
    @ApiModelProperty(value = "成功-通行结果")
    private String subLineSuccess;
    @ApiModelProperty(value = "失败-通行结果")
    private String subLineFail;
    @ApiModelProperty(value = "左副框上层")
    private String mainLineLeft;
    @ApiModelProperty(value = "左副框下层")
    private String subLineLeft;
    @ApiModelProperty(value = "右副框上层")
    private String mainLineRight;
    @ApiModelProperty(value = "右副框下层")
    private String subLineRight;
    @ApiModelProperty(value = "成功-语音播报内容")
    private String openVoiceMsgSuccess;
    @ApiModelProperty(value = "失败-语音播报内容")
    private String openVoiceMsgFail;

    @ApiModelProperty(value = "设备结果页类型 false:老版  true:新版")
    private Boolean latestResultPage;

}
