package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 用户基础信息表(UserInfo)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */

@ApiModel("用户基础信息表VO model")
@Data
public class UserInfoVO {

    @ApiModelProperty(value = "用户信息id")
    private Long userId;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "用户姓名")
    private String username;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "物理卡号")
    private String cardIdEx;


    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "人员类型，0：内宾，1：外宾")
    private Integer type;

    /**
     * 国家代码
     */
    @ApiModelProperty(value = "国家代码")
    private String countryCode;

    /**
     * 性别
     */
    private String genderStr;
    /**
     * 生日 出生日期
     */
    private String birthday;

}

