package com.yx.face.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;

/**
 * @ProjectName: face-server2
 * @Package: com.yx.face.model.vo
 * @ClassName: UserListFromVO
 * @Author: lws
 * @Description:
 * @Date: 2022/4/26 13:42
 * @Version: 1.0
 */
@ApiModel("访客机字段 model")
@Data
public class UserListFromVO {

    @ApiModelProperty("图片暂时没用")
    @Column(name = "img_base")
    private byte[] imgBase;

    @ApiModelProperty("来访单位")
    private String company;//来访单位

    @ApiModelProperty("车牌号码，")
    private String carno;//车牌号码，可选

    @ApiModelProperty("访问事由")
    private String reason ;//访问事由

    @ApiModelProperty("人数")
    @Column(name = "num_peoples")
    private  String numPeoples;//人数

    @ApiModelProperty("是否携带身份证")
    @Column(name = "has_idcard")
    private String hasIdCard;// 是否携带身份证

    @ApiModelProperty("健康码")
    @Column(name = "health_code")
    private  String healthCode;//健康码

    @ApiModelProperty("疫苗针数")
    @Column(name = "vaccine_num")
    private String vaccineNum;//疫苗针数，可能是空字符串，或 “1”、“2”

    @ApiModelProperty("体温")
    private  String temperature;//体温

    @ApiModelProperty("受访人姓名")
    @Column(name = "visitee_xm")
    private String visiTeeXm ;//受访人姓名

    @ApiModelProperty("受访人部门")
    @Column(name = "visitee_bm")
    private String visiTeeBm ;//受访人部门

    @ApiModelProperty("受访人的单位名称")
    @Column(name = "visitee_company")
    private  String visiTeeCompany;//受访人的单位名称

    @ApiModelProperty("受访人单位的房间号")
    @Column(name = "visitee_room")
    private String visiTeeRoom;//受访人单位的房间号

    @ApiModelProperty("派出所代码")
    private String pcsdm ;//派出所代码（新增） 如：330104502

    @ApiModelProperty("派出所名称")
    private String pcsname;//派出所名称（新增），如：采荷派出所

    @ApiModelProperty("身份证")
    private String xp ;//身份证（或公安网）相片，base64编码

    @ApiModelProperty("现场采集照片")
    @Column(name = "scene_xp")
    private String sceneXp ="";//现场采集照片，base64编码

    @ApiModelProperty("来访时间")
    private String time ;//来访时间，格式 2019-04-03 12:00:00

    @ApiModelProperty("访客机编号")
    @Column(name = "machine_id")
    private String sn;//访客机编号

    @ApiModelProperty("访客机所在的使用单位如：浙江杭州上城区A单位")
    private String org ;//访客机所在的使用单位如：浙江杭州上城区A单位

    @ApiModelProperty("门向，如东门、西门等")
    private String door ;//门向，如东门、西门等
}
