package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ApiModel("访客详情VO")
@Data
public class UserVisitorListDetailVO{

    private Long id;

    @ApiModelProperty(value = "访问事由")
    private String reason;

    @ApiModelProperty(value = "受访人姓名")
    private String visiteeXm;

    @ApiModelProperty(value = "受访人手机号")
    private String visiteePhone;

    @ApiModelProperty(value = "受访楼宇")
    private String visiteeBuilding;

    @ApiModelProperty(value = "受访楼宇Id")
    private Integer visiteeBuildingId;

    @ApiModelProperty(value = "公司Id")
    private Integer visiteeCompanyId;

    @ApiModelProperty(value = "受访人的公司名称")
    private String visiteeCompany;

    @ApiModelProperty(value = "常客id")
    private Integer userWhitelistId;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "访客手机号")
    private String phone;

    @ApiModelProperty(value = "人员类型 0:访客 1:同事 2:亲属")
    private Integer personnelType;

    @ApiModelProperty("审核状态 0:待审核 1:已拒绝 2:已同意 3-已入场")
    private Integer reviewStatus;

    @ApiModelProperty("健康码")
    private String jkm;
    @ApiModelProperty("健康码图片")
    private String jkmPhoto;
    @ApiModelProperty("核酸")
    private String hs;
    @ApiModelProperty("核酸检测时间")
    private String hsCheckTime;
    @ApiModelProperty("核酸结果时间")
    private String hsResultTime;
    @ApiModelProperty("核酸图片")
    private String hsPhoto;
    @ApiModelProperty("行程信息1 代表没有去过高风险地区 2 代表去过高风险地区 3 代表用户没有行程记录")
    private String xc;
    @ApiModelProperty("行程码图片")
    private String xcPhoto;
    @ApiModelProperty("获取行程码的手机号")
    private String xcPhone;
    @ApiModelProperty(value = "自定义字段列表")
    private List<ContextVO> contents;
    @ApiModelProperty("备注信息")
    private String remark;
    @ApiModelProperty("入场时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    private Date inTime;
    @ApiModelProperty("通过照片")
    private String inPhoto;
    @ApiModelProperty("设备地点")
    private String snAddr;
}
