package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yx.face.model.entity.UserVisitorListFrom;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName UserVisitorListVO
 * @Author cmc
 * @Date 2021/11/5 14:23
 */
@ApiModel("访客单VO model")
@Data
public class UserVisitorListVO extends UserVisitorListFrom {

    private Long id;

    @ApiModelProperty(value = "照片")
    private String avatar;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "身份证号")
    private String idNumber;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "所属账号")
    private String username;

    @ApiModelProperty(value = "省份")
    private String provinceName;

    @ApiModelProperty(value = "城市")
    private String cityName;

    @ApiModelProperty(value = "县区")
    private String areaName;

    @ApiModelProperty(value = "街道 乡 镇")
    private String streetName;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "派出所名称")
    private String policeStationName;

    @ApiModelProperty(value = "自定义字段")
    private String content;

    @ApiModelProperty(value = "自定义字段")
    private List<ContextVO> contents;

    private Integer adminId;

    @ApiModelProperty(value = "推送类型 0 小程序 1初次添加 2人工录入 3 访客机")
    private Integer pushType;

    @ApiModelProperty("企业全称")
    private String enterpriseFullName;

    @ApiModelProperty("企业简称")
    private String enterpriseSimpleName;

    @ApiModelProperty("访客id")
    @Column(name = "user_visitor_list_id")
    private Integer userVisitorListId;

    @ApiModelProperty("照片暂时没用")
    @Column(name = "img_base")
    private byte[] imgBase;

    @ApiModelProperty("来访单位")
    private String company;

    @ApiModelProperty("车牌号码，")
    private String carno;

    @ApiModelProperty("访问事由")
    private String reason ;

    @ApiModelProperty("人数")
    @Column(name = "num_peoples")
    private  String numPeoples;

    @ApiModelProperty("是否携带身份证")
    @Column(name = "has_idcard")
    private String hasIdCard;

    @ApiModelProperty("健康码")
    @Column(name = "health_code")
    private  String healthCode;

    /**
     * 疫苗针数，可能是空字符串，或 “1”、“2”
     */
    @ApiModelProperty("疫苗针数")
    @Column(name = "vaccine_num")
    private String vaccineNum;

    /**
     * 体温
     */
    @ApiModelProperty("体温")
    private  String temperature;

    /**
     * 受访人姓名
     */
    @ApiModelProperty("受访人姓名")
    private String visiteeXm ;

    /**
     * 受访人部门
     */
    @ApiModelProperty("受访人部门")
    private String visiteeBm ;

    /**
     * 受访人的单位名称
     */
    @ApiModelProperty("受访人的单位名称")
    private  String visiteeCompany;

    /**
     * 受访人单位的房间号
     */
    @ApiModelProperty("受访人单位的房间号")
    private String visiteeRoom;

    /**
     * 派出所代码（新增） 如：330104502
     */
    @ApiModelProperty("派出所代码")
    private String pcsdm ;

    /**
     * 派出所名称（新增），如：采荷派出所
     */
    @ApiModelProperty("派出所名称")
    private String pcsname;

    /**
     * 身份证（或公安网）相片，base64编码
     */
    @ApiModelProperty("身份证")
    private String xp ;

    /**
     * 现场采集照片，base64编码
     */
    @ApiModelProperty("现场采集照片")
    @Column(name = "scene_xp")
    private String sceneXp ="";

    /**
     * 来访时间，格式 2019-04-03 12:00:00
     */
    @ApiModelProperty("来访时间")
    private String time ;

    /**
     * 访客机编号
     */
    @ApiModelProperty("访客机编号")
    @Column(name = "machine_id")
    private String machineId;

    /**
     * 访客机所在的使用单位如：浙江杭州上城区A单位
     */
    @ApiModelProperty("访客机所在的使用单位如：浙江杭州上城区A单位")
    private String org ;

    /**
     * 门向，如东门、西门等
     */
    @ApiModelProperty("门向，如东门、西门等")
    private String door ;

    @ApiModelProperty("常客id")
    private Integer userWhitelistId;

    @ApiModelProperty("人员类型 0:访客 1:同事 2:亲属")
    private Integer personnelType;

    @ApiModelProperty("通道权限（设备sn）")
    private String sn;

    @ApiModelProperty("邀请方式 0:微信 1:短信")
    private Integer invitationWay;

    @ApiModelProperty("审核状态 0:待审核 1:已拒绝 2:已同意")
    private Integer reviewStatus;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("受访人手机号")
    private String visiteePhone;

    @ApiModelProperty("来访记录类型，0：申请记录，1：邀请记录")
    private Integer visitingType;

    @ApiModelProperty("用户Id")
    private Integer userId;

    @ApiModelProperty("照片")
    private String photo;
    @ApiModelProperty("备注信息")
    private String remark;
    @ApiModelProperty("入场时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm")
    private Date inTime;
    @ApiModelProperty("通过照片")
    private String inPhoto;
    @ApiModelProperty("设备地点")
    private String snAddr;
}
