package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.yx.face.model.entity.UserWhitelistFrom;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.LinkedList;
import java.util.List;

/**
 * @description:
 * @ClassName UserWhitelistVO
 * @Author WXG
 * @Date 2021/11/5 14:23
 */
@ApiModel("常客白名单VO model")
@Data
public class UserWhitelistVO extends UserWhitelistFrom {

    private Long id;

    @ApiModelProperty(value = "照片")
    private String avatar;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "身份证号")
    private String idNumber;

    /**
     * 编号id
     * */
    private Integer snId;

    /**
     * 设备编号
     * */
    private String sn;


    @ApiModelProperty(value = "状态 1已认证 2.未认证")
    private Integer status;

    @ApiModelProperty(value = "角色类型 默认1普通员工 2 管理员")
    private Integer type;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "所属账号")
    private String username;

    @ApiModelProperty(value = "省份")
    private String provinceName;

    @ApiModelProperty(value = "城市")
    private String cityName;

    @ApiModelProperty(value = "县区")
    private String areaName;

    @ApiModelProperty(value = "街道 乡 镇")
    private String streetName;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "派出所名称")
    private String policeStationName;

    private Integer adminId;

    @ApiModelProperty(value = "学号")
    private String extend1;

    @ApiModelProperty(value = "录入类型 1.常客录入 2.人工录入")
    private Integer inputType;

    @ApiModelProperty(value = "自定义字段")
    private String content;

    @ApiModelProperty(value = "自定义字段")
    private List<ContextVO> contents;

    @JsonIgnore
    private Long userId;

    @ApiModelProperty(value = "推送类型 0 小程序 1初次添加 2人工录入 3 访客机 4.身份证认证 5.物理卡号认证")
    private Integer pushType;

    @ApiModelProperty("企业全称")
    private String enterpriseFullName;

    @ApiModelProperty("企业简称")
    private String enterpriseSimpleName;

    @ApiModelProperty("私有区域IdList")
    private List<Integer> privateAreaIdList;

    @ApiModelProperty("私有区域名称List")
    private List<String> privateAreaNameList;

    @ApiModelProperty(value = "1.楼宇公有 2.企业公有 3.企业私有")
    private Integer adminAreaType;

    @ApiModelProperty("开始有效期")
    private Date startTime;

    @ApiModelProperty("结束有效期")
    private Date endTime;

    @ApiModelProperty("物理卡号")
    private String cardIdEx;

    @ApiModelProperty("人员类型")
    private Integer personnelType;

    @ApiModelProperty("入库状态 0-关闭 1-开通（学校场景使用）")
    private Boolean warehousingStatus;

    @ApiModelProperty("通行区域区域列表")
    private List<Integer> zoneDevicePassIdList;

    @ApiModelProperty("通行区域区域列表")
    private List<ZoneDeviceRLessVO> zoneDeviceRLessVOList = new LinkedList<>();


    @ApiModelProperty("性别 0-女 1-男")
    private Integer sex;
    @ApiModelProperty("部门名称")
    private String deptName;
    @ApiModelProperty("职务名称")
    private String dutyName;
    @ApiModelProperty("工种名称")
    private String workName;
    @ApiModelProperty("出生年月")
    private Date birthDay;
    @ApiModelProperty("家庭住址")
    private String homeAddress;
    @ApiModelProperty("工号")
    private String jobNumber;

}
