package com.yx.face.model.vo.disinfect;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yx.face.model.dto.disinfect.DisinfectAreaDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName DisinfectAreaVO
 * @Author WXG
 * @Date 2022/11/11 14:43
 */
@ApiModel("消杀区域VO")
@Data
public class DisinfectAreaVO extends DisinfectAreaDTO {

    @ApiModelProperty(value = "消杀区域二维码")
    private String disinfectQrcode;

    @ApiModelProperty(value = "今日已消杀次数")
    private Integer todayDisinfectNum;

    @ApiModelProperty(value = "今日一共需要消杀的次数")
    private Integer todayTotalDisinfectNum;

    @ApiModelProperty(value = "消杀区域时间段")
    private List<DisinfectAreaTimeVO> disinfectAreaTimeVOList;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "待消杀时间")
    private String waitDisinfect;
}
