package com.yx.face.model.vo.disinfect;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yx.face.model.entity.UserInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:
 * @date 2022/11/11
 **/
@ApiModel("问题上报后台列表VO")
@Data
public class ProblemReportPageVO {

    @ApiModelProperty(value = "用户信息")
    private UserInfo userInfo;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "是否匿名 匿名:true 不匿名:false")
    private Boolean anonymityFlag;

    @ApiModelProperty(value = "上报时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    @ApiModelProperty(value = "问题描述")
    private String desc;

    @ApiModelProperty(value = "照片")
    private List<FileVO> pictures;

    @ApiModelProperty(value = "视频")
    private FileVO video;

    @ApiModelProperty(value = "处理时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handleTime;

    @ApiModelProperty(value = "处理结果")
    private String handleResult;

    @ApiModelProperty(value = "评价时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date evaluateTime;

    @ApiModelProperty(value = "评价内容")
    private String evaluateContent;

    @ApiModelProperty(value = "评价分数")
    private Integer evaluateWorkpoint;

    @ApiModelProperty(value = "评价结果")
    private String evaluateResult;

    @ApiModelProperty(value = "状态 1.待处理 2.处理中 3.已处理 4.关闭  ")
    private Integer status;
}
