package com.yx.face.model.vo.disinfect;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:
 * @date 2022/11/11
 **/
@ApiModel("后台 问题上报分页列表查询条件VO")
@Data
public class ProblemReportSearch {

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "身份证号")
    private String idNumber;

    @ApiModelProperty(value = "问题描述关键字")
    private String descKeywords;

    @ApiModelProperty(value = "上报开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportStartDate;

    @ApiModelProperty(value = "上报结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportEndDate;

    @ApiModelProperty(value = "问题上报状态 1.待处理 2.处理中 3.已处理 4.关闭")
    private Integer status;

    @ApiModelProperty(value = "账号id列表")
    private List<Integer> adminIds;


}
