package com.yx.face.model.vo.stat;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.yx.face.model.entity.StatDataItem;
import com.yx.face.model.enums.DevicePassTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@Data
public class StatDataVO {
    @ApiModelProperty("姓名")
    private String name;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("身份证号")
    private String idNumber;
    @ApiModelProperty("物理卡号")
    private String cardIdEx;
    @ApiModelProperty("状态 1-在场 2-离场")
    private Integer status;
    @ApiModelProperty("人员类别 1-员工 2-访客 3-其他")
    private Integer peopleType;
    @ApiModelProperty("停留时长")
    private String betweenTime;

    @ApiModelProperty("进门记录")
    private List<StatDataItemVo> inList = new ArrayList<>();
    @ApiModelProperty("出门记录")
    private List<StatDataItemVo> outList = new ArrayList<>();


    public void putData(List<StatDataItem> statDataItemList) {
        if(CollUtil.isEmpty(statDataItemList)){
            return;
        }
        this.inList = statDataItemList.stream().filter(p1 -> DevicePassTypeEnum.PASS_IN.getType().equals(p1.getPass())).map(p1 -> BeanUtil.copyProperties(p1, StatDataItemVo.class)).collect(Collectors.toList());
        this.outList = statDataItemList.stream().filter(p -> DevicePassTypeEnum.PASS_OUT.getType().equals(p.getPass())).map(p -> BeanUtil.copyProperties(p, StatDataItemVo.class)).collect(Collectors.toList());
    }
}

