package com.yx.face.model.vo.third;

import com.yx.face.model.vo.FaceDeviceVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.model.vo.third
 * @class ZoneDeviceRDto
 * @date 2023/7/5 上午11:07
 * @description
 */
@Data
@ApiModel("区域/设备管理")
public class ZoneDeviceRDto implements Serializable {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 区域名称
     */
    @ApiModelProperty(value = "区域名称")
    private String name;

    /**
     * 账户id
     */
    @ApiModelProperty(value = "账户id")
    private Integer adminId;

    /**
     * 设备号集合 xxx,xxxx
     */
    @ApiModelProperty(value = "设备号集合逗号,分割 xxx,xxx")
    private String snJson;

    @ApiModelProperty(value = "行星云推送消息 供行星云SPI推送支付宝消息")
    private String spiPushMsg;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 设备信息集合列表显示参数
     */
    @ApiModelProperty(value = "设备信息集合列表显示参数")
    private List<FaceDeviceVO> devices = new ArrayList<>();


}
