package com.yx.face.server.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.server.dto
 * @class JinHuFaceLogDto
 * @date 2022/11/30 上午9:45
 * @description 金湖推送进出记录封装数据
 */
@Data
public class JinHuFaceLogDto implements Serializable {
    /**
     * 记录唯一序号
     */
    private Long recordid;

    /**
     * 0：离线（即开门提示逻辑由设备离线处理事后上报）
     * 1：在线（即开门提示逻辑由平台实时控制
     */
    private Integer action;

    /**
     * 设备SN
     */
    private String deviceSn;
    /**
     * 用户姓名
     */
    private String name;

    /**
     * 手机号码
     */
    private String phone;
    /**
     * 照片
     */
    private String photo;
    /**
     * 10进制（当verifytype=2 时，表示身份证号码）
     */
    private String cardid;
    /**
     * 物理卡号（卡号2）
     */
    private String cardidex;
    /**
     * 0人脸
     * 1卡
     * 2 身份证
     * 3 二维码
     * 4 远程
     * 6 IC卡+人脸
     */
    private Integer verifyType;
    /**
     * 106 (管理员)
     * 105（操作员）
     * 104（普通员工 默认）
     * 103（访客）
     * 102（禁止）
     * 101 (黑名单）
     */
    private Integer rightno;
    /**
     * 0 通用
     * 1进门
     * 2出门
     */
    private Integer outType;

    /**
     * 身份证信息JSON串
     * name 姓名
     * sex 性别
     * nation民族
     * born出生年月
     * address地址
     * apartment签发机关
     * period有效期限
     * no身份证号
     * country国籍
     * cn_name中文名
     * Idcard_version证件版本
     * card_type身份证类型
     * photo 身份证照片
     */
    private String idCard;
    /**
     * 体温测量度数
     */
    private String extend3;

    /**
     * String类型
     * 0：未戴
     * 1：已戴
     * 2：未启用口罩检测/开启仅检测体温
     */
    private String extend1;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 用户认证图片 user_info.avatar
     */
    private String avatar;


}
