package com.yx.face.service;

import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.api.appointment.dto.*;
import com.yx.face.model.api.appointment.vo.*;
import com.yx.face.model.vo.UserInfoVO;
import com.yx.face.model.vo.eth.EthCodeDto;
import com.yx.face.model.vo.eth.EthCodeVO;

import java.util.List;

/**
 * @description:
 * @ClassName AppointmentApiService
 * @Author WXG
 * @Date 2022/5/24 14:08
 */
public interface AppointmentApiService {
    /*1.查询预约信息*/
    AppointmentInfoVO getAppointmentInfo(AppointmentInfoDTO appointmentInfoDTO);

    /*2.获取可预约的日期*/
    List<DateVO> getTimeList(Integer adminId);

    /*3.获取可预约的时间段*/
    List<TimeSlotVO> getTimeSlotList(TimeSlotDTO timeSlotDTO);

    /*4.查询是否可以进行实名认证*/
    RestResult<Boolean> selectAuthenticationAuthority(AuthenticationAuthorityDTO authenticationAuthorityDTO);

    /*5.预约登记*/
    RestResult<Boolean> appointment(AppointmentDTO appointmentDTO);

    /*6.修改人员信息*/
    RestResult<Boolean> updateUserInfo(UpdateUserInfoDTO updateUserInfoDTO);

    /*7.查看预约单*/
    RestResult<LookAppointmentVO> lookAppointment(UserAdminDTO userAdminDTO);

    /*8.查看预约记录*/
    RestResult<List<LookAppointmentVO>> lookAppointmentRecord(UserAdminDTO userAdminDTO);

    /*4.1 外宾实名认证*/
    RestResult<UserInfoVO> foreignAuthentication(ForeignAuthenticationDTO foreignAuthenticationDTO);

    /*1.查询账号基础信息*/
    PlaceInfoVO getInfo(Integer adminId);

    /*取消预约*/
    RestResult<Boolean> cancelAppointment(CancelAppointmentDTO cancelAppointmentDTO);

    /*11.查看用户数据*/
    RestResult<UserInfoVO> getUserInfoVO(Integer userId);

    /**
     * 获取梯控二维码
     *
     * @param dto
     * @return
     */
    RestResult<EthCodeVO> getUserEthCode(EthCodeDto dto);


}
