package com.yx.face.service;


import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.dto.IssueAllDTO;
import com.yx.face.model.dto.AppointmentPersonModifyDTO;
import com.yx.face.model.dto.AppointmentPersonQueryDTO;
import com.yx.face.model.vo.AppointmentDetailVO;
import com.yx.face.model.vo.AppointmentPersonVO;

/**
 * <p>
 * 预约人员 服务类
 * </p>
 *
 * @author wxg
 * @since 2022-05-24
 */
public interface AppointmentPersonService{

    /**
     * 查询预约人员
     * @param dto
     * @return
     */
    PageInfo<AppointmentPersonVO> query(RestDTO<AppointmentPersonQueryDTO> dto);

    /**
     * 删除预约人员
     * @param id
     * @return
     */
    Boolean remove(Integer id);

    /**
     * 修改预约人员
     * @param dto
     * @return
     */
    Boolean modify(AppointmentPersonModifyDTO dto);

    /**
     * 查询预约人员详情
     * @param id
     * @return
     */
    AppointmentDetailVO detail(Integer id);

    /**
     * 重新下发
     * @param id
     * @return
     */
    Boolean issue(Integer id);

    /**
     * 全量下发
     * @param dto
     * @return
     */
    Boolean issueAll(IssueAllDTO dto);
}
