package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.api.building.dto.*;
import com.yx.face.model.api.building.vo.*;
import com.yx.face.model.dto.VisitorQrcodeDto;
import com.yx.face.model.dto.VisitorQrcodeIdDto;
import com.yx.face.model.vo.AdminVO;
import com.yx.face.model.vo.FaceDeviceVO;
import com.yx.face.model.vo.UserVisitorListDetailVO;

import java.util.List;

/**
 * @description:
 * @ClassName BuildingApiService
 * @Author WXG
 * @Date 2022/5/31 16:29
 */
public interface BuildingApiService {
    /*1.获取楼宇列表*/
    List<BuildingLessVO> getBuildingList();

    /*10.常客校验*/
    RestResult<List<UserWhiteCheckVO>> userWhiteCheck(UserWhiteCheckDTO userWhiteCheckDTO);

    /*11.常客获取楼宇的设备列表*/
    RestResult<List<FaceDeviceVO>> userWhiteGetSnList(Integer adminId, Integer companyId);

    /*12.常客邀约*/
    RestResult<List<UserWhiteInviteVO>> userWhiteInviteUserVisitor(UserWhiteInviteDTO userWhiteInviteDTO);

    /*13.常客查询拜访记录列表*/
    RestResult<PageInfo<VisitoryVisitListVO>> userWhiteVisitList(RestDTO<UserWhiteVisitDTO> dto);

    /*14.常客处理访客申请记录*/
    RestResult<Boolean> userWhiteHandleVisitList(UserWhiteHandleDTO userWhiteHandleDTO);

    /*15.常客查看公司信息*/
    RestResult<List<CompanyVO>> userWhiteLookCompanyInfo(List<UserWhiteCheckVO> userWhiteCheckVOList);

    /*20.根据访客记录Id获取记录*/
    RestResult<UserVisitorListDetailVO> getVisitoryByUserVisitorListDetailId(Integer userVisitorListDetailId);

    /*21.根据受访人手机号和楼宇获取受访人信息*/
    RestResult<List<UserWhiteIntervieweeBuildingVO>> getUserWhiteByphoneAndAdminId(UserWhiteIntervieweeDTO userWhiteIntervieweeDTO);

    /*22.访客申请提交*/
    RestResult<Boolean> visitorySubmit(VisitorySubmitDTO visitorySubmitDTO);

    /*23.访客查询拜访记录列表*/
    RestResult<PageInfo<VisitoryVisitListVO>> visitoryVisitList(RestDTO<VisitoryVisitDTO> dto);

    /*32.企业信息提交审核*/
    RestResult<Boolean> companyCommit(CompanyCommitDTO companyCommitDTO);

    /*33.获取提交审核的企业信息*/
    RestResult<List<CompanyVO>> companyCommitInfoList(Integer userId);

    /*15.常客获取设备列表*/
    RestResult<List<FaceDeviceVO>> userWhiteSnList(Integer adminId);

    /*1.根据楼宇账号id查询公司列表*/
    List<BuildingLessVO> getCompanyList(Integer adminId);

    /*获取公司和楼宇信息*/
    RestResult<AdminLessVO> getBuildingAndCompanyInfo(Integer adminId);

    /*检验常客是否存在*/
    RestResult<Boolean> checkUserWhiteListId(Integer userWhiteListId);

    /*小程序：访客重新下发*/
    RestResult<Boolean> visitoryDownFaceAgain(Integer userVisitorListDetailId);

    /*查询三码信息*/
    RestResult<AdminVO> getThreeCodeByAdminId(Integer adminId);

    /**
     * 获取访客QrcodeId
     *
     * @return 访客QrcodeId
     */
    VisitorQrcodeIdDto getVisitorQrcodeId(VisitorQrcodeDto visitorQrcodeDto);

    /**
     * 常客邀约
     * @param userWhiteInviteDTO
     * @return
     */
    RestResult<List<UserWhiteInviteVO>> alipayUserWhiteInviteUserVisitor(UserWhiteInviteDTO userWhiteInviteDTO);

    RestResult<Boolean> alipayVisitorySubmit(VisitorySubmitDTO visitorySubmitDTO);

    RestResult<Boolean> alipayUserWhiteHandleVisitList(UserWhiteHandleDTO userWhiteHandleDTO);

    RestResult<Boolean> alipayCompanyCommit(CompanyCommitDTO companyCommitDTO);
}
