package com.yx.face.service;


import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.dto.FaceDeviceTypeDTO;
import com.yx.face.model.entity.FaceDeviceType;
import com.yx.face.model.search.FaceDeviceTypeSearch;
import com.yx.face.model.vo.DeviceCodeVO;
import com.yx.face.model.vo.FaceDeviceTypeVO;

import java.util.List;

/**
 * <p>
 * 设备类型
 * </p>*
 */
public interface FaceDeviceTypeService {

    /*
     * 编辑设备类型
     * */
    Integer addOrEdit(FaceDeviceTypeDTO faceDeviceTypeDTO);
    /*
     * 删除第三方
     * */
    Integer delete(Integer thirdPartyId);
    /*
     * 获取第三方列表
     * */
    List<FaceDeviceTypeVO> getList();
    /*
     * 获取第三方列表分页
     * */
    List<FaceDeviceTypeVO> getPageList(RestDTO<FaceDeviceTypeSearch> dto);

    List<DeviceCodeVO> queryDeviceCode();

    /**
     * 通过id查询设备类型信息
     * @param faceDeviceTypeId
     * @return
     */
    FaceDeviceType queryById(Integer faceDeviceTypeId);
}
