package com.yx.face.service;

import com.yx.face.model.dto.MonthExportDTO;
import com.yx.face.model.dto.TodayExportDTO;
import com.yx.face.model.dto.WeekExportDTO;
import com.yx.face.model.vo.export.ExportRecordVO;
import freemarker.template.TemplateException;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:
 * @date 2022/11/15
 **/
public interface FaceLogExportService {

     /**
      * 导出当天
      * @return
      */
     TodayExportDTO exportTodayWord(ExportRecordVO exportRecordVO);

     /**
      * 导出本周
      * @return
      */
     WeekExportDTO exportWeekWord(ExportRecordVO exportRecordVO);

     /**
      * 导出本月 yyyy-MM格式 如2022-11
      * @return
      */
     MonthExportDTO exportMonthWord(ExportRecordVO exportRecordVO);

     /**
      * 导出报表
      * @param response
      * @param fileName
      * @param tplName
      * @param data
      * @throws IOException
      * @throws TemplateException
      */
     void exportDocToClient(HttpServletResponse response, String fileName, String tplName, Object data) throws IOException, TemplateException;
}
