package com.yx.face.service;

import com.yx.face.model.entity.DownFaceNew;
import com.yx.face.model.entity.TaskInfo;

import java.util.List;
import java.util.Map;

public interface FaceTBService {
    /*将userId从该账号下所有的设备删除*/
    Boolean delFace(List<Long> userIds, Integer adminId);
    /*将设备上指定的userId删除*/
    Boolean delFaceBySn(String sn, List<Long> userIds);
    public Boolean delFaceBySn(String sn, List<Long> userIds,TaskInfo taskInfo);
    /*清空设备上的人员信息**/
    Map<String, Object> deleteBySn(String sn);
    Map<String, Object> deleteBySn(String sn,TaskInfo taskInfo);
    /*=============================================【】====================================================*/
    /**
     * @param dto <br>
     * @return java.util.Map<java.lang.String, java.lang.Object> <br>
     * @description: 设备连接推送 <br>
     * @date: 2021/6/3 10:45 <br>
     * @author: PWB <br>
     */
    Map<String, Object> connect(Map<String, Object> dto);


    /**
     * @param dto <br>
     * @return java.util.Map<java.lang.String, java.lang.Object> <br>
     * @description: 设备断开推送 <br>
     * @date: 2021/6/3 10:45 <br>
     * @author: PWB <br>
     */
    Map<String, Object> disconnect(Map<String, Object> dto);


    /**
     * @param dto <br>
     * @return java.util.Map<java.lang.String, java.lang.Object> <br>
     * @description: 设备信息上报 <br>
     * @date: 2021/6/3 10:45 <br>
     * @author: PWB <br>
     */
    Map<String, Object> report(Map<String, Object> dto);


    /**
     * @param dto <br>
     * @return java.util.Map<java.lang.String, java.lang.Object> <br>
     * @description: 推送刷脸刷卡记录 <br>
     * @date: 2021/6/3 10:45 <br>
     * @author: PWB <br>
     */
    Map<String, Object> eventRecords(Map<String, Object> dto);


    /**
     * @param dto <br>
     * @return java.util.Map<java.lang.String, java.lang.Object> <br>
     * @description: 推送设备录入人员 <br>
     * @date: 2021/6/3 10:45 <br>
     * @author: PWB <br>
     */
    Map<String, Object> pushUsers(Map<String, Object> dto);

    /**
     * @param dto <br>
     * @return java.util.Map<java.lang.String, java.lang.Object> <br>
     * @description: 推送设备人员删除信息 <br>
     * @date: 2021/6/3 10:46 <br>
     * @author: PWB <br>
     */
    Map<String, Object> delUser(Map<String, Object> dto);


    /**
     * @param dto <br>
     * @return java.util.Map<java.lang.String, java.lang.Object> <br>
     * @description: 上报任务结果处理 <br>
     * @date: 2021/6/3 10:45 <br>
     * @author: PWB <br>
     */
    Map<String, Object> pushTaskResult(Map<String, Object> dto);

    /**
     * @param dto <br>
     * @return java.util.Map<java.lang.String, java.lang.Object> <br>
     * @description: 获取任务ID <br>
     * @date: 2021/6/3 10:46 <br>
     * @author: PWB <br>
     */
    Map<String, Object> getTaskId(Map<String, Object> dto);

    void pushUsersOnline(List<Map<String, String>> list);

    /*
     * @创建者  WXG
     * @描述  中间件向平台提取数据
     * @时间  2022/1/19 17:49
     * @参数
     **/
    Map<String, Object> syncUsers(Map<String, Object> param);
    /*
     * @创建者  WXG
     * @描述  人脸下发的离线任务
     * @时间  2022/1/19 9:36
     * @参数  DownFace：下发人脸所需的相关参数
     **/
    Map<String, Object> downUser(DownFaceNew downFace);
    /*
     * @创建者  WXG
     * @描述  人脸下发到设备上
     * @时间  2022/1/19 9:36
     * @参数  DownFace：下发人脸所需的相关参数
     **/
    Map<String, Object> downUser(DownFaceNew downFace,TaskInfo taskInfo);



}
