package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.PrivateAreaDeviceDTO;
import com.yx.face.model.search.PrivateAreaDeviceSearch;
import com.yx.face.model.vo.FaceDeviceVO;
import com.yx.face.model.vo.PrivateAreaDeviceVO;

import java.util.List;

/**
 * <p>
 * 私有区域设备关联表 服务类
 * </p>
 *
 * @author wxg
 * @since 2022-06-29
 */
public interface PrivateAreaDeviceService{
    /*11.私有区域设备列表分页*/
    RestResult<PageInfo<PrivateAreaDeviceVO>> privateAreaDevicePageList(RestDTO<PrivateAreaDeviceSearch> dto);
    /*12.私有区域设备列表获取*/
    RestResult<List<FaceDeviceVO>> getPrivateAreaDeviceList(Integer privateAreaId);
    /*13.私有区域设备添加*/
    Integer addPrivateAreaDevice(PrivateAreaDeviceDTO privateAreaDeviceDTO);
    /*14.删除私有区域设备*/
    Integer deletePrivateAreaDevice(Integer privateAreaDeviceId);
}
