package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.PrivateAreaDTO;
import com.yx.face.model.search.PrivateAreaSearch;
import com.yx.face.model.vo.PrivateAreaVO;

import java.util.List;

/**
 * <p>
 * 私有区域表 服务类
 * </p>
 *
 * @author wxg
 * @since 2022-06-29
 */
public interface PrivateAreaService{
    /*1.私有区域列表分页*/
    RestResult<PageInfo<PrivateAreaVO>> privateAreaPageList(RestDTO<PrivateAreaSearch> dto);
    /*2.添加或者修改 私有区域信息*/
    Integer addOrUpdatePrivateArea(PrivateAreaDTO privateAreaDTO);
    /*3.删除私有区域*/
    Integer deletePrivateArea(Integer privateAreaId);
    /*4.获取私有区域列表*/
    RestResult<List<PrivateAreaVO>> getPrivateAreaList(Integer adminId);
}
