package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.PrivateAreaWhitelistDTO;
import com.yx.face.model.dto.PrivateAreaWhitelistListDTO;
import com.yx.face.model.search.PrivateAreaWhiteListSearch;
import com.yx.face.model.search.WhitelistPrivateAreaWhiteListSearch;
import com.yx.face.model.vo.PrivateAreaWhitelistVO;
import com.yx.face.model.vo.UserWhitelistVO;
import com.yx.face.model.vo.WhitelistPrivateAreaVO;

import java.util.List;

/**
 * <p>
 * 私有区域人员表 服务类
 * </p>
 *
 * @author wxg
 * @since 2022-06-29
 */
public interface PrivateAreaWhitelistService{
    /*21.私有区域人员列表分页*/
    RestResult<PageInfo<PrivateAreaWhitelistVO>> privateAreaWhitelistPageList(RestDTO<PrivateAreaWhiteListSearch> dto);
    /*22.私有区域人员列表获取*/
    RestResult<List<UserWhitelistVO>> getPrivateAreaWhitelistList(PrivateAreaWhitelistListDTO privateAreaWhitelistListDTO);
    /*23.私有区域人员添加*/
    Integer addPrivateAreaWhitelist(PrivateAreaWhitelistDTO privateAreaWhitelistDTO);
    /*24.删除私有区域人员*/
    Integer deletePrivateAreaWhitelist(Integer privateAreaDeviceId);
    /*查看常客所在的私有区域*/
    RestResult<PageInfo<WhitelistPrivateAreaVO>> privateAreaPageListByWhitelistId(RestDTO<WhitelistPrivateAreaWhiteListSearch> dto);
}
