package com.yx.face.service;

import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.UserOpenJudgeDto;
import com.yx.face.model.dto.iot.IotUserWhitelistDto;
import com.yx.face.model.entity.DownFaceNew;

import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.service
 * @class SpiIotUserWhitelistService
 * @date 2023/4/19 上午11:24
 * @description
 */
public interface SpiIotUserWhitelistService {

    /**
     * 下发单个用户到Iot设备
     *
     * @param dto
     */
    void addSingleUser2Iot(IotUserWhitelistDto dto);

    /**
     * 删除用户
     *
     * @param sn
     * @param userIds
     */
    void delUserFromIot(String sn, List<Long> userIds);

    /**
     * 批量添加用户到设备
     *
     * @param sn
     * @param users
     */
    void batchAddUser2Iot(String sn, List<DownFaceNew> users);

    /**
     * 设备删除
     *
     * @param sn
     */
    void delBySn(String sn);


    /**
     * 校验iot用户是否可以通行
     *
     * @param
     */
    RestResult checkIotUserPass(IotUserWhitelistDto dto);


    /**
     * 添加userInfo
     *
     * @param
     */
    void sendUserInfoAddMq(Long userInfoId);

    /**
     * 修改userInfo
     *
     * @param
     */
    void sendUserInfoUpdateMq(Long userInfoId);

    /**
     * 删除userInfo
     *
     * @param
     */
    void sendUserInfoDelMq(String phone);
    RestResult<Boolean> userOepnJudgeUrl(UserOpenJudgeDto dto);
}
