package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.entity.DownFaceNew;
import com.yx.face.model.entity.TaskInfo;
import com.yx.face.model.vo.AutoTaskVO;

import java.util.List;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:任务处理
 * @date 2022/10/10
 **/
public interface TaskInfoService {
    Integer deleteBySN(String sn);

    RestResult<PageInfo<AutoTaskVO>> getByPage(RestDTO dto);

    RestResult<AutoTaskVO> getDetailById(Integer taskId);

    RestResult<Boolean> cancelTask(Integer taskId);

    List<TaskInfo> getOnlineTaskList(String sn);

    RestResult<Boolean> initIssueTaskId();
    /*离线任务-全量下发*/
    TaskInfo save(String sn, String body);
    /*离线任务-单个下发*/
    TaskInfo save(String sn, DownFaceNew downFace);
    /*离线任务-单个删除*/
    TaskInfo save(String sn, List<Long> userIds);
    /*离线任务-全量删除*/
    TaskInfo saveDevice(String sn, String faceDeviceTypeCode);
}
