package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.search.UserCattleDetail;
import com.yx.face.model.search.UserCattleSearch;
import com.yx.face.model.vo.FaceLogVO;
import com.yx.face.model.vo.UserCattleVO;

import java.util.List;

/**
 * <p>
 * 黄牛 服务类
 * </p>
 *
 * @author wxg
 * @since 2022-01-11
 */
public interface UserCattleService{
    /*
* 黄牛判定标准
* 同一个admin账号下，也就是同一个区级账号下，同一个人为非常客，缺在10天之内出现了5次及以上 便将此人信息加入到黄牛信息中
* 需要给前端提供的接口
* 1.分页查询
* 2.查看详情，即该用户的出入详情
* 3.添加如黑名单
*
*
* */
    /*
    * 黄牛列表分页
    * */
    PageInfo<UserCattleVO> getPageList(RestDTO<UserCattleSearch> dto);
    /*
    * 添加到黑名单
    * */
    Integer addBlack(Integer userCattleId);
    /*
    * 获取通行的详情列表
    * */
    List<FaceLogVO> getFaceLogList(UserCattleDetail userCattleDetail);
}
