package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.entity.UserVisitorList;
import com.yx.face.model.search.UserVisitorlistDetailSearch;
import com.yx.face.model.search.UserWhitelistSearch;
import com.yx.face.model.vo.UserVisitorListDetailPageVO;
import com.yx.face.model.vo.UserVisitorListVO;
import com.yx.face.model.vo.visitor.UserVisitorListDetailInfo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @description:
 * @ClassName UserWhitelistService
 * @Author WXG
 * @Date 2021/11/5 14:15
 */
public interface UserVisitorListService {

    PageInfo<UserVisitorListVO> getPageList(RestDTO<UserWhitelistSearch> dto);

    /**
     * 访客记录分页
     * @param dto
     * @return
     */
    PageInfo<UserVisitorListDetailPageVO> getDetailPageList(RestDTO<UserVisitorlistDetailSearch> dto);

    Integer addWhite(Integer id, Integer userId) throws Exception;

    Integer addBlack(Integer id ,Integer userId) throws Exception;

    /**
     * 批量转换成常客
     * @param userId
     * @return
     */
    Boolean addWhiteAll(Integer userId);

    Integer delete(Integer id);

    RestResult<String> addSingle(Integer userId, Integer id);

    /*访客导出列表*/
    List<UserVisitorListVO> userVisitorlistExcelOut(UserWhitelistSearch userWhitelistSearch);

    /**
     * 通过身份证查询访客信息
     * @param idNumber
     * @param adminId
     * @return
     */
    UserVisitorList selectByIdNumberAndAdminId(String idNumber, Integer adminId);

    /**
     * 通过手机号查询访客信息
     * @param phone
     * @param adminId
     * @return
     */
    UserVisitorList getByPhoneAndId(String phone, Integer adminId);

    /**
     * 访客记录详情
     * @param detailId
     * @return
     */
    UserVisitorListDetailInfo getDetailInfo(Integer detailId);

    UserVisitorList getByPhoneAndIdNumber(String idNumber, String phone, Integer adminId);
    UserVisitorList getUserVisitorList(String idNumber, String phone,String openId, Integer adminId);
    void excelOut(UserVisitorlistDetailSearch dto, HttpServletResponse response);
}
