package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.IssueAllDTO;
import com.yx.face.model.dto.UserWhitelistBatchDTO;
import com.yx.face.model.dto.UserWhitelistBatchDelDTO;
import com.yx.face.model.dto.UserWhitelistBatchDistributionDTO;
import com.yx.face.model.dto.UserWhitelistBatchUpdateDTO;
import com.yx.face.model.dto.UserWhitelistDTO;
import com.yx.face.model.entity.TaskInfo;
import com.yx.face.model.entity.UserWhitelist;
import com.yx.face.model.search.UserWhitelistSearch;
import com.yx.face.model.vo.UserWhitelistParentVO;
import com.yx.face.model.vo.UserWhitelistVO;

import java.util.Date;
import java.util.List;

/**
 * @description:
 * @ClassName UserWhitelistService
 * @Author WXG
 * @Date 2021/11/5 14:15
 */
public interface UserWhitelistService {
    /*
     * 增加常客
     * type = 1时为批量导入的时候
     * */
    UserWhitelist insert(UserWhitelistDTO userWhitelistDTO, Integer type) throws Exception;

    /*
     * 修改常客
     * */
    UserWhitelist update(UserWhitelistDTO userWhitelistDTO);

    /*
     * 删除常客
     * */
    Integer delete(Integer id, Integer adminId);

    /*
     * 获取常客列表分页
     * */
    PageInfo<UserWhitelistVO> getPageList(RestDTO<UserWhitelistSearch> dto);

//    RestResult<List<String>> uploadUserWhitelistExcel(List<Map<String, String>> list, Integer adminId);

    RestResult<String> addSnIssued(IssueAllDTO dto);

    RestResult<String> addSnIssued(IssueAllDTO dto, TaskInfo taskInfo);

    RestResult<String> addSingle(Integer id, Date startTime, Date endTime);

    Integer deleteAll(Integer adminId);

    Boolean whiteVisitorType(Integer adminId);

    void addSingleWhite(UserWhitelist userWhitelist, int i, Integer source);

    /*常客excel导出*/
    List<UserWhitelistVO> userWhitelistExcelOut(UserWhitelistSearch userWhitelistSearch);

    /**
     * 通过身份证查询常客信息
     *
     * @param idNumber
     * @param o
     * @param adminId
     * @return
     */
    UserWhitelist getByIdNumberAndId(String idNumber, Object o, Integer adminId);

    /**
     * 通过手机号查询常客信息
     *
     * @param phone
     * @param o
     * @param adminId
     * @return
     */
    UserWhitelist getByPhoneAndId(String phone, Object o, Integer adminId);

    /**
     * 获取常客信息
     *
     * @param id
     * @return
     */
    UserWhitelist getOne(Integer id);

    UserWhitelist getUserWhitelist(String idNumber, String phone, String cardIdEx, Integer adminId);

    RestResult<UserWhitelistParentVO> getParentInfo(Integer userWhitelistId);

    RestResult<String> batchEditUserWhitelist(UserWhitelistBatchDTO dto);

    /**
     * 根据主键 批量编辑
     *
     * @param userWhitelistDTO
     * @return
     */
    Integer batchUpdate(UserWhitelistBatchUpdateDTO userWhitelistDTO);

    /**
     * 批量删除
     *
     * @param dto
     * @return
     */
    Integer batchDelete(UserWhitelistBatchDelDTO dto);

    /**
     * 批量下发用户数据
     *
     * @param dto
     * @return
     */
    RestResult<String> batchDistribution(UserWhitelistBatchDistributionDTO dto);

}
