package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.api.district.OpenDistrictDeleteResponse;
import com.yx.face.model.entity.ZoneDeviceR;
import com.yx.face.model.vo.third.ZoneDeviceRDto;
import com.yx.face.model.vo.third.ZoneDeviceRPageReq;
import com.yx.face.model.vo.third.ZoneSnReq;

import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.service
 * @class ZoneDeviceRService
 * @date 2023/7/5 上午11:14
 * @description
 */
public interface ZoneDeviceRService {

    /**
     * 添加/编辑区域
     *
     * @param zoneDeviceRDto
     */
    Integer create(ZoneDeviceRDto zoneDeviceRDto);


    /**
     * 删除区域
     *
     * @param id
     */
    void delete(Integer id);

    /**
     * 删除区域设备
     *
     * @param zoneId
     * @param sn
     */
    void deleteSn(Integer zoneId, String sn);

    /**
     * 获取区域列表
     *
     * @param dto
     * @return
     */
    PageInfo<ZoneDeviceRDto> page(RestDTO<ZoneDeviceRPageReq> dto);

    /**
     * 获取区域列表
     *
     * @param adminId
     * @return
     */
    List<ZoneDeviceRDto> list(Integer adminId);

    /**
     * 根据sn获取绑定区域
     *
     * @param adminId
     * @param sn
     * @return
     */
    Integer getZoneIdBySn(Integer adminId, String sn);

    /**
     * 获取设备列表
     *
     * @param dto
     * @return
     */
    List<String> snList(ZoneSnReq dto);

    List<OpenDistrictDeleteResponse> delete(List<Integer> idList, Integer adminId);

    List<ZoneDeviceR> query(ZoneDeviceRDto dto);
}
