package com.yx.face.service.excel;/*
 * @Description
 * @Date 2022/5/13 13:38
 * @Author wxg
 * */

import cn.hutool.core.date.DateUtil;
import com.yx.face.model.dto.issue.IssueDeviceItemVo;
import com.yx.face.model.entity.WarningLog;
import com.yx.face.model.enums.issue.IssueStatusEnum;
import com.yx.face.model.vo.ContextVO;
import com.yx.face.model.vo.UserVisitorListVO;
import com.yx.face.model.vo.UserWhitelistVO;
import org.apache.poi.hssf.usermodel.*;

import javax.validation.constraints.NotNull;
import java.io.OutputStream;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class ExcelOperation {
    public static void onlineOrderExcelOutPut(List<UserWhitelistVO> list, OutputStream out) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        // 第一步，创建一个webbook，对应一个Excel文件
        HSSFWorkbook wb = new HSSFWorkbook();
        // 第二步，在webbook中添加一个sheet,对应Excel文件中的sheet
        HSSFSheet sheet = wb.createSheet("常客列表.xlsx");
        HSSFRow row = null;

        Integer custome = 0;//自定义字段数量
        // 第五步，写入实体数据 实际应用中这些数据从数据库得到
        List<String> customNameList = new ArrayList<>();
        for (int i = 0; i < list.size(); i++) {
            row = sheet.createRow(i + 1);
            UserWhitelistVO uw = list.get(i);
            row.createCell(0).setCellValue(uw.getName() == null ? "" : uw.getName());
            row.createCell(1).setCellValue(uw.getPhone() == null ? "" : uw.getPhone());
            row.createCell(2).setCellValue(uw.getIdNumber() == null ? "" : uw.getIdNumber());
            row.createCell(3).setCellValue(uw.getAvatar() == null ? "" : uw.getAvatar());
            row.createCell(4).setCellValue(uw.getProvinceName() == null ? "" : uw.getProvinceName());
            row.createCell(5).setCellValue(uw.getCityName() == null ? "" : uw.getCityName());
            row.createCell(6).setCellValue(uw.getAreaName() == null ? "" : uw.getAreaName());
            row.createCell(7).setCellValue(uw.getStreetName() == null ? "" : uw.getStreetName());
            row.createCell(8).setCellValue(uw.getAddress() == null ? "" : uw.getAddress());
            row.createCell(9).setCellValue(uw.getUsername() == null ? "" : uw.getUsername());
            row.createCell(10).setCellValue(uw.getStatus() == 1 ? "已认证" : "未认证");
            row.createCell(11).setCellValue(uw.getInputType() == null ? "" : (uw.getInputType() == 1 ? "常客录入" : "人工录入"));
            row.createCell(12).setCellValue(uw.getCreateTime() == null ? "" : sdf.format(uw.getCreateTime()));
            row.createCell(13).setCellValue(uw.getCardIdEx() == null ? "" : uw.getCardIdEx());

            Integer size = 14;
            List<ContextVO> contents = uw.getContents();
            if (contents != null && contents.size() > custome) custome = contents.size();
            if (contents != null) {
                for (int i1 = 0; i1 < contents.size(); i1++) {
                    ContextVO contextVO = contents.get(i1);
                    row.createCell(size + i1).setCellValue(contextVO.getCustomNameVal() == null ? "" : contextVO.getCustomNameVal());
                }
                if (i == 0) {
                    for (int i1 = 0; i1 < contents.size(); i1++) {
                        ContextVO contextVO = contents.get(i1);
                        customNameList.add(contextVO.getCustomName());
                    }
                }
            }

        }
        row = sheet.createRow(0);
        String[] colunmArray = new String[]
                {"姓名", "手机号", "身份证号", "照片", "省", "市", "区", "街道", "详细地址", "所属组织", "认证状态", "认证类型", "创建时间", "物理卡号"};
        List<String> collect = Arrays.stream(colunmArray).collect(Collectors.toList());
        collect.addAll(customNameList);
        for (int i = 0; i < collect.size(); i++) {
            HSSFCell cell = row.createCell(i);
            cell.setCellValue(collect.get(i));
        }

        try {
            wb.write(out);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void userVisitorlistExcelOut(List<UserVisitorListVO> list, OutputStream out) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        // 第一步，创建一个webbook，对应一个Excel文件
        HSSFWorkbook wb = new HSSFWorkbook();
        // 第二步，在webbook中添加一个sheet,对应Excel文件中的sheet
        HSSFSheet sheet = wb.createSheet("访客列表.xlsx");
        HSSFRow row = null;

        Integer custome = 0;//自定义字段数量
        // 第五步，写入实体数据 实际应用中这些数据从数据库得到
        List<String> customNameList = new ArrayList<>();
        for (int i = 0; i < list.size(); i++) {
            row = sheet.createRow(i + 1);
            UserVisitorListVO uw = list.get(i);
            row.createCell(0).setCellValue(uw.getName() == null ? "" : uw.getName());
            row.createCell(1).setCellValue(uw.getPhone() == null ? "" : uw.getPhone());
            row.createCell(2).setCellValue(uw.getIdNumber() == null ? "" : uw.getIdNumber());
            row.createCell(3).setCellValue(uw.getAvatar() == null ? "" : uw.getAvatar());
            HSSFCell cell = row.createCell(4);
            if (uw.getPushType() != null) {
                Integer pushType = uw.getPushType();
                if (pushType == 0) cell.setCellValue("小程序");
                else if (pushType == 1) cell.setCellValue("初次添加");
                else if (pushType == 2) cell.setCellValue("人工录入");
                else if (pushType == 3) cell.setCellValue("访客机");
                else cell.setCellValue("");
            }
            row.createCell(5).setCellValue(uw.getCreateTime() == null ? "" : sdf.format(uw.getCreateTime()));
            //以下是访客机字段
            row.createCell(6).setCellValue(uw.getCompany() == null ? "" : uw.getCompany());
            row.createCell(7).setCellValue(uw.getTemperature() == null ? "" : uw.getTemperature());
            row.createCell(8).setCellValue(uw.getCarno() == null ? "" : uw.getCarno());
            row.createCell(9).setCellValue(uw.getReason() == null ? "" : uw.getReason());
            row.createCell(10).setCellValue(uw.getTime() == null ? "" : uw.getTime());
            row.createCell(11).setCellValue(uw.getOrg() == null ? "" : uw.getOrg());
            row.createCell(12).setCellValue(uw.getVisiteeCompany() == null ? "" : uw.getVisiteeCompany());
            row.createCell(13).setCellValue(uw.getVisiteeXm() == null ? "" : uw.getVisiteeXm());
            row.createCell(14).setCellValue(uw.getVisiteeBm() == null ? "" : uw.getVisiteeBm());
            row.createCell(15).setCellValue(uw.getVisiteeRoom() == null ? "" : uw.getVisiteeRoom());
            row.createCell(16).setCellValue(uw.getPcsdm() == null ? "" : uw.getPcsdm());
            row.createCell(17).setCellValue(uw.getPcsname() == null ? "" : uw.getPcsname());
            row.createCell(18).setCellValue(uw.getMachineId() == null ? "" : uw.getMachineId());
            Integer size = 19;
            List<ContextVO> contents = uw.getContents();
            if (contents != null && contents.size() > custome) custome = contents.size();
            if (contents != null) {
                for (int i1 = 0; i1 < contents.size(); i1++) {
                    ContextVO contextVO = contents.get(i1);
                    row.createCell(size + i1).setCellValue(contextVO.getCustomNameVal() == null ? "" : contextVO.getCustomNameVal());
                }
                if (i == 0) {
                    for (int i1 = 0; i1 < contents.size(); i1++) {
                        ContextVO contextVO = contents.get(i1);
                        customNameList.add(contextVO.getCustomName());
                    }
                }
            }


        }
        row = sheet.createRow(0);
        String[] colunmArray = new String[]
                {"姓名", "手机号", "身份证号", "照片", "认证类型", "创建时间",
                        "来访单位", "体温", "车牌号码", "访问事由", "来访时间", "访客机所在的使用单位",
                        "受访人的单位名称", "受访人姓名", "受访人部门", "受访人单位的房间号", "派出所代码", "派出所名称", "访客机编号"};
        List<String> collect = Arrays.stream(colunmArray).collect(Collectors.toList());
        collect.addAll(customNameList);
        for (int i = 0; i < collect.size(); i++) {
            HSSFCell cell = row.createCell(i);
            cell.setCellValue(collect.get(i));
        }

        try {
            wb.write(out);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void InoutLogExcelOut(List<WarningLog> list, OutputStream out) {
        // 第一步，创建一个webbook，对应一个Excel文件
        HSSFWorkbook wb = new HSSFWorkbook();
        // 第二步，在webbook中添加一个sheet,对应Excel文件中的sheet
        HSSFSheet sheet = wb.createSheet("校门进出记录列表.xlsx");
        HSSFRow row = null;

        Integer custome = 0;//自定义字段数量
        // 第五步，写入实体数据 实际应用中这些数据从数据库得到
        List<String> customNameList = new ArrayList<>();
        for (int i = 0; i < list.size(); i++) {
            row = sheet.createRow(i + 1);
            WarningLog item = list.get(i);
            row.createCell(0).setCellValue(item.getDeviceSn() == null ? "" : item.getDeviceSn());
            row.createCell(1).setCellValue(item.getFaceDeviceName() == null ? "" : item.getFaceDeviceName());
            row.createCell(2).setCellValue(item.getFaceDeviceTypeName() == null ? "" : item.getFaceDeviceTypeName());
            row.createCell(3).setCellValue(item.getUsername() == null ? "" : item.getUsername());
            row.createCell(4).setCellValue(item.getName() == null ? "" : item.getName());
            row.createCell(5).setCellValue(item.getPhoto() == null ? "" : item.getPhoto());
            row.createCell(6).setCellValue(item.getPhone() == null ? "" : item.getPhone());
            row.createCell(7).setCellValue(item.getCardid() == null ? "" : item.getCardid());
            row.createCell(8).setCellValue(item.getCardIdEx() == null ? "" : item.getCardIdEx());
            String outTypeString = getString(item.getOutType());
            row.createCell(10).setCellValue(outTypeString);
            String verifyTypeString = getVerifyTypeString(item.getVerifyType());
            row.createCell(11).setCellValue(verifyTypeString);
            row.createCell(12).setCellValue(item.getFaceTime() == null ? "" : DateUtil.formatDate(item.getFaceTime()));
            row.createCell(13).setCellValue(item.getWarningMsg() == null ? "" : item.getWarningMsg());
            row.createCell(14).setCellValue(item.getRemark() == null ? "" : item.getRemark());
        }
        row = sheet.createRow(0);
        String[] colunmArray = new String[]
                {"设备编号", "设备地点", "设备类型", "所属账号", "姓名", "照片", "手机号", "身份证号", "卡号", "人员类型", "进/出", "验证类型", "通行时间", "预警原因", "备注"};
        List<String> collect = Arrays.stream(colunmArray).collect(Collectors.toList());
        collect.addAll(customNameList);
        for (int i = 0; i < collect.size(); i++) {
            HSSFCell cell = row.createCell(i);
            cell.setCellValue(collect.get(i));
        }

        try {
            wb.write(out);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @NotNull
    private static String getVerifyTypeString(Integer verifyType) {
        String verifyTypeString = "";
        if (verifyType != null) {
            if (verifyType == 0) {
                verifyTypeString = "人脸";
            } else if (verifyType == 1) {
                verifyTypeString = "卡";
            } else if (verifyType == 2) {
                verifyTypeString = "身份证";
            } else if (verifyType == 3) {
                verifyTypeString = "二维码";
            } else if (verifyType == 4) {
                verifyTypeString = "远程";
            } else if (verifyType == 6) {
                verifyTypeString = "IC卡+人脸";
            } else {
                verifyTypeString = "未知";
            }
        }
        return verifyTypeString;
    }

    @NotNull
    private static String getString(Integer outType) {
        String outTypeString = "";
        if (outType != null) {
            if (outType == 0) {
                outTypeString = "通用";
            } else if (outType == 1) {
                outTypeString = "进门";
            } else if (outType == 2) {
                outTypeString = "出门";
            } else {
                outTypeString = "未知";
            }
        }
        return outTypeString;
    }

    public static void issueItemExcelOutPut(List<IssueDeviceItemVo> list, OutputStream out) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        // 第一步，创建一个webbook，对应一个Excel文件
        HSSFWorkbook wb = new HSSFWorkbook();
        // 第二步，在webbook中添加一个sheet,对应Excel文件中的sheet
        HSSFSheet sheet = wb.createSheet("下发详情");
        HSSFRow row = null;
        // 第五步，写入实体数据 实际应用中这些数据从数据库得到
        List<String> customNameList = new ArrayList<>();
        for (int i = 0; i < list.size(); i++) {
            row = sheet.createRow(i + 1);
            IssueDeviceItemVo uw = list.get(i);
            row.createCell(0).setCellValue(uw.getPhoto() == null ? "" : uw.getPhoto());
            row.createCell(1).setCellValue(uw.getUserName() == null ? "" : uw.getUserName());
            row.createCell(2).setCellValue(uw.getPhone() == null ? "" : uw.getPhone());
            row.createCell(3).setCellValue(uw.getIdNumber() == null ? "" : uw.getIdNumber());
            row.createCell(4).setCellValue(uw.getCardIdEx() == null ? "" : uw.getCardIdEx());
            row.createCell(5).setCellValue(uw.getUserType() == null ? "" : uw.getUserType().intValue() == 104 ? "访客" : uw.getUserType().intValue() == 105 ? "常客" : null);
            row.createCell(6).setCellValue(uw.getStartTime() == null ? "" : sdf.format(uw.getStartTime()));
            row.createCell(7).setCellValue(uw.getEndTime() == null ? "" : sdf.format(uw.getEndTime()));
            row.createCell(8).setCellValue(uw.getIssueTime() == null ? "" : sdf.format(uw.getIssueTime()));
            row.createCell(9).setCellValue(uw.getIssueStatus() == null ? "" : IssueStatusEnum.getByCode(uw.getIssueStatus()).getDesc());
            row.createCell(10).setCellValue(uw.getRemarks() == null ? "" : uw.getRemarks());
        }
        row = sheet.createRow(0);
        String[] colunmArray = new String[]{"照片", "姓名", "手机号", "身份证号", "卡号", "人员类型", "有效期开始时间", "有效期结束时间", "下发时间", "下发状态", "备注"};
        List<String> collect = Arrays.stream(colunmArray).collect(Collectors.toList());
        collect.addAll(customNameList);
        for (int i = 0; i < collect.size(); i++) {
            HSSFCell cell = row.createCell(i);
            cell.setCellValue(collect.get(i));
        }
        try {
            wb.write(out);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
