package com.yx.face.service.handle.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.ShortTermDTO;
import com.yx.face.model.vo.health.HealtCodeUserVO;
import com.yx.face.service.FaceTBService;
import com.yx.face.service.handle.HandleDeviceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import javax.annotation.Resource;
import java.util.*;

/**
 * @author lejingjing
 * @version 1.0
 * @Description:
 * @date 2022/11/22
 **/
@Slf4j
@Service
public class HandleDeviceServiceImpl implements HandleDeviceService {

    private static String appKey = "6f32f95d52c04eb6851b8b0e1a3155ad";

    @Value("${handle.queryHealthCodeURL}")
    private String queryHealthCodeUrl;

    @Resource
    private RestTemplate restTemplate;

    @Resource
    private FaceTBService faceTBService;

    @Resource
    private RabbitTemplate rabbitTemplate;

    @Override
    public HealtCodeUserVO queryHealthCode(ShortTermDTO shortTermDTO) {
        shortTermDTO.setToken("hh_" + appKey);
        RestResult response = restTemplate.postForObject(queryHealthCodeUrl, shortTermDTO, RestResult.class);
        log.info("==========手持终端查询健康码返回结果:{}", JSONObject.toJSONString(response));
        HealtCodeUserVO healtCodeUserVO = JSON.parseObject(JSONObject.toJSONString(response.getData()),HealtCodeUserVO.class);
        return healtCodeUserVO;
    }

    @Override
    public Map<String, Object> pushPassRecords(Map<String, Object> dto) {
        log.info("==========手持终端上报通行记录==========");
        rabbitTemplate.convertAndSend("faceLogQueue", dto);
        return faceTBService.eventRecords(dto);
    }

    @Override
    public Map<String, Object> heartBeat(Map<String, Object> dto) {
        log.info("==========手持终端上报设备信息==========");
        return faceTBService.report(dto);
    }
}