package com.yx.face.service.impl;

import com.yx.face.boot.uitls.Preconditions;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * @author shisl
 * @package com.yx.face.service.impl
 * @class BaseService
 * @date 2023/7/27 下午1:09
 * @description
 */
@Slf4j
@Service
public class BaseService {

    //2188
    @Value("${alipay.open.api.appid}")
    private String appId2188;
    @Value("${alipay.open.api.componentOutId}")
    private String componentOutId2188;
    @Value("${alipay.open.api.isvPid}")
    private String isvPid2188;
    @Value("${alipay.open.api.orgOutId}")
    private String orgOutId2188;

    //2189
    @Value("${alipay.open.api.appId2189}")
    public String appId2189;
    @Value("${alipay.open.api.componentOutId2189}")
    private String componentOutId2189;
    @Value("${alipay.open.api.isvPid2189}")
    private String isvPid2189;
    @Value("${alipay.open.api.orgOutId2189}")
    private String orgOutId2189;
    @Value("${alipay.open.api.componentOutIdScenic}")
    private String componentOutIdScenic;

    @Value("${alipay.open.api.iotvspDomain}")
    public String iotvspDomain;
    @Value("${alipay.open.api.iotvspGroupIdQueryUri}")
    public String iotvspGroupIdQueryUri;
    @Value("${alipay.open.api.iotvspUserstateQueryUri}")
    public String iotvspUserstateQueryUri;
    @Value("${alipay.open.api.iotvspUserDeleteUri}")
    public String iotvspUserDeleteUri;
    @Value("${alipay.open.api.iotvspUserwithvidCreateUri}")
    public String iotvspUserwithvidCreateUri;
    @Value("${alipay.open.api.iotvspUserWithoutImageCreateUri}")
    public String iotvspUserWithoutImageCreateUri;

    @Value("${alipay.open.api.key8SignUri}")
    public String key8SignUri;

    @Value("${alipay.open.api.appKeyScenic}")
    public String appKeyScenic;
    @Value("${alipay.open.api.appSecretScenic}")
    public String appSecretScenic;
    @Value("${alipay.open.api.privateKeyScenic}")
    public String privateKeyScenic;

    //易行智慧校园
    @Value("${alipay.open.api.appId5069}")
    public String appId5069;
    @Value("${alipay.open.api.componentOutId5069}")
    private String componentOutId5069;
    @Value("${alipay.open.api.isvPid5069}")
    private String isvPid5069;
    @Value("${alipay.open.api.orgOutId5069}")
    private String orgOutId5069;

    /**
     * 获取isv信息参数
     *
     * @param appId
     * @return
     */
    public IsvInfo getIsvInfo(String appId) {
        IsvInfo isvInfo = new IsvInfo(componentOutId2188, isvPid2188, orgOutId2188, componentOutIdScenic);
        if (Preconditions.isBlank(appId) || appId2188.equals(appId)) {
            return isvInfo;
        }

        if (appId2189.equals(appId)) {
            isvInfo = new IsvInfo(componentOutId2189, isvPid2189, orgOutId2189, componentOutIdScenic);
        }

        if (appId5069.equals(appId)) {
            isvInfo = new IsvInfo(componentOutId5069, isvPid5069, orgOutId5069, componentOutIdScenic);
        }
        return isvInfo;
    }

    @Data
    @AllArgsConstructor
    public class IsvInfo {
        private String componentOutId;
        private String isvPid;
        private String orgOutId;
        private String componentOutIdScenic;
    }

}
