package com.yx.face.service.impl;

import com.github.pagehelper.PageHelper;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResponse;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.boot.restful.ServiceException;
import com.yx.face.dao.BussinessNumberDao;
import com.yx.face.model.dto.BussinessNumberDTO;
import com.yx.face.model.entity.BussinessNumber;
import com.yx.face.model.excel.BussinessNubmerExcel;
import com.yx.face.model.search.BussinessNumberSearch;
import com.yx.face.model.vo.AdminVO;
import com.yx.face.model.vo.BussinessNumberVO;
import com.yx.face.service.AdminService;
import com.yx.face.service.BussinessNumberService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wxg
 * @since 2022-03-17
 */
@Service
public class BussinessNumberServiceImpl implements BussinessNumberService {

    @Resource
    private BussinessNumberDao bussinessNumberDao;
    @Resource
    private AdminService adminService;

    @Override
    public Integer edit(BussinessNumberDTO bussinessNumberDTO) {
        BussinessNumber bussinessNumber = new BussinessNumber();
        AdminVO info = adminService.getInfo();
        if(info.getType() == 5) {//区级账号
            bussinessNumber.setAdminId(info.getAdminId());
        }else {
            if(bussinessNumberDTO.getAdminId() == null)throw new ServiceException("非区级账号添加时，账号Id不能为空");
            AdminVO adminVO = adminService.showDataGetInfo(bussinessNumberDTO.getAdminId());
            if(adminVO.getType() != 5)throw new ServiceException("只能添加到区级账号下");
            bussinessNumber.setAdminId(bussinessNumberDTO.getAdminId());
        }
        bussinessNumber.setUpdateTime(new Date());
        bussinessNumber.setBussinessNumber(bussinessNumberDTO.getBussinessNumber() == null?"":bussinessNumberDTO.getBussinessNumber());
        if(bussinessNumberDTO.getId() == null){
            bussinessNumber.setCreateTime(new Date());
            return bussinessNumberDao.insertSelective(bussinessNumber);
        }else {
            bussinessNumber.setId(bussinessNumberDTO.getId());
            return bussinessNumberDao.updateByPrimaryKeySelective(bussinessNumber);
        }
    }

    @Override
    public Integer delete(Integer bussinessNumberId) {
        return bussinessNumberDao.deleteByPrimaryKey(bussinessNumberId);
    }

    @Override
    public List<BussinessNumberVO> getPageList(RestDTO<BussinessNumberSearch> dto) {
        AdminVO info = adminService.getInfo();
        Map<String, Object> map = new HashMap<>();
        map.put("adminVO", info);
        map.put("bns", dto.getData());
        PageHelper.startPage(dto.getPageNum(), dto.getPageSize());
        List<BussinessNumberVO> list = bussinessNumberDao.getPageList(map);
        return list;
    }

    @Override
    public List<BussinessNumberVO> getList() {
        AdminVO info = adminService.getInfo();
        Map<String, Object> map = new HashMap<>();
        map.put("adminVO", info);
        List<BussinessNumberVO> list = bussinessNumberDao.getList(map);
        return list;
    }

    @Override
    public List<BussinessNumberVO> getListByAdminId(Integer adminId) {
        return bussinessNumberDao.getListByAdminId(adminId);
    }

    @Override
    public RestResult<List<String>> uploadBussinessNumberExcel(List<Object> datas ,Integer adminId) {
        List<String> list = new ArrayList<>();
        for (int i = 0; i < datas.size(); i++) {
            BussinessNubmerExcel bussinessNubmerExcel = (BussinessNubmerExcel) datas.get(i);
            try {
                BussinessNumberDTO bussinessNumberDTO = new BussinessNumberDTO();
                if (bussinessNubmerExcel.getBussinessNumber() == null) throw new ServiceException("第" + (i + 2) + "行,商户号不能为空");

                bussinessNumberDTO.setBussinessNumber(bussinessNumberDTO.getBussinessNumber());
                bussinessNumberDTO.setAdminId(adminId);
                try {
                    this.edit(bussinessNumberDTO);
                } catch (Exception e) {
                    e.printStackTrace();
                    throw new ServiceException("第" + (i + 2) + "行," + e.getMessage());
                }
            } catch (ServiceException e) {
                list.add(e.getMessage());
                continue;
            }
        }
        return RestResponse.ok(list);
    }
}
