package com.yx.face.service.impl;

import com.alibaba.fastjson.JSON;
import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.dao.FaceDeviceDao;
import com.yx.face.dao.HealthCodeDao;
import com.yx.face.model.dto.CheckUserBlackListDTO;
import com.yx.face.model.entity.HealthCode;
import com.yx.face.model.entity.UserBlackList;
import com.yx.face.service.HealthCodeService;
import com.yx.face.service.UserBlackListService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;


/**
 * @description: (HealthCode)表服务实现类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-07 06:26:53 <br>
 */

@Service
@Slf4j
public class HealthCodeServiceImpl implements HealthCodeService {
    @Resource
    private HealthCodeDao healthCodeDao;

    @Resource
    private UserBlackListService userBlackListService;

    @Resource
    private FaceDeviceDao faceDeviceDao;
    @Override
    public Boolean addMessage(String param) {
        HealthCode code = new HealthCode();
        code.setParams(param);
        code.setCreateTime(new Date());
        return healthCodeDao.insertSelective(code) == 1;
    }

    @Override
    public PageInfo<HealthCode> getHealthCodeList(RestDTO dto) {
        return new PageInfo<>(healthCodeDao.selectAll());
    }

    @Override
    public Boolean checkUserBlackList(CheckUserBlackListDTO checkUserBlackListDTO) {
        log.info("黑名单查询数据{}", JSON.toJSONString(checkUserBlackListDTO));
        if(checkUserBlackListDTO != null){
            Integer adminId = faceDeviceDao.getAdminIdBySn(checkUserBlackListDTO.getSn());
            if(adminId != null){
                UserBlackList userBlackList = userBlackListService.getByPhoneAndIdNumber(checkUserBlackListDTO.getIdNumber(),null,adminId);
                if(userBlackList != null){
                    return false;
                }
            }
        }
        return true;
    }
}

