package com.yx.face.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.uitls.SMSOrIdCardUtils;
import com.yx.face.dao.PlaceRecordDao;
import com.yx.face.model.dto.PlaceRecordPageDTO;
import com.yx.face.model.vo.AdminVO;
import com.yx.face.model.vo.PlaceRecordVO;
import com.yx.face.service.AdminService;
import com.yx.face.service.PlaceRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 场所记录表 服务实现类
 *
 * @author lileilei
 * @since 2022-06-22
 */
@Service
public class PlaceRecordServiceImpl implements PlaceRecordService {
    @Autowired
    private PlaceRecordDao placeRecordDao;
    @Autowired
    private AdminService adminService;

    @Override
    public PageInfo<PlaceRecordVO> getPageList(RestDTO<PlaceRecordPageDTO> dto) {
        //查询条件
        PlaceRecordPageDTO data = dto.getData();
        //查询当前账户信息
        AdminVO info = adminService.getInfo();
        PageHelper.startPage(dto.getPageNum(), dto.getPageSize());
        List<PlaceRecordVO> list = placeRecordDao.selectListBySearch(data, info);
        list.forEach(v -> {
            //脱敏姓名
            v.setName(SMSOrIdCardUtils.hideName(v.getName()));
            //脱敏身份证号
            v.setIdNumber(SMSOrIdCardUtils.hideIdNumber(v.getIdNumber()));
            //脱敏场所码地址
            v.setAddressCode(SMSOrIdCardUtils.hideAddressCode(v.getAddressCode()));
        });
        return new PageInfo<>(list);
    }
}
