package com.yx.face.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.lang.Validator;
import cn.hutool.core.lang.generator.SnowflakeGenerator;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.crypto.SecureUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.google.common.collect.Maps;
import com.yx.face.boot.component.aop.MyAnnotation;
import com.yx.face.boot.core.Constants;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.boot.restful.ServiceException;
import com.yx.face.boot.uitls.*;
import com.yx.face.dao.*;
import com.yx.face.model.dto.fkj.*;
import com.yx.face.model.entity.*;
import com.yx.face.model.enums.AdminTypeEnum;
import com.yx.face.model.enums.FkjBaseActionEnum;
import com.yx.face.model.enums.VisitingTypeEnum;
import com.yx.face.model.vo.AdminVO;
import com.yx.face.model.vo.FaceDeviceLessVO;
import com.yx.face.model.vo.fkj.CodeOpenCodeJudgeVo;
import com.yx.face.model.vo.fkj.CodeOpenJudgeVo;
import com.yx.face.model.vo.fkj.FkjBaseVo;
import com.yx.face.model.vo.fkj.FkjCommonCodeVo;
import com.yx.face.model.vo.fkj.VisitorCodeCheckVo;
import com.yx.face.model.vo.third.VisitorReportPageVo;
import com.yx.face.model.vo.third.VisitorReportVo;
import com.yx.face.service.AdminService;
import com.yx.face.service.BaiDuFaceService;
import com.yx.face.service.FaceTBService;
import com.yx.face.service.SpiIotUserWhitelistService;
import com.yx.face.service.ThirdFaceService;
import com.yx.face.service.UserBlackListService;
import com.yx.face.service.UserInfoService;
import com.yx.face.service.UserVisitorListService;
import com.yx.face.service.UserWhitelistService;
import com.yx.face.service.fkj.FkjService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;
import tk.mybatis.mapper.entity.Example;
import tk.mybatis.mapper.weekend.WeekendSqls;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.*;
import java.util.concurrent.Executor;
import java.util.concurrent.TimeUnit;
import java.util.stream.Collectors;

import static com.yx.face.model.enums.FkjBaseActionEnum.*;

/**
 * @description:
 * @ClassName ThirdFaceServiceImpl
 * @Author WXG
 * @Date 2022/4/7 12:54
 */
@Service
@Slf4j
public class ThirdFaceServiceImpl implements ThirdFaceService {

    @Resource
    private FaceDeviceDao faceDeviceDao;
    @Resource
    private UserInfoDao userInfoDao;
    @Resource
    private UserInfoService userInfoService;
    @Resource
    private UserWhitelistService userWhitelistService;
    @Resource
    private UserVisitorListDao userVisitorListDao;
    @Resource
    private UserVisitorListService userVisitorListService;
    @Resource
    private UserVisitorListDetailDao userVisitorListDetailDao;
    @Resource
    private UserBlackListService userBlackListService;
    @Resource
    private UserWhiteListDetailDao userWhiteListDetailDao;
    @Resource
    private FaceTBService faceTBService;
    @Resource
    private UserWhitelistDao userWhitelistdao;
    @Autowired
    private Executor executor;
    @Autowired
    private AdminService adminService;
    @Resource
    private AdminDao adminDao;
   

    @Resource
    private SpiIotUserWhitelistService spiIotUserWhitelistService;

    @Resource
    private FkjService fkjService;

    @Resource
    private BaiDuFaceService baiDuFaceService;

    @Resource
    private RedisUtil redisUtil;
    @Resource
    private UserWhitelistDao userWhitelistDao;

    @Resource
    private ZoneDeviceRDao zoneDeviceRDao;

    @Override
    @Transactional
    public synchronized Map<String, Object> visitorRecords(Map<String, Object> param) {
        log.info("开始——第三方访客登记");
        log.info("访客登记信息推送入参:{}", JSON.toJSONString(param));
        String msg = "OK";
        Map<String, Object> result = Maps.newHashMapWithExpectedSize(2);
        result.put("errcode", "0");
        String key = "repeat_submit:visitorRecords:" + SecureUtil.md5(String.format("%s", JSONObject.toJSONString(param)));
        //加锁
        boolean res = redisUtil.setIfAbsent(key, "1", 1, TimeUnit.SECONDS);
        if (!res) {
            log.error("---->禁止重复提交");
            msg = "1秒内禁止重复提交";
            result.put("errmsg", msg);
            return result;
        }
        String name = "";//姓名
        String phone = "";//手机号
        String idNumber = "";//身份证
        String image = "";//图片
        String sn = "";//设备编号
        String company = "";//来访单位
        String carNo = "";//车牌号码，可选
        String reason = "";//访问事由
        String numPeoples = "";//人数
        String hasIdCard = "";// 是否携带身份证
        String healthCode = "";//健康码
        String vaccineNum = "";//疫苗针数，可能是空字符串，或 “1”、“2”
        String temperaTure = "";//体温
        String visiTeeXm = "";//受访人姓名
        String visiTeeBm = "";//受访人部门
        String visiTeeCompany = "";//受访人的单位名称
        String visiTeeRoom = "";//受访人单位的房间号
        String pcsdm = "";//派出所代码（新增） 如：330104502
        String pcsname = "";//派出所名称（新增），如：采荷派出所
        String xp = "";//身份证（或公安网）相片，base64编码
        String sceneXp = "";//现场采集照片，base64编码
        String time = "";//来访时间，格式 2019-04-03 12:00:00
        String org = "";//访客机所在的使用单位如：浙江杭州上城区A单位
        String door = "";//门向，如东门、西门等
        String visiteePhone = "";//受访人电话，李工版本没有该参数，我们自己写的访客机才有

        //TODO。。。
        String floor = "";//楼层

        if (param.get("xm") != null) {
            name = param.get("xm").toString();
        }
        if (param.get("phone") != null) {
            phone = param.get("phone").toString();
        }
        if (param.get("sfzh") != null) {
            idNumber = param.get("sfzh").toString();
        }
//        if (param.get("scene_xp") != null) {
//            image = param.get("scene_xp").toString();
//        }
        if (param.get("machine_id") != null) {
            sn = param.get("machine_id").toString();

        }
        if (param.get("company") != null) {
            company = param.get("company").toString();
        }
        if (param.get("carno") != null) {
            carNo = param.get("carno").toString();
        }
        if (param.get("reason") != null) {
            reason = param.get("reason").toString();
        }
        if (param.get("num_peoples") != null) {
            numPeoples = param.get("num_peoples").toString();
        }
        if (param.get("has_idcard") != null) {
            hasIdCard = param.get("has_idcard").toString();
        }
        if (param.get("health_code") != null) {
            healthCode = param.get("health_code").toString();
        }
        if (param.get("vaccine_num") != null) {
            vaccineNum = param.get("vaccine_num").toString();
        }
        if (param.get("temperature") != null) {
            temperaTure = param.get("temperature").toString();
        }
        if (param.get("visitee_xm") != null) {
            visiTeeXm = param.get("visitee_xm").toString();
        }
        if (param.get("visitee_bm") != null) {
            visiTeeBm = param.get("visitee_bm").toString();
        }
        if (param.get("visitee_company") != null) {
            visiTeeCompany = param.get("visitee_company").toString();
        }
        if (param.get("visitee_room") != null) {
            visiTeeRoom = param.get("visitee_room").toString();
        }
        if (param.get("visiteePhone") != null) {
            visiteePhone = param.get("visiteePhone").toString();
        }
        if (param.get("pcsdm") != null) {
            pcsdm = param.get("pcsdm").toString();
        }
        if (param.get("pcsname") != null) {
            pcsname = param.get("pcsname").toString();
        }
        if (param.get("xp") != null) {
            xp = param.get("xp").toString();
        }
        if (param.get("scene_xp") != null) {
            sceneXp = param.get("scene_xp").toString();
        }
        if (param.get("time") != null) {
            time = param.get("time").toString();
        }
        if (param.get("org") != null) {
            org = param.get("org").toString();
        }
        if (param.get("door") != null) {
            door = param.get("door").toString();
        }

        //楼层
        if (param.get("visitee_floor") != null) {
            floor = param.get("visitee_floor").toString().replace("楼", "");
        }

        if (!StringUtils.hasText(name)) {
            msg = "姓名不能为空";
            result.put("errmsg", msg);
            return result;
        }
//        if(!StringUtils.hasText(phone)){msg = "手机号不能为空";result.put("errmsg", msg);return result;}
        if (!StringUtils.hasText(idNumber)) {
            msg = "身份证号不能为空";
            result.put("errmsg", msg);
            return result;
        }
//        if (!StringUtils.hasText(image)) {
//            msg = "现场图片不能为空";
//            result.put("errmsg", msg);
//            return result;
//        }
        if (!StringUtils.hasText(sn)) {
            msg = "设备号不能为空";
            result.put("errmsg", msg);
            return result;
        }

        Date now = new Date();
        FaceDevice faceDeviceBySn = faceDeviceDao.getFaceDeviceBySn(sn);
        if (faceDeviceBySn == null) {
            sn = new StringBuilder().append("hh_").append(sn).toString();
            faceDeviceBySn = faceDeviceDao.getFaceDeviceBySn(sn);
            if (faceDeviceBySn == null) {
                msg = "该设备没有录入，请添加该设备至对应账号中";
                result.put("errmsg", msg);
                return result;
            }
        }
        UserBlackList userBlackList = userBlackListService.getByPhoneAndIdNumber(idNumber, phone, faceDeviceBySn.getAdminId());
        if (userBlackList != null) {
            throw new ServiceException("该用户被填加入了黑名单");
        }

        image = StringUtils.hasText(sceneXp) ? sceneXp : xp;
        String pathString;
        String filePath = FileUtils.getDirectory(Constants.UPLOAD_IMAGE_NEW) + "/";
        if (StrUtil.isNotBlank(xp) && !Validator.isUrl(xp)) {
            pathString = now.getTime() + String.valueOf((int) (Math.random() * 10000)) + ".jpg";
            xp = xp.replaceAll("\n", "");
            xp = AddressUtil.address + FileUtils.transformBase64Image(xp, filePath, pathString);
        }
        if (StrUtil.isNotBlank(sceneXp) && !Validator.isUrl(sceneXp)) {
            sceneXp = sceneXp.replaceAll("\n", "");
            pathString = now.getTime() + String.valueOf((int) (Math.random() * 10000)) + ".jpg";
            sceneXp = AddressUtil.address + FileUtils.transformBase64Image(sceneXp, filePath, pathString);
        }
        //获取百度人脸特征值
        String facialFeature = null;
        if (Preconditions.isNotBlank(sceneXp)) {
            facialFeature = baiDuFaceService.baiDuFaceCharacteristic(Base64Util.imgToBase64(sceneXp));
        }
        /*1.查看user_info表中是否存在*/
        UserInfo userInfo = new UserInfo();
        userInfo.setIdNumber(idNumber);
        List<UserInfo> list = userInfoDao.select(userInfo);
        if (list == null || list.size() == 0) {
            UserInfo userInfos = new UserInfo();
            userInfos.setPhone(phone);
            if (!phone.equals("")) {
                list = userInfoDao.select(userInfos);
            }
            if (list == null || list.size() == 0) {
                userInfo = new UserInfo();
                userInfo.setUsername(StrUtil.isNotEmpty(name) ? name : null);
                userInfo.setPhone(StrUtil.isNotEmpty(phone) ? phone : null);
                userInfo.setAvatar(StrUtil.isNotEmpty(sceneXp) ? sceneXp : null);
                userInfo.setIdNumber(StrUtil.isNotEmpty(idNumber) ? idNumber : null);
                if (SMSOrIdCardUtils.isIdCard(idNumber)) {
                    userInfo.setBirthday(SMSOrIdCardUtils.getBirthDate(idNumber));
                    userInfo.setGenderStr(Preconditions.isNotBlank(SMSOrIdCardUtils.getGender(idNumber)) ? SMSOrIdCardUtils.getGender(idNumber).getDesc() : null);
                }
                userInfo.setUpdateTime(now);
                userInfo.setCreateTime(now);
                userInfo.setFacialFeature(facialFeature);
                userInfoDao.insertSelective(userInfo);
                spiIotUserWhitelistService.sendUserInfoAddMq(userInfo.getId());
            } else {
                userInfo = list.get(0);
                userInfo.setUsername(StrUtil.isNotEmpty(name) ? name : null);
                userInfo.setPhone(StrUtil.isNotEmpty(phone) ? phone : null);
                userInfo.setAvatar(StrUtil.isNotEmpty(sceneXp) ? sceneXp : null);
                userInfo.setIdNumber(StrUtil.isNotEmpty(idNumber) ? idNumber : null);
                if (SMSOrIdCardUtils.isIdCard(idNumber)) {
                    userInfo.setBirthday(SMSOrIdCardUtils.getBirthDate(idNumber));
                    userInfo.setGenderStr(Preconditions.isNotBlank(SMSOrIdCardUtils.getGender(idNumber)) ? SMSOrIdCardUtils.getGender(idNumber).getDesc() : null);
                }
                userInfo.setFacialFeature(facialFeature);
                userInfo.setUpdateTime(now);
                userInfoDao.updateByPrimaryKeySelective(userInfo);
                spiIotUserWhitelistService.sendUserInfoUpdateMq(userInfo.getId());
            }

        } else {
            userInfo = list.get(0);
            userInfo.setUsername(StrUtil.isNotEmpty(name) ? name : null);
            userInfo.setPhone(StrUtil.isNotEmpty(phone) ? phone : null);
            userInfo.setAvatar(StrUtil.isNotEmpty(sceneXp) ? sceneXp : null);
            userInfo.setIdNumber(StrUtil.isNotEmpty(idNumber) ? idNumber : null);
            if (SMSOrIdCardUtils.isIdCard(idNumber)) {
                userInfo.setBirthday(SMSOrIdCardUtils.getBirthDate(idNumber));
                userInfo.setGenderStr(Preconditions.isNotBlank(SMSOrIdCardUtils.getGender(idNumber)) ? SMSOrIdCardUtils.getGender(idNumber).getDesc() : null);
            }
            userInfo.setFacialFeature(facialFeature);
            userInfo.setUpdateTime(now);
            userInfoDao.updateByPrimaryKeySelective(userInfo);
            spiIotUserWhitelistService.sendUserInfoUpdateMq(userInfo.getId());
        }
        log.info("访客登记的userInfo数据:{}", userInfo);

        //获取白名单
        UserWhitelist userWhitelist = userWhitelistdao.getByIdNumberAndId(userInfo.getIdNumber(), null, faceDeviceBySn.getAdminId());
        if (userWhitelist == null && !phone.equals("")) {
            userWhitelist = userWhitelistdao.getByPhoneAndId(userInfo.getPhone(), null, faceDeviceBySn.getAdminId());
        }
        /*判断用户是否在常客中
         * 1.如果在常客 更新常客列表
         * 2.如果用户不在常客则以访客进行操作
         * */
        AdminVO info = adminService.getInfo(faceDeviceBySn.getAdminId());
        Date timeStart;
        Date timeEnd;
        /*根据常访客有效时间来进行下发*/
        if (userWhitelist != null) {
            if (userWhitelist.getStartTime() != null && userWhitelist.getEndTime() != null) {
                timeStart = userWhitelist.getStartTime();
                timeEnd = userWhitelist.getEndTime();
            } else {
                if (info.getUserWhitelistEffectiveTime() != null) {
                    timeStart = DateUtil.date();
                    int timelong = info.getUserWhitelistEffectiveTime().multiply(new BigDecimal(1440)).intValue();
                    timeEnd = DateUtils.addMinutes(new Date(), timelong);
                } else {
                    timeStart = DateUtil.date();
                    timeEnd = DateUtils.addYears(DateUtil.date(), 1);
                }
            }
        } else {
            if (info.getUserVisiterEffectiveTime() != null) {
                timeStart = DateUtil.date();
                int timelong = info.getUserVisiterEffectiveTime().multiply(new BigDecimal(1440)).intValue();
                timeEnd = DateUtils.addMinutes(new Date(), timelong);
            } else {
                timeStart = DateUtil.date();
                timeEnd = DateUtils.addDays(DateUtil.date(), 15);
            }
        }

        if (userWhitelist != null) {
            /*1.更新常客列表*/
            UserWhitelist uwl = new UserWhitelist();
            UserWhitelistDetail uf = new UserWhitelistDetail();
            uwl.setStatus(1);
            uwl.setUpdateTime(now);
            uwl.setId(userWhitelist.getId());
            uwl.setPhone(userInfo.getPhone());
            uwl.setAvatar(userInfo.getAvatar());
            uwl.setIdNumber(userInfo.getIdNumber());
            uwl.setPushType(3);
            uwl.setUserId(userInfo.getId());
            uf.setUserWhitelistId(userWhitelist.getId());
            uf.setCarno(carNo);
            uf.setCompany(company);
            uf.setReason(reason);
            uf.setSn(sn);
            uf.setNumPeoples(numPeoples);
            uf.setHasIdCard(hasIdCard);
            uf.setHealthCode(healthCode);
            uf.setVaccineNum(vaccineNum);
            uf.setTemperature(temperaTure);
            uf.setVisiTeeXm(visiTeeXm);
            uf.setVisiTeeBm(visiTeeBm);
            uf.setVisiTeeCompany(visiTeeCompany);
            uf.setVisiTeeRoom(visiTeeRoom);
            uf.setPcsdm(pcsdm);
            uf.setPcsname(pcsname);
            uf.setXp(xp);
            uf.setSceneXp(sceneXp);
            uf.setTime(time);
            uf.setOrg(org);
            uf.setDoor(door);
            try {
                if (Preconditions.isNotBlank(floor)) {
                    uf.setFloor(Integer.valueOf(floor));
                }
            } catch (Exception e) {
                log.error("楼层有误");
            }
            userWhitelistdao.updateByPrimaryKeySelective(uwl);
            userWhiteListDetailDao.insert(uf);
        } else {
            //TODO 补全访客区域信息
            List<Integer> zoneIds = completeZoneIds(faceDeviceBySn);
            /*2.添加用户至访客中*/
            UserVisitorList userVisitorList = userVisitorListDao.selectByIdNumberAndAdminId(userInfo.getIdNumber(), faceDeviceBySn.getAdminId());
            if (userVisitorList == null && !phone.equals(""))
                userVisitorList = userVisitorListDao.getByPhoneAndId(userInfo.getPhone(), faceDeviceBySn.getAdminId());
            UserVisitorList userVisitorOne = new UserVisitorList();
            UserVisitorListDetail uf = new UserVisitorListDetail();
            if (userVisitorList == null) {
                userVisitorOne.setAdminId(faceDeviceBySn.getAdminId());
                userVisitorOne.setCreateTime(now);
                userVisitorOne.setPhone(userInfo.getPhone());
                userVisitorOne.setAvatar(userInfo.getAvatar());
                userVisitorOne.setIdNumber(userInfo.getIdNumber());
                userVisitorOne.setName(userInfo.getUsername());
                userVisitorOne.setPushType(3);
                userVisitorOne.setUserId(userInfo.getId());
                userVisitorListDao.insert(userVisitorOne);
                uf.setUserVisitorListId(userVisitorOne.getId());
                uf.setCarno(carNo);
                uf.setCompany(company);
                uf.setReason(reason);
                uf.setSn(sn);
                uf.setNumPeoples(numPeoples);
                uf.setHasIdCard(hasIdCard);
                uf.setHealthCode(healthCode);
                uf.setVaccineNum(vaccineNum);
                uf.setTemperature(temperaTure);
                uf.setVisiteeXm(visiTeeXm);
                uf.setVisiteeBm(visiTeeBm);
                uf.setVisiteeCompany(visiTeeCompany);
                uf.setVisiteeRoom(visiTeeRoom);
                uf.setVisiteePhone(visiteePhone);
                uf.setPcsdm(pcsdm);
                uf.setPcsname(pcsname);
                uf.setXp(xp);
                uf.setSceneXp(sceneXp);
                uf.setTime(time);
                uf.setOrg(org);
                uf.setDoor(door);
                uf.setName(name);
                uf.setPhone(phone);
                uf.setPhoto(sceneXp);
                uf.setIdNumber(idNumber);
                uf.setVisitingType(VisitingTypeEnum.FKJ_RECORD.getCode());
                uf.setCreateTime(new Date());
                uf.setEndTime(timeEnd);
                uf.setStartTime(DateUtil.date());
                uf.setMachineId(faceDeviceBySn.getSn());
                uf.setRegisterAddress(faceDeviceBySn.getName());
                try {
                    if (Preconditions.isNotBlank(floor)) {
                        uf.setFloor(Integer.valueOf(floor));
                    }
                } catch (Exception e) {
                    log.error("楼层有误");
                }
                uf.setAdminId(faceDeviceBySn.getAdminId());
                uf.setZoneDevicePassIdList(zoneIds);
                userVisitorListDetailDao.insert(uf);
            } else {
                userVisitorOne.setAdminId(faceDeviceBySn.getAdminId());
                userVisitorOne.setId(userVisitorList.getId());
                userVisitorOne.setUpdateTime(now);
                userVisitorOne.setAvatar(userInfo.getAvatar());
                userVisitorOne.setUserId(userInfo.getId());
                userVisitorOne.setPushType(3);
                uf.setUserVisitorListId(userVisitorList.getId());
                uf.setCarno(carNo);
                uf.setCompany(company);
                uf.setReason(reason);
                uf.setSn(sn);
                uf.setNumPeoples(numPeoples);
                uf.setHasIdCard(hasIdCard);
                uf.setHealthCode(healthCode);
                uf.setVaccineNum(vaccineNum);
                uf.setTemperature(temperaTure);
                uf.setVisiteeXm(visiTeeXm);
                uf.setVisiteeBm(visiTeeBm);
                uf.setVisiteeCompany(visiTeeCompany);
                uf.setVisiteeRoom(visiTeeRoom);
                uf.setVisiteePhone(visiteePhone);
                uf.setPcsdm(pcsdm);
                uf.setPcsname(pcsname);
                uf.setXp(xp);
                uf.setSceneXp(sceneXp);
                uf.setTime(time);
                uf.setOrg(org);
                uf.setDoor(door);
                uf.setAdminId(faceDeviceBySn.getAdminId());
                uf.setName(name);
                uf.setPhone(phone);
                uf.setPhoto(sceneXp);
                uf.setIdNumber(idNumber);
                uf.setVisitingType(VisitingTypeEnum.FKJ_RECORD.getCode());
                uf.setCreateTime(new Date());
                uf.setEndTime(timeEnd);
                uf.setStartTime(DateUtil.date());
                uf.setMachineId(faceDeviceBySn.getSn());
                uf.setRegisterAddress(faceDeviceBySn.getName());
                try {
                    if (Preconditions.isNotBlank(floor)) {
                        uf.setFloor(Integer.valueOf(floor));
                    }
                } catch (Exception e) {
                    log.error("楼层有误");
                }
                uf.setZoneDevicePassIdList(zoneIds);
                userVisitorListDao.updateByPrimaryKeySelective(userVisitorOne);
                userVisitorListDetailDao.insert(uf);
            }
        }
        //获取 adminId下的所有设备
        List<FaceDeviceLessVO> snList = faceDeviceDao.getSnList(faceDeviceBySn.getAdminId());

        if (info.getType().equals(AdminTypeEnum.ENTERPRISE.getCode())) {
            List<FaceDeviceLessVO> budingSnList = faceDeviceDao.getSnList(info.getTenantId());
            snList = snList.stream().sequential().collect(Collectors.toCollection(() -> budingSnList));
        }


        //TODO。。。生成访客二维码 单机和微光互联
        try {
            fkjService.qrCodeCreate(Preconditions.isNotBlank(floor) ? floor : null, timeStart, timeEnd, info.getAdminId(), info.getUsername(), idNumber, name, phone, visiTeeXm);
        } catch (Exception e) {
            log.error("楼层有误");
        }

        if (CollectionUtils.isEmpty(snList)) {
            msg = "当前账号下无可用设备";
            result.put("errmsg", msg);
            return result;
        }

        for (FaceDeviceLessVO faceDevice : snList) {
            DownFaceNew downFaceNew = new DownFaceNew();
            downFaceNew.setCardid(idNumber);
            downFaceNew.setRightno(userWhitelist == null ? 104 : 105);
            downFaceNew.setPhoto(sceneXp);
            downFaceNew.setName(name);
            downFaceNew.setUserId(userInfo.getId());
            downFaceNew.setSn(faceDevice.getSn());
            downFaceNew.setPhone(phone);
            downFaceNew.setValidPeriodStart(timeStart);
            downFaceNew.setValidPeriodEnd(timeEnd);
            downFaceNew.setFacialFeature(userInfo.getFacialFeature());
            downFaceNew.setAdminId(info.getAdminId());
            faceTBService.downUser(downFaceNew);
        }
        log.info("完成——第三方访客登记");
        this.faceLogPush(sn, userInfo, name, image, idNumber, time, phone, temperaTure, healthCode, vaccineNum);
        result.put("errmsg", msg);
        return result;
    }

    private List<Integer> completeZoneIds(FaceDevice faceDevice) {
        List<ZoneDeviceR> dbAll = zoneDeviceRDao.selectByExample(Example.builder(ZoneDeviceR.class)
                .where(WeekendSqls.<ZoneDeviceR>custom().andEqualTo(ZoneDeviceR::getAdminId, faceDevice.getAdminId())
                        .andIsNotNull(ZoneDeviceR::getSnJson)
                        .andEqualTo(ZoneDeviceR::getDeleted, Boolean.FALSE)).build());
        if (Preconditions.isBlank(dbAll)) {
            return null;
        }

        for (ZoneDeviceR d : dbAll) {
            List<String> sns = Arrays.asList(d.getSnJson().split(","));
            if (sns.contains(faceDevice.getSn())) {
                return Arrays.asList(d.getId());
            }
        }
        return null;
    }

    private void faceLogPush(String sn, UserInfo userInfo, String name, String image, String idNumber, String time, String phone, String temperaTure, String healthCode, String vaccineNum) {
        log.info("开始——访客登记推送到进出记录");
        Map<String, Object> dto = new HashMap<>();
        List<Map<String, Object>> dataList = new ArrayList<>();
        Map<String, Object> data = new HashMap<>();
        dto.put("SN", sn);
        dto.put("action", 0);

        data.put("orgid", 0);
        data.put("recordid", 0);
        data.put("pin", userInfo.getId());
        data.put("name", name);
        data.put("photo", image);
        data.put("cardid", idNumber);
        data.put("verifytype", 0);
        data.put("rightno", 104);
        data.put("time", time);
        data.put("outtype", 0);
        data.put("phone", phone);
        data.put("extend3", temperaTure);
        data.put("extend1", 2);
        data.put("verify_score", 0);
        healthCode = StrUtil.isEmpty(healthCode) ? "" : healthCode;
        switch (healthCode) {
            case "绿码":
                healthCode = "00";
                break;
            case "黄码":
                healthCode = "01";
                break;
            case "红码":
                healthCode = "10";
                break;
        }
        data.put("jkmStatus", healthCode);
        data.put("ymStatus", vaccineNum);
        dataList.add(data);
        dto.put("data", dataList);
        faceTBService.eventRecords(dto);
        log.info("完成——访客登记推送到进出记录");
    }

    /*
     * 重点：*****
     * 访客机请绑定在通用的区级账号下，或者楼宇的企业级账号下
     * */
    @Override
    @MyAnnotation
    public RestResult<VisitorReportVo> visitorReport(VisitorReportDto dto) {
        log.info("访客登记信息推送入参:{}", JSON.toJSONString(dto));
        FaceDevice faceDevice = faceDeviceDao.getFaceDeviceBySn(dto.getMachine_id());
        ClassUtil.checkData(faceDevice, "设备不存在");
        String idNumber = dto.getSfzh();
        String phone = dto.getPhone();
        Integer adminId = faceDevice.getAdminId();
        Admin admin = adminDao.selectByPrimaryKey(adminId);
        ClassUtil.checkData(admin, "账号不存在");
        UserBlackList userBlackList = userBlackListService.getByPhoneAndIdNumber(idNumber, phone, adminId);
        ClassUtil.throwBusinessException(ObjectUtil.isNotNull(userBlackList), "该用户被填加入了黑名单");
        dto.setVisitee_floor(dto.getVisitee_floor().replace("楼", ""));
        String xp = this.base64ConvertUrl(dto.getXp());
        String sceneXp = this.base64ConvertUrl(dto.getScene_xp());
        ClassUtil.throwBusinessException(StrUtil.isBlank(sceneXp), "请传入照片");
        //用户信息
        UserInfo userInfo = this.getUserInfo(dto.getXm(), idNumber, phone, sceneXp, dto.getScene_xp());
        //用户是否为常客
        UserWhitelist userWhitelist = this.getUserWhitelist(dto, userInfo, adminId, xp, sceneXp);
        Date timeStart = DateUtil.offsetMinute(DateUtil.date(), -5);
        Date timeEnd = DateUtil.offsetMinute(DateUtil.date(), admin.getUserVisiterEffectiveTime().multiply(new BigDecimal(1440)).intValue());
        //常客没有找到则代表是访客
        UserVisitorListDetail uf = null;
        if (ObjectUtil.isNull(userWhitelist)) {
            uf = this.getUserVisitorList(dto, userInfo, adminId, xp, sceneXp, timeEnd, faceDevice);
        } else {
            timeStart = userWhitelist.getStartTime();
            timeEnd = userWhitelist.getEndTime();
        }
        //TODO。。。生成访客二维码 单机和微光互联
        /*
         * 这里应该要生成两个码
         * 一个是通用二维码
         *   通用二维码有两个作用：
         *     1.闸机通行的能力
         *       1.1:区级账号，通行当前账号下的设备
         *       1.2:企业账号
         *         1.2.1通行当前账号的公有区域的设备，
         *         1.2.2通行楼宇账号的设备
         *         所以通过联动平台查询的时候能够找到对应数据
         *     2.设备上签离的能力（通过访客机上可以进行签离操作）
         * */
        VisitorReportVo visitorReportVo = new VisitorReportVo();
        //梯控二维码
        try {
            String ladderQrCode = fkjService.qrCodeCreate(Preconditions.isNotBlank(dto.getVisitee_floor()) ? dto.getVisitee_floor() : null, timeStart, timeEnd, admin.getId(), admin.getUsername(), idNumber, dto.getXm(), phone, dto.getVisitee_xm());
            visitorReportVo.setLadderQrCode(ladderQrCode);
        } catch (Exception e) {
            log.error("楼层有误");
        }
        //通用二维码
        if (ObjectUtil.isNotNull(uf)) {
            FkjCommonCodeVo fkjCommonCodeVo = new FkjCommonCodeVo();
            fkjCommonCodeVo.setAction(FKJ_COMMON_CODE.getCode());
            fkjCommonCodeVo.setUserVisitorListDetailId(uf.getId());
            visitorReportVo.setCommonQrCode(AesUtils.encode(Constants.FKJ_KEY, JSON.toJSONString(fkjCommonCodeVo)));//加密
            //二维码存储起来
            uf.setCommonQrCode(visitorReportVo.getCommonQrCode());
            uf.setLadderQrCode(visitorReportVo.getLadderQrCode());
            uf.setZoneDevicePassIdList(completeZoneIds(faceDevice));
            userVisitorListDetailDao.updateByPrimaryKeySelective(uf);
        }
        //推送一条进出记录
        this.faceLogPush(faceDevice.getSn(), userInfo, dto.getXm(), dto.getScene_xp(), idNumber, dto.getTime(), phone, dto.getTemperature(), dto.getHealth_code(), dto.getVaccine_num());
        return RestResult.ok(visitorReportVo);
    }

    public static void main(String[] args) {
        System.out.println(AesUtils.encode(Constants.FKJ_KEY, "2256"));
    }


    private UserVisitorListDetail getUserVisitorList(VisitorReportDto dto, UserInfo userInfo, Integer adminId, String xp, String sceneXp, Date timeEnd, FaceDevice faceDevice) {

        UserVisitorList userVisitorList = userVisitorListService.getUserVisitorList(userInfo.getIdNumber(), dto.getPhone(), null, adminId);
        if (ObjectUtil.isNull(userVisitorList)) {
            userVisitorList = new UserVisitorList();
            userVisitorList.setCreateTime(DateUtil.date());
        }
        userVisitorList.setAdminId(adminId);
        userVisitorList.setUpdateTime(DateUtil.date());
        userVisitorList.setName(StrUtil.isNotBlank(userInfo.getUsername()) ? userInfo.getUsername() : null);
        userVisitorList.setPhone(StrUtil.isNotBlank(userInfo.getPhone()) ? userInfo.getPhone() : null);
        userVisitorList.setAvatar(StrUtil.isNotBlank(userInfo.getAvatar()) ? userInfo.getAvatar() : null);
        userVisitorList.setIdNumber(StrUtil.isNotBlank(userInfo.getIdNumber()) ? userInfo.getIdNumber() : null);
        userVisitorList.setPushType(3);
        userVisitorList.setUserId(userInfo.getId());
        if (ObjectUtil.isNull(userVisitorList.getId())) {
            userVisitorListDao.insert(userVisitorList);
        } else {
            userVisitorListDao.updateByPrimaryKeySelective(userVisitorList);
        }

        UserVisitorListDetail uf = new UserVisitorListDetail();
        uf.setUserVisitorListId(userVisitorList.getId());
        uf.setCarno(dto.getCarno());
        uf.setCompany(dto.getCompany());
        uf.setReason(dto.getReason());
        uf.setMachineId(dto.getMachine_id());
        uf.setNumPeoples(dto.getNum_peoples());
        uf.setHasIdCard(dto.getHas_idcard());
        uf.setHealthCode(dto.getHealth_code());
        uf.setVaccineNum(dto.getVaccine_num());
        uf.setTemperature(dto.getTemperature());
        uf.setVisiteeXm(dto.getVisitee_xm());
        uf.setVisiteeBm(dto.getVisitee_bm());
        uf.setVisiteeCompany(dto.getVisitee_company());
        uf.setVisiteeRoom(dto.getVisitee_room());
        uf.setVisiteePhone(dto.getVisiteePhone());
        uf.setPcsdm(dto.getPcsdm());
        uf.setPcsname(dto.getPcsname());
        uf.setXp(xp);
        uf.setSceneXp(sceneXp);
        uf.setTime(dto.getTime());
        uf.setOrg(dto.getOrg());
        uf.setDoor(dto.getDoor());
        uf.setName(dto.getXm());
        uf.setPhone(dto.getPhone());
        uf.setPhoto(sceneXp);
        uf.setIdNumber(dto.getSfzh());
        uf.setVisitingType(VisitingTypeEnum.FKJ_RECORD.getCode());
        uf.setCreateTime(DateUtil.date());
        uf.setStartTime(DateUtil.date());
        uf.setAdminId(adminId);
        uf.setIsSignOut(false);
        uf.setReviewStatus(2);
        uf.setEndTime(timeEnd);
        uf.setRegisterAddress(faceDevice.getName());
        try {
            if (Preconditions.isNotBlank(dto.getVisitee_floor())) {
                uf.setFloor(Integer.valueOf(dto.getVisitee_floor()));
            }
        } catch (Exception e) {
            log.error("楼层有误");
        }
        userVisitorListDetailDao.insert(uf);

        UserVisitorList finalUserVisitorList = userVisitorList;
        executor.execute(() -> {
            userVisitorListService.addSingle(null, finalUserVisitorList.getId());//访客下发
        });
        return uf;
    }

    private UserWhitelist getUserWhitelist(VisitorReportDto dto, UserInfo userInfo, Integer adminId, String xp, String sceneXp) {
        UserWhitelist uwl = userWhitelistService.getUserWhitelist(userInfo.getIdNumber(), dto.getPhone(), null, adminId);
        if (ObjectUtil.isNull(uwl)) {
            return null;
        }
        UserWhitelistDetail uf = new UserWhitelistDetail();
        uwl.setStatus(1);
        uwl.setUpdateTime(DateUtil.date());
        uwl.setName(StrUtil.isNotBlank(userInfo.getUsername()) ? userInfo.getUsername() : null);
        uwl.setPhone(StrUtil.isNotBlank(userInfo.getPhone()) ? userInfo.getPhone() : null);
        uwl.setAvatar(StrUtil.isNotBlank(userInfo.getAvatar()) ? userInfo.getAvatar() : null);
        uwl.setIdNumber(StrUtil.isNotBlank(userInfo.getIdNumber()) ? userInfo.getIdNumber() : null);
        uwl.setPushType(3);
        uwl.setUserId(userInfo.getId());

        uf.setUserWhitelistId(uwl.getId());
        uf.setCarno(dto.getCarno());
        uf.setCompany(dto.getCompany());
        uf.setReason(dto.getReason());
        uf.setSn(dto.getMachine_id());
        uf.setNumPeoples(dto.getNum_peoples());
        uf.setHasIdCard(dto.getHas_idcard());
        uf.setHealthCode(dto.getHealth_code());
        uf.setVaccineNum(dto.getVaccine_num());
        uf.setTemperature(dto.getTemperature());
        uf.setVisiTeeXm(dto.getVisitee_xm());
        uf.setVisiTeeBm(dto.getVisitee_bm());
        uf.setVisiTeeCompany(dto.getVisitee_company());
        uf.setVisiTeeRoom(dto.getVisitee_room());
        uf.setPcsdm(dto.getPcsdm());
        uf.setPcsname(dto.getPcsname());
        uf.setXp(xp);
        uf.setSceneXp(sceneXp);
        uf.setTime(dto.getTime());
        uf.setOrg(dto.getOrg());
        uf.setDoor(dto.getDoor());
        try {
            if (Preconditions.isNotBlank(dto.getVisitee_floor())) {
                uf.setFloor(Integer.valueOf(dto.getVisitee_floor()));
            }
        } catch (Exception e) {
            log.error("楼层有误");
        }
        userWhitelistdao.updateByPrimaryKeySelective(uwl);
        userWhiteListDetailDao.insert(uf);
        executor.execute(() -> {
            userWhitelistService.addSingle(uwl.getId(), null, null);
        });
        return uwl;
    }

    private UserInfo getUserInfo(String name, String idNumber, String phone, String sceneXp, String sceneXpBase64) {
        UserInfo userInfo = userInfoService.getUserInfo(idNumber, phone, null);
        if (ObjectUtil.isNull(userInfo)) {
            userInfo = new UserInfo();
            userInfo.setCreateTime(DateUtil.date());
        }
        userInfo.setUsername(StrUtil.isNotEmpty(name) ? name : null);
        userInfo.setPhone(StrUtil.isNotEmpty(phone) ? phone : null);
        userInfo.setAvatar(StrUtil.isNotEmpty(sceneXp) ? sceneXp : null);
        //获取百度人脸特征值
        String facialFeature = null;
        if (Preconditions.isNotBlank(sceneXpBase64)) {
            facialFeature = baiDuFaceService.baiDuFaceCharacteristic(sceneXpBase64);
        }
        userInfo.setFacialFeature(facialFeature);
        userInfo.setIdNumber(StrUtil.isNotEmpty(idNumber) ? idNumber : null);
        if (SMSOrIdCardUtils.isIdCard(idNumber)) {
            userInfo.setBirthday(SMSOrIdCardUtils.getBirthDate(idNumber));
            userInfo.setGenderStr(Preconditions.isNotBlank(SMSOrIdCardUtils.getGender(idNumber)) ? SMSOrIdCardUtils.getGender(idNumber).getDesc() : null);
        }
        userInfo.setUpdateTime(DateUtil.date());
        if (ObjectUtil.isNull(userInfo.getId())) {
            userInfoDao.insertSelective(userInfo);
            spiIotUserWhitelistService.sendUserInfoAddMq(userInfo.getId());
        } else {
            userInfoDao.updateByPrimaryKeySelective(userInfo);
            spiIotUserWhitelistService.sendUserInfoUpdateMq(userInfo.getId());
        }
        log.info("新访客登记的userInfo数据:{}", userInfo);
        return userInfo;
    }

    private static final SnowflakeGenerator snowflakeGenerator = new SnowflakeGenerator();

    private String base64ConvertUrl(String base64) {
        if (StrUtil.isBlank(base64) || Validator.isUrl(base64)) {
            return base64;
        }
        String fileName = snowflakeGenerator.next() + ".jpg";
        String filePath = FileUtils.getDirectory(Constants.UPLOAD_IMAGE_NEW) + "/";
        base64 = base64.replaceAll("\n", "");//避免有些傻逼（就是有这样的傻逼才加的这行）传进来的base64是带\n换行符的
        return AddressUtil.address + FileUtils.transformBase64Image(base64, filePath, fileName);
    }

    @Override
    public RestResult<PageInfo<VisitorReportPageVo>> visitorReportPageList(RestDTO<VisitorReportSearch> dto) {
        VisitorReportSearch data = dto.getData();
        ClassUtil.throwBusinessException(StrUtil.isBlank(data.getSn()), "请输入设备号");
        FaceDevice faceDevice = faceDeviceDao.getFaceDeviceBySn(data.getSn());
        ClassUtil.checkData(faceDevice, "设备不存在");
        this.getUserVisitorListDetailWeekend(faceDevice, data);
//        Weekend<UserVisitorListDetail> weekend = this.getUserVisitorListDetailWeekend(faceDevice, data);
        PageHelper.startPage(dto.getPageNum(), dto.getPageSize());
        List<UserVisitorListDetail> detailList = userVisitorListDetailDao.selectDetailList(data);
        PageInfo<UserVisitorListDetail> pageInfo = new PageInfo<>(detailList);
        PageInfo<VisitorReportPageVo> pageVoPageInfo = PageInfoUtil.convertPageInfo(pageInfo, (object) -> {
            VisitorReportPageVo item = BeanUtil.copyProperties(object, VisitorReportPageVo.class);
            item.setUserVisitorListDetailId(object.getId());
            return item;
        });
        return RestResult.ok(pageVoPageInfo);
    }

    private void getUserVisitorListDetailWeekend(FaceDevice faceDevice, VisitorReportSearch data) {
        //TODO 获取设备所在区域
        Integer zoneId = queryZoneIdBySn(faceDevice);
        data.setAdminId(faceDevice.getAdminId());
        data.setZoneIds(Preconditions.isNotBlank(zoneId) ? Arrays.asList(zoneId) : null);
//        Weekend<UserVisitorListDetail> weekend = new Weekend<>(UserVisitorListDetail.class);
//        WeekendCriteria<UserVisitorListDetail, Object> criteria = weekend.weekendCriteria();
//        criteria.andEqualTo(UserVisitorListDetail::getAdminId, faceDevice.getAdminId());
//        if (StrUtil.isNotBlank(data.getStartTime())) {
//            criteria.andGreaterThanOrEqualTo(UserVisitorListDetail::getStartTime, data.getStartTime());
//        }
//        if (StrUtil.isNotBlank(data.getEndTime())) {
//            criteria.andLessThanOrEqualTo(UserVisitorListDetail::getStartTime, data.getEndTime());
//        }
//        if (StrUtil.isNotBlank(data.getName())) {
//            criteria.andLike(UserVisitorListDetail::getName, "%" + data.getName() + "%");
//        }
//        if (StrUtil.isNotBlank(data.getIdNumber())) {
//            criteria.andLike(UserVisitorListDetail::getIdNumber, "%" + data.getIdNumber() + "%");
//        }
//        if (StrUtil.isNotBlank(data.getPhone())) {
//            criteria.andLike(UserVisitorListDetail::getPhone, "%" + data.getPhone() + "%");
//        }
//        if (ObjectUtil.isNotNull(data.getIsSignOut())) {
//            criteria.andEqualTo(UserVisitorListDetail::getIsSignOut, data.getIsSignOut());
//        }
//        weekend.orderBy("id").desc();
//        return weekend;
    }

    private Integer queryZoneIdBySn(FaceDevice faceDevice) {
        List<ZoneDeviceR> dbAll = zoneDeviceRDao.selectByExample(Example.builder(ZoneDeviceR.class)
                .where(WeekendSqls.<ZoneDeviceR>custom().andEqualTo(ZoneDeviceR::getAdminId, faceDevice.getAdminId())
                        .andIsNotNull(ZoneDeviceR::getSnJson)
                        .andEqualTo(ZoneDeviceR::getDeleted, Boolean.FALSE)).build());
        if (Preconditions.isBlank(dbAll)) {
            return null;
        }
        for (ZoneDeviceR d : dbAll) {
            List<String> sns = Arrays.asList(d.getSnJson().split(","));
            if (sns.contains(faceDevice.getSn())) {
                return d.getId();
            }
        }
        return null;
    }

    @Override
    public RestResult<Boolean> visitorSignOut(VisitorSignOutDto dto) {
        FaceDevice faceDevice = faceDeviceDao.getFaceDeviceBySn(dto.getSn());
        ClassUtil.checkData(faceDevice, "设备不存在");
        UserVisitorListDetail userVisitorListDetail = userVisitorListDetailDao.selectByPrimaryKey(dto.getUserVisitorListDetailId());
        ClassUtil.checkData(userVisitorListDetail, "访客登记记录不存在");
        ClassUtil.throwBusinessException(Preconditions.isNotBlank(userVisitorListDetail.getIsSignOut()) && userVisitorListDetail.getIsSignOut(), "该记录已经签离");
        checkSignOut(faceDevice, userVisitorListDetail);
        userVisitorListDetail.setIsSignOut(true);
        userVisitorListDetail.setSignOutTime(DateUtil.date());
        userVisitorListDetail.setSignOutSn(faceDevice.getSn());
        userVisitorListDetail.setSignOutAddress(faceDevice.getName());
        userVisitorListDetailDao.updateByPrimaryKeySelective(userVisitorListDetail);
        return RestResult.ok(true);
    }

    @Override
    public RestResult<CodeOpenJudgeVo> codeOpenJudge(CodeOpenJudgeDto dto) {
        //解密
        try {
            FaceDevice faceDevice = faceDeviceDao.getFaceDeviceBySn(dto.getSn());
            ClassUtil.checkData(faceDevice, "设备不存在");
            String encode = AesUtils.decode(Constants.FKJ_KEY, dto.getCode());
            FkjBaseVo fkjBaseVo = JSON.parseObject(encode, FkjBaseVo.class);
            ClassUtil.throwBusinessException(ObjectUtil.isNull(fkjBaseVo) || StrUtil.isBlank(fkjBaseVo.getAction()), "二维码值有误");
            FkjBaseActionEnum fkjBaseActionEnum = getByCode(fkjBaseVo.getAction());
            ClassUtil.throwBusinessException(ObjectUtil.isNull(fkjBaseActionEnum), "二维码所属不存在");
            switch (fkjBaseActionEnum) {
                case FKJ_COMMON_CODE:
                    return this.fkjCommonCodeJudge(encode, faceDevice);
            }
        } catch (ServiceException serviceException) {
            return this.errorReturn(serviceException.getMessage());
        } catch (Exception exception) {
            return this.errorReturn("二维码解析错误");
        }
        return null;
    }

    private RestResult<CodeOpenJudgeVo> fkjCommonCodeJudge(String encode, FaceDevice faceDevice) {
        FkjCommonCodeVo fkjCommonCodeVo = JSON.parseObject(encode, FkjCommonCodeVo.class);
        Long userVisitorListDetailId = fkjCommonCodeVo.getUserVisitorListDetailId();
        ClassUtil.throwBusinessException(ObjectUtil.isNull(userVisitorListDetailId), "二维码码值不正确");
        UserVisitorListDetail userVisitorListDetail = userVisitorListDetailDao.selectByPrimaryKey(userVisitorListDetailId);
        ClassUtil.checkData(userVisitorListDetail, "访客记录不存在");
        ClassUtil.throwBusinessException(userVisitorListDetail.getIsSignOut(), "二维码已失效");
        ClassUtil.throwBusinessException(userVisitorListDetail.getReviewStatus() == 0 || userVisitorListDetail.getReviewStatus() == 1, "未通过审核或者审核未通过");
        Admin admin = adminDao.selectByPrimaryKey(userVisitorListDetail.getAdminId());
        ClassUtil.checkData(admin, "账号不存在");
        int timelong = admin.getUserVisiterEffectiveTime().multiply(new BigDecimal(1440)).intValue();
        Date timeEnd = DateUtils.addMinutes(userVisitorListDetail.getStartTime() != null ? userVisitorListDetail.getStartTime() : userVisitorListDetail.getCreateTime(), timelong);
        ClassUtil.checkData(DateUtil.compare(DateUtil.date(), timeEnd) > 0, "二维码失效");
        //如果是楼宇场景下，常客邀约，或者访客申请，则拉取
        if (VisitingTypeEnum.INVITE_RECORD.getCode().equals(userVisitorListDetail.getVisitingType()) ||
                VisitingTypeEnum.APPLY_RECORD.getCode().equals(userVisitorListDetail.getVisitingType())) {
            List<String> snList = Arrays.stream(userVisitorListDetail.getSn().split(",")).collect(Collectors.toList());
            if (snList.contains(faceDevice.getSn())) {
                return this.successReturn(userVisitorListDetail.getName(), userVisitorListDetail.getIdNumber());
            } else {
                return this.errorReturn("没有通行权限");
            }
        }
        //访客记录所在的账号查询设备列表
        if (AdminTypeEnum.ENTERPRISE.getCode().equals(admin.getType())) {
            //楼宇账号的设备列表
            List<String> snList = faceDeviceDao.selectList(admin.getTenantId());
            if (snList.contains(faceDevice.getSn())) {
                return this.successReturn(userVisitorListDetail.getName(), userVisitorListDetail.getIdNumber());
            }
        }
        List<String> list = faceDeviceDao.selectList(admin.getId());
        ClassUtil.throwBusinessException(!list.contains(faceDevice.getSn()), "设备不可通行");
        return this.successReturn(userVisitorListDetail.getName(), userVisitorListDetail.getIdNumber());
    }

    private RestResult<CodeOpenJudgeVo> errorReturn(String message) {
        CodeOpenJudgeVo codeOpenJudgeVo = new CodeOpenJudgeVo();
        codeOpenJudgeVo.setReason(message);
        return RestResult.ok(codeOpenJudgeVo);
    }

    private RestResult<CodeOpenJudgeVo> successReturn(String name, String idNumber) {
        CodeOpenJudgeVo codeOpenJudgeVo = new CodeOpenJudgeVo();
        codeOpenJudgeVo.setName(name);
        codeOpenJudgeVo.setIdNumber(idNumber);
        codeOpenJudgeVo.setIsOpen(0);
        return RestResult.ok(codeOpenJudgeVo);
    }

    @Override
    public RestResult<CodeOpenCodeJudgeVo> visitorSignOut(CodeOpenJudgeDto dto) {
        //解密
        try {
            FaceDevice faceDevice = faceDeviceDao.getFaceDeviceBySn(dto.getSn());
            ClassUtil.checkData(faceDevice, "设备不存在");
            String encode = AesUtils.decode(Constants.FKJ_KEY, dto.getCode());
            FkjBaseVo fkjBaseVo = JSON.parseObject(encode, FkjBaseVo.class);
            ClassUtil.throwBusinessException(ObjectUtil.isNull(fkjBaseVo) || StrUtil.isBlank(fkjBaseVo.getAction()), "二维码值有误");
            FkjBaseActionEnum fkjBaseActionEnum = getByCode(fkjBaseVo.getAction());
            ClassUtil.throwBusinessException(ObjectUtil.isNull(fkjBaseActionEnum), "二维码所属不存在");
            switch (fkjBaseActionEnum) {
                case FKJ_COMMON_CODE:
                    return this.visitorCodeSignOut(encode, faceDevice);
            }
        } catch (ServiceException serviceException) {
            throw serviceException;
        } catch (Exception exception) {
            throw new ServiceException("二维码解析错误");
        }
        return null;
    }


    private RestResult<CodeOpenCodeJudgeVo> visitorCodeSignOut(String encode, FaceDevice faceDevice) {
        FkjCommonCodeVo fkjCommonCodeVo = JSON.parseObject(encode, FkjCommonCodeVo.class);
        Long userVisitorListDetailId = fkjCommonCodeVo.getUserVisitorListDetailId();
        UserVisitorListDetail userVisitorListDetail = userVisitorListDetailDao.selectByPrimaryKey(userVisitorListDetailId);
        ClassUtil.checkData(userVisitorListDetail, "访客登记记录不存在");
        ClassUtil.throwBusinessException(Preconditions.isNotBlank(userVisitorListDetail.getIsSignOut()) && userVisitorListDetail.getIsSignOut(), "该记录已经签离");
        checkSignOut(faceDevice, userVisitorListDetail);
//        ClassUtil.throwBusinessException(!faceDevice.getAdminId().equals(userVisitorListDetail.getAdminId()),"设备所属账号与签离所属账号不匹配");
        userVisitorListDetail.setIsSignOut(true);
        userVisitorListDetail.setSignOutTime(DateUtil.date());
        userVisitorListDetail.setSignOutSn(faceDevice.getSn());
        userVisitorListDetail.setSignOutAddress(faceDevice.getName());
        userVisitorListDetailDao.updateByPrimaryKeySelective(userVisitorListDetail);
        try {
            userVisitorListService.delete(userVisitorListDetail.getUserVisitorListId());
        } catch (Exception e) {
            log.info("删除访客报错", e);
        }
        return RestResult.ok(BeanUtil.copyProperties(userVisitorListDetail, CodeOpenCodeJudgeVo.class));
    }

    private void checkSignOut(FaceDevice faceDevice, UserVisitorListDetail userVisitorListDetail) {

        if (userVisitorListDetail.getAdminId().intValue() != faceDevice.getAdminId().intValue()) {
            throw new ServiceException("禁止在此设备签离！");
        }

        Integer snZoneId = queryZoneIdBySn(faceDevice);
        List<Integer> visitorZoneIds = userVisitorListDetail.getZoneDevicePassIdList();
        if ((Preconditions.isNotBlank(visitorZoneIds) && Preconditions.isBlank(snZoneId))
                || (Preconditions.isBlank(visitorZoneIds) && Preconditions.isNotBlank(snZoneId))
                || (Preconditions.isNotBlank(visitorZoneIds) && Preconditions.isNotBlank(snZoneId) && !visitorZoneIds.contains(snZoneId))
        ) {
            throw new ServiceException("非同一区域设备，禁止签离！");
        }


    }

    @Override
    public RestResult<VisitorCodeCheckVo> visitorCodeCheck(VisitorCodeCheckDto dto) {
        //解密
        try {
            String encode = AesUtils.decode(Constants.FKJ_KEY, dto.getCode());
            FkjBaseVo fkjBaseVo = JSON.parseObject(encode, FkjBaseVo.class);
            ClassUtil.throwBusinessException(ObjectUtil.isNull(fkjBaseVo) || StrUtil.isBlank(fkjBaseVo.getAction()), "二维码值有误");
            FkjBaseActionEnum fkjBaseActionEnum = getByCode(fkjBaseVo.getAction());
            ClassUtil.throwBusinessException(ObjectUtil.isNull(fkjBaseActionEnum), "二维码所属不存在");
            switch (fkjBaseActionEnum) {
                case FKJ_COMMON_CODE:
                    return this.visitorCodeCheck(encode);
            }
        } catch (ServiceException serviceException) {
            throw serviceException;
        } catch (Exception exception) {
            throw new ServiceException("二维码解析错误");
        }
        return null;
    }

    private RestResult<VisitorCodeCheckVo> visitorCodeCheck(String encode) {
        FkjCommonCodeVo fkjCommonCodeVo = JSON.parseObject(encode, FkjCommonCodeVo.class);
        Long userVisitorListDetailId = fkjCommonCodeVo.getUserVisitorListDetailId();
        UserVisitorListDetail userVisitorListDetail = userVisitorListDetailDao.selectByPrimaryKey(userVisitorListDetailId);
        ClassUtil.checkData(userVisitorListDetail, "访客登记记录不存在");
        VisitorCodeCheckVo visitorCodeCheckVo = BeanUtil.copyProperties(userVisitorListDetail, VisitorCodeCheckVo.class);
        if (userVisitorListDetail.getUserWhitelistId() != null) {
            UserWhitelist userWhitelist = userWhitelistDao.selectByPrimaryKey(userVisitorListDetail.getUserWhitelistId());
            if (ObjectUtil.isNotNull(userWhitelist) && StrUtil.isNotBlank(userWhitelist.getAvatar())) {
                visitorCodeCheckVo.setAvatar(userWhitelist.getAvatar());
            }
        }
        if (StrUtil.isBlank(visitorCodeCheckVo.getSceneXp()) && StrUtil.isNotBlank(userVisitorListDetail.getPhoto())) {
            visitorCodeCheckVo.setSceneXp(userVisitorListDetail.getPhoto());
        }
        return RestResult.ok(visitorCodeCheckVo);
    }
}
