package com.yx.face.service.impl;


import com.github.pagehelper.PageHelper;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.ServiceException;
import com.yx.face.dao.ThirdPartyDao;
import com.yx.face.model.dto.ThirdPartyDTO;
import com.yx.face.model.entity.ThirdParty;
import com.yx.face.model.search.ThirdPartySearch;
import com.yx.face.model.vo.ThirdPartyVO;
import com.yx.face.service.ThirdPartyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 第三方列表 服务实现类
 * </p>
 *
 * @author wxg
 * @since 2022-01-10
 */
@Service
public class ThirdPartyServiceImpl implements ThirdPartyService {

    @Resource
    private ThirdPartyDao thirdPartyDao;

    @Override
    public Integer edit(ThirdPartyDTO thirdPartyDTO) {
        ThirdParty thirdParty = new ThirdParty();
        Date date = new Date();
        thirdParty.setName(thirdPartyDTO.getName());
        thirdParty.setExtend1(thirdPartyDTO.getExtend1());
        thirdParty.setUpdateTime(date);

        if(thirdPartyDTO.getThirdPartyId() == null){
            thirdParty.setCreateTime(date);
            return thirdPartyDao.insertSelective(thirdParty);
        }else {
            thirdParty.setId(thirdPartyDTO.getThirdPartyId());
            return thirdPartyDao.updateByPrimaryKeySelective(thirdParty);
        }
    }

    @Override
    public Integer delete(Integer thirdPartyId) {
        if(thirdPartyId == 1 )throw new ServiceException("该第三方不可以删除");
        return thirdPartyDao.deleteByPrimaryKey(thirdPartyId);
    }

    @Override
    public List<ThirdPartyVO> getList() {
        List<ThirdPartyVO> list = thirdPartyDao.getList();
        return list;
    }

    @Override
    public List<ThirdPartyVO> getPageList(RestDTO<ThirdPartySearch> dto) {
        PageHelper.startPage(dto.getPageNum(), dto.getPageSize());
        List<ThirdPartyVO> list = thirdPartyDao.getPageList(dto.getData());

        return list;
    }
}
