package com.yx.face.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.excel.EasyExcel;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.google.common.collect.Lists;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.boot.restful.ServiceException;
import com.yx.face.boot.uitls.ClassUtil;
import com.yx.face.boot.uitls.DateUtils;
import com.yx.face.boot.uitls.Preconditions;
import com.yx.face.boot.uitls.SMSOrIdCardUtils;
import com.yx.face.dao.*;
import com.yx.face.model.entity.*;
import com.yx.face.model.enums.*;
import com.yx.face.model.excel.UserVisitorlistDetailExcel;
import com.yx.face.model.search.FaceServerLogSearch;
import com.yx.face.model.search.UserVisitorlistDetailSearch;
import com.yx.face.model.search.UserWhitelistSearch;
import com.yx.face.model.vo.*;
import com.yx.face.model.vo.visitor.UserVisitorListDetailHealth;
import com.yx.face.model.vo.visitor.UserVisitorListDetailInfo;
import com.yx.face.model.vo.visitor.UserVisitorListDetailVisitor;
import com.yx.face.service.*;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;
import org.thymeleaf.util.ListUtils;
import tk.mybatis.mapper.entity.Example;
import tk.mybatis.mapper.weekend.WeekendSqls;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.math.BigDecimal;
import java.net.URLEncoder;
import java.util.*;
import java.util.concurrent.Executor;
import java.util.stream.Collectors;

/**
 * @description:
 * @ClassName UserVisitorListServiceImpl
 * @Author cui
 * @Date 2021/11/5 14:16
 */
@Slf4j
@Service
public class UserVisitorListServiceImpl implements UserVisitorListService {

    @Resource
    private UserVisitorListDao userVisitorListDao;

    @Resource
    private UserVisitorListDetailDao userVisitorListDetailDao;

    @Resource
    private UserVisitorListFromDao userVisitorFromListDao;

    @Resource
    private FaceService faceService;

    @Resource
    private FaceTBService faceTBService;

    @Resource
    private UserWhiteListDetailDao userWhiteListDetailDao;

    @Resource
    private AdminDao adminDao;

    @Resource
    private AdminDetailDao adminDetailDao;

    @Resource
    private AdminService adminService;

    @Resource
    private UserWhitelistDao userWhitelistDao;

    @Resource
    private UserBlackListDao userBlackListDao;

    @Resource
    private FaceDeviceDao faceDeviceDao;

    @Autowired
    private UserInfoService userInfoService;

    @Resource
    private UserBlackListService userBlackListService;

    @Autowired
    private Executor executor;
    @Resource
    private AlipayOpenApiService alipayOpenApiService;


    @Resource
    private UserInfoDao userInfoDao;

    @Override
    public PageInfo<UserVisitorListVO> getPageList(RestDTO<UserWhitelistSearch> dto) {
        UserWhitelistSearch data = dto.getData();

        if (data.getPhone() != null && !data.getPhone().equals("") && (!SMSOrIdCardUtils.isMobile(data.getPhone()))) {
            throw new ServiceException("手机号查询时须填写完整");
        }
        List<ContextVO> contents = dto.getData().getContents();
        if (!ListUtils.isEmpty(contents)) {
            for (int i = 0; i < contents.size(); i++) {
                if (i == 0 && StringUtils.isNotEmpty(contents.get(0).getCustomNameVal())) {
                    String id = contents.get(0).getId();
                    String customNameVal = contents.get(0).getCustomNameVal();
                    String context = "\"id\":" + "\"" + id + "\"," + "\"customNameVal\":" + "\"" + customNameVal;
                    dto.getData().setContent(context);
                } else if (i == 1 && StringUtils.isNotEmpty(contents.get(1).getCustomNameVal())) {
                    String id = contents.get(1).getId();
                    String customNameVal = contents.get(1).getCustomNameVal();
                    String context = "\"id\":" + "\"" + id + "\"," + "\"customNameVal\":" + "\"" + customNameVal;
                    dto.getData().setContent1(context);
                } else if (i == 2 && StringUtils.isNotEmpty(contents.get(2).getCustomNameVal())) {
                    String id = contents.get(2).getId();
                    String customNameVal = contents.get(2).getCustomNameVal();
                    String context = "\"id\":" + "\"" + id + "\"," + "\"customNameVal\":" + "\"" + customNameVal;
                    dto.getData().setContent2(context);
                } else if (i == 3 && StringUtils.isNotEmpty(contents.get(3).getCustomNameVal())) {
                    String id = contents.get(3).getId();
                    String customNameVal = contents.get(3).getCustomNameVal();
                    String context = "\"id\":" + "\"" + id + "\"," + "\"customNameVal\":" + "\"" + customNameVal;
                    dto.getData().setContent3(context);
                } else if (i == 4 && StringUtils.isNotEmpty(contents.get(4).getCustomNameVal())) {
                    String id = contents.get(4).getId();
                    String customNameVal = contents.get(4).getCustomNameVal();
                    String context = "\"id\":" + "\"" + id + "\"," + "\"customNameVal\":" + "\"" + customNameVal;
                    dto.getData().setContent4(context);
                }
            }
        } else {
            dto.getData().setContents(null);
        }
        AdminVO info = adminService.getInfo();
        info.setAdminIds(Lists.newArrayList(info.getAdminId()));
        if ((AdminPlaceTypeEnum.BUILDING_PLACE.getCode().equals(info.getPlaceType()) || AdminPlaceTypeEnum.SCHOOL_PLACE.getCode().equals(info.getPlaceType())) && AdminTypeEnum.DISTRICT.getCode().equals(info.getType())) {
            List<Admin> adminList = adminDao.selectByExample(Example.builder(Admin.class).where(WeekendSqls.<Admin>custom().andEqualTo(Admin::getTenantId, info.getAdminId())).build());
            info.getAdminIds().addAll(adminList.stream().map(Admin::getId).collect(Collectors.toList()));
        }

        //查询账号附表信息
        List<AdminDetail> adminDetails = adminDetailDao.selectByExample(Example.builder(AdminDetail.class).where(WeekendSqls.<AdminDetail>custom().andIn(AdminDetail::getAdminId, info.getAdminIds())).build());
        Map<Integer, AdminDetail> detailMap = adminDetails.stream().collect(Collectors.toMap(AdminDetail::getAdminId, v -> v, (v1, v2) -> v1));
        Map<String, Object> map = new HashMap<>();
        map.put("adminVo", info);
        map.put("uws", dto.getData());

        PageHelper.startPage(dto.getPageNum(), dto.getPageSize());
        List<UserVisitorListVO> list = userVisitorListDao.selectListBySearch(map);
        boolean isShowName = false;
        boolean isShowPhone = false;
        boolean isShowNumber = false;
        if (info.getNoHideCloumn() != null && info.getNoHideCloumn().size() > 0) {
            if (info.getNoHideCloumn().contains("1")) {
                isShowName = true;
            }
            if (info.getNoHideCloumn().contains("2")) {
                isShowPhone = true;
            }
            if (info.getNoHideCloumn().contains("3")) {
                isShowNumber = true;
            }
        }

        Map<Integer, List<UserVisitorListDetail>> visitorIdNumberMap = new HashMap<>();
        if (Preconditions.isNotBlank(list)) {
            //获取所有访客列表id集合
            List<Integer> userVisitorListIds = list.stream().filter(item -> Preconditions.isNotBlank(item.getUserVisitorListId())).map(UserVisitorListVO::getUserVisitorListId).collect(Collectors.toList());
            //获取访客机字段
            if (Preconditions.isNotBlank(userVisitorListIds)) {
                List<UserVisitorListDetail> userVisitorListDetails = userVisitorListDao.selectVisitorFromByUserVisitorListIds(userVisitorListIds);
                if (Preconditions.isNotBlank(userVisitorListDetails)) {
                    visitorIdNumberMap = userVisitorListDetails.stream().collect(Collectors.groupingBy(UserVisitorListDetail::getUserVisitorListId));
                }
            }
        }

        for (UserVisitorListVO userVisitorListVO : list) {
            if (StringUtils.isNotBlank(userVisitorListVO.getName()) && isShowName) {
                userVisitorListVO.setName(SMSOrIdCardUtils.hideName(userVisitorListVO.getName().trim()));
            }
            if (StringUtils.isNotBlank(userVisitorListVO.getPhone()) && isShowPhone) {
                userVisitorListVO.setPhone(SMSOrIdCardUtils.hidePhone(userVisitorListVO.getPhone()));
            }
            if (StringUtils.isNotBlank(userVisitorListVO.getIdNumber()) && isShowNumber) {
                userVisitorListVO.setIdNumber(SMSOrIdCardUtils.hideIdNumber(userVisitorListVO.getIdNumber()));
            }

            AdminDetail detail = detailMap.get(userVisitorListVO.getAdminId());
            if (detail != null) {
                //企业简称
                userVisitorListVO.setEnterpriseSimpleName(detail.getEnterpriseSimpleName());
                //企业全称
                userVisitorListVO.setEnterpriseFullName(detail.getEnterpriseFullName());
            }

            //补全访客机字段
            if (Preconditions.isNotBlank(visitorIdNumberMap)
                    && Preconditions.isNotBlank(visitorIdNumberMap.get(userVisitorListVO.getUserVisitorListId()))) {
                List<UserVisitorListDetail> details = visitorIdNumberMap.get(userVisitorListVO.getUserVisitorListId());
                UserVisitorListDetail detailDesc = details.stream().sorted(Comparator.comparing(UserVisitorListDetail::getId).reversed()).collect(Collectors.toList()).get(0);
                userVisitorListVO.setCompany(detailDesc.getCompany());
                userVisitorListVO.setTemperature(detailDesc.getTemperature());
                userVisitorListVO.setCarno(detailDesc.getCarno());
                userVisitorListVO.setReason(detailDesc.getReason());
                userVisitorListVO.setTime(detailDesc.getTime());
                userVisitorListVO.setOrg(detailDesc.getOrg());
                userVisitorListVO.setVisiteeCompany(detailDesc.getVisiteeCompany());
                userVisitorListVO.setVisiteeXm(detailDesc.getVisiteeXm());
                userVisitorListVO.setVisiteeBm(detailDesc.getVisiteeBm());
                userVisitorListVO.setVisiteeRoom(detailDesc.getVisiteeRoom());
                userVisitorListVO.setPcsdm(detailDesc.getPcsdm());
                userVisitorListVO.setPcsname(detailDesc.getPcsname());
                userVisitorListVO.setMachineId(detailDesc.getMachineId());
            }
        }

        Admin admin = adminDao.selectByPrimaryKey(info.getAdminId());
        if (info.getType() == 5) {
            for (Integer i = 0; i < list.size(); i++) {
                if (StringUtils.isEmpty(list.get(i).getContent())) {
                    list.get(i).setContent(admin.getContent());
                }
                Integer id = list.get(i).getId().intValue();
                List<ContextVO> context = faceService.getContextTwo(id, admin, list.get(i));
                list.get(i).setContents(context);
            }
        }

        return new PageInfo<>(list);
    }

    @Override
    public PageInfo<UserVisitorListDetailPageVO> getDetailPageList(RestDTO<UserVisitorlistDetailSearch> dto) {
        AdminVO info = adminService.getInfo();
        List<UserVisitorListDetailPageVO> list = this.getUserVisitorListDetailPageVOList(dto, info);
        boolean isShowName = false;
        boolean isShowPhone = false;
        boolean isShowNumber = false;
        if (info.getNoHideCloumn() != null && info.getNoHideCloumn().size() > 0) {
            if (info.getNoHideCloumn().contains("1")) {
                isShowName = true;
            }
            if (info.getNoHideCloumn().contains("2")) {
                isShowPhone = true;
            }
            if (info.getNoHideCloumn().contains("3")) {
                isShowNumber = true;
            }
        }

        for (UserVisitorListDetailPageVO listDetailPageVO : list) {
            if (StringUtils.isNotBlank(listDetailPageVO.getName()) && isShowName) {
                listDetailPageVO.setName(SMSOrIdCardUtils.hideName(listDetailPageVO.getName().trim()));
            }
            if (StringUtils.isNotBlank(listDetailPageVO.getPhone()) && isShowPhone) {
                listDetailPageVO.setPhone(SMSOrIdCardUtils.hidePhone(listDetailPageVO.getPhone()));
            }
            if (StringUtils.isNotBlank(listDetailPageVO.getIdNumber()) && isShowNumber) {
                listDetailPageVO.setIdNumber(SMSOrIdCardUtils.hideIdNumber(listDetailPageVO.getIdNumber()));
            }
            if (StringUtils.isNotEmpty(listDetailPageVO.getContent())) {
                listDetailPageVO.setContents(JSONArray.parseArray(info.getContent(), ContextVO.class));
            } else {
                listDetailPageVO.setContents(new ArrayList<>());
            }
        }

        return new PageInfo<>(list);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Integer addWhite(Integer id, Integer adminId) throws Exception {
        UserVisitorList uvl = userVisitorListDao.selectByPrimaryKey(id);
        ClassUtil.checkData(uvl, "数据不存在，请刷新");
        ClassUtil.throwBusinessException(StrUtil.isBlank(uvl.getIdNumber()) && StrUtil.isBlank(uvl.getPhone()), "身份证/手机号不存在，无法添加为常客");
        List<UserVisitorListDetail> uf = userVisitorFromListDao.selectByUserId(id);
        UserWhitelist addWhite = new UserWhitelist();
        UserWhitelistDetail addUf = new UserWhitelistDetail();
        addWhite.setIdNumber(uvl.getIdNumber());
        addWhite.setAdminId(uvl.getAdminId());
        UserWhitelist getByIdNumberOrPhone = userWhitelistDao.selectOne(addWhite);
        if (getByIdNumberOrPhone == null) {
            addWhite = new UserWhitelist();
            addWhite.setPhone(uvl.getPhone());
            addWhite.setAdminId(uvl.getAdminId());
            getByIdNumberOrPhone = userWhitelistDao.selectOne(addWhite);
        }
        addWhite = new UserWhitelist();
        addWhite.setAvatar(uvl.getAvatar());
        if (getByIdNumberOrPhone != null) {
            addWhite.setUpdateTime(new Date());
            addWhite.setId(getByIdNumberOrPhone.getId());
            userWhitelistDao.updateByPrimaryKeySelective(addWhite);
        } else {
            addWhite.setName(uvl.getName());
            addWhite.setPhone(uvl.getPhone());
            addWhite.setCreateTime(new Date());
            addWhite.setStatus(StringUtils.isNotEmpty(uvl.getAvatar()) ? 1 : 2);
            addWhite.setType(1);
            addWhite.setAdminId(uvl.getAdminId());
            addWhite.setIdNumber(uvl.getIdNumber());
            addWhite.setContent(uvl.getContent());
            addWhite.setPushType(uvl.getPushType());
            addWhite.setUserId(uvl.getUserId());
            userWhitelistDao.insert(addWhite);
            if (!ListUtils.isEmpty(uf)) {
                for (Integer i = 0; i < uf.size(); i++) {
                    addUf.setUserWhitelistId(addWhite.getId());
                    addUf.setId((long) addWhite.getId() + i);
                    addUf.setCarno(uf.get(i).getCarno());
                    addUf.setReason(uf.get(i).getReason());
                    addUf.setSn(uf.get(i).getSn());
                    addUf.setNumPeoples(uf.get(i).getNumPeoples());
                    addUf.setHasIdCard(uf.get(i).getHasIdCard());
                    addUf.setHealthCode(uf.get(i).getHealthCode());
                    addUf.setVaccineNum(uf.get(i).getVaccineNum());
                    addUf.setTemperature(uf.get(i).getTemperature());
                    addUf.setVisiTeeXm(uf.get(i).getVisiteeXm());
                    addUf.setVisiTeeBm(uf.get(i).getVisiteeBm());
                    addUf.setVisiTeeCompany(uf.get(i).getVisiteeCompany());
                    addUf.setVisiTeeRoom(uf.get(i).getVisiteeRoom());
                    addUf.setPcsdm(uf.get(i).getPcsdm());
                    addUf.setPcsname(uf.get(i).getPcsname());
                    addUf.setXp(uf.get(i).getXp());
                    addUf.setSceneXp(uf.get(i).getSceneXp());
                    addUf.setTime(uf.get(i).getTime());
                    addUf.setOrg(uf.get(i).getOrg());
                    addUf.setDoor(uf.get(i).getDoor());
                    userWhiteListDetailDao.insert(addUf);
                }
            }
        }
        List<String> faceDeviceOne = faceDeviceDao.selectList(uvl.getAdminId());
        Admin admin = adminDao.selectByPrimaryKey(uvl.getAdminId());
        if (admin.getType().equals(AdminTypeEnum.ENTERPRISE.getCode())) {
            faceDeviceOne.addAll(faceDeviceDao.selectList(admin.getTenantId()));
        }
        if (faceDeviceOne.isEmpty()) {
            throw new ServiceException("该账号下没绑定设备，添加失败哦~");
        }
        Date timeStart;
        Date timeEnd;
        if (admin.getUserWhitelistEffectiveTime() != null) {
            timeStart = DateUtil.date();
            int timelong = admin.getUserWhitelistEffectiveTime().multiply(new BigDecimal(1440)).intValue();
            timeEnd = DateUtils.addMinutes(new Date(), timelong);
        } else {
            timeStart = DateUtil.date();
            timeEnd = DateUtils.addYears(DateUtil.date(), 1);
        }
        UserWhitelistVO one = userVisitorListDao.selectListOne(addWhite.getId());
        Long userId = userInfoService.checkingIdNumberAndPhone(addWhite.getIdNumber(), addWhite.getPhone());
        userVisitorListDao.deleteByPrimaryKey(id);
//        Integer count = userVisitorListDao.selectById(id);
//        if (count != 0) {
//            userVisitorFromListDao.deleteById(id);
//        }
        if(addWhite.getStartTime() == null || addWhite.getEndTime() == null){
            UserWhitelist finalAddWhite = addWhite;
            executor.execute(() -> {
                finalAddWhite.setStartTime(timeStart);
                finalAddWhite.setEndTime(timeEnd);
                userWhitelistDao.updateByPrimaryKeySelective(finalAddWhite);
            });
        }

        if (CollectionUtil.isNotEmpty(faceDeviceOne)) {
            String facialFeature = null;
            if (Preconditions.isNotBlank(userId)) {
                UserInfo userInfo = userInfoDao.selectByPrimaryKey(userId);
                facialFeature = userInfo.getFacialFeature();
            }

            for (String sn : faceDeviceOne) {
                DownFaceNew downFaceNew = new DownFaceNew();
                downFaceNew.setCardid(one.getIdNumber());
                downFaceNew.setRightno(UserRightNoEnum.REGULAR.getCode());
                downFaceNew.setPhoto(one.getAvatar());
                downFaceNew.setName(one.getName());
                downFaceNew.setUserId(userId);
                downFaceNew.setSn(sn);
                downFaceNew.setPhone(one.getPhone());
                downFaceNew.setValidPeriodStart(timeStart);
                downFaceNew.setValidPeriodEnd(timeEnd);
                downFaceNew.setFacialFeature(facialFeature);
                downFaceNew.setAdminId(admin.getId());
                faceTBService.downUser(downFaceNew);
            }
        }
        return 1;
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Integer addBlack(Integer id, Integer adminId) throws Exception {
        UserVisitorList uvl = userVisitorListDao.selectByPrimaryKey(id);
        ClassUtil.checkData(uvl, "数据不存在，请刷新");
        ClassUtil.throwBusinessException(StrUtil.isBlank(uvl.getIdNumber()) && StrUtil.isBlank(uvl.getPhone()), "身份证/手机号不存在，无法添加到黑名单");
        UserBlackList userBlackOne = userBlackListService.getByPhoneAndIdNumber(uvl.getIdNumber(), uvl.getPhone(), uvl.getAdminId());
        UserBlackList userBlackList = new UserBlackList();
        if (userBlackOne != null) {
            userBlackList.setType(1);
            userBlackList.setIdNumber(uvl.getIdNumber());
            userBlackList.setId(userBlackOne.getId());
            userBlackList.setAvatar(userBlackOne.getAvatar());
            userBlackList.setUpdateTime(new Date());
            userBlackListDao.updateByPrimaryKeySelective(userBlackList);
        } else {
            userBlackList.setType(1);
            userBlackList.setAvatar(uvl.getAvatar());
            userBlackList.setName(uvl.getName());
            userBlackList.setPhone(uvl.getPhone());
            userBlackList.setCreateTime(new Date());
            userBlackList.setAdminId(uvl.getAdminId());
            userBlackList.setIdNumber(uvl.getIdNumber());
            userBlackListDao.insert(userBlackList);
        }
        List<String> faceDeviceOne = faceDeviceDao.selectList(uvl.getAdminId());
        Admin admin = adminDao.selectByPrimaryKey(uvl.getAdminId());
        if (admin.getType().equals(AdminTypeEnum.ENTERPRISE.getCode())) {
            faceDeviceOne.addAll(faceDeviceDao.selectList(admin.getTenantId()));
        }
        if (faceDeviceOne.isEmpty()) {
            throw new ServiceException("该账号下没绑定设备，添加失败哦~");
        }
        Date now = new Date();
        Date date = DateUtils.addYears(now, 100);
        Long userId = null;
        if (uvl.getUserId() == null) {
            userId = userInfoService.checkingIdNumberAndPhone(uvl.getIdNumber(), uvl.getPhone());
        } else {
            userId = uvl.getUserId();
        }
        if (CollectionUtil.isNotEmpty(faceDeviceOne)) {
            String facialFeature = null;
            if (Preconditions.isNotBlank(userId)) {
                UserInfo userInfo = userInfoDao.selectByPrimaryKey(userId);
                facialFeature = userInfo.getFacialFeature();
            }
            for (String sn : faceDeviceOne) {
                DownFaceNew downFaceNew = new DownFaceNew();
                downFaceNew.setCardid(uvl.getIdNumber());
                downFaceNew.setRightno(UserRightNoEnum.BLACKLIST.getCode());
                downFaceNew.setPhoto(uvl.getAvatar());
                downFaceNew.setName(uvl.getName());
                downFaceNew.setUserId(userId);
                downFaceNew.setSn(sn);
                downFaceNew.setPhone(uvl.getPhone());
                downFaceNew.setValidPeriodStart(DateUtils.addMinutes(now, -10));
                downFaceNew.setValidPeriodEnd(date);
                downFaceNew.setFacialFeature(facialFeature);
                downFaceNew.setAdminId(admin.getId());
                faceTBService.downUser(downFaceNew);
            }
        }
        return userVisitorListDao.deleteByPrimaryKey(id);
    }

    @Override
    public Boolean addWhiteAll(Integer userId) {
        AdminVO info = adminService.getInfo();
        info.setAdminIds(Lists.newArrayList(info.getAdminId()));
        Map<String, Object> map = new HashMap<>();
        map.put("adminVo", info);
        map.put("uws", new UserWhitelistSearch());
        List<UserVisitorListVO> list = userVisitorListDao.selectListBySearch(map);
        if (CollectionUtils.isEmpty(list)) {
            return false;
        }
        List<Long> collect = list.stream().map(UserVisitorListVO::getId).distinct().collect(Collectors.toList());
        collect.forEach(id -> {
            try {
                addWhite(id.intValue(), userId);
            } catch (Exception e) {
                e.printStackTrace();
            }
        });
        return true;
    }

    @Override
    public Integer delete(Integer id) {
        UserVisitorList userVisitorList = userVisitorListDao.selectByPrimaryKey(id);
        Integer count = userVisitorListDao.selectById(id);
        if (userVisitorList == null) {
            throw new ServiceException("该数据已不存在，请刷新页面再试哦~");
        }
        List<String> list = faceDeviceDao.selectList(userVisitorList.getAdminId());
        Admin admin = adminDao.selectByPrimaryKey(userVisitorList.getAdminId());
        if (admin.getIsOpenPrivateArea().equals(AdminIsOpenPrivateAreaEnum.OPEN_PRIVATE_AREA.getCode())) {
            List<FaceDeviceLessVO> snListByUserWhitelistId = faceDeviceDao.getSnListByUserWhitelistId(userVisitorList.getId());
            List<String> collect = snListByUserWhitelistId.stream().map(FaceDeviceLessVO::getSn).collect(Collectors.toList());
            if (list == null) {
                list = new ArrayList<>();
            }
            list.addAll(collect);
        }
        if (admin.getType().equals(AdminTypeEnum.ENTERPRISE.getCode())) {
            list.addAll(faceDeviceDao.selectList(admin.getTenantId()));
        }
        Long userId = userVisitorList.getUserId();
        ArrayList<Long> userIds = CollUtil.toList(userId);
        for (String sn : list) {
            faceTBService.delFaceBySn(sn, userIds);
        }
        //删除2188 iot用户出库
        if (Preconditions.isNotBlank(userId)) {
            alipayOpenApiService.deleteIotUser(Arrays.asList(userId));
        }

        return userVisitorListDao.deleteByPrimaryKey(id);
    }

    @Override
    public RestResult<String> addSingle(Integer adminId, Integer id) {
        RestResult<String> objectRestResult = new RestResult<>();
        UserWhitelistVO one = userVisitorListDao.selectVisitorListOne(id);
        Long userId = userInfoService.checkingIdNumberAndPhone(one.getIdNumber(), one.getPhone());
        if (userId != null) {
            one.setId(userId);
        } else {
            objectRestResult.setCode(405);
            objectRestResult.setMsg("下发失败");
            return objectRestResult;
        }
        List<String> faceDeviceOne = faceDeviceDao.selectList(one.getAdminId());
        Admin admin = adminDao.selectByPrimaryKey(one.getAdminId());
        if (admin.getType().equals(AdminTypeEnum.ENTERPRISE.getCode())) {
            faceDeviceOne.addAll(faceDeviceDao.selectList(admin.getTenantId()));
        }
        if (faceDeviceOne.isEmpty()) {
            objectRestResult.setCode(401);
            objectRestResult.setMsg("设备不在线访客名单下发失败");
            return objectRestResult;
        }
        Date timeStart;
        Date timeEnd;
        if (admin.getUserVisiterEffectiveTime() != null) {
            timeStart = DateUtil.date();
            int timelong = admin.getUserVisiterEffectiveTime().multiply(new BigDecimal(1440)).intValue();
            timeEnd = DateUtils.addMinutes(new Date(), timelong);
        } else {
            timeStart = DateUtil.date();
            timeEnd = DateUtils.addDays(DateUtil.date(), 15);
        }
        if (CollectionUtil.isNotEmpty(faceDeviceOne)) {
            String facialFeature = null;
            if (Preconditions.isNotBlank(userId)) {
                UserInfo userInfo = userInfoDao.selectByPrimaryKey(userId);
                facialFeature = userInfo.getFacialFeature();
            }
            for (String sn : faceDeviceOne) {
                DownFaceNew downFaceNew = new DownFaceNew();
                downFaceNew.setCardid(one.getIdNumber());
                downFaceNew.setRightno(UserRightNoEnum.VISITORS.getCode());
                downFaceNew.setPhoto(one.getAvatar());
                downFaceNew.setName(one.getName());
                downFaceNew.setUserId(userId);
                downFaceNew.setSn(sn);
                downFaceNew.setPhone(one.getPhone());
                downFaceNew.setValidPeriodStart(timeStart);
                downFaceNew.setValidPeriodEnd(timeEnd);
                downFaceNew.setFacialFeature(facialFeature);
                downFaceNew.setAdminId(admin.getId());
                faceTBService.downUser(downFaceNew);
            }
        }
        objectRestResult.setCode(200);
        objectRestResult.setMsg("下发成功");
        return objectRestResult;
    }

    @Override
    public List<UserVisitorListVO> userVisitorlistExcelOut(UserWhitelistSearch userWhitelistSearch) {
        RestDTO<UserWhitelistSearch> dto = new RestDTO<>();
        dto.setPageNum(0);
        dto.setPageSize(50000);
        dto.setData(userWhitelistSearch);
        PageInfo<UserVisitorListVO> pageList = getPageList(dto);
        return pageList.getList();
    }

    @Override
    public UserVisitorList selectByIdNumberAndAdminId(String idNumber, Integer adminId) {
        //查询访客信息
        UserVisitorList userVisitorList = userVisitorListDao.selectByIdNumberAndAdminId(idNumber, adminId);
        return userVisitorList;
    }

    @Override
    public UserVisitorList getByPhoneAndId(String phone, Integer adminId) {
        UserVisitorList userVisitorList = userVisitorListDao.getByPhoneAndId(phone, adminId);
        return userVisitorList;
    }

    @Override
    public UserVisitorListDetailInfo getDetailInfo(Integer detailId) {
        UserVisitorListDetail userVisitorListDetail = userVisitorListDetailDao.selectByPrimaryKey(detailId);
        if (userVisitorListDetail == null) {
            return new UserVisitorListDetailInfo();
        }
        AdminVO info = adminService.getInfo(userVisitorListDetail.getAdminId());
        UserVisitorListDetailInfo userVisitorListDetailInfo = new UserVisitorListDetailInfo();
        /*2.数据填充*/
        //1.自定义字段
        if (StringUtils.isNotEmpty(info.getContent())) {
            userVisitorListDetailInfo.setContentStatus(1);
            if (StringUtils.isNotEmpty(userVisitorListDetail.getContent())) {
                userVisitorListDetailInfo.setContents(JSON.parseArray(userVisitorListDetail.getContent(), ContextVO.class));
            } else {
                userVisitorListDetailInfo.setContents(new ArrayList<>());
            }
        }
        //2.访客机字段
        if (org.springframework.util.StringUtils.hasText(userVisitorListDetail.getMachineId())) {
            userVisitorListDetailInfo.setVisitorStatus(1);
            UserVisitorListDetailVisitor userVisitorListDetailVisitor = new UserVisitorListDetailVisitor();
            BeanUtils.copyProperties(userVisitorListDetail, userVisitorListDetailVisitor);
            userVisitorListDetailInfo.setUserVisitorListDetailVisitor(userVisitorListDetailVisitor);
        }
        //3.健康码信息
        if (!CollectionUtils.isEmpty(info.getThreeCodeList())) {
            userVisitorListDetailInfo.setThreeCodeList(info.getThreeCodeList());
            UserVisitorListDetailHealth userVisitorListDetailHealth = new UserVisitorListDetailHealth();
            BeanUtils.copyProperties(userVisitorListDetail, userVisitorListDetailHealth);
            userVisitorListDetailInfo.setUserVisitorListDetailHealth(userVisitorListDetailHealth);
        } else {
            userVisitorListDetailInfo.setThreeCodeList(new ArrayList<>());
        }
        return userVisitorListDetailInfo;
    }

    @Override
    public UserVisitorList getByPhoneAndIdNumber(String idNumber, String phone, Integer adminId) {
        UserVisitorList userVisitorList = null;
        if (StringUtils.isNotEmpty(idNumber)) {
            userVisitorList = userVisitorListDao.getByPhoneAndIdNumber(idNumber, null, adminId);
            if (userVisitorList == null && StringUtils.isNotEmpty(phone)) {
                userVisitorList = userVisitorListDao.getByPhoneAndIdNumber(null, phone, adminId);
            }
        } else {
            if (StringUtils.isNotEmpty(phone)) {
                userVisitorList = userVisitorListDao.getByPhoneAndIdNumber(null, phone, adminId);
            }
        }
        return userVisitorList;
    }

    @Override
    public UserVisitorList getUserVisitorList(String idNumber, String phone, String openId, Integer adminId) {
        UserVisitorList userVisitorList = null;
        if (StrUtil.isNotEmpty(idNumber)) {
            userVisitorList = userVisitorListDao.getByPhoneAndIdNumber(idNumber, null, adminId);
            if ((ObjectUtil.isNotNull(userVisitorList))) {
                return userVisitorList;
            }
        }
        if (StrUtil.isNotEmpty(phone)) {
            userVisitorList = userVisitorListDao.getByPhoneAndIdNumber(null, phone, adminId);
            if ((ObjectUtil.isNotNull(userVisitorList))) {
                return userVisitorList;
            }
        }
        if (StrUtil.isNotEmpty(openId)) {
            userVisitorList = userVisitorListDao.getByOpenId(openId, adminId);
            if ((ObjectUtil.isNotNull(userVisitorList))) {
                return userVisitorList;
            }
        }
        return userVisitorList;
    }

    @Override
    public void excelOut(UserVisitorlistDetailSearch dto, HttpServletResponse response) {
        AdminVO info = adminService.getInfo();
        ClassUtil.throwBusinessException(info.getIsOut() != 1, "没有导出权限");

        RestDTO<UserVisitorlistDetailSearch> restDTO = new RestDTO<>();
        restDTO.setPageNum(0);
        restDTO.setPageSize(50000);
        restDTO.setData(dto);
        List<UserVisitorListDetailPageVO> voList = this.getUserVisitorListDetailPageVOList(restDTO, info);
        ClassUtil.throwBusinessException(CollUtil.isEmpty(voList), "没有可导出的记录");
        List<UserVisitorlistDetailExcel> list = voList.stream().map(object -> {
            UserVisitorlistDetailExcel item = BeanUtil.copyProperties(object, UserVisitorlistDetailExcel.class);
            if(info.getIsHideImportant() == 1){
                item.setName(SMSOrIdCardUtils.hideName(item.getName()));
                item.setPhone(SMSOrIdCardUtils.hidePhone(item.getPhone()));
                item.setIdNumber(SMSOrIdCardUtils.hideIdNumber(item.getIdNumber()));
            }
            item.setStartTime(DateUtil.formatDateTime(object.getStartTime()));
            item.setEndTime(DateUtil.formatDateTime(object.getEndTime()));
            item.setSignOutTime(DateUtil.formatDateTime(object.getSignOutTime()));
            String reviewStatus = "";
            if(object.getReviewStatus() != null){
                switch (object.getReviewStatus()) {
                    case 0: reviewStatus = "待审核";break;
                    case 1: reviewStatus = "已拒绝";break;
                    case 2: reviewStatus = "已同意";break;
                    case 3: reviewStatus = "已进场";break;
                }
            }

            item.setReviewStatus(reviewStatus);
            String isSignOut = object.getIsSignOut() == null ? "":(object.getIsSignOut()?"是":"否");
            item.setIsSignOut(isSignOut);
            String visitingType = "";
            if(object.getVisitingType() != null){
                switch (object.getVisitingType()) {
                    case 0: visitingType = "申请记录";break;
                    case 1: visitingType = "邀请记录";break;
                    case 2: visitingType = "访客线下申请";break;
                }
            }
            item.setVisitingType(visitingType);
            item.setCreateTime(DateUtil.formatDateTime(object.getCreateTime()));

            return item;
        }).collect(Collectors.toList());

        // 这里注意 有同学反应使用swagger 会导致各种问题，请直接用浏览器或者用postman
        response.setContentType("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
        response.setCharacterEncoding("utf-8");
        // 这里URLEncoder.encode可以防止中文乱码 当然和easyexcel没有关系
        String fileName = null;
        try {
            fileName = URLEncoder.encode("访问记录", "UTF-8").replaceAll("\\+", "%20");
            response.setHeader("Content-disposition", "attachment;filename*=utf-8''" + fileName + ".xlsx");
            EasyExcel.write(response.getOutputStream(), UserVisitorlistDetailExcel.class).sheet("访问信息").doWrite(list);
        } catch (UnsupportedEncodingException e) {
            throw new RuntimeException(e);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
    private List<UserVisitorListDetailPageVO> getUserVisitorListDetailPageVOList(RestDTO<UserVisitorlistDetailSearch> dto, AdminVO info) {
        UserVisitorlistDetailSearch data = dto.getData();
        Map<String, Object> map = new HashMap<>();
        info.setAdminIds(Lists.newArrayList(info.getAdminId()));
        if ((AdminPlaceTypeEnum.BUILDING_PLACE.getCode().equals(info.getPlaceType()) || AdminPlaceTypeEnum.SCHOOL_PLACE.getCode().equals(info.getPlaceType())) && AdminTypeEnum.DISTRICT.getCode().equals(info.getType())) {
            List<Admin> adminList = adminDao.selectByExample(Example.builder(Admin.class).where(WeekendSqls.<Admin>custom().andEqualTo(Admin::getTenantId, info.getAdminId())).build());
            info.getAdminIds().addAll(adminList.stream().map(Admin::getId).collect(Collectors.toList()));
        }
        map.put("adminVo", info);
        map.put("query", new FaceServerLogSearch());
        List<Long> adminIdList = adminService.getAdminListSearch(map);
        PageHelper.startPage(dto.getPageNum(), dto.getPageSize());
        return userVisitorListDetailDao.selectListBySearch(data,adminIdList);
    }
}
