package com.yx.face.service.impl;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.yx.face.boot.restful.RestCode;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.boot.restful.ServiceException;
import com.yx.face.model.vo.UpdateVisitDeviceUserVO;
import com.yx.face.model.vo.VisitorUserInfoVO;
import com.yx.face.service.VisitorUserInfoService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wxg
 * @since 2022-12-03
 */
@Service
public class VisitorUserInfoServiceImpl implements VisitorUserInfoService {

    @Value("${visitor.visitor-user-info-in-put-url}")
    private String visitorUserInfoInPutUrl;

    @Value("${visitor.update-visit-device-user-url}")
    private String updateVisitDeviceUserUrl;

    @Value("${visitor.get-visitor-user-info-url}")
    private String getVisitorUserInfoUrl;


    @Override
    public void visitorUserInfoInPut(String result) {
        HttpRequest.post(visitorUserInfoInPutUrl).body(result).execute();
    }

    @Override
    public RestResult<VisitorUserInfoVO> getVisitorUserInfo(String taskId) {
        HttpResponse response = HttpRequest.get(getVisitorUserInfoUrl + "?taskId=" + taskId).execute();
        return JSON.parseObject(response.body(), new TypeReference<RestResult<VisitorUserInfoVO>>() {
        });
    }

    @Override
    public Long updateVisitDeviceUser(UpdateVisitDeviceUserVO updateVisitDeviceUserVO) {
        HttpResponse response = HttpRequest.post(updateVisitDeviceUserUrl).body(JSON.toJSONString(updateVisitDeviceUserVO)).execute();
        RestResult<Long> result = JSON.parseObject(response.body(), new TypeReference<RestResult<Long>>() {
        });
        if (RestCode.SUCCESS.code != result.getCode()) {
            throw new ServiceException(result.code, result.getMsg());
        }
        return result.getData();
    }

}
