package com.yx.face.service.issue;

import com.yx.face.model.dto.issue.WebsocketMsgReq;
import com.yx.face.model.entity.DownFaceNew;
import com.yx.face.model.entity.FaceDevice;
import com.yx.face.model.entity.TaskInfo;
import com.yx.face.model.vo.AdminVO;

import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.service.issue
 * @class HhfaceIssueService
 * @date 2024/9/10 下午2:03
 * @description
 */
public interface HhfaceIssueService {


    /**
     * 发送设备删除消息
     *
     * @param sn
     * @param taskInfo
     */
    void sendDeleteBySnMsg(String sn, TaskInfo taskInfo);


    /**
     * 发送单个下发消息
     *
     * @param downFace
     * @param taskInfo
     */
    void sendDownUserMsg(DownFaceNew downFace, TaskInfo taskInfo);

    /**
     * 发送删除人脸信息
     *
     * @param sn
     * @param userIds
     * @param taskInfo
     */
    void sendDelFaceBySnMsg(String sn, List<Long> userIds, TaskInfo taskInfo);


    /**
     * 发送批量/增量下发消息
     *
     * @param faceDevice
     * @param adminVO
     * @param taskInfo
     * @param issueType
     */
    void sendAddSnIssuedMsg(FaceDevice faceDevice, AdminVO adminVO, TaskInfo taskInfo, String issueType);


    /**
     * 发送HHFACE回调消息
     *
     * @param req
     */
    void sendGeneralCallbackMessage2Mq(WebsocketMsgReq req);


}
