package com.yx.face.service.issue;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.issue.*;
import com.yx.face.model.entity.DownFaceNew;
import com.yx.face.model.entity.FaceDevice;
import com.yx.face.model.vo.AdminVO;

import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.service.issue
 * @class IssueDeviceService
 * @date 2024/4/15 下午5:05
 * @description
 */
public interface IssueDeviceService {

    //人员删除
    void delFaceDataFromDevice(List<Long> userIds, String sn);

    //TODO。。。处理回调消息 同时处理http协议消息
    void handleCallback(WebsocketMsgReq callbackReq);

    void issueUserIncrement(DownFaceNew downFace, Date startTime, Date endTime, Integer adminId);

    void issueUserAll(FaceDevice faceDevice, List<DownFaceNew> list, AdminVO adminVO);

    //获取下发设备列表
    PageInfo<IssueDeviceVo> page(RestDTO<IssueDeviceSearch> dto);

    //获取下发设备详情
    IssueDeviceDetailVo detail(Long id);

    //获取下发设备详情分页列表
    PageInfo<IssueDeviceItemVo> pageItem(RestDTO<IssueDeviceItemSearch> dto);

    //获取下发设备详情列表数据
    List<IssueDeviceItemVo> issueDeviceItems(IssueDeviceItemSearch dto);

    //取消下发
    RestResult<Boolean> cancel(Long issueDeviceId);

    //重试
    RestResult<Boolean> retryIssue(Long issueDeviceId);

    //单条记录下发记录
    Long handleIssueDevice(DownFaceNew downFace, Date startTime, Date endTime, Integer adminId, boolean issue, String errorMsg);

    //全量下发记录
    Long handleIssueDeviceAll(FaceDevice faceDevice, List<DownFaceNew> list, AdminVO adminVO, String issueType);

    //增量下发
    void issueUserAllIncrement(FaceDevice faceDevice, List<DownFaceNew> list, AdminVO adminVO);

    //清除设备所有人脸信息
    void cleanUser(String sn);

    void handleIssueDeviceItemCallback(Long issueDeviceId, List<IssueDeviceItemCallbackReq> items,Boolean isAiFace);


}
