package com.yx.face.service.middleware;

import com.yx.face.model.api.middleware.SendMsg2ServerDto;
import com.yx.face.model.entity.DownFaceNew;

import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.service.middleware
 * @class MiddlewareService
 * @date 2024/1/21 下午4:39
 * @description
 */
public interface MiddlewareService {

    /**
     * 处理消息
     *
     * @param req
     * @return
     */
    void sendMsg2Server(SendMsg2ServerDto req);

    /**
     * 添加人脸智能门锁
     *
     * @param downFace
     * @param startTime
     * @param endTime
     * @param adminId
     */
    void addUser(DownFaceNew downFace, Date startTime, Date endTime, Integer adminId);

    /**
     * 清除设备人脸信息
     *
     * @param sn
     */
    void cleanUser(String sn);

    /**
     * 删除门锁人脸
     * @param sn
     * @param userIds
     */
    void delUser(String sn, List<Long> userIds);


}
