package com.yx.face.service.retry;

import cn.hutool.http.HttpUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.retry.annotation.Backoff;
import org.springframework.retry.annotation.Retryable;
import org.springframework.stereotype.Service;

/**
 * @author shisl
 * @package com.yx.face.service.retry
 * @class RetryableService
 * @date 2024/10/11 上午11:01
 * @description 重试
 */
@Slf4j
@Service
public class RetryableServiceImpl implements RetryableService {

    @Retryable(value = Exception.class, maxAttempts = 3, backoff = @Backoff(delay = 3000))
    public void pushPostRetry(String pushUrl, String objStr) throws Exception {
        log.info("推送接口地址：{} 推送的参数：{}", pushUrl, objStr);
        String body = HttpUtil.post(pushUrl, objStr, 3000);
        log.info("推送接口响应内容：{}", body);
    }


}
