package com.yx.face.service.smartlock;

import com.yx.face.model.dto.smartlock.SmartlockDeviceAddUserReq;
import com.yx.face.model.dto.smartlock.SmartlockDeviceResp;
import com.yx.face.model.dto.smartlock.SmartlockDeviceCleanUserReq;
import com.yx.face.model.dto.smartlock.SmartlockDeviceDelUserReq;
import com.yx.face.model.dto.smartlock.SmartlockDeviceDisableUserReq;
import com.yx.face.model.dto.smartlock.SmartlockDeviceEnableUserReq;
import com.yx.face.model.dto.smartlock.SmartlockDeviceInfoReq;
import com.yx.face.model.dto.smartlock.SmartlockDeviceNotifyMsgReq;
import com.yx.face.model.dto.smartlock.SmartlockUserChangePwdReq;
import com.yx.face.model.entity.DownFaceNew;

import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package com.yx.face.service.smartlock
 * @class AdminSmartlockDeviceService
 * @date 2023/8/3 下午1:40
 * @description
 */
public interface AdminSmartlockDeviceService {

    /**
     * 获取智能门锁token
     *
     * @return
     */
    String oauthToken();

    /**
     * 获取设备详情
     */
    void deviceInfo(SmartlockDeviceInfoReq req);

    /**
     * 添加用户
     */
    SmartlockDeviceResp addUser(SmartlockDeviceAddUserReq req);

    /**
     * 删除用户
     */
    void delUser(SmartlockDeviceDelUserReq req);

    /**
     * 修改管理员密码
     * 123456
     * 49 50 51 52 53 54
     */
    void userChangePwd(SmartlockUserChangePwdReq req);

    /**
     * 清空用户
     */
    void cleanUser(SmartlockDeviceCleanUserReq req);

    /**
     * 启用用户
     */
    void enableUser(SmartlockDeviceEnableUserReq req);

    /**
     * 禁止用户
     */
    void disableUser(SmartlockDeviceDisableUserReq req);


    /**
     * 接收异步消息
     */
    void notifyMsg(SmartlockDeviceNotifyMsgReq req);

    /**
     * 下发用户信息
     *
     * @param downFace
     * @param startTime
     * @param endTime
     * @param adminId
     */
    void addSmartLockUser(DownFaceNew downFace, Date startTime, Date endTime, Integer adminId);

    /**
     * 删除设备用户
     *
     * @param sn
     * @param userIds
     */
    void delSmartlockUser(String sn, List<Long> userIds);

    /**
     * 清空设备用户
     *
     * @param sn
     */
    void cleanSmartlockUser(String sn);

    /**
     * 注册回调地址
     */
    void subscribeCallbackUrl();

}
